#include <peripheral_common.h>


#define	ew(reg_addr,para)			rtd_outl(reg_addr,para)
#define	dw(reg_addr)				rtd_inl(reg_addr)
#define ROSPrintf printk

static int zero_num = 0;
static int one_num = 0;


//------------------------------------------------------------------------------------------------------------------------------
//For Irda Gen.



/*lack: sky, toshiba, panasonic,  don't konwn exactly protocol */
void Irda_HL(bool b1,char* protocal)
{
	if(b1)
		one_num++;
	else
		zero_num++;
			
	if(strcmp(protocal,"NEC")==0)
	{
        if(b1)
		{
			SetGPOHL(0);
				udelay(560);
			SetGPOHL(1);
				udelay(1690);			
        	}
		else
		{
			SetGPOHL(0);
				udelay(560);
			SetGPOHL(1);
				udelay(560);	
		}  
	}
	if(strcmp(protocal,"C03")==0)
	{
        if(b1)
		{
			SetGPOHL(0);
				udelay(560);
			SetGPOHL(1);
				udelay(1690);			
        	}
		else
		{
			SetGPOHL(0);
				udelay(560);
			SetGPOHL(1);
				udelay(565);	
		}  
	}
	else if(strcmp(protocal,"SONY")==0)
	{
        if(b1)
		{
			SetGPOHL(0);
				udelay(1200);
			SetGPOHL(1);
				udelay(600);			
        	}
		else
		{
			SetGPOHL(0);
				udelay(600);
			SetGPOHL(1);
				udelay(600);	
		} 		
	}
	else if(strcmp(protocal,"SHARP")==0)
	{
        if(b1)
		{
			SetGPOHL(0);
				udelay(320);
			SetGPOHL(1);
				udelay(1680);			
        	}
		else
		{
			SetGPOHL(0);
				udelay(320);
			SetGPOHL(1);
				udelay(680);	
		} 	
	
	}
	else if(strcmp(protocal,"RC5")==0)		
	{
        if(!b1)	//notice here
		{
			SetGPOHL(0);
				udelay(889);
			SetGPOHL(1);
				udelay(889);			
        	}
		else
		{
			SetGPOHL(1);
				udelay(889);
			SetGPOHL(0);
				udelay(889);	
		}  
	
	}
	else if(strcmp(protocal,"RC6")==0)		
	{
        if(b1)	//notice here
		{
			SetGPOHL(0);
				udelay(444);
			SetGPOHL(1);
				udelay(444);			
        	}
		else
		{
			SetGPOHL(1);
				udelay(444);
			SetGPOHL(0);
				udelay(444);	
		}  
	}
	else if(strcmp(protocal,"RC6_TR")==0)		
	{
        if(b1)	//notice here
		{
			SetGPOHL(0);
				udelay(889);
			SetGPOHL(1);
				udelay(889);			
        	}
		else
		{
			SetGPOHL(1);
				udelay(889);
			SetGPOHL(0);
				udelay(889);	
		}  
	}
	else if(strcmp(protocal,"RCA")==0)
	{
        if(b1)
		{
			SetGPOHL(0);
				udelay(500);
			SetGPOHL(1);
				udelay(2000);			
        	}
		else
		{
			SetGPOHL(0);
				udelay(500);
			SetGPOHL(1);
				udelay(1000);	
		}  
	}
	else if(strcmp(protocal,"KANKA")==0)
	{
        if(b1)
		{
			SetGPOHL(0);
				udelay(500);
			SetGPOHL(1);
				udelay(2500);			
        	}
		else
		{
			SetGPOHL(0);
				udelay(500);
			SetGPOHL(1);
				udelay(1500);	
		}  
	}
	else if(strcmp(protocal,"PANASONIC")==0)
	{
        if(b1)
		{
			SetGPOHL(0);
				udelay(436);
			SetGPOHL(1);
				udelay(1308);			
        	}
		else
		{
			SetGPOHL(0);
				udelay(436);
			SetGPOHL(1);
				udelay(436);	
		}  
	}


}


//Irda Protocal:"NEC","RC5","SHARP","Sony SIRC"
//Write Address/Command you want to Gen.
//NEC: addr_up=0xff; cmd_up=0xff
void Irda_NEC(UINT16 nAddr,UINT16 nCommand,UINT8 nRepeatTimes,bool bExtend)
{
    	printk("\x1b[33m\tGen Irda Protocol NEC\x1b[0m\n");


	//Head of NEC:
	SetGPOHL(0);
		udelay(9000);
	SetGPOHL(1);
		udelay(4500);

	//Address&data
	//Total time: '0's + '1's; '0's = 1.12ms; '1's = 2.25ms	

	//Address
	zero_num = 0;
	one_num = 0;
	if(!bExtend)
	{
		//Address, ~Address
		nAddr&=0xFF;		
		int i;
		for(i=0;i<8;i++)
			{
				Irda_HL((nAddr>>i)&0x1,"NEC");//Lsb-->Msb
			}


		for(i=0;i<8;i++)
			{
				Irda_HL(!((nAddr>>i)&0x1),"NEC");//Lsb-->Msb

			}	

	}           
       else 
	{
		int i;
		for(i=0;i<16;i++)
			{
				Irda_HL((nAddr>>i)&0x1,"NEC");//Lsb-->Msb
			}	
	}

	
	//Command,~Command
	nCommand&=0xFF;	
	int i;	
	for(i=0;i<8;i++)
		{
			Irda_HL((nCommand>>i)&0x1,"NEC");//Lsb-->Msb			
		}

	for(i=0;i<8;i++)
		{
			Irda_HL(!((nCommand>>i)&0x1),"NEC");//Lsb-->Msb
		}


	//after transmit command finish
       SetGPOHL(0);
		udelay(560);
	SetGPOHL(1);

	int interval = 110000 -9000-4500-560-zero_num*1120 - one_num*2250 ; //us
    	printk("interval = %d zero_num=%d, one_num=%d\n", interval, zero_num, one_num);
	udelay(interval);

	if(nRepeatTimes)
	{ 	    
	    //transmit command cost time:8*(1.12+2.25)=26.96ms
	    //110ms-26.96ms = 83.04ms.	
		//mdelay(80);
		//udelay(3040);
		//nRepeatTimes--;

		//Repeat code		
		while(nRepeatTimes>0)//110ms once a time.
		{
				SetGPOHL(0);
					udelay(9000);
				SetGPOHL(1);
					udelay(2250);
				SetGPOHL(0);
					udelay(560);
					
				SetGPOHL(1);	
					udelay(98190);
				
			nRepeatTimes--;
		}
	}	
}

void Irda_NEC_Repeat()
{
	SetGPOHL(0);
		udelay(9000);
	SetGPOHL(1);
		udelay(2250);
	SetGPOHL(0);
		udelay(560);
		
	SetGPOHL(1);	
		udelay(98190);

}

//sony: addr_up=0x1f; cmd_up=0xef
void Irda_Sony(UINT16 nAddr,UINT16 nCommand,UINT8 nRepeatTimes)
{
    	printk("\x1b[33m\tGen Irda Protocol SONY\x1b[0m\n");
		
	nRepeatTimes++;	//get the real key num;
	while(nRepeatTimes>0)
	{
		int i;	
		zero_num = 0;
		one_num = 0;

	    	//Head
		SetGPOHL(0);
			udelay(2400);
		SetGPOHL(1);
			udelay(600);		

		//12 bits protocol
		//Command: 7bits
		nCommand&=0x7F;
		for(i=0;i<7;i++)
			{
				Irda_HL((nCommand>>i)&0x1,"SONY");//Lsb-->Msb
			}

		//Address: 5bits
		nAddr&=0x1F;
		for(i=0;i<5;i++)
			{
				Irda_HL((nAddr>>i)&0x1,"SONY");//Lsb-->Msb
			}

		//without Low first, direct to high
		SetGPOHL(1);

		//repeated every 45ms
		//leader mode, no repeat code, last to idle
		int interval = 45000 -2400 - 600 - zero_num*889*2 - one_num*889*2 ; //us
	    	printk("interval = %d zero_num=%d, one_num=%d\n", interval, zero_num, one_num);
		udelay(interval);

	nRepeatTimes--;
	}
}

void Irda_Sony_15_20(UINT16 nAddr,UINT16 nCommand,UINT8 nRepeatTimes, UINT32 bitNum)
{
	UINT32 maskVal = (1<<(bitNum-7)) -1; 

	printk("\x1b[33m\tGen Irda Protocol SONY %dbit \x1b[0m\n", bitNum);

	nRepeatTimes++;	//get the real key num;
	while(nRepeatTimes>0)
	{
		int i;	
		zero_num = 0;
		one_num = 0;

	    	//Head
		SetGPOHL(0);
			udelay(2400);
		SetGPOHL(1);
			udelay(600);		

		//12 bits protocol
		//Command: 7bits
		nCommand&=0x7F;
		for(i=0;i<7;i++)
			{
				Irda_HL((nCommand>>i)&0x1,"SONY");//Lsb-->Msb
			}

		//Address: 8/13bits
		nAddr&= maskVal;
		for(i=0;i<(bitNum-7);i++)
			{
				Irda_HL((nAddr>>i)&0x1,"SONY");//Lsb-->Msb
			}

		//without Low first, direct to high
		SetGPOHL(1);

		//repeated every 45ms
		//leader mode, no repeat code, last to idle
		int interval = 45000 -2400 - 600 - zero_num*889*2 - one_num*889*2 ; //us
	    	printk("interval = %d zero_num=%d, one_num=%d\n", interval, zero_num, one_num);
		udelay(interval);

	nRepeatTimes--;
	}
}

//sharp: addr_up=0x1f; cmd_up=0xff
void Irda_Sharp(UINT16 nAddr,UINT16 nCommand,UINT8 nRepeatTimes)
{
    	printk("\x1b[33m\tGen Irda Protocol SHARP\x1b[0m\n");
	
	nRepeatTimes++;	//get the real key num;
	while(nRepeatTimes>0)
	{
  		int i;
		zero_num = 0;
		one_num = 0;

		//Head of Sharp----none

		//Address: 5bit
		nAddr&=0x1F;
		for(i=0;i<5;i++)
			{
				Irda_HL((nAddr>>i)&0x1,"SHARP");//Lsb-->Msb
			}

		//Command: 8bit
		nCommand&=0xFF;
		for(i=0;i<8;i++)
			{
				Irda_HL((nCommand>>i)&0x1,"SHARP");//Lsb-->Msb
			}

		//bExp and bChk
		Irda_HL(1,"SHARP");
		Irda_HL(0,"SHARP");


		//delay 40ms(GPO high) 
		SetGPOHL(0); 
			udelay(320);
	    	SetGPOHL(1); 
			mdelay(40);

		//------------------------
		
		//Address
		nAddr&=0x1F;
		for(i=0;i<5;i++)
			{
				Irda_HL((nAddr>>i)&0x1,"SHARP");//Lsb-->Msb
			}

		//Command -> invert
		nCommand&=0xFF;
		for(i=0;i<8;i++)
			{
				Irda_HL(!((nCommand>>i)&0x1),"SHARP");//Lsb-->Msb
			}

		//bExp and bChk -> invert
		Irda_HL(0,"SHARP");
		Irda_HL(1,"SHARP");

		//delay 40ms(GPO high) 
		SetGPOHL(0); 
			udelay(320);
		SetGPOHL(1);	

		int interval = 40000;
    		printk("interval = %d zero_num=%d, one_num=%d\n", interval, zero_num, one_num);
		udelay(interval);

	nRepeatTimes--;
	}
}

//RC5: addr_up=0x1f; cmd_up=0x3f
//default: btoggle & no extend
void Irda_RC5(UINT16 nAddr,UINT16 nCommand,UINT8 nRepeatTimes,bool bToggle,bool bExtend)
{
    	printk("\x1b[33m\tGen Irda Protocol RC5\x1b[0m\n");

	nRepeatTimes++;	//get the real key num;
	while(nRepeatTimes>0)
	{
		int i;
		zero_num = 0;
		one_num = 0;

		//Head of RC_5:
	    	Irda_HL(1,"RC5");
		if(!bExtend)
			Irda_HL(1,"RC5");
		else// use as command bit7 when extended.
			Irda_HL((nCommand>>6)&0x1,"RC5");
		Irda_HL(bToggle,"RC5");	//invert every time the key is released &pressed again

		//Address: 5 bits
		nAddr&=0x1F;
		for(i=4;i>=0;i--)
			{
				Irda_HL((nAddr>>i)&0x1,"RC5");//Msb-->Lsb
			}
		
		//Command: 6 bits
		nCommand&=0x3F;
		for(i=5;i>=0;i--)
			{
				Irda_HL((nCommand>>i)&0x1,"RC5");//Msb-->Lsb
			}	

		//without Low first, direct to high
		SetGPOHL(1);

		//repeat every 114ms
		//no leader mode, no repeat code, last to idle
		int interval = 114000 -zero_num*889*2 - one_num*889*2 ; //us
	    	printk("interval = %d zero_num=%d, one_num=%d\n", interval, zero_num, one_num);
		udelay(interval);

	nRepeatTimes--;
	}

}

// mode0
void Irda_RC6(UINT16 nAddr,UINT16 nCommand,UINT8 nRepeatTimes)
{
    	printk("\x1b[33m\tGen Irda Protocol RC6\x1b[0m\n");

	nRepeatTimes++;	//get the real key num;
	while(nRepeatTimes>0)
	{
		int i;
		zero_num = 0;
		one_num = 0;

		//Head of RC_5:
		SetGPOHL(0);
			udelay(2666);
		SetGPOHL(1);
			udelay(889);
		
		//start bit:SB
	    	Irda_HL(1,"RC6");

		//mode bit
		UINT8 mode = 0;
		mode&=0x7;
		for(i=2;i>=0;i--)
			{
				Irda_HL((mode>>i)&0x1,"RC6");//Msb-->Lsb
			}	

		//trailer bit
	    	Irda_HL(1,"RC6_TR");
		
		//Control: 8 bits
		nAddr&=0xFF;
		for(i=7;i>=0;i--)
			{
				Irda_HL((nAddr>>i)&0x1,"RC6");//Msb-->Lsb
			}
		
		//info: 8 bits
		nCommand&=0xFF;
		for(i=7;i>=0;i--)
			{
				Irda_HL((nCommand>>i)&0x1,"RC6");//Msb-->Lsb
			}	

		//without Low first, direct to high
		SetGPOHL(1);

		//repeat every 110ms ?
		//no repeat code, last to idle
		int interval = 110000 -2666 -889 - 889 -zero_num*444*2 - one_num*444*2 ; //us
	    	printk("interval = %d zero_num=%d, one_num=%d\n", interval, zero_num, one_num);
		udelay(interval);

	nRepeatTimes--;
	}

}

void Irda_C03(UINT16 nAddr,UINT16 nCommand,UINT8 nRepeatTimes)
{
    	printk("\x1b[33m\tGen Irda Protocol C03\x1b[0m\n");


	//Head of toshiba:
	SetGPOHL(0);
		udelay(4500);
	SetGPOHL(1);
		udelay(4500);

	//Address
	zero_num = 0;
	one_num = 0;
	//Address, Address
	nAddr&=0xFF;		
	int i;
	for(i=0;i<8;i++)
		{
			Irda_HL((nAddr>>i)&0x1,"C03");//Lsb-->Msb
		}


	for(i=0;i<8;i++)
		{
			Irda_HL((nAddr>>i)&0x1,"C03");//Lsb-->Msb
		}

	//Command,~Command
	nCommand&=0xFF;	
	for(i=0;i<8;i++)
		{
			Irda_HL((nCommand>>i)&0x1,"C03");//Lsb-->Msb			
		}

	for(i=0;i<8;i++)
		{
			Irda_HL(!((nCommand>>i)&0x1),"C03");//Lsb-->Msb
		}


	//after transmit command finish
       SetGPOHL(0);
		udelay(560);
	SetGPOHL(1);

	//Total time: '0's + '1's; '0's = 1.125ms; '1's = 2.25ms	
	int interval = 108000 -4500-4500-560-zero_num*1125 - one_num*2250 ; //us
    	printk("interval = %d zero_num=%d, one_num=%d\n", interval, zero_num, one_num);
	udelay(interval);
	
	if(nRepeatTimes)
	{ 	    
		//Repeat code		
		while(nRepeatTimes>0)//1      //108 ms once a time.
		{
				SetGPOHL(0);
					udelay(4500);
				SetGPOHL(1);
					udelay(4500);
					
				SetGPOHL(0);
					udelay(560);
				SetGPOHL(1);
					udelay(1690);
					
				SetGPOHL(0);
					udelay(560);
				SetGPOHL(1);	
					udelay(96190);	////108000-4500-4500-2250-560 = 96190
				
			nRepeatTimes--;
		}
	}	

}

void Irda_C03_Repeat()
{
	SetGPOHL(0);
		udelay(4500);
	SetGPOHL(1);
		udelay(4500);
		
	SetGPOHL(0);
		udelay(560);
	SetGPOHL(0);
		udelay(1690);
		
	SetGPOHL(0);
		udelay(560);
	SetGPOHL(1);	
		udelay(96190);	////108000-4500-4500-2250-560 = 96190

}
void Irda_RCA(UINT16 nAddr,UINT16 nCommand,UINT8 nRepeatTimes)
{
    	printk("\x1b[33m\tGen Irda Protocol RCA\x1b[0m\n");

	nRepeatTimes++;	//get the real key num;
	while(nRepeatTimes>0)
	{
		int i;	
		zero_num = 0;
		one_num = 0;

	    	//Head
		SetGPOHL(0);
			udelay(4000);
		SetGPOHL(1);
			udelay(4000);		

		//24 bits protocol
		//Address: 4bits
		nAddr&=0x0f;
		for(i=3;i>=0;i--)
			{
				Irda_HL((nAddr>>i)&0x1,"RCA");//msb-->lsb
			}

		//Command: 8bits
		nCommand&=0xFF;
		for(i=7;i>=0;i--)
			{
				Irda_HL((nCommand>>i)&0x1,"RCA");//msb-->lsb
			}

		//~Address: 4bits
		nAddr&=0x0f;
		for(i=3;i>=0;i--)
			{
				Irda_HL(!((nAddr>>i)&0x1),"RCA");//msb-->lsb
			}

		//~Command: 8bits
		nCommand&=0xFF;
		for(i=7;i>=0;i--)
			{
				Irda_HL(!((nCommand>>i)&0x1),"RCA");//msb-->lsb
			}


		//after transmit command finish
	       SetGPOHL(0);
			udelay(500);
		SetGPOHL(1);

		//repeated every 65ms
		//leader mode, no repeat code
		int interval = 65000 - 4000 - 4000 -500- zero_num*1500 - one_num*2500;  //us
	    	printk("interval = %d zero_num=%d, one_num=%d\n", interval, zero_num, one_num);
		udelay(interval);

	nRepeatTimes--;
	}

}

void Irda_Kanka(UINT16 nAddr,UINT16 nCommand,UINT8 nRepeatTimes)
{
    	printk("\x1b[33m\tGen Irda Protocol KANKA\x1b[0m\n");

	nRepeatTimes++;	//get the real key num;
	while(nRepeatTimes>0)
	{
		int i;	
		zero_num = 0;
		one_num = 0;

	    	//Head
		SetGPOHL(0);
			udelay(3000);
		SetGPOHL(1);
			udelay(3000);		

		//16 bits protocol
		//Address: 8bits
		nAddr&=0xFF;
		for(i=7;i>=0;i--)
			{
				Irda_HL((nAddr>>i)&0x1,"KANKA");//msb-->lsb
			}

		//Command: 8bits
		nCommand&=0xFF;
		for(i=7;i>=0;i--)
			{
				Irda_HL((nCommand>>i)&0x1,"KANKA");//msb-->lsb
			}


		//after transmit command finish
	       SetGPOHL(0);
			udelay(500);
		SetGPOHL(1);
			udelay(4000);
	       SetGPOHL(0);
			udelay(500);
		SetGPOHL(1);

		//repeated every 70ms
		//leader mode, no repeat code
		int interval = 70000 - 3000 - 3000 - (500+4000+5000) - zero_num*2000 - one_num*3000;  //us
	    	printk("interval = %d zero_num=%d, one_num=%d\n", interval, zero_num, one_num);
		udelay(interval);

	nRepeatTimes--;
	}

}

void Irda_Panasonic(UINT16 nAddr,UINT16 nCommand,UINT8 nRepeatTimes)
{
    	printk("\x1b[33m\tGen Irda Protocol Panasonic\x1b[0m\n");

	nRepeatTimes++;	//get the real key num;
	while(nRepeatTimes>0)
	{
		int i;	
		zero_num = 0;
		one_num = 0;

	    	//Head
		SetGPOHL(0);
			udelay(3488);
		SetGPOHL(1);
			udelay(1744);		

		//48 bits protocol
		//customcode: 2002h 0h 8h -> 24bit 
		UINT16 customcode = 0x2002;
		for(i=0;i<16;i++)
			{
				Irda_HL((customcode>>i)&0x1,"PANASONIC");//lsb-->msb
			}
		customcode = 0x0;
		for(i=0;i<4;i++)
			{
				Irda_HL((customcode>>i)&0x1,"PANASONIC");//lsb-->msb
			}
		customcode = 0x8;
		for(i=0;i<4;i++)
			{
				Irda_HL((customcode>>i)&0x1,"PANASONIC");//lsb-->msb
			}

		// K0~K7 -> ADDR: 8bits
		nAddr&=0xFF;
		for(i=0;i<8;i++)
			{
				Irda_HL((nAddr>>i)&0x1,"PANASONIC");//lsb-->msb
			}

		// d0~d7(data code) + p0~p7(Parity Bit) -> Command: 16bits
		//data code
		UINT16 datacode = (nCommand & 0xFF00)>>8;
		for(i=0;i<8;i++)
			{
				Irda_HL((datacode>>i)&0x1,"PANASONIC");//lsb-->msb
			}
		UINT16 paritybit = (nCommand & 0x00FF);
		for(i=0;i<8;i++)
			{
				Irda_HL((paritybit>>i)&0x1,"PANASONIC");//lsb-->msb
			}


		//after transmit command finish
	       SetGPOHL(0);
			udelay(436);
		SetGPOHL(1);

		int interval = 74620;  //us
	    	printk("interval = %d zero_num=%d, one_num=%d\n", interval, zero_num, one_num);
		udelay(interval);

	nRepeatTimes--;
	}

}


void Irda_Out(char* protocal,UINT16 nAddr,UINT16 nCommand,UINT8 nRepeatTimes,bool bExtend)
{
    //Use ST_GPIO8 to Gen Irda signal.
    // SetGPIOOut(8,0xb806024C,22,18,0x1f);
	printk("Write Data:0x%x==> Address:0x%x\n", nCommand,nAddr);
	
	if(strcmp(protocal,"NEC")==0)
		Irda_NEC(nAddr,nCommand,nRepeatTimes,bExtend);
	else if(strcmp(protocal,"C03")==0)
		Irda_C03(nAddr, nCommand, nRepeatTimes);
	else if(strcmp(protocal,"SONY")==0)
		Irda_Sony(nAddr, nCommand, nRepeatTimes);	//0x01
	else if(strcmp(protocal,"SONY_15")==0)
		Irda_Sony_15_20(nAddr, nCommand, nRepeatTimes, 15);
	else if(strcmp(protocal,"SONY_20")==0)
		Irda_Sony_15_20(nAddr, nCommand, nRepeatTimes, 20);
	else if(strcmp(protocal,"SHARP")==0)
		Irda_Sharp(nAddr,nCommand, nRepeatTimes);
	else if(strcmp(protocal,"RC5")==0)
	{
		bool bToggle = 0;
		Irda_RC5(nAddr,nCommand, nRepeatTimes, bToggle,bExtend);
	}
	else if(strcmp(protocal,"RC6")==0)
		Irda_RC6(nAddr, nCommand, nRepeatTimes);
	else if(strcmp(protocal,"RCA")==0)
		Irda_RCA(nAddr, nCommand, nRepeatTimes);
	else if(strcmp(protocal,"KANKA")==0)
		Irda_Kanka(nAddr, nCommand, nRepeatTimes);
	else if(strcmp(protocal,"PANASONIC")==0)
		Irda_Panasonic(nAddr, nCommand, nRepeatTimes);
	else
		{};

	printk("Gen Irda Protocol finish!\n");
}































