.text
.globl	_ram_boot

_ram_boot:
	/*
	 * r4, r5, r6
	 */
	
	push	{r1-r14}

	LDR     r4, = __bss_start
	LDR     r5, = __bss_end
	MOV     r6, #0x00000000		/* clear */

clear_loop:
	CMP     r4, r5
	BHS     clear_end			/* if reached end of bss, exit */
	STR     r6, [r4]
	ADD     r4, r4, #4
	B       clear_loop

clear_end:
	BL       ve_uniform_entry		/* C entry */
	pop 	{r1-r14}
	BX  	lr
	

@add empty raise() to fix (when use new EABI xscale cross compiler to) compile
@error gcc/config/arm/lib1funcs.asm:1266: undefined reference to `raise'
.globl raise
raise:
    nop
    mov pc, lr
