#define ScalerTimer_DelayXms(mSec)		udelay(mSec)
#define STRICT_VERIFY 1
#define ITEM_two_HAS_two_CRC 1
#define I_DOMAIN_RANDOM_GEN 1
#define D_DOMAIN_UZU_RANDOM_GEN 0
//#define HDR_PATH_VERIFY 0
#ifndef _ZERO
#define _ZERO   						0x00000000
#endif
#ifndef _BIT0
#define _BIT0   						0x00000001
#endif
#ifndef _BIT1
#define _BIT1   						0x00000002
#endif
#ifndef _BIT2
#define _BIT2   						0x00000004
#endif
#ifndef _BIT3
#define _BIT3   						0x00000008
#endif
#ifndef _BIT4
#define _BIT4   						0x00000010
#endif
#ifndef _BIT5
#define _BIT5   						0x00000020
#endif
#ifndef _BIT6
#define _BIT6   						0x00000040
#endif
#ifndef _BIT7
#define _BIT7   						0x00000080
#endif
#ifndef _BIT8
#define _BIT8   						0x00000100
#endif
#ifndef _BIT9
#define _BIT9   						0x00000200
#endif
#ifndef _BIT10
#define _BIT10  						0x00000400
#endif
#ifndef _BIT11
#define _BIT11  						0x00000800
#endif
#ifndef _BIT12
#define _BIT12  						0x00001000
#endif
#ifndef _BIT13
#define _BIT13  						0x00002000
#endif
#ifndef _BIT14
#define _BIT14  						0x00004000
#endif
#ifndef _BIT15
#define _BIT15  						0x00008000
#endif
#ifndef _BIT16
#define _BIT16   						0x00010000
#endif
#ifndef _BIT17
#define _BIT17  						0x00020000
#endif
#ifndef _BIT18
#define _BIT18   						0x00040000
#endif
#ifndef _BIT19
#define _BIT19   						0x00080000
#endif
#ifndef _BIT20
#define _BIT20   						0x00100000
#endif
#ifndef _BIT21
#define _BIT21   						0x00200000
#endif
#ifndef _BIT22
#define _BIT22   						0x00400000
#endif
#ifndef _BIT23
#define _BIT23   						0x00800000
#endif
#ifndef _BIT24
#define _BIT24   						0x01000000
#endif
#ifndef _BIT25
#define _BIT25   						0x02000000
#endif
#ifndef _BIT26
#define _BIT26  						0x04000000
#endif
#ifndef _BIT27
#define _BIT27  						0x08000000
#endif
#ifndef _BIT28
#define _BIT28  						0x10000000
#endif
#ifndef _BIT29
#define _BIT29  						0x20000000
#endif
#ifndef _BIT30
#define _BIT30  						0x40000000
#endif
#ifndef _BIT31
#define _BIT31  						0x80000000
#endif

// Definitions of Digital Filter===============
#define _DISABLE_PORT           0
#define _PHASE_ACCESS_PORT      1
#define _NEG_SMEAR_ACCESS_PORT  2
#define _POS_SMEAR_ACCESS_PORT  3
#define _NEG_RING_ACCESS_PORT   4
#define _POS_RING_ACCESS_PORT   5
#define _MISMATCH_ACCESS_PORT   6
#define _YPBPR_ACCESS_PORT      7
#define _NOISE_REDUCTION_PORT   8

#define _YPBPR_DISABLE          0
#define _YPBPR_ENABLE           7

#define _PHASE_THD_0    0
#define _PHASE_THD_1    1
#define _PHASE_THD_2    2
#define _PHASE_THD_3    3
#define _PHASE_THD_4    4
#define _PHASE_THD_5    5
#define _PHASE_THD_6    6
#define _PHASE_THD_7    7

#define _SMEAR_RING_THD_0   0
#define _SMEAR_RING_THD_1   1
#define _SMEAR_RING_THD_2   2
#define _SMEAR_RING_THD_3   3
#define _SMEAR_RING_THD_4   4
#define _SMEAR_RING_THD_5   5
#define _SMEAR_RING_THD_6   6
#define _SMEAR_RING_THD_7   7

#define _MISMATCH_THD_0 0
#define _MISMATCH_THD_1 1

#define _NOISE_REDUCTION_THD_0  0
#define _NOISE_REDUCTION_THD_1  1
#define _NOISE_REDUCTION_THD_2  2
#define _NOISE_REDUCTION_THD_3  3
#define _NOISE_REDUCTION_THD_4  4
#define _NOISE_REDUCTION_THD_5  5
#define _NOISE_REDUCTION_THD_6  6
#define _NOISE_REDUCTION_THD_7  7

#define _DIV_VALUE_0    0
#define _DIV_VALUE_1    1
#define _DIV_VALUE_2    2
#define _DIV_VALUE_3    3

//gamma
#define _Gamma_Full     0x01
#define _Gamma_Compact  0x00

//debug msg (close to acc the verify time)
#define VIP_DEBUG_MSG 1

//item
#define CRC_ITEM_NUM            9
#define CRC_TEMPLATE_NUM        1

#define VGIP_TBLIDX             0
#define HSD_BEFORE_DI_TBLIDX    1
#define DI_TBLIDX               2
#define HSD_TBLIDX              3
#define VSD_TBLIDX              4
#define MEM_TBLIDX              5
#define UZU_TBLIDX              6
#define SHP_TBLIDX              7
#define ICM_TBLIDX              8
#define DITER_TBLIDX            9

#define EOTF_size 1025
#define OETF_size 1025

//dither
#define  _PANEL_BIT_8
#if defined(_PANEL_BIT_6)
	UINT8 Panel_Bit=0;
#elif  defined(_PANEL_BIT_8)
	UINT8 Panel_Bit=1;
#elif defined(_PANEL_BIT_10)
	UINT8 Panel_Bit=2;
#else
	UINT8 Panel_Bit=3;
#endif
static UINT8 tDITHER_SEQUENCE[3][16] = {
	{0xAD, 0x80, 0xE6, 0xA3, 0x9E, 0x47, 0x2D, 0xB9, 0x12, 0x74, 0x1C, 0x5F, 0xF3, 0xB0, 0x6C, 0x85},
	{0x2D, 0xB9, 0x12, 0x74, 0x1C, 0x5F, 0xF3, 0xB0, 0x6C, 0x85, 0x0A, 0x68, 0x3E, 0xEA, 0x79, 0xD4},
	{0xAD, 0x80, 0xE6, 0xF3, 0xB0, 0x6C, 0x85, 0xEA, 0x79, 0xD4, 0x92, 0x2B, 0x41, 0xC7, 0xF1, 0x35}
	};
static UINT8 tDITHER_TEMPORAL[16] = { 0, 3, 2, 1, 2, 1, 3, 0, 3, 0, 1, 2, 1, 2, 0, 3 };
static UINT8 tDITHER_LUT[3][16][4] =
    {
    	{
    		{0x00, 0x30, 0x20, 0x10}, {0x29, 0x19, 0x39, 0x09}, {0x3E, 0x0E, 0x1E, 0x2E}, {0x17, 0x27, 0x07, 0x37},
    		{0x0C, 0x3C, 0x2C, 0x1C}, {0x25, 0x15, 0x35, 0x05}, {0x32, 0x02, 0x12, 0x22}, {0x1B, 0x2B, 0x0B, 0x3B},
    		{0x08, 0x38, 0x28, 0x18}, {0x2D, 0x1D, 0x3D, 0x0D}, {0x36, 0x06, 0x16, 0x26}, {0x13, 0x23, 0x03, 0x33},
    		{0x04, 0x34, 0x24, 0x14}, {0x21, 0x11, 0x31, 0x01}, {0x3A, 0x0A, 0x1A, 0x2A}, {0x1F, 0x2F, 0x0F, 0x3F}
    	},
    	{
    		{0x28, 0x18, 0x38, 0x08}, {0x3D, 0x0D, 0x1D, 0x2D}, {0x16, 0x26, 0x06, 0x36}, {0x03, 0x33, 0x23, 0x13},
    		{0x24, 0x14, 0x34, 0x04}, {0x31, 0x01, 0x11, 0x21}, {0x1A, 0x2A, 0x0A, 0x3A}, {0x0F, 0x3F, 0x2F, 0x1F},
    		{0x2C, 0x1C, 0x3C, 0x0C}, {0x35, 0x05, 0x15, 0x25}, {0x12, 0x22, 0x02, 0x32}, {0x0B, 0x3B, 0x2B, 0x1B},
    		{0x20, 0x10, 0x30, 0x00}, {0x39, 0x09, 0x19, 0x29}, {0x1E, 0x2E, 0x0E, 0x3E}, {0x07, 0x37, 0x27, 0x17},
    	},
    	{
    		{0x3C, 0x0C, 0x1C, 0x2C}, {0x15, 0x25, 0x05, 0x35}, {0x02, 0x32, 0x22, 0x12}, {0x2B, 0x1B, 0x3B, 0x0B},
    		{0x30, 0x00, 0x10, 0x20}, {0x19, 0x29, 0x09, 0x39}, {0x0E, 0x3E, 0x2E, 0x1E}, {0x27, 0x17, 0x37, 0x07},
    		{0x34, 0x04, 0x14, 0x24}, {0x11, 0x21, 0x01, 0x31}, {0x0A, 0x3A, 0x2A, 0x1A}, {0x2F, 0x1F, 0x3F, 0x0F},
    		{0x38, 0x08, 0x18, 0x28}, {0x1D, 0x2D, 0x0D, 0x3D}, {0x06, 0x36, 0x26, 0x16}, {0x23, 0x13, 0x33, 0x03},
    	}
    };

typedef	struct __CRC
{
		UINT32 VGIP;
		UINT32 RGB2YUV;
		UINT32 Peaking;
		UINT32 UZD;
		UINT32 MEM;
		UINT32 UZU;
		UINT32 VIVIC;
		UINT32 Dither;
		UINT32 OD;

		UINT32 VGIP1;
		UINT32 HSD1;
		UINT32 DI;
		UINT32 UZD1;
		UINT32 MEM1;
		UINT32 UZU1;
		UINT32 SHP1;
		UINT32 ICM1;

        UINT32 CRCValue[CRC_ITEM_NUM];
		struct  __GIBI
		{
			UINT32 Ch1;
			UINT32 Ch2;
			UINT32 Ch3;
			UINT32 Ch4;
		} GIBI;
} CRC;

#define VIP_DeMura_241x136_H 241
#define VIP_DeMura_241x136_V 136
#define VIP_DeMura_481x271_H 481
#define VIP_DeMura_481x271_V 271

/* demura DRV*/
#define VIP_Demura_Adaptive_Scale_LV_NUM 10
#define VIP_Demura_Encode_TBL_ROW 271/*136*/
#define VIP_Demura_Encode_TBL_COL 5808/*2928*/

// Merlin6 demura update: 3 plane -> max 5 planes
// 3 plane: 18bit each unit, 128 bit = 18*7 + 2 (7 units + 2bit dummy)
// 241/7 = 34.4 -> 35, 35 * 128bit / 8 = 560 bytes, RGB -> 560 *3 = 1680 bytes
// 481/7 = 68.7 -> 69, 69 * 128bit / 8 = 1104bytes, RGB -> 1104*3 = 3312 bytes
// 4 plane: 24bit each unit, 128 bit = 24*5 + 8 (5 units + 8bit dummy)
// 241/5 = 48.2 -> 49, 49 * 128bit / 8 = 784 bytes, RGB -> 784 *3 = 2352 bytes
// 481/5 = 96.2 -> 97, 97 * 128bit / 8 = 1552bytes, RGB -> 1552*3 = 4656 bytes
// 5 plane: 30bit each unit, 128 bit = 30*4 + 8 (4 units + 8bit dummy)
// 241/4 = 60.25 -> 61, 61 * 128bit / 8 = 976 bytes, RGB -> 976 *3 = 2928 bytes
// 481/4 = 120.25 -> 121, 121 * 128bit / 8 = 1936 bytes, RGB -> 1936*3 = 5808 bytes
#define VIP_DemuraTBL_LineSize_Y_481x271_3Plane 1104
#define VIP_DemuraTBL_LineSize_Y_481x271_4Plane 1552
#define VIP_DemuraTBL_LineSize_Y_481x271_5Plane 1936
#define VIP_DemuraTBL_LineSize_Y_241x136_3Plane 560
#define VIP_DemuraTBL_LineSize_Y_241x136_4Plane 784
#define VIP_DemuraTBL_LineSize_Y_241x136_5Plane 976

#define VIP_DemuraTBL_LineSize_RGB_481x271_3Plane 3312
#define VIP_DemuraTBL_LineSize_RGB_481x271_4Plane 4656
#define VIP_DemuraTBL_LineSize_RGB_481x271_5Plane 5808
#define VIP_DemuraTBL_LineSize_RGB_241x136_3Plane 1680
#define VIP_DemuraTBL_LineSize_RGB_241x136_4Plane 2352
#define VIP_DemuraTBL_LineSize_RGB_241x136_5Plane 2928

typedef enum _VIP_DeMura_TBL_Mode {
	DeMura_TBL_241x136 = 0,
	DeMura_TBL_481x271,

	VIP_DeMura_TBL_Mode_MAX,
} VIP_DeMura_TBL_Mode;

typedef enum _VIP_DeMura_Channel_Mode {
	DeMura_Ch_Y_Mode = 0,
	DeMura_Ch_RGB_Separate,

	VIP_DeMura_Channel_Mode_MAX,
} VIP_DeMura_Channel_Mode;

typedef struct  _DRV_DeMura_Adaptive_TBL {
	unsigned char adaptiveScale_En;
	unsigned char adaptiveScale[VIP_Demura_Adaptive_Scale_LV_NUM];
	unsigned char adaptiveScale_APL_th[VIP_Demura_Adaptive_Scale_LV_NUM];

} DRV_DeMura_Adaptive_TBL;

typedef struct  _DRV_DeMura_CTRL_TBL {
	// Merlin6 update: rearrange table order
	
	unsigned char demura_en;					// demura function enable, 0: disable, 1: enable
	unsigned char demura_table_level;			// # of planes, 0: 3 planes, 1: 4 planes, 2: 5 planes
	unsigned char demura_rgb_table_seperate;	// RGB separate mode, 0: RGB use same table (use R settings), 1: RGB use separate tables
	unsigned char demura_block_size; 			// demura block size, 0: 8x8, 1: 16x16
	unsigned char demura_table_mode; 			// 0: 241x136, 1: 481x271
	
	// table settings on each level
	// for 3 planes: use L/M/H, M2 & M3 don't care
	// for 4 planes: use L/M/M2/H, M3 don't care
	// for 5 planes: use L/M/M2/M3/H
	
	// demura table scale
	// rule: if demura_table_scale != 3, all planes use global scale
	//       else each plane use individual scale setting
	unsigned char demura_table_scale;			// global table scale, 0: 1x, 1: 2x, 2: 4x, 3: use separate scale settings
	unsigned char demura_table_scale_L;		// scale on plane L, 0: 1x, 1: 2x, 2: 4x, 3: 8x
	unsigned char demura_table_scale_M;		// scale on plane M, 0: 1x, 1: 2x, 2: 4x, 3: 8x
	unsigned char demura_table_scale_M2;		// scale on plane M2, 0: 1x, 1: 2x, 2: 4x, 3: 8x, Merlin6 add
	unsigned char demura_table_scale_M3;		// scale on plane M3, 0: 1x, 1: 2x, 2: 4x, 3: 8x, Merlin6 add
	unsigned char demura_table_scale_H;		// scale on plane H, 0: 1x, 1: 2x, 2: 4x, 3: 8x

	// level settings, 10 bits each (0~1023)
	unsigned short demura_r_lower_cutoff;		// Level position of lower cutoff (black limit) on R
	unsigned short demura_r_l_level;			// Level position of plane L on R
	unsigned short demura_r_m_level;			// Level position of plane M on R
	unsigned short demura_r_m2_level;		// Level position of plane M2 on R, Merlin6 add
	unsigned short demura_r_m3_level;		// Level position of plane M3 on R, Merlin6 add
	unsigned short demura_r_h_level;			// Level position of plane H on R
	unsigned short demura_r_upper_cutoff;		// Level position of upper cutoff (white limit) on R
	
	// div. factor: slope settings, calculate from levels to 16-bits each
	// div_factor_l = 2^16 / ((l_level - lower_cutoff)*4)
	// div_factor_l_m = 2^16 / ((m_level - l_level)*4)
	// for 3 planes: div_factor_m_h = 2^16 / ((h_level - m_level)*4), div_factor_m1_m2 & div_factor_m2_m3 don't care
	// for 4 planes: div_factor_m1_m2 = 2^16 / ((m2_level - m_level)*4),
	//				 div_factor_m_h = 2^16 / ((h_level - m2_level)*4), div_factor_m2_m3 don't care
	// for 5 planes: div_factor_m1_m2 = 2^16 / ((m2_level - m_level)*4),
	//				 div_factor_m2_m3 = 2^16 / ((m3_level - m2_level)*4),
	//				 div_factor_m_h = 2^16 / ((h_level - m3_level)*4)
	// div_factor_h = 2^16 / ((upper_cutoff - h_level)*4)
	unsigned short r_div_factor_l;
	unsigned short r_div_factor_l_m;
	unsigned short r_div_factor_m1_m2; // Merlin6 add
	unsigned short r_div_factor_m2_m3; // Merlin6 add
	unsigned short r_div_factor_m_h;
	unsigned short r_div_factor_h;

	// settings on G & B, same rule as R
	// only used when demura_rgb_table_seperate==1, else all channels use R settings
	unsigned short demura_g_lower_cutoff;
	unsigned short demura_g_l_level;
	unsigned short demura_g_m_level;
	unsigned short demura_g_m2_level; // Merlin6 add
	unsigned short demura_g_m3_level; // Merlin6 add
	unsigned short demura_g_h_level;
	unsigned short demura_g_upper_cutoff;
	unsigned short g_div_factor_l;
	unsigned short g_div_factor_l_m;
	unsigned short g_div_factor_m1_m2; // Merlin6 add
	unsigned short g_div_factor_m2_m3; // Merlin6 add
	unsigned short g_div_factor_m_h;
	unsigned short g_div_factor_h;

	unsigned short demura_b_lower_cutoff;
	unsigned short demura_b_l_level;
	unsigned short demura_b_m_level;
	unsigned short demura_b_m2_level; // Merlin6 add
	unsigned short demura_b_m3_level; // Merlin6 add
	unsigned short demura_b_h_level;
	unsigned short demura_b_upper_cutoff;
	unsigned short b_div_factor_l;
	unsigned short b_div_factor_l_m;
	unsigned short b_div_factor_m1_m2; // Merlin6 add
	unsigned short b_div_factor_m2_m3; // Merlin6 add
	unsigned short b_div_factor_m_h;
	unsigned short b_div_factor_h;

} DRV_DeMura_CTRL_TBL;

typedef struct  _VIP_DeMura_TBL {
	DRV_DeMura_CTRL_TBL DeMura_CTRL_TBL;
	unsigned char TBL[VIP_Demura_Encode_TBL_ROW*VIP_Demura_Encode_TBL_COL];
	unsigned char table_mode;
	DRV_DeMura_Adaptive_TBL DeMura_Adaptive_TBL;

} VIP_DeMura_TBL;

typedef struct {
	UINT8 cur_idx[33];
	UINT8 pre_idx[33];
	UINT8 value[3][1089];
} DRV_od_lut_ctrl;

typedef struct  _DRV_DeMura_DMA_TBL {
	unsigned int burst_len;
	unsigned int line_128_num;
	unsigned int line_step;
	unsigned int table_height;
	unsigned int table_width;

} DRV_DeMura_DMA_TBL;

#define OD_table_length		1089
typedef struct {
	unsigned char enable;
	unsigned char bias_en;
	UINT32 coef_r;
	UINT32 coef_g;
	UINT32 coef_b;
} DRV_od_ymode;
typedef struct {
	unsigned char r_en;
	unsigned char g_en;
	unsigned char b_en;
	unsigned char w_en;
	unsigned char mode;
	unsigned char r_th;
	unsigned char g_th;
	unsigned char b_th;
	unsigned char w_th;
} DRV_od_nr;
typedef struct {
	unsigned char r_gain;
	unsigned char g_gain;
	unsigned char b_gain;
	unsigned char w_gain;
} DRV_od_gain;
typedef struct {
	DRV_od_ymode od_ymode;
	DRV_od_nr od_nr;
	DRV_od_gain od_gain;
} DRV_od_ctrl;
typedef struct {
	UINT16 vact;
	UINT16 hact;
	unsigned char dma_mode;
	unsigned char bit_sel;
	unsigned char pixel_encoding;
	unsigned char dma_2p_enable;
	unsigned char dma_clk_sel;
} DRV_od_dma_ctrl;
typedef struct {
	unsigned char cap_en;
	UINT32 start_addr1;
	UINT32 start_addr2;	
	UINT32 up_limit;
	UINT32 low_limit;
	UINT32 line_step;
	UINT32 line_num;
	UINT32 burst_length;
	UINT32 line128_num;
	unsigned char max_outstanding;
	unsigned char rolling_en;
	UINT32 rolling_space;
} DRV_od_dma_pair;
typedef struct {
	unsigned char bypass_en;
	unsigned char compensation_en;
	unsigned char fisrt_line_more_en;
	unsigned char guarantee_max_qp_en;
	unsigned char first_predict_nc_mode;
	unsigned char variation_maxmin_en;
	unsigned char pqdc_saturation_en;
	unsigned char g_ratio;
	unsigned char block_limit_bit;
	unsigned char line_limit_bit;
	unsigned char frame_limit_bit;
	unsigned char line_more_bit;
} DRV_od_dma_comp;
typedef struct {
	unsigned char comp_en;
	unsigned char line_mode;
	UINT32 width_div32;
	UINT32 height;
	unsigned char data_format;
	unsigned char data_bitwidth;
	unsigned char data_color;
	UINT32 line_sum_bit;
	unsigned char old_400_mode;
	unsigned char two_line_predict;
	unsigned char qp_mode;
	unsigned char dic_mode;
	unsigned char jump4_en;
} DRV_od_dma_pqc_pair;
typedef struct {
	unsigned int dynamic_allocate_ratio_max;
	unsigned int dynamic_allocate_ratio_min;
	unsigned int dynamic_allocate_line;
	unsigned int dynamic_allocate_less;
	unsigned int dynamic_allocate_more;
} DRV_od_dma_pqc_alloc;
typedef struct {
	unsigned int balance_rb_ov_th;
	unsigned int balance_rb_ud_th;
	unsigned int balance_rb_give;
	unsigned int balance_g_ov_th;
	unsigned int balance_g_ud_th;
	unsigned int balance_g_give;
} DRV_od_dma_pqc_balance;
typedef struct {
	DRV_od_dma_ctrl dma_ctrl;
	DRV_od_dma_pair dma_pair;
	DRV_od_dma_comp dma_comp;
	DRV_od_dma_pqc_pair dma_pqc_pair;
	DRV_od_dma_pqc_alloc dma_pqc_alloc;
	DRV_od_dma_pqc_balance dma_pqc_balance;
} DRV_od_dma;

#ifndef rtdf_setBits
#define rtdf_setBits(offset, Mask) rtd_outl(offset, (rtd_inl(offset) |Mask))
#endif
#ifndef rtdf_clearBits
#define rtdf_clearBits(offset, Mask) rtd_outl(offset, ((rtd_inl(offset) & ~(Mask))))
#endif


#define UINT32    unsigned int
#define UINT8     unsigned char
#define PASS      0
#define FAIL      1
#define main      0 
#define sub       1
#define _CHANNEL1 0

typedef UINT32 (*FUNCPTR_CRC_En)(UINT8);


