/**
* CBUS BURST ID Table
*
* @author HC_MM2_SD
* @email dick0329@realtek.com
* @date 2015-4-10
* @version { 1.0 }
*/

#ifndef _CBUS_BURST_ID_H_
#define _CBUS_BURST_ID_H_

#define	_3D_VIC_H											0x00
#define	_3D_VIC_L											0x10
#define	_3D_VIC												0x0010
#define	_3D_VIC_Name										"HEV_VIC"

#define	_3D_DTD_H											0x00
#define	_3D_DTD_L											0x11
#define	_3D_DTD											0x0011
#define	_3D_DTD_Name										"3D_DTD"

#define	_HEV_VIC_H											0x00
#define	_HEV_VIC_L											0x20
#define	_HEV_VIC											0x0020
#define	_HEV_VIC_Name										"HEV_VIC"

#define	_HEV_DTDA_H										0x00
#define	_HEV_DTDA_L										0x21
#define	_HEV_DTDA											0x0021
#define	_HEV_DTDA_Name									"HEV_DTDA"

#define	_HEV_DTDB_H										0x00
#define	_HEV_DTDB_L										0x22
#define	_HEV_DTDB											0x0022
#define	_HEV_DTDB_Name									"HEV_DTDB"

#define	_VC_ASSIGN_H										0x00
#define	_VC_ASSIGN_L										0x38
#define	_VC_ASSIGN											0x0038
#define	_VC_ASSIGN_Name									"VC_ASSIGN"

#define	_VC_CONFIRM_H										0x00
#define	_VC_CONFIRM_L										0x39
#define	_VC_CONFIRM										0x0039
#define	_VC_CONFIRM_Name									"VC_CONFIRM"

#define	_AUD_DELAY_H										0x00
#define	_AUD_DELAY_L										0x40
#define	_AUD_DELAY										0x0040
#define	_AUD_DELAY_Name									"AUD_DELAY"

#define	_ADT_BURSTID_H									0x00
#define	_ADT_BURSTID_L									0x41
#define	_ADT_BURSTID										0x0041
#define	_ADT_BURSTID_Name								"ADT_BURSTID"

#define	_BIST_SETUP_H										0x00
#define	_BIST_SETUP_L										0x51
#define	_BIST_SETUP										0x0051
#define	_BIST_SETUP_Name									"BIST_SETUP"

#define	_BIST_RETURN_STAT_H								0x00
#define	_BIST_RETURN_STAT_L								0x52
#define	_BIST_RETURN_STAT									0x0052
#define	_BIST_RETURN_STAT_Name							"BIST_RETURN_STAT"

#define	_BIST_DISCARD_H									0x00
#define	_BIST_DISCARD_L									0x53
#define	_BIST_DISCARD										0x0053
#define	_BIST_DISCARD_Name								"BIST_DISCARD"

#define	_BIST_ECHO_REQUEST_H								0x00
#define	_BIST_ECHO_REQUEST_L								0x54
#define	_BIST_ECHO_REQUEST								0x0054
#define	_BIST_ECHO_REQUEST_Name							"BIST_ECHO_REQUEST"

#define	_BIST_ECHO_RESPONSE_H							0x00
#define	_BIST_ECHO_RESPONSE_L							0x55
#define	_BIST_ECHO_RESPONSE								0x0055
#define	_BIST_ECHO_RESPONSE_Name						"BIST_ECHO_RESPONSE"

#define	_EMSC_SUPPORT_H									0x00
#define	_EMSC_SUPPORT_L									0x61
#define	_EMSC_SUPPORT										0x0061
#define	_EMSC_SUPPORT_Name								"EMSC_SUPPORT"

#define	_HID_PAYLOAD_H									0x00
#define	_HID_PAYLOAD_L									0x62
#define	_HID_PAYLOAD										0x0062
#define	_HID_PAYLOAD_Name								"HID_PAYLOAD"

#define	_BLK_RCV_BUFFER_INFO_H							0x00
#define	_BLK_RCV_BUFFER_INFO_L							0x63
#define	_BLK_RCV_BUFFER_INFO								0x0063
#define	_BLK_RCV_BUFFER_INFO_Name						"BLK_RCV_BUFFER_INFO"
#define	_BLK_RCV_BUFFER_SIZE_H							0x00
#define	_BLK_RCV_BUFFER_SIZE_L							0xFF


#define	_BITS_PER_PIXEL_FMT_H								0x00
#define	_BITS_PER_PIXEL_FMT_L								0x64
#define	_BITS_PER_PIXEL_FMT								0x0064
#define	_BITS_PER_PIXEL_FMT_Name							"BITS_PER_PIXEL_FMT"

#endif 