/**
* @file Merlin3-DesignSpec-Dolby_v_top
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2017/6/16
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_DOLBY_V_TOP_REG_H_
#define _RBUS_DOLBY_V_TOP_REG_H_

#include "rbusTypes.h"



//  DOLBY_V_TOP Register Address



#define  DOLBY_V_TOP_TOP_CTL_VADDR                          	(0xb806b800)
#define  DOLBY_V_TOP_TOP_PIC_SIZE_VADDR                     	(0xb806b804)
#define  DOLBY_V_TOP_TOP_PIC_TOTAL_VADDR                    	(0xb806b808)
#define  DOLBY_V_TOP_TOP_PIC_STA_VADDR                      	(0xb806b80c)
#define  DOLBY_V_TOP_TOP_D_BUF_VADDR                        	(0xb806b810)
#define  DOLBY_V_TOP_TOP_PIC_SIZE_CROP_VADDR                	(0xb806b814)
#define  DOLBY_V_TOP_TOP_PIC_SIZE_CROP_SUB_VADDR            	(0xb806b818)
#define  DOLBY_V_TOP_TOP_CTL_422TO444_VADDR                 	(0xb806b81c)
#define  DOLBY_V_TOP_SENSIO_FIFO_STATUS_VADDR               	(0xb806b820)
#define  DOLBY_V_TOP_DECOMP_CTRL_0_VADDR                    	(0xb806b830)
#define  DOLBY_V_TOP_DECOMP_CTRL_1_VADDR                    	(0xb806b834)
#define  DOLBY_V_TOP_DECOMP_CTRL_2_VADDR                    	(0xb806b838)
#define  DOLBY_V_TOP_DECOMP_CTRL_3_VADDR                    	(0xb806b83c)
#define  DOLBY_V_TOP_DECOMP_CTRL_4_VADDR                    	(0xb806b940)
#define  DOLBY_V_TOP_DECOMP_CTRL_5_VADDR                    	(0xb806b944)
#define  DOLBY_V_TOP_DECOMP_CTRL_6_VADDR                    	(0xb806b948)
#define  DOLBY_V_TOP_DECOMP_CTRL_8_VADDR                    	(0xb806b950)
#define  DOLBY_V_TOP_DECOMP_CTRL_9_VADDR                    	(0xb806b854)
#define  DOLBY_V_TOP_DECOMP_CTRL_10_VADDR                   	(0xb806b858)
#define  DOLBY_V_TOP_SENSIO_BIST_MODE_VADDR                 	(0xb806b860)
#define  DOLBY_V_TOP_SENSIO_BIST_DONE_VADDR                 	(0xb806b864)
#define  DOLBY_V_TOP_SENSIO_BIST_FAIL_GROUP_VADDR           	(0xb806b868)
#define  DOLBY_V_TOP_SENSIO_DRF_MODE_VADDR                  	(0xb806b86c)
#define  DOLBY_V_TOP_SENSIO_DRF_RESUME_VADDR                	(0xb806b870)
#define  DOLBY_V_TOP_SENSIO_DRF_DONE_VADDR                  	(0xb806b874)
#define  DOLBY_V_TOP_SENSIO_DRF_PAUSE_VADDR                 	(0xb806b878)
#define  DOLBY_V_TOP_SENSIO_DRF_FAIL_GROUP_VADDR            	(0xb806b87c)
#define  DOLBY_V_TOP_COMPOSER_BL_BIST_MODE_VADDR            	(0xb806b880)
#define  DOLBY_V_TOP_COMPOSER_BL_DRF_BIST_MODE_VADDR        	(0xb806b884)
#define  DOLBY_V_TOP_COMPOSER_BL_DRF_TEST_MODE_VADDR        	(0xb806b888)
#define  DOLBY_V_TOP_COMPOSER_BL_BIST_DONE_VADDR            	(0xb806b88c)
#define  DOLBY_V_TOP_COMPOSER_BL_DRF_BIST_DONE_VADDR        	(0xb806b890)
#define  DOLBY_V_TOP_COMPOSER_BL_DRF_START_PAUSE_VADDR      	(0xb806b894)
#define  DOLBY_V_TOP_COMPOSER_EL_BIST_MODE_VADDR            	(0xb806b898)
#define  DOLBY_V_TOP_COMPOSER_EL_DRF_BIST_MODE_VADDR        	(0xb806b89c)
#define  DOLBY_V_TOP_COMPOSER_EL_DRF_TEST_MODE_VADDR        	(0xb806b8a0)
#define  DOLBY_V_TOP_COMPOSER_EL_BIST_DONE_VADDR            	(0xb806b8a4)
#define  DOLBY_V_TOP_COMPOSER_EL_DRF_BIST_DONE_VADDR        	(0xb806b8a8)
#define  DOLBY_V_TOP_COMPOSER_EL_DRF_START_PAUSE_VADDR      	(0xb806b8ac)
#define  DOLBY_V_TOP_DM_MBIST_BIST_MODE_VADDR               	(0xb806b8b0)
#define  DOLBY_V_TOP_DM_MBIST_DRF_MODE_VADDR                	(0xb806b8b4)
#define  DOLBY_V_TOP_DM_MBIST_DRF_RESUME_VADDR              	(0xb806b8b8)
#define  DOLBY_V_TOP_DM_MBIST_BIST_DONE_VADDR               	(0xb806b8bc)
#define  DOLBY_V_TOP_DM_MBIST_DRF_BIST_DONE_VADDR           	(0xb806b8c0)
#define  DOLBY_V_TOP_DM_MBIST_DRF_PAUSE_VADDR               	(0xb806b8c4)
#define  DOLBY_V_TOP_DM_MBIST_BIST_FAIL_GROUP_VADDR         	(0xb806b8c8)
#define  DOLBY_V_TOP_DM_MBIST_DRF_BIST_FAIL_GROUP_VADDR     	(0xb806b8cc)
#define  DOLBY_V_TOP_SENSIO_MBIST_FAIL_0_VADDR              	(0xb806b990)
#define  DOLBY_V_TOP_SENSIO_MBIST_FAIL_1_VADDR              	(0xb806b994)
#define  DOLBY_V_TOP_SENSIO_MBIST_FAIL_SUB_0_VADDR          	(0xb806b998)
#define  DOLBY_V_TOP_SENSIO_MBIST_FAIL_SUB_1_VADDR          	(0xb806b99c)
#define  DOLBY_V_TOP_SENSIO_MBIST_DRF_FAIL_0_VADDR          	(0xb806b9a0)
#define  DOLBY_V_TOP_SENSIO_MBIST_DRF_FAIL_1_VADDR          	(0xb806b9a4)
#define  DOLBY_V_TOP_SENSIO_MBIST_DRF_FAIL_SUB_0_VADDR      	(0xb806b9a8)
#define  DOLBY_V_TOP_SENSIO_MBIST_DRF_FAIL_SUB_1_VADDR      	(0xb806b9ac)
#define  DOLBY_V_TOP_SENSIO_MBIST_LS_0_VADDR                	(0xb806b9b0)
#define  DOLBY_V_TOP_SENSIO_MBIST_LS_1_VADDR                	(0xb806b9b4)
#define  DOLBY_V_TOP_SENSIO_MBIST_LS_SUB_0_VADDR            	(0xb806b9b8)
#define  DOLBY_V_TOP_SENSIO_MBIST_LS_SUB_1_VADDR            	(0xb806b9bc)
#define  DOLBY_V_TOP_SENSIO_MBIST_RM_0_VADDR                	(0xb806b9c0)
#define  DOLBY_V_TOP_SENSIO_MBIST_RM_1_VADDR                	(0xb806b9c4)
#define  DOLBY_V_TOP_SENSIO_MBIST_RM_2_VADDR                	(0xb806b9c8)
#define  DOLBY_V_TOP_SENSIO_MBIST_RM_3_VADDR                	(0xb806b9cc)
#define  DOLBY_V_TOP_SENSIO_MBIST_RM_4_VADDR                	(0xb806b9d0)
#define  DOLBY_V_TOP_SENSIO_MBIST_RM_SUB_0_VADDR            	(0xb806b9d4)
#define  DOLBY_V_TOP_SENSIO_MBIST_RM_SUB_1_VADDR            	(0xb806b9d8)
#define  DOLBY_V_TOP_SENSIO_MBIST_RM_SUB_2_VADDR            	(0xb806b9dc)
#define  DOLBY_V_TOP_SENSIO_MBIST_RM_SUB_3_VADDR            	(0xb806b9e0)
#define  DOLBY_V_TOP_SENSIO_MBIST_RM_SUB_4_VADDR            	(0xb806b9e4)
#define  DOLBY_V_TOP_SENSIO_MBIST_RME_0_VADDR               	(0xb806b9f0)
#define  DOLBY_V_TOP_SENSIO_MBIST_RME_1_VADDR               	(0xb806b9f4)
#define  DOLBY_V_TOP_SENSIO_MBIST_RME_SUB_0_VADDR           	(0xb806b9f8)
#define  DOLBY_V_TOP_SENSIO_MBIST_RME_SUB_1_VADDR           	(0xb806b9fc)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======DOLBY_V_TOP register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  end_out_mux:1;
        RBus_UInt32  sel_sign_tc:1;
        RBus_UInt32  cr_dly_cb_tc:1;
        RBus_UInt32  dup_tc:1;
        RBus_UInt32  en_422to444_tc:1;
        RBus_UInt32  sel_sign_1:1;
        RBus_UInt32  cr_dly_cb_1:1;
        RBus_UInt32  dup_1:1;
        RBus_UInt32  en_422to444_1:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  bl_el_layer:1;
        RBus_UInt32  hdmi_in_mux:1;
        RBus_UInt32  dolby_ratio:1;
        RBus_UInt32  dolby_mode:4;
    };
}dolby_v_top_top_ctl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  dolby_vsize:12;
        RBus_UInt32  res2:3;
        RBus_UInt32  dolby_hsize:13;
    };
}dolby_v_top_top_pic_size_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:19;
        RBus_UInt32  dolby_h_total:13;
    };
}dolby_v_top_top_pic_total_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  dolby_v_den_sta:8;
        RBus_UInt32  res2:4;
        RBus_UInt32  dolby_h_den_sta:12;
    };
}dolby_v_top_top_pic_sta_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dolby_v_read_sel:1;
        RBus_UInt32  res1:27;
        RBus_UInt32  dolby_double_apply_sub:1;
        RBus_UInt32  dolby_double_en_sub:1;
        RBus_UInt32  dolby_double_apply:1;
        RBus_UInt32  dolby_double_en:1;
    };
}dolby_v_top_top_d_buf_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  crop_v_en:1;
        RBus_UInt32  crop_h_en:1;
        RBus_UInt32  res2:28;
    };
}dolby_v_top_top_pic_size_crop_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  crop_v_en_sub:1;
        RBus_UInt32  crop_h_en_sub:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  crop_vsize_sub:11;
        RBus_UInt32  res2:4;
        RBus_UInt32  crop_hsize_sub:12;
    };
}dolby_v_top_top_pic_size_crop_sub_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  sel_sign_2:1;
        RBus_UInt32  cr_dly_cb_2:1;
        RBus_UInt32  dup_2:1;
        RBus_UInt32  en_422to444_2:1;
        RBus_UInt32  res2:20;
    };
}dolby_v_top_top_ctl_422to444_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  efuse_in:2;
        RBus_UInt32  sen_fifo_uf:1;
    };
}dolby_v_top_sensio_fifo_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:21;
        RBus_UInt32  force_ctsfifo_rstn_decomp:1;
        RBus_UInt32  en_ctsfifo_vsrst_decomp:1;
        RBus_UInt32  en_ctsfifo_bypass_decomp:1;
        RBus_UInt32  res2:4;
        RBus_UInt32  re_decom_en:1;
        RBus_UInt32  main_decomp_10bit:2;
        RBus_UInt32  vflip_en:1;
    };
}dolby_v_top_decomp_ctrl_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  main_ivsize:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  main_ihsize:12;
    };
}dolby_v_top_decomp_ctrl_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  sub_re_decom_en:1;
        RBus_UInt32  sub_decomp_10bit:2;
        RBus_UInt32  sub_vflip_en:1;
        RBus_UInt32  res2:4;
    };
}dolby_v_top_decomp_ctrl_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  sub_ivsize:11;
        RBus_UInt32  res2:4;
        RBus_UInt32  sub_ihsize:12;
    };
}dolby_v_top_decomp_ctrl_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  hs_width:6;
        RBus_UInt32  res2:16;
    };
}dolby_v_top_decomp_ctrl_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  v_den_st:8;
        RBus_UInt32  res2:4;
        RBus_UInt32  h_den_st:12;
    };
}dolby_v_top_decomp_ctrl_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  sub_hs_width:6;
        RBus_UInt32  res2:3;
        RBus_UInt32  sub_h_total:13;
    };
}dolby_v_top_decomp_ctrl_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  sub_v_den_st:8;
        RBus_UInt32  res2:4;
        RBus_UInt32  sub_h_den_st:12;
    };
}dolby_v_top_decomp_ctrl_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  real_decomp_vend:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  real_decomp_vstart:12;
    };
}dolby_v_top_decomp_ctrl_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  sub_real_decomp_vend:11;
        RBus_UInt32  res2:5;
        RBus_UInt32  sub_real_decomp_vstart:11;
    };
}dolby_v_top_decomp_ctrl_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  sensio_bist_sub_3_mode:1;
        RBus_UInt32  sensio_bist_sub_2_mode:1;
        RBus_UInt32  sensio_bist_sub_1_mode:1;
        RBus_UInt32  sensio_bist_sub_0_mode:1;
        RBus_UInt32  sensio_bist_3_mode:1;
        RBus_UInt32  sensio_bist_2_mode:1;
        RBus_UInt32  sensio_bist_1_mode:1;
        RBus_UInt32  sensio_bist_0_mode:1;
    };
}dolby_v_top_sensio_bist_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  sensio_bist_sub_3_done:1;
        RBus_UInt32  sensio_bist_sub_2_done:1;
        RBus_UInt32  sensio_bist_sub_1_done:1;
        RBus_UInt32  sensio_bist_sub_0_done:1;
        RBus_UInt32  sensio_bist_3_done:1;
        RBus_UInt32  sensio_bist_2_done:1;
        RBus_UInt32  sensio_bist_1_done:1;
        RBus_UInt32  sensio_bist_0_done:1;
    };
}dolby_v_top_sensio_bist_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  sensio_bist_fail_sub_3_group:1;
        RBus_UInt32  sensio_bist_fail_sub_2_group:1;
        RBus_UInt32  sensio_bist_fail_sub_1_group:1;
        RBus_UInt32  sensio_bist_fail_sub_0_group:1;
        RBus_UInt32  sensio_bist_fail_3_group:1;
        RBus_UInt32  sensio_bist_fail_2_group:1;
        RBus_UInt32  sensio_bist_fail_1_group:1;
        RBus_UInt32  sensio_bist_fail_0_group:1;
    };
}dolby_v_top_sensio_bist_fail_group_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  sensio_drf_sub_3_mode:1;
        RBus_UInt32  sensio_drf_sub_2_mode:1;
        RBus_UInt32  sensio_drf_sub_1_mode:1;
        RBus_UInt32  sensio_drf_sub_0_mode:1;
        RBus_UInt32  sensio_drf_3_mode:1;
        RBus_UInt32  sensio_drf_2_mode:1;
        RBus_UInt32  sensio_drf_1_mode:1;
        RBus_UInt32  sensio_drf_0_mode:1;
    };
}dolby_v_top_sensio_drf_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  sensio_drf_sub_3_resume:1;
        RBus_UInt32  sensio_drf_sub_2_resume:1;
        RBus_UInt32  sensio_drf_sub_1_resume:1;
        RBus_UInt32  sensio_drf_sub_0_resume:1;
        RBus_UInt32  sensio_drf_3_resume:1;
        RBus_UInt32  sensio_drf_2_resume:1;
        RBus_UInt32  sensio_drf_1_resume:1;
        RBus_UInt32  sensio_drf_0_resume:1;
    };
}dolby_v_top_sensio_drf_resume_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  sensio_drf_sub_3_done:1;
        RBus_UInt32  sensio_drf_sub_2_done:1;
        RBus_UInt32  sensio_drf_sub_1_done:1;
        RBus_UInt32  sensio_drf_sub_0_done:1;
        RBus_UInt32  sensio_drf_3_done:1;
        RBus_UInt32  sensio_drf_2_done:1;
        RBus_UInt32  sensio_drf_1_done:1;
        RBus_UInt32  sensio_drf_0_done:1;
    };
}dolby_v_top_sensio_drf_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  sensio_drf_sub_3_pause:1;
        RBus_UInt32  sensio_drf_sub_2_pause:1;
        RBus_UInt32  sensio_drf_sub_1_pause:1;
        RBus_UInt32  sensio_drf_sub_0_pause:1;
        RBus_UInt32  sensio_drf_3_pause:1;
        RBus_UInt32  sensio_drf_2_pause:1;
        RBus_UInt32  sensio_drf_1_pause:1;
        RBus_UInt32  sensio_drf_0_pause:1;
    };
}dolby_v_top_sensio_drf_pause_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  sensio_drf_fail_sub_3_group:1;
        RBus_UInt32  sensio_drf_fail_sub_2_group:1;
        RBus_UInt32  sensio_drf_fail_sub_1_group:1;
        RBus_UInt32  sensio_drf_fail_sub_0_group:1;
        RBus_UInt32  sensio_drf_fail_3_group:1;
        RBus_UInt32  sensio_drf_fail_2_group:1;
        RBus_UInt32  sensio_drf_fail_1_group:1;
        RBus_UInt32  sensio_drf_fail_0_group:1;
    };
}dolby_v_top_sensio_drf_fail_group_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  composer_bl_bist_mode:1;
    };
}dolby_v_top_composer_bl_bist_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  composer_bl_drf_bist_mode:1;
    };
}dolby_v_top_composer_bl_drf_bist_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  composer_bl_drf_test_resume:1;
    };
}dolby_v_top_composer_bl_drf_test_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  composer_bl_bist_done:1;
    };
}dolby_v_top_composer_bl_bist_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  composer_bl_drf_bist_done:1;
    };
}dolby_v_top_composer_bl_drf_bist_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  composer_bl_drf_start_pause:1;
    };
}dolby_v_top_composer_bl_drf_start_pause_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  composer_el_bist_mode:1;
    };
}dolby_v_top_composer_el_bist_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  composer_el_drf_bist_mode:1;
    };
}dolby_v_top_composer_el_drf_bist_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  composer_el_drf_test_resume:1;
    };
}dolby_v_top_composer_el_drf_test_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  composer_el_bist_done:1;
    };
}dolby_v_top_composer_el_bist_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  composer_el_drf_bist_done:1;
    };
}dolby_v_top_composer_el_drf_bist_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  composer_el_drf_start_pause:1;
    };
}dolby_v_top_composer_el_drf_start_pause_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  dmato3dtable_bist_mode:1;
        RBus_UInt32  tchdr_silut_bist_mode:1;
        RBus_UInt32  tchdr_plut_bist_mode:1;
        RBus_UInt32  tchdr_cdlut_bist_mode:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  dm_hist_1p_bist_mode:1;
        RBus_UInt32  dm_hist_2p_bist_mode:1;
        RBus_UInt32  dm_b05_bist_mode:1;
        RBus_UInt32  dm_b03_2_bist_mode:1;
        RBus_UInt32  dm_b03_1_bist_mode:1;
        RBus_UInt32  dm_b02_bist_mode:1;
        RBus_UInt32  dm_b0103_bist_mode:1;
        RBus_UInt32  dm_b0101_2_bist_mode:1;
        RBus_UInt32  dm_b0101_1_bist_mode:1;
    };
}dolby_v_top_dm_mbist_bist_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  dmato3dtable_drf_bist_mode:1;
        RBus_UInt32  tchdr_silut_drf_bist_mode:1;
        RBus_UInt32  tchdr_plut_drf_bist_mode:1;
        RBus_UInt32  tchdr_cdlut_drf_bist_mode:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  dm_hist_1p_drf_bist_mode:1;
        RBus_UInt32  dm_hist_2p_drf_bist_mode:1;
        RBus_UInt32  dm_b05_drf_bist_mode:1;
        RBus_UInt32  dm_b03_2_drf_bist_mode:1;
        RBus_UInt32  dm_b03_1_drf_bist_mode:1;
        RBus_UInt32  dm_b02_drf_bist_mode:1;
        RBus_UInt32  dm_b0103_drf_bist_mode:1;
        RBus_UInt32  dm_b0101_2_drf_bist_mode:1;
        RBus_UInt32  dm_b0101_1_drf_bist_mode:1;
    };
}dolby_v_top_dm_mbist_drf_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  dmato3dtable_drf_test_resume:1;
        RBus_UInt32  tchdr_silut_drf_test_resume:1;
        RBus_UInt32  tchdr_plut_drf_test_resume:1;
        RBus_UInt32  tchdr_cdlut_drf_test_resume:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  dm_hist_1p_drf_test_resume:1;
        RBus_UInt32  dm_hist_2p_drf_test_resume:1;
        RBus_UInt32  dm_b05_drf_test_resume:1;
        RBus_UInt32  dm_b03_2_drf_test_resume:1;
        RBus_UInt32  dm_b03_1_drf_test_resume:1;
        RBus_UInt32  dm_b02_drf_test_resume:1;
        RBus_UInt32  dm_b0103_drf_test_resume:1;
        RBus_UInt32  dm_b0101_2_drf_test_resume:1;
        RBus_UInt32  dm_b0101_1_drf_test_resume:1;
    };
}dolby_v_top_dm_mbist_drf_resume_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  dmato3dtable_bist_done:1;
        RBus_UInt32  tchdr_silut_bist_done:1;
        RBus_UInt32  tchdr_plut_bist_done:1;
        RBus_UInt32  tchdr_cdlut_bist_done:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  dm_hist_1p_bist_done:1;
        RBus_UInt32  dm_hist_2p_bist_done:1;
        RBus_UInt32  dm_b05_bist_done:1;
        RBus_UInt32  dm_b03_2_bist_done:1;
        RBus_UInt32  dm_b03_1_bist_done:1;
        RBus_UInt32  dm_b02_bist_done:1;
        RBus_UInt32  dm_b0103_bist_done:1;
        RBus_UInt32  dm_b0101_2_bist_done:1;
        RBus_UInt32  dm_b0101_1_bist_done:1;
    };
}dolby_v_top_dm_mbist_bist_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  dmato3dtable_drf_bist_done:1;
        RBus_UInt32  tchdr_silut_drf_bist_done:1;
        RBus_UInt32  tchdr_plut_drf_bist_done:1;
        RBus_UInt32  tchdr_cdlut_drf_bist_done:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  dm_hist_1p_drf_bist_done:1;
        RBus_UInt32  dm_hist_2p_drf_bist_done:1;
        RBus_UInt32  dm_b05_drf_bist_done:1;
        RBus_UInt32  dm_b03_2_drf_bist_done:1;
        RBus_UInt32  dm_b03_1_drf_bist_done:1;
        RBus_UInt32  dm_b02_drf_bist_done:1;
        RBus_UInt32  dm_b0103_drf_bist_done:1;
        RBus_UInt32  dm_b0101_2_drf_bist_done:1;
        RBus_UInt32  dm_b0101_1_drf_bist_done:1;
    };
}dolby_v_top_dm_mbist_drf_bist_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  dmato3dtable_drf_start_pause:1;
        RBus_UInt32  tchdr_silut_drf_start_pause:1;
        RBus_UInt32  tchdr_plut_drf_start_pause:1;
        RBus_UInt32  tchdr_cdlut_drf_start_pause:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  dm_hist_1p_drf_start_pause:1;
        RBus_UInt32  dm_hist_2p_drf_start_pause:1;
        RBus_UInt32  dm_b05_drf_start_pause:1;
        RBus_UInt32  dm_b03_2_drf_start_pause:1;
        RBus_UInt32  dm_b03_1_drf_start_pause:1;
        RBus_UInt32  dm_b02_drf_start_pause:1;
        RBus_UInt32  dm_b0103_drf_start_pause:1;
        RBus_UInt32  dm_b0101_2_drf_start_pause:1;
        RBus_UInt32  dm_b0101_1_drf_start_pause:1;
    };
}dolby_v_top_dm_mbist_drf_pause_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  dmato3dtable_bist_fail_group:1;
        RBus_UInt32  tchdr_silut_bist_fail_group:1;
        RBus_UInt32  tchdr_plut_bist_fail_group:1;
        RBus_UInt32  tchdr_cdlut_bist_fail_group:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  dm_hist_1p_bist_fail_group:1;
        RBus_UInt32  dm_hist_2p_bist_fail_group:1;
        RBus_UInt32  dm_b05_bist_fail_group:1;
        RBus_UInt32  dm_b03_2_bist_fail_group:1;
        RBus_UInt32  dm_b03_1_bist_fail_group:1;
        RBus_UInt32  dm_b02_bist_fail_group:1;
        RBus_UInt32  dm_b0103_bist_fail_group:1;
        RBus_UInt32  dm_b0101_2_bist_fail_group:1;
        RBus_UInt32  dm_b0101_1_bist_fail_group:1;
    };
}dolby_v_top_dm_mbist_bist_fail_group_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  dmato3dtable_drf_bist_fail_group:1;
        RBus_UInt32  tchdr_silut_drf_bist_fail_group:1;
        RBus_UInt32  tchdr_plut_drf_bist_fail_group:1;
        RBus_UInt32  tchdr_cdlut_drf_bist_fail_group:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  dm_hist_1p_drf_bist_fail_group:1;
        RBus_UInt32  dm_hist_2p_drf_bist_fail_group:1;
        RBus_UInt32  dm_b05_drf_bist_fail_group:1;
        RBus_UInt32  dm_b03_2_drf_bist_fail_group:1;
        RBus_UInt32  dm_b03_1_drf_bist_fail_group:1;
        RBus_UInt32  dm_b02_drf_bist_fail_group:1;
        RBus_UInt32  dm_b0103_drf_bist_fail_group:1;
        RBus_UInt32  dm_b0101_2_drf_bist_fail_group:1;
        RBus_UInt32  dm_b0101_1_drf_bist_fail_group:1;
    };
}dolby_v_top_dm_mbist_drf_bist_fail_group_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  bist_fail_1_9:1;
        RBus_UInt32  bist_fail_1_8:1;
        RBus_UInt32  bist_fail_1_7:1;
        RBus_UInt32  bist_fail_1_6:1;
        RBus_UInt32  bist_fail_1_5:1;
        RBus_UInt32  bist_fail_1_4:1;
        RBus_UInt32  bist_fail_1_3:1;
        RBus_UInt32  bist_fail_1_2:1;
        RBus_UInt32  bist_fail_1_1:1;
        RBus_UInt32  bist_fail_1_0:1;
        RBus_UInt32  bist_fail_0_9:1;
        RBus_UInt32  bist_fail_0_8:1;
        RBus_UInt32  bist_fail_0_7:1;
        RBus_UInt32  bist_fail_0_6:1;
        RBus_UInt32  bist_fail_0_5:1;
        RBus_UInt32  bist_fail_0_4:1;
        RBus_UInt32  bist_fail_0_3:1;
        RBus_UInt32  bist_fail_0_2:1;
        RBus_UInt32  bist_fail_0_1:1;
        RBus_UInt32  bist_fail_0_0:1;
    };
}dolby_v_top_sensio_mbist_fail_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  bist_fail_3_9:1;
        RBus_UInt32  bist_fail_3_8:1;
        RBus_UInt32  bist_fail_3_7:1;
        RBus_UInt32  bist_fail_3_6:1;
        RBus_UInt32  bist_fail_3_5:1;
        RBus_UInt32  bist_fail_3_4:1;
        RBus_UInt32  bist_fail_3_3:1;
        RBus_UInt32  bist_fail_3_2:1;
        RBus_UInt32  bist_fail_3_1:1;
        RBus_UInt32  bist_fail_3_0:1;
        RBus_UInt32  bist_fail_2_9:1;
        RBus_UInt32  bist_fail_2_8:1;
        RBus_UInt32  bist_fail_2_7:1;
        RBus_UInt32  bist_fail_2_6:1;
        RBus_UInt32  bist_fail_2_5:1;
        RBus_UInt32  bist_fail_2_4:1;
        RBus_UInt32  bist_fail_2_3:1;
        RBus_UInt32  bist_fail_2_2:1;
        RBus_UInt32  bist_fail_2_1:1;
        RBus_UInt32  bist_fail_2_0:1;
    };
}dolby_v_top_sensio_mbist_fail_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  bist_fail_sub_1_9:1;
        RBus_UInt32  bist_fail_sub_1_8:1;
        RBus_UInt32  bist_fail_sub_1_7:1;
        RBus_UInt32  bist_fail_sub_1_6:1;
        RBus_UInt32  bist_fail_sub_1_5:1;
        RBus_UInt32  bist_fail_sub_1_4:1;
        RBus_UInt32  bist_fail_sub_1_3:1;
        RBus_UInt32  bist_fail_sub_1_2:1;
        RBus_UInt32  bist_fail_sub_1_1:1;
        RBus_UInt32  bist_fail_sub_1_0:1;
        RBus_UInt32  bist_fail_sub_0_9:1;
        RBus_UInt32  bist_fail_sub_0_8:1;
        RBus_UInt32  bist_fail_sub_0_7:1;
        RBus_UInt32  bist_fail_sub_0_6:1;
        RBus_UInt32  bist_fail_sub_0_5:1;
        RBus_UInt32  bist_fail_sub_0_4:1;
        RBus_UInt32  bist_fail_sub_0_3:1;
        RBus_UInt32  bist_fail_sub_0_2:1;
        RBus_UInt32  bist_fail_sub_0_1:1;
        RBus_UInt32  bist_fail_sub_0_0:1;
    };
}dolby_v_top_sensio_mbist_fail_sub_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  bist_fail_sub_3_9:1;
        RBus_UInt32  bist_fail_sub_3_8:1;
        RBus_UInt32  bist_fail_sub_3_7:1;
        RBus_UInt32  bist_fail_sub_3_6:1;
        RBus_UInt32  bist_fail_sub_3_5:1;
        RBus_UInt32  bist_fail_sub_3_4:1;
        RBus_UInt32  bist_fail_sub_3_3:1;
        RBus_UInt32  bist_fail_sub_3_2:1;
        RBus_UInt32  bist_fail_sub_3_1:1;
        RBus_UInt32  bist_fail_sub_3_0:1;
        RBus_UInt32  bist_fail_sub_2_9:1;
        RBus_UInt32  bist_fail_sub_2_8:1;
        RBus_UInt32  bist_fail_sub_2_7:1;
        RBus_UInt32  bist_fail_sub_2_6:1;
        RBus_UInt32  bist_fail_sub_2_5:1;
        RBus_UInt32  bist_fail_sub_2_4:1;
        RBus_UInt32  bist_fail_sub_2_3:1;
        RBus_UInt32  bist_fail_sub_2_2:1;
        RBus_UInt32  bist_fail_sub_2_1:1;
        RBus_UInt32  bist_fail_sub_2_0:1;
    };
}dolby_v_top_sensio_mbist_fail_sub_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  drf_bist_fail_1_9:1;
        RBus_UInt32  drf_bist_fail_1_8:1;
        RBus_UInt32  drf_bist_fail_1_7:1;
        RBus_UInt32  drf_bist_fail_1_6:1;
        RBus_UInt32  drf_bist_fail_1_5:1;
        RBus_UInt32  drf_bist_fail_1_4:1;
        RBus_UInt32  drf_bist_fail_1_3:1;
        RBus_UInt32  drf_bist_fail_1_2:1;
        RBus_UInt32  drf_bist_fail_1_1:1;
        RBus_UInt32  drf_bist_fail_1_0:1;
        RBus_UInt32  drf_bist_fail_0_9:1;
        RBus_UInt32  drf_bist_fail_0_8:1;
        RBus_UInt32  drf_bist_fail_0_7:1;
        RBus_UInt32  drf_bist_fail_0_6:1;
        RBus_UInt32  drf_bist_fail_0_5:1;
        RBus_UInt32  drf_bist_fail_0_4:1;
        RBus_UInt32  drf_bist_fail_0_3:1;
        RBus_UInt32  drf_bist_fail_0_2:1;
        RBus_UInt32  drf_bist_fail_0_1:1;
        RBus_UInt32  drf_bist_fail_0_0:1;
    };
}dolby_v_top_sensio_mbist_drf_fail_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  drf_bist_fail_3_9:1;
        RBus_UInt32  drf_bist_fail_3_8:1;
        RBus_UInt32  drf_bist_fail_3_7:1;
        RBus_UInt32  drf_bist_fail_3_6:1;
        RBus_UInt32  drf_bist_fail_3_5:1;
        RBus_UInt32  drf_bist_fail_3_4:1;
        RBus_UInt32  drf_bist_fail_3_3:1;
        RBus_UInt32  drf_bist_fail_3_2:1;
        RBus_UInt32  drf_bist_fail_3_1:1;
        RBus_UInt32  drf_bist_fail_3_0:1;
        RBus_UInt32  drf_bist_fail_2_9:1;
        RBus_UInt32  drf_bist_fail_2_8:1;
        RBus_UInt32  drf_bist_fail_2_7:1;
        RBus_UInt32  drf_bist_fail_2_6:1;
        RBus_UInt32  drf_bist_fail_2_5:1;
        RBus_UInt32  drf_bist_fail_2_4:1;
        RBus_UInt32  drf_bist_fail_2_3:1;
        RBus_UInt32  drf_bist_fail_2_2:1;
        RBus_UInt32  drf_bist_fail_2_1:1;
        RBus_UInt32  drf_bist_fail_2_0:1;
    };
}dolby_v_top_sensio_mbist_drf_fail_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  drf_bist_fail_sub_1_9:1;
        RBus_UInt32  drf_bist_fail_sub_1_8:1;
        RBus_UInt32  drf_bist_fail_sub_1_7:1;
        RBus_UInt32  drf_bist_fail_sub_1_6:1;
        RBus_UInt32  drf_bist_fail_sub_1_5:1;
        RBus_UInt32  drf_bist_fail_sub_1_4:1;
        RBus_UInt32  drf_bist_fail_sub_1_3:1;
        RBus_UInt32  drf_bist_fail_sub_1_2:1;
        RBus_UInt32  drf_bist_fail_sub_1_1:1;
        RBus_UInt32  drf_bist_fail_sub_1_0:1;
        RBus_UInt32  drf_bist_fail_sub_0_9:1;
        RBus_UInt32  drf_bist_fail_sub_0_8:1;
        RBus_UInt32  drf_bist_fail_sub_0_7:1;
        RBus_UInt32  drf_bist_fail_sub_0_6:1;
        RBus_UInt32  drf_bist_fail_sub_0_5:1;
        RBus_UInt32  drf_bist_fail_sub_0_4:1;
        RBus_UInt32  drf_bist_fail_sub_0_3:1;
        RBus_UInt32  drf_bist_fail_sub_0_2:1;
        RBus_UInt32  drf_bist_fail_sub_0_1:1;
        RBus_UInt32  drf_bist_fail_sub_0_0:1;
    };
}dolby_v_top_sensio_mbist_drf_fail_sub_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  drf_bist_fail_sub_3_9:1;
        RBus_UInt32  drf_bist_fail_sub_3_8:1;
        RBus_UInt32  drf_bist_fail_sub_3_7:1;
        RBus_UInt32  drf_bist_fail_sub_3_6:1;
        RBus_UInt32  drf_bist_fail_sub_3_5:1;
        RBus_UInt32  drf_bist_fail_sub_3_4:1;
        RBus_UInt32  drf_bist_fail_sub_3_3:1;
        RBus_UInt32  drf_bist_fail_sub_3_2:1;
        RBus_UInt32  drf_bist_fail_sub_3_1:1;
        RBus_UInt32  drf_bist_fail_sub_3_0:1;
        RBus_UInt32  drf_bist_fail_sub_2_9:1;
        RBus_UInt32  drf_bist_fail_sub_2_8:1;
        RBus_UInt32  drf_bist_fail_sub_2_7:1;
        RBus_UInt32  drf_bist_fail_sub_2_6:1;
        RBus_UInt32  drf_bist_fail_sub_2_5:1;
        RBus_UInt32  drf_bist_fail_sub_2_4:1;
        RBus_UInt32  drf_bist_fail_sub_2_3:1;
        RBus_UInt32  drf_bist_fail_sub_2_2:1;
        RBus_UInt32  drf_bist_fail_sub_2_1:1;
        RBus_UInt32  drf_bist_fail_sub_2_0:1;
    };
}dolby_v_top_sensio_mbist_drf_fail_sub_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  ls_1_9:1;
        RBus_UInt32  ls_1_8:1;
        RBus_UInt32  ls_1_7:1;
        RBus_UInt32  ls_1_6:1;
        RBus_UInt32  ls_1_5:1;
        RBus_UInt32  ls_1_4:1;
        RBus_UInt32  ls_1_3:1;
        RBus_UInt32  ls_1_2:1;
        RBus_UInt32  ls_1_1:1;
        RBus_UInt32  ls_1_0:1;
        RBus_UInt32  ls_0_9:1;
        RBus_UInt32  ls_0_8:1;
        RBus_UInt32  ls_0_7:1;
        RBus_UInt32  ls_0_6:1;
        RBus_UInt32  ls_0_5:1;
        RBus_UInt32  ls_0_4:1;
        RBus_UInt32  ls_0_3:1;
        RBus_UInt32  ls_0_2:1;
        RBus_UInt32  ls_0_1:1;
        RBus_UInt32  ls_0_0:1;
    };
}dolby_v_top_sensio_mbist_ls_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  ls_3_9:1;
        RBus_UInt32  ls_3_8:1;
        RBus_UInt32  ls_3_7:1;
        RBus_UInt32  ls_3_6:1;
        RBus_UInt32  ls_3_5:1;
        RBus_UInt32  ls_3_4:1;
        RBus_UInt32  ls_3_3:1;
        RBus_UInt32  ls_3_2:1;
        RBus_UInt32  ls_3_1:1;
        RBus_UInt32  ls_3_0:1;
        RBus_UInt32  ls_2_9:1;
        RBus_UInt32  ls_2_8:1;
        RBus_UInt32  ls_2_7:1;
        RBus_UInt32  ls_2_6:1;
        RBus_UInt32  ls_2_5:1;
        RBus_UInt32  ls_2_4:1;
        RBus_UInt32  ls_2_3:1;
        RBus_UInt32  ls_2_2:1;
        RBus_UInt32  ls_2_1:1;
        RBus_UInt32  ls_2_0:1;
    };
}dolby_v_top_sensio_mbist_ls_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  ls_sub_1_9:1;
        RBus_UInt32  ls_sub_1_8:1;
        RBus_UInt32  ls_sub_1_7:1;
        RBus_UInt32  ls_sub_1_6:1;
        RBus_UInt32  ls_sub_1_5:1;
        RBus_UInt32  ls_sub_1_4:1;
        RBus_UInt32  ls_sub_1_3:1;
        RBus_UInt32  ls_sub_1_2:1;
        RBus_UInt32  ls_sub_1_1:1;
        RBus_UInt32  ls_sub_1_0:1;
        RBus_UInt32  ls_sub_0_9:1;
        RBus_UInt32  ls_sub_0_8:1;
        RBus_UInt32  ls_sub_0_7:1;
        RBus_UInt32  ls_sub_0_6:1;
        RBus_UInt32  ls_sub_0_5:1;
        RBus_UInt32  ls_sub_0_4:1;
        RBus_UInt32  ls_sub_0_3:1;
        RBus_UInt32  ls_sub_0_2:1;
        RBus_UInt32  ls_sub_0_1:1;
        RBus_UInt32  ls_sub_0_0:1;
    };
}dolby_v_top_sensio_mbist_ls_sub_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  ls_sub_3_9:1;
        RBus_UInt32  ls_sub_3_8:1;
        RBus_UInt32  ls_sub_3_7:1;
        RBus_UInt32  ls_sub_3_6:1;
        RBus_UInt32  ls_sub_3_5:1;
        RBus_UInt32  ls_sub_3_4:1;
        RBus_UInt32  ls_sub_3_3:1;
        RBus_UInt32  ls_sub_3_2:1;
        RBus_UInt32  ls_sub_3_1:1;
        RBus_UInt32  ls_sub_3_0:1;
        RBus_UInt32  ls_sub_2_9:1;
        RBus_UInt32  ls_sub_2_8:1;
        RBus_UInt32  ls_sub_2_7:1;
        RBus_UInt32  ls_sub_2_6:1;
        RBus_UInt32  ls_sub_2_5:1;
        RBus_UInt32  ls_sub_2_4:1;
        RBus_UInt32  ls_sub_2_3:1;
        RBus_UInt32  ls_sub_2_2:1;
        RBus_UInt32  ls_sub_2_1:1;
        RBus_UInt32  ls_sub_2_0:1;
    };
}dolby_v_top_sensio_mbist_ls_sub_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_0_7:4;
        RBus_UInt32  rm_0_6:4;
        RBus_UInt32  rm_0_5:4;
        RBus_UInt32  rm_0_4:4;
        RBus_UInt32  rm_0_3:4;
        RBus_UInt32  rm_0_2:4;
        RBus_UInt32  rm_0_1:4;
        RBus_UInt32  rm_0_0:4;
    };
}dolby_v_top_sensio_mbist_rm_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_1_5:4;
        RBus_UInt32  rm_1_4:4;
        RBus_UInt32  rm_1_3:4;
        RBus_UInt32  rm_1_2:4;
        RBus_UInt32  rm_1_1:4;
        RBus_UInt32  rm_1_0:4;
        RBus_UInt32  rm_0_9:4;
        RBus_UInt32  rm_0_8:4;
    };
}dolby_v_top_sensio_mbist_rm_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_2_3:4;
        RBus_UInt32  rm_2_2:4;
        RBus_UInt32  rm_2_1:4;
        RBus_UInt32  rm_2_0:4;
        RBus_UInt32  rm_1_9:4;
        RBus_UInt32  rm_1_8:4;
        RBus_UInt32  rm_1_7:4;
        RBus_UInt32  rm_1_6:4;
    };
}dolby_v_top_sensio_mbist_rm_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_3_1:4;
        RBus_UInt32  rm_3_0:4;
        RBus_UInt32  rm_2_9:4;
        RBus_UInt32  rm_2_8:4;
        RBus_UInt32  rm_2_7:4;
        RBus_UInt32  rm_2_6:4;
        RBus_UInt32  rm_2_5:4;
        RBus_UInt32  rm_2_4:4;
    };
}dolby_v_top_sensio_mbist_rm_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_3_9:4;
        RBus_UInt32  rm_3_8:4;
        RBus_UInt32  rm_3_7:4;
        RBus_UInt32  rm_3_6:4;
        RBus_UInt32  rm_3_5:4;
        RBus_UInt32  rm_3_4:4;
        RBus_UInt32  rm_3_3:4;
        RBus_UInt32  rm_3_2:4;
    };
}dolby_v_top_sensio_mbist_rm_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_sub_0_7:4;
        RBus_UInt32  rm_sub_0_6:4;
        RBus_UInt32  rm_sub_0_5:4;
        RBus_UInt32  rm_sub_0_4:4;
        RBus_UInt32  rm_sub_0_3:4;
        RBus_UInt32  rm_sub_0_2:4;
        RBus_UInt32  rm_sub_0_1:4;
        RBus_UInt32  rm_sub_0_0:4;
    };
}dolby_v_top_sensio_mbist_rm_sub_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_sub_1_5:4;
        RBus_UInt32  rm_sub_1_4:4;
        RBus_UInt32  rm_sub_1_3:4;
        RBus_UInt32  rm_sub_1_2:4;
        RBus_UInt32  rm_sub_1_1:4;
        RBus_UInt32  rm_sub_1_0:4;
        RBus_UInt32  rm_sub_0_9:4;
        RBus_UInt32  rm_sub_0_8:4;
    };
}dolby_v_top_sensio_mbist_rm_sub_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_sub_2_3:4;
        RBus_UInt32  rm_sub_2_2:4;
        RBus_UInt32  rm_sub_2_1:4;
        RBus_UInt32  rm_sub_2_0:4;
        RBus_UInt32  rm_sub_1_9:4;
        RBus_UInt32  rm_sub_1_8:4;
        RBus_UInt32  rm_sub_1_7:4;
        RBus_UInt32  rm_sub_1_6:4;
    };
}dolby_v_top_sensio_mbist_rm_sub_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_sub_3_1:4;
        RBus_UInt32  rm_sub_3_0:4;
        RBus_UInt32  rm_sub_2_9:4;
        RBus_UInt32  rm_sub_2_8:4;
        RBus_UInt32  rm_sub_2_7:4;
        RBus_UInt32  rm_sub_2_6:4;
        RBus_UInt32  rm_sub_2_5:4;
        RBus_UInt32  rm_sub_2_4:4;
    };
}dolby_v_top_sensio_mbist_rm_sub_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_sub_3_9:4;
        RBus_UInt32  rm_sub_3_8:4;
        RBus_UInt32  rm_sub_3_7:4;
        RBus_UInt32  rm_sub_3_6:4;
        RBus_UInt32  rm_sub_3_5:4;
        RBus_UInt32  rm_sub_3_4:4;
        RBus_UInt32  rm_sub_3_3:4;
        RBus_UInt32  rm_sub_3_2:4;
    };
}dolby_v_top_sensio_mbist_rm_sub_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  rme_1_9:1;
        RBus_UInt32  rme_1_8:1;
        RBus_UInt32  rme_1_7:1;
        RBus_UInt32  rme_1_6:1;
        RBus_UInt32  rme_1_5:1;
        RBus_UInt32  rme_1_4:1;
        RBus_UInt32  rme_1_3:1;
        RBus_UInt32  rme_1_2:1;
        RBus_UInt32  rme_1_1:1;
        RBus_UInt32  rme_1_0:1;
        RBus_UInt32  rme_0_9:1;
        RBus_UInt32  rme_0_8:1;
        RBus_UInt32  rme_0_7:1;
        RBus_UInt32  rme_0_6:1;
        RBus_UInt32  rme_0_5:1;
        RBus_UInt32  rme_0_4:1;
        RBus_UInt32  rme_0_3:1;
        RBus_UInt32  rme_0_2:1;
        RBus_UInt32  rme_0_1:1;
        RBus_UInt32  rme_0_0:1;
    };
}dolby_v_top_sensio_mbist_rme_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  rme_3_9:1;
        RBus_UInt32  rme_3_8:1;
        RBus_UInt32  rme_3_7:1;
        RBus_UInt32  rme_3_6:1;
        RBus_UInt32  rme_3_5:1;
        RBus_UInt32  rme_3_4:1;
        RBus_UInt32  rme_3_3:1;
        RBus_UInt32  rme_3_2:1;
        RBus_UInt32  rme_3_1:1;
        RBus_UInt32  rme_3_0:1;
        RBus_UInt32  rme_2_9:1;
        RBus_UInt32  rme_2_8:1;
        RBus_UInt32  rme_2_7:1;
        RBus_UInt32  rme_2_6:1;
        RBus_UInt32  rme_2_5:1;
        RBus_UInt32  rme_2_4:1;
        RBus_UInt32  rme_2_3:1;
        RBus_UInt32  rme_2_2:1;
        RBus_UInt32  rme_2_1:1;
        RBus_UInt32  rme_2_0:1;
    };
}dolby_v_top_sensio_mbist_rme_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  rme_sub_1_9:1;
        RBus_UInt32  rme_sub_1_8:1;
        RBus_UInt32  rme_sub_1_7:1;
        RBus_UInt32  rme_sub_1_6:1;
        RBus_UInt32  rme_sub_1_5:1;
        RBus_UInt32  rme_sub_1_4:1;
        RBus_UInt32  rme_sub_1_3:1;
        RBus_UInt32  rme_sub_1_2:1;
        RBus_UInt32  rme_sub_1_1:1;
        RBus_UInt32  rme_sub_1_0:1;
        RBus_UInt32  rme_sub_0_9:1;
        RBus_UInt32  rme_sub_0_8:1;
        RBus_UInt32  rme_sub_0_7:1;
        RBus_UInt32  rme_sub_0_6:1;
        RBus_UInt32  rme_sub_0_5:1;
        RBus_UInt32  rme_sub_0_4:1;
        RBus_UInt32  rme_sub_0_3:1;
        RBus_UInt32  rme_sub_0_2:1;
        RBus_UInt32  rme_sub_0_1:1;
        RBus_UInt32  rme_sub_0_0:1;
    };
}dolby_v_top_sensio_mbist_rme_sub_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  rme_sub_3_9:1;
        RBus_UInt32  rme_sub_3_8:1;
        RBus_UInt32  rme_sub_3_7:1;
        RBus_UInt32  rme_sub_3_6:1;
        RBus_UInt32  rme_sub_3_5:1;
        RBus_UInt32  rme_sub_3_4:1;
        RBus_UInt32  rme_sub_3_3:1;
        RBus_UInt32  rme_sub_3_2:1;
        RBus_UInt32  rme_sub_3_1:1;
        RBus_UInt32  rme_sub_3_0:1;
        RBus_UInt32  rme_sub_2_9:1;
        RBus_UInt32  rme_sub_2_8:1;
        RBus_UInt32  rme_sub_2_7:1;
        RBus_UInt32  rme_sub_2_6:1;
        RBus_UInt32  rme_sub_2_5:1;
        RBus_UInt32  rme_sub_2_4:1;
        RBus_UInt32  rme_sub_2_3:1;
        RBus_UInt32  rme_sub_2_2:1;
        RBus_UInt32  rme_sub_2_1:1;
        RBus_UInt32  rme_sub_2_0:1;
    };
}dolby_v_top_sensio_mbist_rme_sub_1_RBUS;

#else //apply LITTLE_ENDIAN

//======DOLBY_V_TOP register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dolby_mode:4;
        RBus_UInt32  dolby_ratio:1;
        RBus_UInt32  hdmi_in_mux:1;
        RBus_UInt32  bl_el_layer:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  en_422to444_1:1;
        RBus_UInt32  dup_1:1;
        RBus_UInt32  cr_dly_cb_1:1;
        RBus_UInt32  sel_sign_1:1;
        RBus_UInt32  en_422to444_tc:1;
        RBus_UInt32  dup_tc:1;
        RBus_UInt32  cr_dly_cb_tc:1;
        RBus_UInt32  sel_sign_tc:1;
        RBus_UInt32  end_out_mux:1;
        RBus_UInt32  res2:15;
    };
}dolby_v_top_top_ctl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dolby_hsize:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  dolby_vsize:12;
        RBus_UInt32  res2:4;
    };
}dolby_v_top_top_pic_size_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dolby_h_total:13;
        RBus_UInt32  res1:19;
    };
}dolby_v_top_top_pic_total_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dolby_h_den_sta:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  dolby_v_den_sta:8;
        RBus_UInt32  res2:8;
    };
}dolby_v_top_top_pic_sta_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dolby_double_en:1;
        RBus_UInt32  dolby_double_apply:1;
        RBus_UInt32  dolby_double_en_sub:1;
        RBus_UInt32  dolby_double_apply_sub:1;
        RBus_UInt32  res1:27;
        RBus_UInt32  dolby_v_read_sel:1;
    };
}dolby_v_top_top_d_buf_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  crop_h_en:1;
        RBus_UInt32  crop_v_en:1;
        RBus_UInt32  res2:2;
    };
}dolby_v_top_top_pic_size_crop_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  crop_hsize_sub:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  crop_vsize_sub:11;
        RBus_UInt32  res2:3;
        RBus_UInt32  crop_h_en_sub:1;
        RBus_UInt32  crop_v_en_sub:1;
    };
}dolby_v_top_top_pic_size_crop_sub_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  en_422to444_2:1;
        RBus_UInt32  dup_2:1;
        RBus_UInt32  cr_dly_cb_2:1;
        RBus_UInt32  sel_sign_2:1;
        RBus_UInt32  res2:8;
    };
}dolby_v_top_top_ctl_422to444_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sen_fifo_uf:1;
        RBus_UInt32  efuse_in:2;
        RBus_UInt32  res1:29;
    };
}dolby_v_top_sensio_fifo_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vflip_en:1;
        RBus_UInt32  main_decomp_10bit:2;
        RBus_UInt32  re_decom_en:1;
        RBus_UInt32  res1:4;
        RBus_UInt32  en_ctsfifo_bypass_decomp:1;
        RBus_UInt32  en_ctsfifo_vsrst_decomp:1;
        RBus_UInt32  force_ctsfifo_rstn_decomp:1;
        RBus_UInt32  res2:21;
    };
}dolby_v_top_decomp_ctrl_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  main_ihsize:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  main_ivsize:12;
        RBus_UInt32  res2:4;
    };
}dolby_v_top_decomp_ctrl_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  sub_vflip_en:1;
        RBus_UInt32  sub_decomp_10bit:2;
        RBus_UInt32  sub_re_decom_en:1;
        RBus_UInt32  res2:24;
    };
}dolby_v_top_decomp_ctrl_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sub_ihsize:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  sub_ivsize:11;
        RBus_UInt32  res2:5;
    };
}dolby_v_top_decomp_ctrl_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  hs_width:6;
        RBus_UInt32  res2:10;
    };
}dolby_v_top_decomp_ctrl_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h_den_st:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  v_den_st:8;
        RBus_UInt32  res2:8;
    };
}dolby_v_top_decomp_ctrl_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sub_h_total:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  sub_hs_width:6;
        RBus_UInt32  res2:10;
    };
}dolby_v_top_decomp_ctrl_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sub_h_den_st:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  sub_v_den_st:8;
        RBus_UInt32  res2:8;
    };
}dolby_v_top_decomp_ctrl_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  real_decomp_vstart:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  real_decomp_vend:12;
        RBus_UInt32  res2:4;
    };
}dolby_v_top_decomp_ctrl_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sub_real_decomp_vstart:11;
        RBus_UInt32  res1:5;
        RBus_UInt32  sub_real_decomp_vend:11;
        RBus_UInt32  res2:5;
    };
}dolby_v_top_decomp_ctrl_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sensio_bist_0_mode:1;
        RBus_UInt32  sensio_bist_1_mode:1;
        RBus_UInt32  sensio_bist_2_mode:1;
        RBus_UInt32  sensio_bist_3_mode:1;
        RBus_UInt32  sensio_bist_sub_0_mode:1;
        RBus_UInt32  sensio_bist_sub_1_mode:1;
        RBus_UInt32  sensio_bist_sub_2_mode:1;
        RBus_UInt32  sensio_bist_sub_3_mode:1;
        RBus_UInt32  res1:24;
    };
}dolby_v_top_sensio_bist_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sensio_bist_0_done:1;
        RBus_UInt32  sensio_bist_1_done:1;
        RBus_UInt32  sensio_bist_2_done:1;
        RBus_UInt32  sensio_bist_3_done:1;
        RBus_UInt32  sensio_bist_sub_0_done:1;
        RBus_UInt32  sensio_bist_sub_1_done:1;
        RBus_UInt32  sensio_bist_sub_2_done:1;
        RBus_UInt32  sensio_bist_sub_3_done:1;
        RBus_UInt32  res1:24;
    };
}dolby_v_top_sensio_bist_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sensio_bist_fail_0_group:1;
        RBus_UInt32  sensio_bist_fail_1_group:1;
        RBus_UInt32  sensio_bist_fail_2_group:1;
        RBus_UInt32  sensio_bist_fail_3_group:1;
        RBus_UInt32  sensio_bist_fail_sub_0_group:1;
        RBus_UInt32  sensio_bist_fail_sub_1_group:1;
        RBus_UInt32  sensio_bist_fail_sub_2_group:1;
        RBus_UInt32  sensio_bist_fail_sub_3_group:1;
        RBus_UInt32  res1:24;
    };
}dolby_v_top_sensio_bist_fail_group_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sensio_drf_0_mode:1;
        RBus_UInt32  sensio_drf_1_mode:1;
        RBus_UInt32  sensio_drf_2_mode:1;
        RBus_UInt32  sensio_drf_3_mode:1;
        RBus_UInt32  sensio_drf_sub_0_mode:1;
        RBus_UInt32  sensio_drf_sub_1_mode:1;
        RBus_UInt32  sensio_drf_sub_2_mode:1;
        RBus_UInt32  sensio_drf_sub_3_mode:1;
        RBus_UInt32  res1:24;
    };
}dolby_v_top_sensio_drf_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sensio_drf_0_resume:1;
        RBus_UInt32  sensio_drf_1_resume:1;
        RBus_UInt32  sensio_drf_2_resume:1;
        RBus_UInt32  sensio_drf_3_resume:1;
        RBus_UInt32  sensio_drf_sub_0_resume:1;
        RBus_UInt32  sensio_drf_sub_1_resume:1;
        RBus_UInt32  sensio_drf_sub_2_resume:1;
        RBus_UInt32  sensio_drf_sub_3_resume:1;
        RBus_UInt32  res1:24;
    };
}dolby_v_top_sensio_drf_resume_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sensio_drf_0_done:1;
        RBus_UInt32  sensio_drf_1_done:1;
        RBus_UInt32  sensio_drf_2_done:1;
        RBus_UInt32  sensio_drf_3_done:1;
        RBus_UInt32  sensio_drf_sub_0_done:1;
        RBus_UInt32  sensio_drf_sub_1_done:1;
        RBus_UInt32  sensio_drf_sub_2_done:1;
        RBus_UInt32  sensio_drf_sub_3_done:1;
        RBus_UInt32  res1:24;
    };
}dolby_v_top_sensio_drf_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sensio_drf_0_pause:1;
        RBus_UInt32  sensio_drf_1_pause:1;
        RBus_UInt32  sensio_drf_2_pause:1;
        RBus_UInt32  sensio_drf_3_pause:1;
        RBus_UInt32  sensio_drf_sub_0_pause:1;
        RBus_UInt32  sensio_drf_sub_1_pause:1;
        RBus_UInt32  sensio_drf_sub_2_pause:1;
        RBus_UInt32  sensio_drf_sub_3_pause:1;
        RBus_UInt32  res1:24;
    };
}dolby_v_top_sensio_drf_pause_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sensio_drf_fail_0_group:1;
        RBus_UInt32  sensio_drf_fail_1_group:1;
        RBus_UInt32  sensio_drf_fail_2_group:1;
        RBus_UInt32  sensio_drf_fail_3_group:1;
        RBus_UInt32  sensio_drf_fail_sub_0_group:1;
        RBus_UInt32  sensio_drf_fail_sub_1_group:1;
        RBus_UInt32  sensio_drf_fail_sub_2_group:1;
        RBus_UInt32  sensio_drf_fail_sub_3_group:1;
        RBus_UInt32  res1:24;
    };
}dolby_v_top_sensio_drf_fail_group_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_bl_bist_mode:1;
        RBus_UInt32  res1:31;
    };
}dolby_v_top_composer_bl_bist_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_bl_drf_bist_mode:1;
        RBus_UInt32  res1:31;
    };
}dolby_v_top_composer_bl_drf_bist_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_bl_drf_test_resume:1;
        RBus_UInt32  res1:31;
    };
}dolby_v_top_composer_bl_drf_test_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_bl_bist_done:1;
        RBus_UInt32  res1:31;
    };
}dolby_v_top_composer_bl_bist_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_bl_drf_bist_done:1;
        RBus_UInt32  res1:31;
    };
}dolby_v_top_composer_bl_drf_bist_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_bl_drf_start_pause:1;
        RBus_UInt32  res1:31;
    };
}dolby_v_top_composer_bl_drf_start_pause_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_el_bist_mode:1;
        RBus_UInt32  res1:31;
    };
}dolby_v_top_composer_el_bist_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_el_drf_bist_mode:1;
        RBus_UInt32  res1:31;
    };
}dolby_v_top_composer_el_drf_bist_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_el_drf_test_resume:1;
        RBus_UInt32  res1:31;
    };
}dolby_v_top_composer_el_drf_test_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_el_bist_done:1;
        RBus_UInt32  res1:31;
    };
}dolby_v_top_composer_el_bist_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_el_drf_bist_done:1;
        RBus_UInt32  res1:31;
    };
}dolby_v_top_composer_el_drf_bist_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  composer_el_drf_start_pause:1;
        RBus_UInt32  res1:31;
    };
}dolby_v_top_composer_el_drf_start_pause_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dm_b0101_1_bist_mode:1;
        RBus_UInt32  dm_b0101_2_bist_mode:1;
        RBus_UInt32  dm_b0103_bist_mode:1;
        RBus_UInt32  dm_b02_bist_mode:1;
        RBus_UInt32  dm_b03_1_bist_mode:1;
        RBus_UInt32  dm_b03_2_bist_mode:1;
        RBus_UInt32  dm_b05_bist_mode:1;
        RBus_UInt32  dm_hist_2p_bist_mode:1;
        RBus_UInt32  dm_hist_1p_bist_mode:1;
        RBus_UInt32  res1:7;
        RBus_UInt32  tchdr_cdlut_bist_mode:1;
        RBus_UInt32  tchdr_plut_bist_mode:1;
        RBus_UInt32  tchdr_silut_bist_mode:1;
        RBus_UInt32  dmato3dtable_bist_mode:1;
        RBus_UInt32  res2:12;
    };
}dolby_v_top_dm_mbist_bist_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dm_b0101_1_drf_bist_mode:1;
        RBus_UInt32  dm_b0101_2_drf_bist_mode:1;
        RBus_UInt32  dm_b0103_drf_bist_mode:1;
        RBus_UInt32  dm_b02_drf_bist_mode:1;
        RBus_UInt32  dm_b03_1_drf_bist_mode:1;
        RBus_UInt32  dm_b03_2_drf_bist_mode:1;
        RBus_UInt32  dm_b05_drf_bist_mode:1;
        RBus_UInt32  dm_hist_2p_drf_bist_mode:1;
        RBus_UInt32  dm_hist_1p_drf_bist_mode:1;
        RBus_UInt32  res1:7;
        RBus_UInt32  tchdr_cdlut_drf_bist_mode:1;
        RBus_UInt32  tchdr_plut_drf_bist_mode:1;
        RBus_UInt32  tchdr_silut_drf_bist_mode:1;
        RBus_UInt32  dmato3dtable_drf_bist_mode:1;
        RBus_UInt32  res2:12;
    };
}dolby_v_top_dm_mbist_drf_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dm_b0101_1_drf_test_resume:1;
        RBus_UInt32  dm_b0101_2_drf_test_resume:1;
        RBus_UInt32  dm_b0103_drf_test_resume:1;
        RBus_UInt32  dm_b02_drf_test_resume:1;
        RBus_UInt32  dm_b03_1_drf_test_resume:1;
        RBus_UInt32  dm_b03_2_drf_test_resume:1;
        RBus_UInt32  dm_b05_drf_test_resume:1;
        RBus_UInt32  dm_hist_2p_drf_test_resume:1;
        RBus_UInt32  dm_hist_1p_drf_test_resume:1;
        RBus_UInt32  res1:7;
        RBus_UInt32  tchdr_cdlut_drf_test_resume:1;
        RBus_UInt32  tchdr_plut_drf_test_resume:1;
        RBus_UInt32  tchdr_silut_drf_test_resume:1;
        RBus_UInt32  dmato3dtable_drf_test_resume:1;
        RBus_UInt32  res2:12;
    };
}dolby_v_top_dm_mbist_drf_resume_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dm_b0101_1_bist_done:1;
        RBus_UInt32  dm_b0101_2_bist_done:1;
        RBus_UInt32  dm_b0103_bist_done:1;
        RBus_UInt32  dm_b02_bist_done:1;
        RBus_UInt32  dm_b03_1_bist_done:1;
        RBus_UInt32  dm_b03_2_bist_done:1;
        RBus_UInt32  dm_b05_bist_done:1;
        RBus_UInt32  dm_hist_2p_bist_done:1;
        RBus_UInt32  dm_hist_1p_bist_done:1;
        RBus_UInt32  res1:7;
        RBus_UInt32  tchdr_cdlut_bist_done:1;
        RBus_UInt32  tchdr_plut_bist_done:1;
        RBus_UInt32  tchdr_silut_bist_done:1;
        RBus_UInt32  dmato3dtable_bist_done:1;
        RBus_UInt32  res2:12;
    };
}dolby_v_top_dm_mbist_bist_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dm_b0101_1_drf_bist_done:1;
        RBus_UInt32  dm_b0101_2_drf_bist_done:1;
        RBus_UInt32  dm_b0103_drf_bist_done:1;
        RBus_UInt32  dm_b02_drf_bist_done:1;
        RBus_UInt32  dm_b03_1_drf_bist_done:1;
        RBus_UInt32  dm_b03_2_drf_bist_done:1;
        RBus_UInt32  dm_b05_drf_bist_done:1;
        RBus_UInt32  dm_hist_2p_drf_bist_done:1;
        RBus_UInt32  dm_hist_1p_drf_bist_done:1;
        RBus_UInt32  res1:7;
        RBus_UInt32  tchdr_cdlut_drf_bist_done:1;
        RBus_UInt32  tchdr_plut_drf_bist_done:1;
        RBus_UInt32  tchdr_silut_drf_bist_done:1;
        RBus_UInt32  dmato3dtable_drf_bist_done:1;
        RBus_UInt32  res2:12;
    };
}dolby_v_top_dm_mbist_drf_bist_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dm_b0101_1_drf_start_pause:1;
        RBus_UInt32  dm_b0101_2_drf_start_pause:1;
        RBus_UInt32  dm_b0103_drf_start_pause:1;
        RBus_UInt32  dm_b02_drf_start_pause:1;
        RBus_UInt32  dm_b03_1_drf_start_pause:1;
        RBus_UInt32  dm_b03_2_drf_start_pause:1;
        RBus_UInt32  dm_b05_drf_start_pause:1;
        RBus_UInt32  dm_hist_2p_drf_start_pause:1;
        RBus_UInt32  dm_hist_1p_drf_start_pause:1;
        RBus_UInt32  res1:7;
        RBus_UInt32  tchdr_cdlut_drf_start_pause:1;
        RBus_UInt32  tchdr_plut_drf_start_pause:1;
        RBus_UInt32  tchdr_silut_drf_start_pause:1;
        RBus_UInt32  dmato3dtable_drf_start_pause:1;
        RBus_UInt32  res2:12;
    };
}dolby_v_top_dm_mbist_drf_pause_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dm_b0101_1_bist_fail_group:1;
        RBus_UInt32  dm_b0101_2_bist_fail_group:1;
        RBus_UInt32  dm_b0103_bist_fail_group:1;
        RBus_UInt32  dm_b02_bist_fail_group:1;
        RBus_UInt32  dm_b03_1_bist_fail_group:1;
        RBus_UInt32  dm_b03_2_bist_fail_group:1;
        RBus_UInt32  dm_b05_bist_fail_group:1;
        RBus_UInt32  dm_hist_2p_bist_fail_group:1;
        RBus_UInt32  dm_hist_1p_bist_fail_group:1;
        RBus_UInt32  res1:7;
        RBus_UInt32  tchdr_cdlut_bist_fail_group:1;
        RBus_UInt32  tchdr_plut_bist_fail_group:1;
        RBus_UInt32  tchdr_silut_bist_fail_group:1;
        RBus_UInt32  dmato3dtable_bist_fail_group:1;
        RBus_UInt32  res2:12;
    };
}dolby_v_top_dm_mbist_bist_fail_group_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dm_b0101_1_drf_bist_fail_group:1;
        RBus_UInt32  dm_b0101_2_drf_bist_fail_group:1;
        RBus_UInt32  dm_b0103_drf_bist_fail_group:1;
        RBus_UInt32  dm_b02_drf_bist_fail_group:1;
        RBus_UInt32  dm_b03_1_drf_bist_fail_group:1;
        RBus_UInt32  dm_b03_2_drf_bist_fail_group:1;
        RBus_UInt32  dm_b05_drf_bist_fail_group:1;
        RBus_UInt32  dm_hist_2p_drf_bist_fail_group:1;
        RBus_UInt32  dm_hist_1p_drf_bist_fail_group:1;
        RBus_UInt32  res1:7;
        RBus_UInt32  tchdr_cdlut_drf_bist_fail_group:1;
        RBus_UInt32  tchdr_plut_drf_bist_fail_group:1;
        RBus_UInt32  tchdr_silut_drf_bist_fail_group:1;
        RBus_UInt32  dmato3dtable_drf_bist_fail_group:1;
        RBus_UInt32  res2:12;
    };
}dolby_v_top_dm_mbist_drf_bist_fail_group_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  bist_fail_0_0:1;
        RBus_UInt32  bist_fail_0_1:1;
        RBus_UInt32  bist_fail_0_2:1;
        RBus_UInt32  bist_fail_0_3:1;
        RBus_UInt32  bist_fail_0_4:1;
        RBus_UInt32  bist_fail_0_5:1;
        RBus_UInt32  bist_fail_0_6:1;
        RBus_UInt32  bist_fail_0_7:1;
        RBus_UInt32  bist_fail_0_8:1;
        RBus_UInt32  bist_fail_0_9:1;
        RBus_UInt32  bist_fail_1_0:1;
        RBus_UInt32  bist_fail_1_1:1;
        RBus_UInt32  bist_fail_1_2:1;
        RBus_UInt32  bist_fail_1_3:1;
        RBus_UInt32  bist_fail_1_4:1;
        RBus_UInt32  bist_fail_1_5:1;
        RBus_UInt32  bist_fail_1_6:1;
        RBus_UInt32  bist_fail_1_7:1;
        RBus_UInt32  bist_fail_1_8:1;
        RBus_UInt32  bist_fail_1_9:1;
        RBus_UInt32  res1:12;
    };
}dolby_v_top_sensio_mbist_fail_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  bist_fail_2_0:1;
        RBus_UInt32  bist_fail_2_1:1;
        RBus_UInt32  bist_fail_2_2:1;
        RBus_UInt32  bist_fail_2_3:1;
        RBus_UInt32  bist_fail_2_4:1;
        RBus_UInt32  bist_fail_2_5:1;
        RBus_UInt32  bist_fail_2_6:1;
        RBus_UInt32  bist_fail_2_7:1;
        RBus_UInt32  bist_fail_2_8:1;
        RBus_UInt32  bist_fail_2_9:1;
        RBus_UInt32  bist_fail_3_0:1;
        RBus_UInt32  bist_fail_3_1:1;
        RBus_UInt32  bist_fail_3_2:1;
        RBus_UInt32  bist_fail_3_3:1;
        RBus_UInt32  bist_fail_3_4:1;
        RBus_UInt32  bist_fail_3_5:1;
        RBus_UInt32  bist_fail_3_6:1;
        RBus_UInt32  bist_fail_3_7:1;
        RBus_UInt32  bist_fail_3_8:1;
        RBus_UInt32  bist_fail_3_9:1;
        RBus_UInt32  res1:12;
    };
}dolby_v_top_sensio_mbist_fail_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  bist_fail_sub_0_0:1;
        RBus_UInt32  bist_fail_sub_0_1:1;
        RBus_UInt32  bist_fail_sub_0_2:1;
        RBus_UInt32  bist_fail_sub_0_3:1;
        RBus_UInt32  bist_fail_sub_0_4:1;
        RBus_UInt32  bist_fail_sub_0_5:1;
        RBus_UInt32  bist_fail_sub_0_6:1;
        RBus_UInt32  bist_fail_sub_0_7:1;
        RBus_UInt32  bist_fail_sub_0_8:1;
        RBus_UInt32  bist_fail_sub_0_9:1;
        RBus_UInt32  bist_fail_sub_1_0:1;
        RBus_UInt32  bist_fail_sub_1_1:1;
        RBus_UInt32  bist_fail_sub_1_2:1;
        RBus_UInt32  bist_fail_sub_1_3:1;
        RBus_UInt32  bist_fail_sub_1_4:1;
        RBus_UInt32  bist_fail_sub_1_5:1;
        RBus_UInt32  bist_fail_sub_1_6:1;
        RBus_UInt32  bist_fail_sub_1_7:1;
        RBus_UInt32  bist_fail_sub_1_8:1;
        RBus_UInt32  bist_fail_sub_1_9:1;
        RBus_UInt32  res1:12;
    };
}dolby_v_top_sensio_mbist_fail_sub_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  bist_fail_sub_2_0:1;
        RBus_UInt32  bist_fail_sub_2_1:1;
        RBus_UInt32  bist_fail_sub_2_2:1;
        RBus_UInt32  bist_fail_sub_2_3:1;
        RBus_UInt32  bist_fail_sub_2_4:1;
        RBus_UInt32  bist_fail_sub_2_5:1;
        RBus_UInt32  bist_fail_sub_2_6:1;
        RBus_UInt32  bist_fail_sub_2_7:1;
        RBus_UInt32  bist_fail_sub_2_8:1;
        RBus_UInt32  bist_fail_sub_2_9:1;
        RBus_UInt32  bist_fail_sub_3_0:1;
        RBus_UInt32  bist_fail_sub_3_1:1;
        RBus_UInt32  bist_fail_sub_3_2:1;
        RBus_UInt32  bist_fail_sub_3_3:1;
        RBus_UInt32  bist_fail_sub_3_4:1;
        RBus_UInt32  bist_fail_sub_3_5:1;
        RBus_UInt32  bist_fail_sub_3_6:1;
        RBus_UInt32  bist_fail_sub_3_7:1;
        RBus_UInt32  bist_fail_sub_3_8:1;
        RBus_UInt32  bist_fail_sub_3_9:1;
        RBus_UInt32  res1:12;
    };
}dolby_v_top_sensio_mbist_fail_sub_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drf_bist_fail_0_0:1;
        RBus_UInt32  drf_bist_fail_0_1:1;
        RBus_UInt32  drf_bist_fail_0_2:1;
        RBus_UInt32  drf_bist_fail_0_3:1;
        RBus_UInt32  drf_bist_fail_0_4:1;
        RBus_UInt32  drf_bist_fail_0_5:1;
        RBus_UInt32  drf_bist_fail_0_6:1;
        RBus_UInt32  drf_bist_fail_0_7:1;
        RBus_UInt32  drf_bist_fail_0_8:1;
        RBus_UInt32  drf_bist_fail_0_9:1;
        RBus_UInt32  drf_bist_fail_1_0:1;
        RBus_UInt32  drf_bist_fail_1_1:1;
        RBus_UInt32  drf_bist_fail_1_2:1;
        RBus_UInt32  drf_bist_fail_1_3:1;
        RBus_UInt32  drf_bist_fail_1_4:1;
        RBus_UInt32  drf_bist_fail_1_5:1;
        RBus_UInt32  drf_bist_fail_1_6:1;
        RBus_UInt32  drf_bist_fail_1_7:1;
        RBus_UInt32  drf_bist_fail_1_8:1;
        RBus_UInt32  drf_bist_fail_1_9:1;
        RBus_UInt32  res1:12;
    };
}dolby_v_top_sensio_mbist_drf_fail_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drf_bist_fail_2_0:1;
        RBus_UInt32  drf_bist_fail_2_1:1;
        RBus_UInt32  drf_bist_fail_2_2:1;
        RBus_UInt32  drf_bist_fail_2_3:1;
        RBus_UInt32  drf_bist_fail_2_4:1;
        RBus_UInt32  drf_bist_fail_2_5:1;
        RBus_UInt32  drf_bist_fail_2_6:1;
        RBus_UInt32  drf_bist_fail_2_7:1;
        RBus_UInt32  drf_bist_fail_2_8:1;
        RBus_UInt32  drf_bist_fail_2_9:1;
        RBus_UInt32  drf_bist_fail_3_0:1;
        RBus_UInt32  drf_bist_fail_3_1:1;
        RBus_UInt32  drf_bist_fail_3_2:1;
        RBus_UInt32  drf_bist_fail_3_3:1;
        RBus_UInt32  drf_bist_fail_3_4:1;
        RBus_UInt32  drf_bist_fail_3_5:1;
        RBus_UInt32  drf_bist_fail_3_6:1;
        RBus_UInt32  drf_bist_fail_3_7:1;
        RBus_UInt32  drf_bist_fail_3_8:1;
        RBus_UInt32  drf_bist_fail_3_9:1;
        RBus_UInt32  res1:12;
    };
}dolby_v_top_sensio_mbist_drf_fail_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drf_bist_fail_sub_0_0:1;
        RBus_UInt32  drf_bist_fail_sub_0_1:1;
        RBus_UInt32  drf_bist_fail_sub_0_2:1;
        RBus_UInt32  drf_bist_fail_sub_0_3:1;
        RBus_UInt32  drf_bist_fail_sub_0_4:1;
        RBus_UInt32  drf_bist_fail_sub_0_5:1;
        RBus_UInt32  drf_bist_fail_sub_0_6:1;
        RBus_UInt32  drf_bist_fail_sub_0_7:1;
        RBus_UInt32  drf_bist_fail_sub_0_8:1;
        RBus_UInt32  drf_bist_fail_sub_0_9:1;
        RBus_UInt32  drf_bist_fail_sub_1_0:1;
        RBus_UInt32  drf_bist_fail_sub_1_1:1;
        RBus_UInt32  drf_bist_fail_sub_1_2:1;
        RBus_UInt32  drf_bist_fail_sub_1_3:1;
        RBus_UInt32  drf_bist_fail_sub_1_4:1;
        RBus_UInt32  drf_bist_fail_sub_1_5:1;
        RBus_UInt32  drf_bist_fail_sub_1_6:1;
        RBus_UInt32  drf_bist_fail_sub_1_7:1;
        RBus_UInt32  drf_bist_fail_sub_1_8:1;
        RBus_UInt32  drf_bist_fail_sub_1_9:1;
        RBus_UInt32  res1:12;
    };
}dolby_v_top_sensio_mbist_drf_fail_sub_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drf_bist_fail_sub_2_0:1;
        RBus_UInt32  drf_bist_fail_sub_2_1:1;
        RBus_UInt32  drf_bist_fail_sub_2_2:1;
        RBus_UInt32  drf_bist_fail_sub_2_3:1;
        RBus_UInt32  drf_bist_fail_sub_2_4:1;
        RBus_UInt32  drf_bist_fail_sub_2_5:1;
        RBus_UInt32  drf_bist_fail_sub_2_6:1;
        RBus_UInt32  drf_bist_fail_sub_2_7:1;
        RBus_UInt32  drf_bist_fail_sub_2_8:1;
        RBus_UInt32  drf_bist_fail_sub_2_9:1;
        RBus_UInt32  drf_bist_fail_sub_3_0:1;
        RBus_UInt32  drf_bist_fail_sub_3_1:1;
        RBus_UInt32  drf_bist_fail_sub_3_2:1;
        RBus_UInt32  drf_bist_fail_sub_3_3:1;
        RBus_UInt32  drf_bist_fail_sub_3_4:1;
        RBus_UInt32  drf_bist_fail_sub_3_5:1;
        RBus_UInt32  drf_bist_fail_sub_3_6:1;
        RBus_UInt32  drf_bist_fail_sub_3_7:1;
        RBus_UInt32  drf_bist_fail_sub_3_8:1;
        RBus_UInt32  drf_bist_fail_sub_3_9:1;
        RBus_UInt32  res1:12;
    };
}dolby_v_top_sensio_mbist_drf_fail_sub_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ls_0_0:1;
        RBus_UInt32  ls_0_1:1;
        RBus_UInt32  ls_0_2:1;
        RBus_UInt32  ls_0_3:1;
        RBus_UInt32  ls_0_4:1;
        RBus_UInt32  ls_0_5:1;
        RBus_UInt32  ls_0_6:1;
        RBus_UInt32  ls_0_7:1;
        RBus_UInt32  ls_0_8:1;
        RBus_UInt32  ls_0_9:1;
        RBus_UInt32  ls_1_0:1;
        RBus_UInt32  ls_1_1:1;
        RBus_UInt32  ls_1_2:1;
        RBus_UInt32  ls_1_3:1;
        RBus_UInt32  ls_1_4:1;
        RBus_UInt32  ls_1_5:1;
        RBus_UInt32  ls_1_6:1;
        RBus_UInt32  ls_1_7:1;
        RBus_UInt32  ls_1_8:1;
        RBus_UInt32  ls_1_9:1;
        RBus_UInt32  res1:12;
    };
}dolby_v_top_sensio_mbist_ls_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ls_2_0:1;
        RBus_UInt32  ls_2_1:1;
        RBus_UInt32  ls_2_2:1;
        RBus_UInt32  ls_2_3:1;
        RBus_UInt32  ls_2_4:1;
        RBus_UInt32  ls_2_5:1;
        RBus_UInt32  ls_2_6:1;
        RBus_UInt32  ls_2_7:1;
        RBus_UInt32  ls_2_8:1;
        RBus_UInt32  ls_2_9:1;
        RBus_UInt32  ls_3_0:1;
        RBus_UInt32  ls_3_1:1;
        RBus_UInt32  ls_3_2:1;
        RBus_UInt32  ls_3_3:1;
        RBus_UInt32  ls_3_4:1;
        RBus_UInt32  ls_3_5:1;
        RBus_UInt32  ls_3_6:1;
        RBus_UInt32  ls_3_7:1;
        RBus_UInt32  ls_3_8:1;
        RBus_UInt32  ls_3_9:1;
        RBus_UInt32  res1:12;
    };
}dolby_v_top_sensio_mbist_ls_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ls_sub_0_0:1;
        RBus_UInt32  ls_sub_0_1:1;
        RBus_UInt32  ls_sub_0_2:1;
        RBus_UInt32  ls_sub_0_3:1;
        RBus_UInt32  ls_sub_0_4:1;
        RBus_UInt32  ls_sub_0_5:1;
        RBus_UInt32  ls_sub_0_6:1;
        RBus_UInt32  ls_sub_0_7:1;
        RBus_UInt32  ls_sub_0_8:1;
        RBus_UInt32  ls_sub_0_9:1;
        RBus_UInt32  ls_sub_1_0:1;
        RBus_UInt32  ls_sub_1_1:1;
        RBus_UInt32  ls_sub_1_2:1;
        RBus_UInt32  ls_sub_1_3:1;
        RBus_UInt32  ls_sub_1_4:1;
        RBus_UInt32  ls_sub_1_5:1;
        RBus_UInt32  ls_sub_1_6:1;
        RBus_UInt32  ls_sub_1_7:1;
        RBus_UInt32  ls_sub_1_8:1;
        RBus_UInt32  ls_sub_1_9:1;
        RBus_UInt32  res1:12;
    };
}dolby_v_top_sensio_mbist_ls_sub_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ls_sub_2_0:1;
        RBus_UInt32  ls_sub_2_1:1;
        RBus_UInt32  ls_sub_2_2:1;
        RBus_UInt32  ls_sub_2_3:1;
        RBus_UInt32  ls_sub_2_4:1;
        RBus_UInt32  ls_sub_2_5:1;
        RBus_UInt32  ls_sub_2_6:1;
        RBus_UInt32  ls_sub_2_7:1;
        RBus_UInt32  ls_sub_2_8:1;
        RBus_UInt32  ls_sub_2_9:1;
        RBus_UInt32  ls_sub_3_0:1;
        RBus_UInt32  ls_sub_3_1:1;
        RBus_UInt32  ls_sub_3_2:1;
        RBus_UInt32  ls_sub_3_3:1;
        RBus_UInt32  ls_sub_3_4:1;
        RBus_UInt32  ls_sub_3_5:1;
        RBus_UInt32  ls_sub_3_6:1;
        RBus_UInt32  ls_sub_3_7:1;
        RBus_UInt32  ls_sub_3_8:1;
        RBus_UInt32  ls_sub_3_9:1;
        RBus_UInt32  res1:12;
    };
}dolby_v_top_sensio_mbist_ls_sub_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_0_0:4;
        RBus_UInt32  rm_0_1:4;
        RBus_UInt32  rm_0_2:4;
        RBus_UInt32  rm_0_3:4;
        RBus_UInt32  rm_0_4:4;
        RBus_UInt32  rm_0_5:4;
        RBus_UInt32  rm_0_6:4;
        RBus_UInt32  rm_0_7:4;
    };
}dolby_v_top_sensio_mbist_rm_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_0_8:4;
        RBus_UInt32  rm_0_9:4;
        RBus_UInt32  rm_1_0:4;
        RBus_UInt32  rm_1_1:4;
        RBus_UInt32  rm_1_2:4;
        RBus_UInt32  rm_1_3:4;
        RBus_UInt32  rm_1_4:4;
        RBus_UInt32  rm_1_5:4;
    };
}dolby_v_top_sensio_mbist_rm_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_1_6:4;
        RBus_UInt32  rm_1_7:4;
        RBus_UInt32  rm_1_8:4;
        RBus_UInt32  rm_1_9:4;
        RBus_UInt32  rm_2_0:4;
        RBus_UInt32  rm_2_1:4;
        RBus_UInt32  rm_2_2:4;
        RBus_UInt32  rm_2_3:4;
    };
}dolby_v_top_sensio_mbist_rm_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_2_4:4;
        RBus_UInt32  rm_2_5:4;
        RBus_UInt32  rm_2_6:4;
        RBus_UInt32  rm_2_7:4;
        RBus_UInt32  rm_2_8:4;
        RBus_UInt32  rm_2_9:4;
        RBus_UInt32  rm_3_0:4;
        RBus_UInt32  rm_3_1:4;
    };
}dolby_v_top_sensio_mbist_rm_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_3_2:4;
        RBus_UInt32  rm_3_3:4;
        RBus_UInt32  rm_3_4:4;
        RBus_UInt32  rm_3_5:4;
        RBus_UInt32  rm_3_6:4;
        RBus_UInt32  rm_3_7:4;
        RBus_UInt32  rm_3_8:4;
        RBus_UInt32  rm_3_9:4;
    };
}dolby_v_top_sensio_mbist_rm_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_sub_0_0:4;
        RBus_UInt32  rm_sub_0_1:4;
        RBus_UInt32  rm_sub_0_2:4;
        RBus_UInt32  rm_sub_0_3:4;
        RBus_UInt32  rm_sub_0_4:4;
        RBus_UInt32  rm_sub_0_5:4;
        RBus_UInt32  rm_sub_0_6:4;
        RBus_UInt32  rm_sub_0_7:4;
    };
}dolby_v_top_sensio_mbist_rm_sub_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_sub_0_8:4;
        RBus_UInt32  rm_sub_0_9:4;
        RBus_UInt32  rm_sub_1_0:4;
        RBus_UInt32  rm_sub_1_1:4;
        RBus_UInt32  rm_sub_1_2:4;
        RBus_UInt32  rm_sub_1_3:4;
        RBus_UInt32  rm_sub_1_4:4;
        RBus_UInt32  rm_sub_1_5:4;
    };
}dolby_v_top_sensio_mbist_rm_sub_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_sub_1_6:4;
        RBus_UInt32  rm_sub_1_7:4;
        RBus_UInt32  rm_sub_1_8:4;
        RBus_UInt32  rm_sub_1_9:4;
        RBus_UInt32  rm_sub_2_0:4;
        RBus_UInt32  rm_sub_2_1:4;
        RBus_UInt32  rm_sub_2_2:4;
        RBus_UInt32  rm_sub_2_3:4;
    };
}dolby_v_top_sensio_mbist_rm_sub_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_sub_2_4:4;
        RBus_UInt32  rm_sub_2_5:4;
        RBus_UInt32  rm_sub_2_6:4;
        RBus_UInt32  rm_sub_2_7:4;
        RBus_UInt32  rm_sub_2_8:4;
        RBus_UInt32  rm_sub_2_9:4;
        RBus_UInt32  rm_sub_3_0:4;
        RBus_UInt32  rm_sub_3_1:4;
    };
}dolby_v_top_sensio_mbist_rm_sub_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_sub_3_2:4;
        RBus_UInt32  rm_sub_3_3:4;
        RBus_UInt32  rm_sub_3_4:4;
        RBus_UInt32  rm_sub_3_5:4;
        RBus_UInt32  rm_sub_3_6:4;
        RBus_UInt32  rm_sub_3_7:4;
        RBus_UInt32  rm_sub_3_8:4;
        RBus_UInt32  rm_sub_3_9:4;
    };
}dolby_v_top_sensio_mbist_rm_sub_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rme_0_0:1;
        RBus_UInt32  rme_0_1:1;
        RBus_UInt32  rme_0_2:1;
        RBus_UInt32  rme_0_3:1;
        RBus_UInt32  rme_0_4:1;
        RBus_UInt32  rme_0_5:1;
        RBus_UInt32  rme_0_6:1;
        RBus_UInt32  rme_0_7:1;
        RBus_UInt32  rme_0_8:1;
        RBus_UInt32  rme_0_9:1;
        RBus_UInt32  rme_1_0:1;
        RBus_UInt32  rme_1_1:1;
        RBus_UInt32  rme_1_2:1;
        RBus_UInt32  rme_1_3:1;
        RBus_UInt32  rme_1_4:1;
        RBus_UInt32  rme_1_5:1;
        RBus_UInt32  rme_1_6:1;
        RBus_UInt32  rme_1_7:1;
        RBus_UInt32  rme_1_8:1;
        RBus_UInt32  rme_1_9:1;
        RBus_UInt32  res1:12;
    };
}dolby_v_top_sensio_mbist_rme_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rme_2_0:1;
        RBus_UInt32  rme_2_1:1;
        RBus_UInt32  rme_2_2:1;
        RBus_UInt32  rme_2_3:1;
        RBus_UInt32  rme_2_4:1;
        RBus_UInt32  rme_2_5:1;
        RBus_UInt32  rme_2_6:1;
        RBus_UInt32  rme_2_7:1;
        RBus_UInt32  rme_2_8:1;
        RBus_UInt32  rme_2_9:1;
        RBus_UInt32  rme_3_0:1;
        RBus_UInt32  rme_3_1:1;
        RBus_UInt32  rme_3_2:1;
        RBus_UInt32  rme_3_3:1;
        RBus_UInt32  rme_3_4:1;
        RBus_UInt32  rme_3_5:1;
        RBus_UInt32  rme_3_6:1;
        RBus_UInt32  rme_3_7:1;
        RBus_UInt32  rme_3_8:1;
        RBus_UInt32  rme_3_9:1;
        RBus_UInt32  res1:12;
    };
}dolby_v_top_sensio_mbist_rme_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rme_sub_0_0:1;
        RBus_UInt32  rme_sub_0_1:1;
        RBus_UInt32  rme_sub_0_2:1;
        RBus_UInt32  rme_sub_0_3:1;
        RBus_UInt32  rme_sub_0_4:1;
        RBus_UInt32  rme_sub_0_5:1;
        RBus_UInt32  rme_sub_0_6:1;
        RBus_UInt32  rme_sub_0_7:1;
        RBus_UInt32  rme_sub_0_8:1;
        RBus_UInt32  rme_sub_0_9:1;
        RBus_UInt32  rme_sub_1_0:1;
        RBus_UInt32  rme_sub_1_1:1;
        RBus_UInt32  rme_sub_1_2:1;
        RBus_UInt32  rme_sub_1_3:1;
        RBus_UInt32  rme_sub_1_4:1;
        RBus_UInt32  rme_sub_1_5:1;
        RBus_UInt32  rme_sub_1_6:1;
        RBus_UInt32  rme_sub_1_7:1;
        RBus_UInt32  rme_sub_1_8:1;
        RBus_UInt32  rme_sub_1_9:1;
        RBus_UInt32  res1:12;
    };
}dolby_v_top_sensio_mbist_rme_sub_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rme_sub_2_0:1;
        RBus_UInt32  rme_sub_2_1:1;
        RBus_UInt32  rme_sub_2_2:1;
        RBus_UInt32  rme_sub_2_3:1;
        RBus_UInt32  rme_sub_2_4:1;
        RBus_UInt32  rme_sub_2_5:1;
        RBus_UInt32  rme_sub_2_6:1;
        RBus_UInt32  rme_sub_2_7:1;
        RBus_UInt32  rme_sub_2_8:1;
        RBus_UInt32  rme_sub_2_9:1;
        RBus_UInt32  rme_sub_3_0:1;
        RBus_UInt32  rme_sub_3_1:1;
        RBus_UInt32  rme_sub_3_2:1;
        RBus_UInt32  rme_sub_3_3:1;
        RBus_UInt32  rme_sub_3_4:1;
        RBus_UInt32  rme_sub_3_5:1;
        RBus_UInt32  rme_sub_3_6:1;
        RBus_UInt32  rme_sub_3_7:1;
        RBus_UInt32  rme_sub_3_8:1;
        RBus_UInt32  rme_sub_3_9:1;
        RBus_UInt32  res1:12;
    };
}dolby_v_top_sensio_mbist_rme_sub_1_RBUS;




#endif 


#endif 
