/**
* @file Mac6-DesignSpec-D-Domain_rgbw
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2017/10/12
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_RGBW_REG_H_
#define _RBUS_RGBW_REG_H_

#include "rbusTypes.h"



//  RGBW Register Address



#define  RGBW_D_RGBW_CPC_1_VADDR                            	(0xb802e700)
#define  RGBW_D_RGBW_CPC_2_VADDR                            	(0xb802e704)
#define  RGBW_D_RGBW_CPC_3_VADDR                            	(0xb802e708)
#define  RGBW_D_RGBW_CPC_4_VADDR                            	(0xb802e70c)
#define  RGBW_D_RGBW_BE_1_VADDR                             	(0xb802e710)
#define  RGBW_D_RGBW_BE_2_SEP_1_VADDR                       	(0xb802ec00)
#define  RGBW_D_RGBW_BE_2_SEP_2_VADDR                       	(0xb802ec04)
#define  RGBW_D_RGBW_BE_2_SEP_3_VADDR                       	(0xb802ec08)
#define  RGBW_D_RGBW_LOG_CURVE_1_VADDR                      	(0xb802e718)
#define  RGBW_D_RGBW_LOG_CURVE_2_VADDR                      	(0xb802e71c)
#define  RGBW_D_RGBW_LOG_CURVE_3_VADDR                      	(0xb802e720)
#define  RGBW_D_RGBW_LOG_CURVE_4_VADDR                      	(0xb802e724)
#define  RGBW_D_RGBW_LOG_CURVE_5_VADDR                      	(0xb802e728)
#define  RGBW_D_RGBW_LOG_CURVE_6_VADDR                      	(0xb802e72c)
#define  RGBW_D_RGBW_LOG_CURVE_7_VADDR                      	(0xb802e730)
#define  RGBW_D_RGBW_LOG_CURVE_8_VADDR                      	(0xb802e734)
#define  RGBW_D_RGBW_LOG_CURVE_9_VADDR                      	(0xb802e738)
#define  RGBW_D_RGBW_LOG_CURVE_10_VADDR                     	(0xb802e73c)
#define  RGBW_D_RGBW_LOG_CURVE_11_VADDR                     	(0xb802e740)
#define  RGBW_D_RGBW_LOG_CURVE_12_VADDR                     	(0xb802e744)
#define  RGBW_D_RGBW_LOG_CURVE_13_VADDR                     	(0xb802e748)
#define  RGBW_D_RGBW_DEOVERSAT_1_VADDR                      	(0xb802ec10)
#define  RGBW_D_RGBW_DEOVERSAT_2_VADDR                      	(0xb802ec14)
#define  RGBW_D_RGBW_ADAPTWHITE_1_VADDR                     	(0xb802ec20)
#define  RGBW_D_RGBW_ADAPTWHITE_2_VADDR                     	(0xb802ec24)
#define  RGBW_D_RGBW_ADAPTWHITE_3_VADDR                     	(0xb802ec28)
#define  RGBW_D_RGBW_ADAPTWHITE_4_VADDR                     	(0xb802ec2c)
#define  RGBW_D_RGBW_ADAPTWHITE_HIST_1_VADDR                	(0xb802ec30)
#define  RGBW_D_RGBW_ADAPTWHITE_HIST_2_VADDR                	(0xb802ec34)
#define  RGBW_D_RGBW_ADAPTWHITE_HIST_3_VADDR                	(0xb802ec38)
#define  RGBW_D_RGBW_ADAPTWHITE_HIST_4_VADDR                	(0xb802ec3c)
#define  RGBW_D_RGBW_SPR_ORDER_VADDR                        	(0xb802e750)
#define  RGBW_D_RGBW_SPR_SS0_COEF_0_VADDR                   	(0xb802e754)
#define  RGBW_D_RGBW_SPR_SS0_COEF_1_VADDR                   	(0xb802e758)
#define  RGBW_D_RGBW_SPR_SS1_COEF_0_VADDR                   	(0xb802e75c)
#define  RGBW_D_RGBW_SPR_SS1_COEF_1_VADDR                   	(0xb802e760)
#define  RGBW_D_RGBW_SPR_SS2_COEF_0_VADDR                   	(0xb802e764)
#define  RGBW_D_RGBW_SPR_SS2_COEF_1_VADDR                   	(0xb802e768)
#define  RGBW_D_RGBW_SPR_SS3_COEF_0_VADDR                   	(0xb802e76c)
#define  RGBW_D_RGBW_SPR_SS3_COEF_1_VADDR                   	(0xb802e770)
#define  RGBW_D_RGBW_SPR_SS4_COEF_0_VADDR                   	(0xb802e774)
#define  RGBW_D_RGBW_SPR_SS4_COEF_1_VADDR                   	(0xb802e778)
#define  RGBW_D_RGBW_SPR_SS5_COEF_0_VADDR                   	(0xb802e77c)
#define  RGBW_D_RGBW_SPR_SS5_COEF_1_VADDR                   	(0xb802e780)
#define  RGBW_D_RGBW_SPR_SS6_COEF_0_VADDR                   	(0xb802e784)
#define  RGBW_D_RGBW_SPR_SS6_COEF_1_VADDR                   	(0xb802e788)
#define  RGBW_D_RGBW_SPR_SS7_COEF_0_VADDR                   	(0xb802e78c)
#define  RGBW_D_RGBW_SPR_SS7_COEF_1_VADDR                   	(0xb802e790)
#define  RGBW_D_RGBW_SPR_SS8_COEF_0_VADDR                   	(0xb802e794)
#define  RGBW_D_RGBW_SPR_SS8_COEF_1_VADDR                   	(0xb802e798)
#define  RGBW_D_RGBW_SPR_SS9_COEF_0_VADDR                   	(0xb802e79c)
#define  RGBW_D_RGBW_SPR_SS9_COEF_1_VADDR                   	(0xb802e7a0)
#define  RGBW_D_RGBW_SPR_SS10_COEF_0_VADDR                  	(0xb802e7a4)
#define  RGBW_D_RGBW_SPR_SS10_COEF_1_VADDR                  	(0xb802e7a8)
#define  RGBW_D_RGBW_SPR_SS11_COEF_0_VADDR                  	(0xb802e7ac)
#define  RGBW_D_RGBW_SPR_SS11_COEF_1_VADDR                  	(0xb802e7b0)
#define  RGBW_D_RGBW_HFREQ_MASK_0_VADDR                     	(0xb802e7b4)
#define  RGBW_D_RGBW_HFREQ_MASK_1_VADDR                     	(0xb802e7b8)
#define  RGBW_D_RGBW_HFREQ_MASK_2_VADDR                     	(0xb802e7bc)
#define  RGBW_D_RGBW_HFREQ_MASK_3_VADDR                     	(0xb802e7fc)
#define  RGBW_RGBW_DB_CTRL_VADDR                            	(0xb802ec40)
#define  RGBW_D_RGBW_PATGEN_CTL_0_VADDR                     	(0xb802e7c0)
#define  RGBW_D_RGBW_PATGEN_CTL_1_VADDR                     	(0xb802e7c4)
#define  RGBW_D_RGBW_PATGEN_COLOR_C0_M_VADDR                	(0xb802e7c8)
#define  RGBW_D_RGBW_PATGEN_COLOR_C1_M_VADDR                	(0xb802e7cc)
#define  RGBW_D_RGBW_PATGEN_COLOR_C01_L_VADDR               	(0xb802e7d0)
#define  RGBW_D_RGBW_PATGEN_COLOR_C2_M_VADDR                	(0xb802e7d4)
#define  RGBW_D_RGBW_PATGEN_COLOR_C3_M_VADDR                	(0xb802e7d8)
#define  RGBW_D_RGBW_PATGEN_COLOR_C23_L_VADDR               	(0xb802e7dc)
#define  RGBW_D_RGBW_PATGEN_COLOR_C4_M_VADDR                	(0xb802e7e0)
#define  RGBW_D_RGBW_PATGEN_COLOR_C5_M_VADDR                	(0xb802e7e4)
#define  RGBW_D_RGBW_PATGEN_COLOR_C45_L_VADDR               	(0xb802e7e8)
#define  RGBW_D_RGBW_PATGEN_COLOR_C6_M_VADDR                	(0xb802e7ec)
#define  RGBW_D_RGBW_PATGEN_COLOR_C7_M_VADDR                	(0xb802e7f0)
#define  RGBW_D_RGBW_PATGEN_COLOR_C67_L_VADDR               	(0xb802e7f4)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======RGBW register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pre_cur_bypass:1;
        RBus_UInt32  ori_bypass:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  cpc_walpha_min:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  cpc_walpha_max:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  cpc_r_satalpha:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  cpc_g_satalpha:5;
    };
}rgbw_d_rgbw_cpc_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cpc_wlimit:10;
        RBus_UInt32  res1:1;
        RBus_UInt32  cpc_b_satalpha:5;
        RBus_UInt32  res2:6;
        RBus_UInt32  cpc_satalpha_offset:10;
    };
}rgbw_d_rgbw_cpc_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  cpc_saliency_alpha:8;
        RBus_UInt32  res2:6;
        RBus_UInt32  cpc_saliency_offset:10;
    };
}rgbw_d_rgbw_cpc_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  cpc_coef_a:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  cpc_coef_b:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  cpc_coef_c:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  cpc_coef_d:5;
    };
}rgbw_d_rgbw_cpc_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  brightness_gain:8;
        RBus_UInt32  brightness_offset:8;
    };
}rgbw_d_rgbw_be_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  enhance_strength_separate:1;
        RBus_UInt32  res1:11;
        RBus_UInt32  enhance_strength_offset_r:12;
        RBus_UInt32  enhance_strength_gain_r:8;
    };
}rgbw_d_rgbw_be_2_sep_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  enhance_strength_offset_g:12;
        RBus_UInt32  enhance_strength_gain_g:8;
        RBus_UInt32  enhance_strength_offset_b:12;
    };
}rgbw_d_rgbw_be_2_sep_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  enhance_strength_gain_b:8;
        RBus_UInt32  enhance_strength_offset_w:12;
        RBus_UInt32  enhance_strength_gain_w:8;
    };
}rgbw_d_rgbw_be_2_sep_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  slogcurve_sub_0:10;
        RBus_UInt32  slogcurve_sub_1:10;
        RBus_UInt32  slogcurve_sub_2:10;
    };
}rgbw_d_rgbw_log_curve_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  slogcurve_sub_3:10;
        RBus_UInt32  slogcurve_sub_4:10;
        RBus_UInt32  slogcurve_sub_5:10;
    };
}rgbw_d_rgbw_log_curve_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  slogcurve_sub_6:10;
        RBus_UInt32  slogcurve_sub_7:10;
        RBus_UInt32  slogcurve_2:10;
    };
}rgbw_d_rgbw_log_curve_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  slogcurve_3:10;
        RBus_UInt32  slogcurve_4:10;
        RBus_UInt32  slogcurve_5:10;
    };
}rgbw_d_rgbw_log_curve_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  slogcurve_6:10;
        RBus_UInt32  slogcurve_7:10;
        RBus_UInt32  slogcurve_8:10;
    };
}rgbw_d_rgbw_log_curve_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  slogcurve_9:10;
        RBus_UInt32  slogcurve_10:10;
        RBus_UInt32  slogcurve_11:10;
    };
}rgbw_d_rgbw_log_curve_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  slogcurve_12:10;
        RBus_UInt32  slogcurve_13:10;
        RBus_UInt32  slogcurve_14:10;
    };
}rgbw_d_rgbw_log_curve_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  slogcurve_15:10;
        RBus_UInt32  slogcurve_16:10;
        RBus_UInt32  slogcurve_17:10;
    };
}rgbw_d_rgbw_log_curve_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  slogcurve_18:10;
        RBus_UInt32  slogcurve_19:10;
        RBus_UInt32  slogcurve_20:10;
    };
}rgbw_d_rgbw_log_curve_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  slogcurve_21:10;
        RBus_UInt32  slogcurve_22:10;
        RBus_UInt32  slogcurve_23:10;
    };
}rgbw_d_rgbw_log_curve_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  slogcurve_24:10;
        RBus_UInt32  slogcurve_25:10;
        RBus_UInt32  slogcurve_26:10;
    };
}rgbw_d_rgbw_log_curve_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  slogcurve_27:10;
        RBus_UInt32  slogcurve_28:10;
        RBus_UInt32  slogcurve_29:10;
    };
}rgbw_d_rgbw_log_curve_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  slogcurve_30:10;
        RBus_UInt32  slogcurve_31:10;
        RBus_UInt32  slogcurve_32:10;
    };
}rgbw_d_rgbw_log_curve_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  deoversat_en:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  deoversat_alpha:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  deoversat_strength:5;
        RBus_UInt32  deoversat_flatlpf_en:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  deoversat_flatlpf_lowbd:6;
        RBus_UInt32  res4:3;
        RBus_UInt32  deoversat_flatlpf_slope:5;
    };
}rgbw_d_rgbw_deoversat_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  deoversat_flatlpf_coef0:5;
        RBus_UInt32  deoversat_flatlpf_coef1:4;
        RBus_UInt32  deoversat_flatlpf_coef2:4;
        RBus_UInt32  deoversat_flatlpf_coef3:4;
        RBus_UInt32  ratioclip_en:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  ratioclip_strength:5;
    };
}rgbw_d_rgbw_deoversat_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  adaptwhite_en:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  adaptwhite_alpha:5;
        RBus_UInt32  res2:14;
        RBus_UInt32  adaptwhite_cutweight:10;
    };
}rgbw_d_rgbw_adaptwhite_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hist_en:1;
        RBus_UInt32  hist_mode_sel:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  hist_shift_sel:4;
        RBus_UInt32  res2:3;
        RBus_UInt32  hist_data_sel:5;
        RBus_UInt32  hist_sta0:8;
        RBus_UInt32  res3:8;
    };
}rgbw_d_rgbw_adaptwhite_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hist_sta1:8;
        RBus_UInt32  hist_sta2:8;
        RBus_UInt32  hist_sta3:8;
        RBus_UInt32  hist_sta4:8;
    };
}rgbw_d_rgbw_adaptwhite_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hist_sta5:8;
        RBus_UInt32  hist_sta6:8;
        RBus_UInt32  hist_sta7:8;
        RBus_UInt32  hist_end7:8;
    };
}rgbw_d_rgbw_adaptwhite_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hist_bin0:16;
        RBus_UInt32  hist_bin1:16;
    };
}rgbw_d_rgbw_adaptwhite_hist_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hist_bin2:16;
        RBus_UInt32  hist_bin3:16;
    };
}rgbw_d_rgbw_adaptwhite_hist_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hist_bin4:16;
        RBus_UInt32  hist_bin5:16;
    };
}rgbw_d_rgbw_adaptwhite_hist_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hist_bin6:16;
        RBus_UInt32  hist_bin7:16;
    };
}rgbw_d_rgbw_adaptwhite_hist_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  spr_coef_mode:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  ss0_pos:1;
        RBus_UInt32  ss1_pos:1;
        RBus_UInt32  ss2_pos:1;
        RBus_UInt32  ss3_pos:1;
        RBus_UInt32  ss4_pos:1;
        RBus_UInt32  ss5_pos:1;
        RBus_UInt32  ss6_pos:1;
        RBus_UInt32  ss7_pos:1;
        RBus_UInt32  ss8_pos:1;
        RBus_UInt32  ss9_pos:1;
        RBus_UInt32  ss10_pos:1;
        RBus_UInt32  ss11_pos:1;
        RBus_UInt32  even_ch_w:2;
        RBus_UInt32  even_ch_b:2;
        RBus_UInt32  even_ch_g:2;
        RBus_UInt32  even_ch_r:2;
        RBus_UInt32  odd_ch_w:2;
        RBus_UInt32  odd_ch_b:2;
        RBus_UInt32  odd_ch_g:2;
        RBus_UInt32  odd_ch_r:2;
    };
}rgbw_d_rgbw_spr_order_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss0_coef0:8;
        RBus_UInt32  ss0_coef1:8;
        RBus_UInt32  ss0_coef2:8;
        RBus_UInt32  ss0_coef3:8;
    };
}rgbw_d_rgbw_spr_ss0_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss0_coef4:8;
        RBus_UInt32  ss0_coef5:8;
        RBus_UInt32  ss0_coef6:8;
        RBus_UInt32  ss0_coef7:8;
    };
}rgbw_d_rgbw_spr_ss0_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss1_coef0:8;
        RBus_UInt32  ss1_coef1:8;
        RBus_UInt32  ss1_coef2:8;
        RBus_UInt32  ss1_coef3:8;
    };
}rgbw_d_rgbw_spr_ss1_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss1_coef4:8;
        RBus_UInt32  ss1_coef5:8;
        RBus_UInt32  ss1_coef6:8;
        RBus_UInt32  ss1_coef7:8;
    };
}rgbw_d_rgbw_spr_ss1_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss2_coef0:8;
        RBus_UInt32  ss2_coef1:8;
        RBus_UInt32  ss2_coef2:8;
        RBus_UInt32  ss2_coef3:8;
    };
}rgbw_d_rgbw_spr_ss2_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss2_coef4:8;
        RBus_UInt32  ss2_coef5:8;
        RBus_UInt32  ss2_coef6:8;
        RBus_UInt32  ss2_coef7:8;
    };
}rgbw_d_rgbw_spr_ss2_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss3_coef0:8;
        RBus_UInt32  ss3_coef1:8;
        RBus_UInt32  ss3_coef2:8;
        RBus_UInt32  ss3_coef3:8;
    };
}rgbw_d_rgbw_spr_ss3_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss3_coef4:8;
        RBus_UInt32  ss3_coef5:8;
        RBus_UInt32  ss3_coef6:8;
        RBus_UInt32  ss3_coef7:8;
    };
}rgbw_d_rgbw_spr_ss3_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss4_coef0:8;
        RBus_UInt32  ss4_coef1:8;
        RBus_UInt32  ss4_coef2:8;
        RBus_UInt32  ss4_coef3:8;
    };
}rgbw_d_rgbw_spr_ss4_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss4_coef4:8;
        RBus_UInt32  ss4_coef5:8;
        RBus_UInt32  ss4_coef6:8;
        RBus_UInt32  ss4_coef7:8;
    };
}rgbw_d_rgbw_spr_ss4_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss5_coef0:8;
        RBus_UInt32  ss5_coef1:8;
        RBus_UInt32  ss5_coef2:8;
        RBus_UInt32  ss5_coef3:8;
    };
}rgbw_d_rgbw_spr_ss5_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss5_coef4:8;
        RBus_UInt32  ss5_coef5:8;
        RBus_UInt32  ss5_coef6:8;
        RBus_UInt32  ss5_coef7:8;
    };
}rgbw_d_rgbw_spr_ss5_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss6_coef0:8;
        RBus_UInt32  ss6_coef1:8;
        RBus_UInt32  ss6_coef2:8;
        RBus_UInt32  ss6_coef3:8;
    };
}rgbw_d_rgbw_spr_ss6_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss6_coef4:8;
        RBus_UInt32  ss6_coef5:8;
        RBus_UInt32  ss6_coef6:8;
        RBus_UInt32  ss6_coef7:8;
    };
}rgbw_d_rgbw_spr_ss6_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss7_coef0:8;
        RBus_UInt32  ss7_coef1:8;
        RBus_UInt32  ss7_coef2:8;
        RBus_UInt32  ss7_coef3:8;
    };
}rgbw_d_rgbw_spr_ss7_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss7_coef4:8;
        RBus_UInt32  ss7_coef5:8;
        RBus_UInt32  ss7_coef6:8;
        RBus_UInt32  ss7_coef7:8;
    };
}rgbw_d_rgbw_spr_ss7_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss8_coef0:8;
        RBus_UInt32  ss8_coef1:8;
        RBus_UInt32  ss8_coef2:8;
        RBus_UInt32  ss8_coef3:8;
    };
}rgbw_d_rgbw_spr_ss8_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss8_coef4:8;
        RBus_UInt32  ss8_coef5:8;
        RBus_UInt32  ss8_coef6:8;
        RBus_UInt32  ss8_coef7:8;
    };
}rgbw_d_rgbw_spr_ss8_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss9_coef0:8;
        RBus_UInt32  ss9_coef1:8;
        RBus_UInt32  ss9_coef2:8;
        RBus_UInt32  ss9_coef3:8;
    };
}rgbw_d_rgbw_spr_ss9_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss9_coef4:8;
        RBus_UInt32  ss9_coef5:8;
        RBus_UInt32  ss9_coef6:8;
        RBus_UInt32  ss9_coef7:8;
    };
}rgbw_d_rgbw_spr_ss9_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss10_coef0:8;
        RBus_UInt32  ss10_coef1:8;
        RBus_UInt32  ss10_coef2:8;
        RBus_UInt32  ss10_coef3:8;
    };
}rgbw_d_rgbw_spr_ss10_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss10_coef4:8;
        RBus_UInt32  ss10_coef5:8;
        RBus_UInt32  ss10_coef6:8;
        RBus_UInt32  ss10_coef7:8;
    };
}rgbw_d_rgbw_spr_ss10_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss11_coef0:8;
        RBus_UInt32  ss11_coef1:8;
        RBus_UInt32  ss11_coef2:8;
        RBus_UInt32  ss11_coef3:8;
    };
}rgbw_d_rgbw_spr_ss11_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss11_coef4:8;
        RBus_UInt32  ss11_coef5:8;
        RBus_UInt32  ss11_coef6:8;
        RBus_UInt32  ss11_coef7:8;
    };
}rgbw_d_rgbw_spr_ss11_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hfreq_sidediff_lowbd:4;
        RBus_UInt32  hfreq_sidediff_slope:4;
        RBus_UInt32  hfreq_centerdiff_lowbd:4;
        RBus_UInt32  hfreq_centerdiff_slope:4;
        RBus_UInt32  hfreq_selfwhite_lowbd:4;
        RBus_UInt32  hfreq_selfwhite_slope:4;
        RBus_UInt32  res1:2;
        RBus_UInt32  hfreq_tap_sel:1;
        RBus_UInt32  pixel_rearrange_en:1;
        RBus_UInt32  pixel_rearrange_wkeep:1;
        RBus_UInt32  bkmask_en:1;
        RBus_UInt32  bkmask_transfer_en:1;
        RBus_UInt32  bkmask_colorwhite_en:1;
    };
}rgbw_d_rgbw_hfreq_mask_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  bkmask_offset_k0:8;
        RBus_UInt32  bkmask_offset_k1:8;
        RBus_UInt32  bkmask_offset_w0_even:8;
        RBus_UInt32  bkmask_offset_w1_even:8;
    };
}rgbw_d_rgbw_hfreq_mask_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  bkmask_offset_w0_odd:8;
        RBus_UInt32  bkmask_offset_w1_odd:8;
        RBus_UInt32  res1:4;
        RBus_UInt32  dbgmode:3;
        RBus_UInt32  dbgmode_cond_disp_en:1;
        RBus_UInt32  dbgmode_cond_disp_min:4;
        RBus_UInt32  dbgmode_cond_disp_delta:4;
    };
}rgbw_d_rgbw_hfreq_mask_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rearrange_rem_even_r:2;
        RBus_UInt32  rearrange_rem_even_g:2;
        RBus_UInt32  rearrange_rem_even_b:2;
        RBus_UInt32  rearrange_rem_odd_r:2;
        RBus_UInt32  rearrange_rem_odd_g:2;
        RBus_UInt32  rearrange_rem_odd_b:2;
        RBus_UInt32  res1:20;
    };
}rgbw_d_rgbw_hfreq_mask_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  db_en:1;
        RBus_UInt32  db_read_level:1;
        RBus_UInt32  db_apply:1;
    };
}rgbw_rgbw_db_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_en:1;
        RBus_UInt32  patgen_ch_num:1;
        RBus_UInt32  res1:8;
        RBus_UInt32  patgen_width:22;
    };
}rgbw_d_rgbw_patgen_ctl_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802e7c4_31_16:16;
        RBus_UInt32  patgen_even_ch_order_w:2;
        RBus_UInt32  patgen_even_ch_order_b:2;
        RBus_UInt32  patgen_even_ch_order_g:2;
        RBus_UInt32  patgen_even_ch_order_r:2;
        RBus_UInt32  patgen_odd_ch_order_w:2;
        RBus_UInt32  patgen_odd_ch_order_b:2;
        RBus_UInt32  patgen_odd_ch_order_g:2;
        RBus_UInt32  patgen_odd_ch_order_r:2;
    };
}rgbw_d_rgbw_patgen_ctl_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_c0_w_msb:8;
        RBus_UInt32  patgen_c0_b_msb:8;
        RBus_UInt32  patgen_c0_g_msb:8;
        RBus_UInt32  patgen_c0_r_msb:8;
    };
}rgbw_d_rgbw_patgen_color_c0_m_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_c1_w_msb:8;
        RBus_UInt32  patgen_c1_b_msb:8;
        RBus_UInt32  patgen_c1_g_msb:8;
        RBus_UInt32  patgen_c1_r_msb:8;
    };
}rgbw_d_rgbw_patgen_color_c1_m_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_c0_w_lsb:4;
        RBus_UInt32  patgen_c0_b_lsb:4;
        RBus_UInt32  patgen_c0_g_lsb:4;
        RBus_UInt32  patgen_c0_r_lsb:4;
        RBus_UInt32  patgen_c1_w_lsb:4;
        RBus_UInt32  patgen_c1_b_lsb:4;
        RBus_UInt32  patgen_c1_g_lsb:4;
        RBus_UInt32  patgen_c1_r_lsb:4;
    };
}rgbw_d_rgbw_patgen_color_c01_l_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_c2_w_msb:8;
        RBus_UInt32  patgen_c2_b_msb:8;
        RBus_UInt32  patgen_c2_g_msb:8;
        RBus_UInt32  patgen_c2_r_msb:8;
    };
}rgbw_d_rgbw_patgen_color_c2_m_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_c3_w_msb:8;
        RBus_UInt32  patgen_c3_b_msb:8;
        RBus_UInt32  patgen_c3_g_msb:8;
        RBus_UInt32  patgen_c3_r_msb:8;
    };
}rgbw_d_rgbw_patgen_color_c3_m_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_c2_w_lsb:4;
        RBus_UInt32  patgen_c2_b_lsb:4;
        RBus_UInt32  patgen_c2_g_lsb:4;
        RBus_UInt32  patgen_c2_r_lsb:4;
        RBus_UInt32  patgen_c3_w_lsb:4;
        RBus_UInt32  patgen_c3_b_lsb:4;
        RBus_UInt32  patgen_c3_g_lsb:4;
        RBus_UInt32  patgen_c3_r_lsb:4;
    };
}rgbw_d_rgbw_patgen_color_c23_l_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_c4_w_msb:8;
        RBus_UInt32  patgen_c4_b_msb:8;
        RBus_UInt32  patgen_c4_g_msb:8;
        RBus_UInt32  patgen_c4_r_msb:8;
    };
}rgbw_d_rgbw_patgen_color_c4_m_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_c5_w_msb:8;
        RBus_UInt32  patgen_c5_b_msb:8;
        RBus_UInt32  patgen_c5_g_msb:8;
        RBus_UInt32  patgen_c5_r_msb:8;
    };
}rgbw_d_rgbw_patgen_color_c5_m_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_c4_w_lsb:4;
        RBus_UInt32  patgen_c4_b_lsb:4;
        RBus_UInt32  patgen_c4_g_lsb:4;
        RBus_UInt32  patgen_c4_r_lsb:4;
        RBus_UInt32  patgen_c5_w_lsb:4;
        RBus_UInt32  patgen_c5_b_lsb:4;
        RBus_UInt32  patgen_c5_g_lsb:4;
        RBus_UInt32  patgen_c5_r_lsb:4;
    };
}rgbw_d_rgbw_patgen_color_c45_l_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_c6_w_msb:8;
        RBus_UInt32  patgen_c6_b_msb:8;
        RBus_UInt32  patgen_c6_g_msb:8;
        RBus_UInt32  patgen_c6_r_msb:8;
    };
}rgbw_d_rgbw_patgen_color_c6_m_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_c7_w_msb:8;
        RBus_UInt32  patgen_c7_b_msb:8;
        RBus_UInt32  patgen_c7_g_msb:8;
        RBus_UInt32  patgen_c7_r_msb:8;
    };
}rgbw_d_rgbw_patgen_color_c7_m_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_c6_w_lsb:4;
        RBus_UInt32  patgen_c6_b_lsb:4;
        RBus_UInt32  patgen_c6_g_lsb:4;
        RBus_UInt32  patgen_c6_r_lsb:4;
        RBus_UInt32  patgen_c7_w_lsb:4;
        RBus_UInt32  patgen_c7_b_lsb:4;
        RBus_UInt32  patgen_c7_g_lsb:4;
        RBus_UInt32  patgen_c7_r_lsb:4;
    };
}rgbw_d_rgbw_patgen_color_c67_l_RBUS;

#else //apply LITTLE_ENDIAN

//======RGBW register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cpc_g_satalpha:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  cpc_r_satalpha:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  cpc_walpha_max:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  cpc_walpha_min:5;
        RBus_UInt32  res4:1;
        RBus_UInt32  ori_bypass:1;
        RBus_UInt32  pre_cur_bypass:1;
    };
}rgbw_d_rgbw_cpc_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cpc_satalpha_offset:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  cpc_b_satalpha:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  cpc_wlimit:10;
    };
}rgbw_d_rgbw_cpc_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cpc_saliency_offset:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  cpc_saliency_alpha:8;
        RBus_UInt32  res2:8;
    };
}rgbw_d_rgbw_cpc_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cpc_coef_d:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  cpc_coef_c:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  cpc_coef_b:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  cpc_coef_a:5;
        RBus_UInt32  res4:3;
    };
}rgbw_d_rgbw_cpc_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  brightness_offset:8;
        RBus_UInt32  brightness_gain:8;
        RBus_UInt32  res1:16;
    };
}rgbw_d_rgbw_be_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  enhance_strength_gain_r:8;
        RBus_UInt32  enhance_strength_offset_r:12;
        RBus_UInt32  res1:11;
        RBus_UInt32  enhance_strength_separate:1;
    };
}rgbw_d_rgbw_be_2_sep_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  enhance_strength_offset_b:12;
        RBus_UInt32  enhance_strength_gain_g:8;
        RBus_UInt32  enhance_strength_offset_g:12;
    };
}rgbw_d_rgbw_be_2_sep_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  enhance_strength_gain_w:8;
        RBus_UInt32  enhance_strength_offset_w:12;
        RBus_UInt32  enhance_strength_gain_b:8;
        RBus_UInt32  res1:4;
    };
}rgbw_d_rgbw_be_2_sep_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  slogcurve_sub_2:10;
        RBus_UInt32  slogcurve_sub_1:10;
        RBus_UInt32  slogcurve_sub_0:10;
        RBus_UInt32  res1:2;
    };
}rgbw_d_rgbw_log_curve_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  slogcurve_sub_5:10;
        RBus_UInt32  slogcurve_sub_4:10;
        RBus_UInt32  slogcurve_sub_3:10;
        RBus_UInt32  res1:2;
    };
}rgbw_d_rgbw_log_curve_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  slogcurve_2:10;
        RBus_UInt32  slogcurve_sub_7:10;
        RBus_UInt32  slogcurve_sub_6:10;
        RBus_UInt32  res1:2;
    };
}rgbw_d_rgbw_log_curve_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  slogcurve_5:10;
        RBus_UInt32  slogcurve_4:10;
        RBus_UInt32  slogcurve_3:10;
        RBus_UInt32  res1:2;
    };
}rgbw_d_rgbw_log_curve_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  slogcurve_8:10;
        RBus_UInt32  slogcurve_7:10;
        RBus_UInt32  slogcurve_6:10;
        RBus_UInt32  res1:2;
    };
}rgbw_d_rgbw_log_curve_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  slogcurve_11:10;
        RBus_UInt32  slogcurve_10:10;
        RBus_UInt32  slogcurve_9:10;
        RBus_UInt32  res1:2;
    };
}rgbw_d_rgbw_log_curve_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  slogcurve_14:10;
        RBus_UInt32  slogcurve_13:10;
        RBus_UInt32  slogcurve_12:10;
        RBus_UInt32  res1:2;
    };
}rgbw_d_rgbw_log_curve_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  slogcurve_17:10;
        RBus_UInt32  slogcurve_16:10;
        RBus_UInt32  slogcurve_15:10;
        RBus_UInt32  res1:2;
    };
}rgbw_d_rgbw_log_curve_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  slogcurve_20:10;
        RBus_UInt32  slogcurve_19:10;
        RBus_UInt32  slogcurve_18:10;
        RBus_UInt32  res1:2;
    };
}rgbw_d_rgbw_log_curve_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  slogcurve_23:10;
        RBus_UInt32  slogcurve_22:10;
        RBus_UInt32  slogcurve_21:10;
        RBus_UInt32  res1:2;
    };
}rgbw_d_rgbw_log_curve_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  slogcurve_26:10;
        RBus_UInt32  slogcurve_25:10;
        RBus_UInt32  slogcurve_24:10;
        RBus_UInt32  res1:2;
    };
}rgbw_d_rgbw_log_curve_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  slogcurve_29:10;
        RBus_UInt32  slogcurve_28:10;
        RBus_UInt32  slogcurve_27:10;
        RBus_UInt32  res1:2;
    };
}rgbw_d_rgbw_log_curve_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  slogcurve_32:10;
        RBus_UInt32  slogcurve_31:10;
        RBus_UInt32  slogcurve_30:10;
        RBus_UInt32  res1:2;
    };
}rgbw_d_rgbw_log_curve_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  deoversat_flatlpf_slope:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  deoversat_flatlpf_lowbd:6;
        RBus_UInt32  res2:1;
        RBus_UInt32  deoversat_flatlpf_en:1;
        RBus_UInt32  deoversat_strength:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  deoversat_alpha:5;
        RBus_UInt32  res4:2;
        RBus_UInt32  deoversat_en:1;
    };
}rgbw_d_rgbw_deoversat_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ratioclip_strength:5;
        RBus_UInt32  res1:6;
        RBus_UInt32  ratioclip_en:1;
        RBus_UInt32  deoversat_flatlpf_coef3:4;
        RBus_UInt32  deoversat_flatlpf_coef2:4;
        RBus_UInt32  deoversat_flatlpf_coef1:4;
        RBus_UInt32  deoversat_flatlpf_coef0:5;
        RBus_UInt32  res2:3;
    };
}rgbw_d_rgbw_deoversat_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  adaptwhite_cutweight:10;
        RBus_UInt32  res1:14;
        RBus_UInt32  adaptwhite_alpha:5;
        RBus_UInt32  res2:2;
        RBus_UInt32  adaptwhite_en:1;
    };
}rgbw_d_rgbw_adaptwhite_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  hist_sta0:8;
        RBus_UInt32  hist_data_sel:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  hist_shift_sel:4;
        RBus_UInt32  res3:2;
        RBus_UInt32  hist_mode_sel:1;
        RBus_UInt32  hist_en:1;
    };
}rgbw_d_rgbw_adaptwhite_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hist_sta4:8;
        RBus_UInt32  hist_sta3:8;
        RBus_UInt32  hist_sta2:8;
        RBus_UInt32  hist_sta1:8;
    };
}rgbw_d_rgbw_adaptwhite_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hist_end7:8;
        RBus_UInt32  hist_sta7:8;
        RBus_UInt32  hist_sta6:8;
        RBus_UInt32  hist_sta5:8;
    };
}rgbw_d_rgbw_adaptwhite_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hist_bin1:16;
        RBus_UInt32  hist_bin0:16;
    };
}rgbw_d_rgbw_adaptwhite_hist_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hist_bin3:16;
        RBus_UInt32  hist_bin2:16;
    };
}rgbw_d_rgbw_adaptwhite_hist_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hist_bin5:16;
        RBus_UInt32  hist_bin4:16;
    };
}rgbw_d_rgbw_adaptwhite_hist_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hist_bin7:16;
        RBus_UInt32  hist_bin6:16;
    };
}rgbw_d_rgbw_adaptwhite_hist_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  odd_ch_r:2;
        RBus_UInt32  odd_ch_g:2;
        RBus_UInt32  odd_ch_b:2;
        RBus_UInt32  odd_ch_w:2;
        RBus_UInt32  even_ch_r:2;
        RBus_UInt32  even_ch_g:2;
        RBus_UInt32  even_ch_b:2;
        RBus_UInt32  even_ch_w:2;
        RBus_UInt32  ss11_pos:1;
        RBus_UInt32  ss10_pos:1;
        RBus_UInt32  ss9_pos:1;
        RBus_UInt32  ss8_pos:1;
        RBus_UInt32  ss7_pos:1;
        RBus_UInt32  ss6_pos:1;
        RBus_UInt32  ss5_pos:1;
        RBus_UInt32  ss4_pos:1;
        RBus_UInt32  ss3_pos:1;
        RBus_UInt32  ss2_pos:1;
        RBus_UInt32  ss1_pos:1;
        RBus_UInt32  ss0_pos:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  spr_coef_mode:1;
    };
}rgbw_d_rgbw_spr_order_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss0_coef3:8;
        RBus_UInt32  ss0_coef2:8;
        RBus_UInt32  ss0_coef1:8;
        RBus_UInt32  ss0_coef0:8;
    };
}rgbw_d_rgbw_spr_ss0_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss0_coef7:8;
        RBus_UInt32  ss0_coef6:8;
        RBus_UInt32  ss0_coef5:8;
        RBus_UInt32  ss0_coef4:8;
    };
}rgbw_d_rgbw_spr_ss0_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss1_coef3:8;
        RBus_UInt32  ss1_coef2:8;
        RBus_UInt32  ss1_coef1:8;
        RBus_UInt32  ss1_coef0:8;
    };
}rgbw_d_rgbw_spr_ss1_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss1_coef7:8;
        RBus_UInt32  ss1_coef6:8;
        RBus_UInt32  ss1_coef5:8;
        RBus_UInt32  ss1_coef4:8;
    };
}rgbw_d_rgbw_spr_ss1_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss2_coef3:8;
        RBus_UInt32  ss2_coef2:8;
        RBus_UInt32  ss2_coef1:8;
        RBus_UInt32  ss2_coef0:8;
    };
}rgbw_d_rgbw_spr_ss2_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss2_coef7:8;
        RBus_UInt32  ss2_coef6:8;
        RBus_UInt32  ss2_coef5:8;
        RBus_UInt32  ss2_coef4:8;
    };
}rgbw_d_rgbw_spr_ss2_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss3_coef3:8;
        RBus_UInt32  ss3_coef2:8;
        RBus_UInt32  ss3_coef1:8;
        RBus_UInt32  ss3_coef0:8;
    };
}rgbw_d_rgbw_spr_ss3_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss3_coef7:8;
        RBus_UInt32  ss3_coef6:8;
        RBus_UInt32  ss3_coef5:8;
        RBus_UInt32  ss3_coef4:8;
    };
}rgbw_d_rgbw_spr_ss3_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss4_coef3:8;
        RBus_UInt32  ss4_coef2:8;
        RBus_UInt32  ss4_coef1:8;
        RBus_UInt32  ss4_coef0:8;
    };
}rgbw_d_rgbw_spr_ss4_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss4_coef7:8;
        RBus_UInt32  ss4_coef6:8;
        RBus_UInt32  ss4_coef5:8;
        RBus_UInt32  ss4_coef4:8;
    };
}rgbw_d_rgbw_spr_ss4_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss5_coef3:8;
        RBus_UInt32  ss5_coef2:8;
        RBus_UInt32  ss5_coef1:8;
        RBus_UInt32  ss5_coef0:8;
    };
}rgbw_d_rgbw_spr_ss5_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss5_coef7:8;
        RBus_UInt32  ss5_coef6:8;
        RBus_UInt32  ss5_coef5:8;
        RBus_UInt32  ss5_coef4:8;
    };
}rgbw_d_rgbw_spr_ss5_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss6_coef3:8;
        RBus_UInt32  ss6_coef2:8;
        RBus_UInt32  ss6_coef1:8;
        RBus_UInt32  ss6_coef0:8;
    };
}rgbw_d_rgbw_spr_ss6_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss6_coef7:8;
        RBus_UInt32  ss6_coef6:8;
        RBus_UInt32  ss6_coef5:8;
        RBus_UInt32  ss6_coef4:8;
    };
}rgbw_d_rgbw_spr_ss6_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss7_coef3:8;
        RBus_UInt32  ss7_coef2:8;
        RBus_UInt32  ss7_coef1:8;
        RBus_UInt32  ss7_coef0:8;
    };
}rgbw_d_rgbw_spr_ss7_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss7_coef7:8;
        RBus_UInt32  ss7_coef6:8;
        RBus_UInt32  ss7_coef5:8;
        RBus_UInt32  ss7_coef4:8;
    };
}rgbw_d_rgbw_spr_ss7_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss8_coef3:8;
        RBus_UInt32  ss8_coef2:8;
        RBus_UInt32  ss8_coef1:8;
        RBus_UInt32  ss8_coef0:8;
    };
}rgbw_d_rgbw_spr_ss8_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss8_coef7:8;
        RBus_UInt32  ss8_coef6:8;
        RBus_UInt32  ss8_coef5:8;
        RBus_UInt32  ss8_coef4:8;
    };
}rgbw_d_rgbw_spr_ss8_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss9_coef3:8;
        RBus_UInt32  ss9_coef2:8;
        RBus_UInt32  ss9_coef1:8;
        RBus_UInt32  ss9_coef0:8;
    };
}rgbw_d_rgbw_spr_ss9_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss9_coef7:8;
        RBus_UInt32  ss9_coef6:8;
        RBus_UInt32  ss9_coef5:8;
        RBus_UInt32  ss9_coef4:8;
    };
}rgbw_d_rgbw_spr_ss9_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss10_coef3:8;
        RBus_UInt32  ss10_coef2:8;
        RBus_UInt32  ss10_coef1:8;
        RBus_UInt32  ss10_coef0:8;
    };
}rgbw_d_rgbw_spr_ss10_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss10_coef7:8;
        RBus_UInt32  ss10_coef6:8;
        RBus_UInt32  ss10_coef5:8;
        RBus_UInt32  ss10_coef4:8;
    };
}rgbw_d_rgbw_spr_ss10_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss11_coef3:8;
        RBus_UInt32  ss11_coef2:8;
        RBus_UInt32  ss11_coef1:8;
        RBus_UInt32  ss11_coef0:8;
    };
}rgbw_d_rgbw_spr_ss11_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ss11_coef7:8;
        RBus_UInt32  ss11_coef6:8;
        RBus_UInt32  ss11_coef5:8;
        RBus_UInt32  ss11_coef4:8;
    };
}rgbw_d_rgbw_spr_ss11_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  bkmask_colorwhite_en:1;
        RBus_UInt32  bkmask_transfer_en:1;
        RBus_UInt32  bkmask_en:1;
        RBus_UInt32  pixel_rearrange_wkeep:1;
        RBus_UInt32  pixel_rearrange_en:1;
        RBus_UInt32  hfreq_tap_sel:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  hfreq_selfwhite_slope:4;
        RBus_UInt32  hfreq_selfwhite_lowbd:4;
        RBus_UInt32  hfreq_centerdiff_slope:4;
        RBus_UInt32  hfreq_centerdiff_lowbd:4;
        RBus_UInt32  hfreq_sidediff_slope:4;
        RBus_UInt32  hfreq_sidediff_lowbd:4;
    };
}rgbw_d_rgbw_hfreq_mask_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  bkmask_offset_w1_even:8;
        RBus_UInt32  bkmask_offset_w0_even:8;
        RBus_UInt32  bkmask_offset_k1:8;
        RBus_UInt32  bkmask_offset_k0:8;
    };
}rgbw_d_rgbw_hfreq_mask_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dbgmode_cond_disp_delta:4;
        RBus_UInt32  dbgmode_cond_disp_min:4;
        RBus_UInt32  dbgmode_cond_disp_en:1;
        RBus_UInt32  dbgmode:3;
        RBus_UInt32  res1:4;
        RBus_UInt32  bkmask_offset_w1_odd:8;
        RBus_UInt32  bkmask_offset_w0_odd:8;
    };
}rgbw_d_rgbw_hfreq_mask_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  rearrange_rem_odd_b:2;
        RBus_UInt32  rearrange_rem_odd_g:2;
        RBus_UInt32  rearrange_rem_odd_r:2;
        RBus_UInt32  rearrange_rem_even_b:2;
        RBus_UInt32  rearrange_rem_even_g:2;
        RBus_UInt32  rearrange_rem_even_r:2;
    };
}rgbw_d_rgbw_hfreq_mask_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  db_apply:1;
        RBus_UInt32  db_read_level:1;
        RBus_UInt32  db_en:1;
        RBus_UInt32  res1:29;
    };
}rgbw_rgbw_db_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_width:22;
        RBus_UInt32  res1:8;
        RBus_UInt32  patgen_ch_num:1;
        RBus_UInt32  patgen_en:1;
    };
}rgbw_d_rgbw_patgen_ctl_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_odd_ch_order_r:2;
        RBus_UInt32  patgen_odd_ch_order_g:2;
        RBus_UInt32  patgen_odd_ch_order_b:2;
        RBus_UInt32  patgen_odd_ch_order_w:2;
        RBus_UInt32  patgen_even_ch_order_r:2;
        RBus_UInt32  patgen_even_ch_order_g:2;
        RBus_UInt32  patgen_even_ch_order_b:2;
        RBus_UInt32  patgen_even_ch_order_w:2;
        RBus_UInt32  dummy1802e7c4_31_16:16;
    };
}rgbw_d_rgbw_patgen_ctl_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_c0_r_msb:8;
        RBus_UInt32  patgen_c0_g_msb:8;
        RBus_UInt32  patgen_c0_b_msb:8;
        RBus_UInt32  patgen_c0_w_msb:8;
    };
}rgbw_d_rgbw_patgen_color_c0_m_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_c1_r_msb:8;
        RBus_UInt32  patgen_c1_g_msb:8;
        RBus_UInt32  patgen_c1_b_msb:8;
        RBus_UInt32  patgen_c1_w_msb:8;
    };
}rgbw_d_rgbw_patgen_color_c1_m_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_c1_r_lsb:4;
        RBus_UInt32  patgen_c1_g_lsb:4;
        RBus_UInt32  patgen_c1_b_lsb:4;
        RBus_UInt32  patgen_c1_w_lsb:4;
        RBus_UInt32  patgen_c0_r_lsb:4;
        RBus_UInt32  patgen_c0_g_lsb:4;
        RBus_UInt32  patgen_c0_b_lsb:4;
        RBus_UInt32  patgen_c0_w_lsb:4;
    };
}rgbw_d_rgbw_patgen_color_c01_l_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_c2_r_msb:8;
        RBus_UInt32  patgen_c2_g_msb:8;
        RBus_UInt32  patgen_c2_b_msb:8;
        RBus_UInt32  patgen_c2_w_msb:8;
    };
}rgbw_d_rgbw_patgen_color_c2_m_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_c3_r_msb:8;
        RBus_UInt32  patgen_c3_g_msb:8;
        RBus_UInt32  patgen_c3_b_msb:8;
        RBus_UInt32  patgen_c3_w_msb:8;
    };
}rgbw_d_rgbw_patgen_color_c3_m_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_c3_r_lsb:4;
        RBus_UInt32  patgen_c3_g_lsb:4;
        RBus_UInt32  patgen_c3_b_lsb:4;
        RBus_UInt32  patgen_c3_w_lsb:4;
        RBus_UInt32  patgen_c2_r_lsb:4;
        RBus_UInt32  patgen_c2_g_lsb:4;
        RBus_UInt32  patgen_c2_b_lsb:4;
        RBus_UInt32  patgen_c2_w_lsb:4;
    };
}rgbw_d_rgbw_patgen_color_c23_l_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_c4_r_msb:8;
        RBus_UInt32  patgen_c4_g_msb:8;
        RBus_UInt32  patgen_c4_b_msb:8;
        RBus_UInt32  patgen_c4_w_msb:8;
    };
}rgbw_d_rgbw_patgen_color_c4_m_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_c5_r_msb:8;
        RBus_UInt32  patgen_c5_g_msb:8;
        RBus_UInt32  patgen_c5_b_msb:8;
        RBus_UInt32  patgen_c5_w_msb:8;
    };
}rgbw_d_rgbw_patgen_color_c5_m_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_c5_r_lsb:4;
        RBus_UInt32  patgen_c5_g_lsb:4;
        RBus_UInt32  patgen_c5_b_lsb:4;
        RBus_UInt32  patgen_c5_w_lsb:4;
        RBus_UInt32  patgen_c4_r_lsb:4;
        RBus_UInt32  patgen_c4_g_lsb:4;
        RBus_UInt32  patgen_c4_b_lsb:4;
        RBus_UInt32  patgen_c4_w_lsb:4;
    };
}rgbw_d_rgbw_patgen_color_c45_l_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_c6_r_msb:8;
        RBus_UInt32  patgen_c6_g_msb:8;
        RBus_UInt32  patgen_c6_b_msb:8;
        RBus_UInt32  patgen_c6_w_msb:8;
    };
}rgbw_d_rgbw_patgen_color_c6_m_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_c7_r_msb:8;
        RBus_UInt32  patgen_c7_g_msb:8;
        RBus_UInt32  patgen_c7_b_msb:8;
        RBus_UInt32  patgen_c7_w_msb:8;
    };
}rgbw_d_rgbw_patgen_color_c7_m_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  patgen_c7_r_lsb:4;
        RBus_UInt32  patgen_c7_g_lsb:4;
        RBus_UInt32  patgen_c7_b_lsb:4;
        RBus_UInt32  patgen_c7_w_lsb:4;
        RBus_UInt32  patgen_c6_r_lsb:4;
        RBus_UInt32  patgen_c6_g_lsb:4;
        RBus_UInt32  patgen_c6_b_lsb:4;
        RBus_UInt32  patgen_c6_w_lsb:4;
    };
}rgbw_d_rgbw_patgen_color_c67_l_RBUS;




#endif 


#endif 
