/**
* @file Mac7p-DesignSpec-D-Domain_Sharpness
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2019/11/22
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_COLOR_SHARP_REG_H_
#define _RBUS_COLOR_SHARP_REG_H_

#include "rbusTypes.h"



//  COLOR_SHARP Register Address



#define  COLOR_SHARP_DM_NR_SHP_CTRL_VADDR                   	(0xb802b500)
#define  COLOR_SHARP_DM_NR_SHP_CTRL_5_VADDR                 	(0xb802b540)
#define  COLOR_SHARP_DM_MKIII_SHP_CTRL_VADDR                	(0xb802b504)
#define  COLOR_SHARP_DM_SEGPK_CTRL1_VADDR                   	(0xb802b508)
#define  COLOR_SHARP_DM_SEGPK_CTRL2_VADDR                   	(0xb802b50c)
#define  COLOR_SHARP_DM_SEGPK_CTRL3_VADDR                   	(0xb802b510)
#define  COLOR_SHARP_DM_SEGPK_DBG_VADDR                     	(0xb802b51c)
#define  COLOR_SHARP_DM_PEAKING_GAIN_VADDR                  	(0xb802b524)
#define  COLOR_SHARP_DM_PEAKING_BOUND_1_VADDR               	(0xb802b528)
#define  COLOR_SHARP_DM_PEAKING_BOUND_0_VADDR               	(0xb802b52c)
#define  COLOR_SHARP_DM_PEAKING_LVD_VADDR                   	(0xb802b9f8)
#define  COLOR_SHARP_DM_2D_SHP_TEX_0_VADDR                  	(0xb802b530)
#define  COLOR_SHARP_DM_2D_SHP_TEX_1_VADDR                  	(0xb802b534)
#define  COLOR_SHARP_DM_2D_SHP_TEX_1_1_VADDR                	(0xb802b538)
#define  COLOR_SHARP_DM_2D_SHP_TEX_2_VADDR                  	(0xb802b558)
#define  COLOR_SHARP_DM_2D_SHP_TEX_4_VADDR                  	(0xb802b57c)
#define  COLOR_SHARP_DM_PEAKING_EMF_TEXTURE_VADDR           	(0xb802b5e4)
#define  COLOR_SHARP_DM_EMFMK2_CTRL_TEXTURE_VADDR           	(0xb802b5e8)
#define  COLOR_SHARP_DM_EMF_EXT_0_TEXTURE_VADDR             	(0xb802b5ec)
#define  COLOR_SHARP_DM_EMF_EXT_1_TEXTURE_VADDR             	(0xb802b5f0)
#define  COLOR_SHARP_DM_SEGPK_EDGPK3_VADDR                  	(0xb802b650)
#define  COLOR_SHARP_DM_SEGPK_EDGPK4_VADDR                  	(0xb802b654)
#define  COLOR_SHARP_DM_SEGPK_EDGPK2_VADDR                  	(0xb802b658)
#define  COLOR_SHARP_DM_2D_SHP_EDGE_0_VADDR                 	(0xb802b65c)
#define  COLOR_SHARP_DM_2D_SHP_EDGE_1_VADDR                 	(0xb802b660)
#define  COLOR_SHARP_DM_2D_SHP_EDGE_1_1_VADDR               	(0xb802b664)
#define  COLOR_SHARP_DM_2D_SHP_EDGE_2_VADDR                 	(0xb802b684)
#define  COLOR_SHARP_DM_2D_SHP_EDGE_4_VADDR                 	(0xb802b6a8)
#define  COLOR_SHARP_DM_PEAKING_EMF_VADDR                   	(0xb802b710)
#define  COLOR_SHARP_DM_EMFMK2_CTRL_VADDR                   	(0xb802b714)
#define  COLOR_SHARP_DM_EMF_EXT_0_VADDR                     	(0xb802b718)
#define  COLOR_SHARP_DM_EMF_EXT_1_VADDR                     	(0xb802b71c)
#define  COLOR_SHARP_DM_CDS_PEAKING_GAIN_CM0_V_VADDR        	(0xb802b670)
#define  COLOR_SHARP_DM_CDS_PEAKING_BOUND_CM0_V_VADDR       	(0xb802b674)
#define  COLOR_SHARP_DM_CDS_PEAKING_GAIN_CM0_V_EDG_VADDR    	(0xb802b678)
#define  COLOR_SHARP_DM_CDS_PEAKING_BOUND_CM0_V_EDG_VADDR   	(0xb802b67c)
#define  COLOR_SHARP_DM_CDS_PEAKING_GAIN_CM1_V_VADDR        	(0xb802b680)
#define  COLOR_SHARP_DM_CDS_PEAKING_BOUND_CM1_V_VADDR       	(0xb802b9e0)
#define  COLOR_SHARP_DM_CDS_PEAKING_GAIN_CM1_V_EDG_VADDR    	(0xb802b688)
#define  COLOR_SHARP_DM_CDS_PEAKING_BOUND_CM1_V_EDG_VADDR   	(0xb802b68c)
#define  COLOR_SHARP_DM_CDS_PEAKING_GAIN_CM2_V_VADDR        	(0xb802b690)
#define  COLOR_SHARP_DM_CDS_PEAKING_BOUND_CM2_V_VADDR       	(0xb802b694)
#define  COLOR_SHARP_DM_CDS_PEAKING_GAIN_CM2_V_EDG_VADDR    	(0xb802b698)
#define  COLOR_SHARP_DM_CDS_PEAKING_BOUND_CM2_V_EDG_VADDR   	(0xb802b69c)
#define  COLOR_SHARP_DM_CDS_PEAKING_GAIN_CM3_V_VADDR        	(0xb802b6a0)
#define  COLOR_SHARP_DM_CDS_PEAKING_BOUND_CM3_V_VADDR       	(0xb802b6a4)
#define  COLOR_SHARP_DM_CDS_PEAKING_GAIN_CM3_V_EDG_VADDR    	(0xb802b9e4)
#define  COLOR_SHARP_DM_CDS_PEAKING_BOUND_CM3_V_EDG_VADDR   	(0xb802b6ac)
#define  COLOR_SHARP_DM_SEGPK_EDGE_CORING_0_VADDR           	(0xb802b720)
#define  COLOR_SHARP_DM_SEGPK_EDGE_CORING_1_VADDR           	(0xb802b724)
#define  COLOR_SHARP_DM_SEGPK_EDGPK_SOURCESLOPE_VADDR       	(0xb802b728)
#define  COLOR_SHARP_DM_SEGPK_VPK1_VADDR                    	(0xb802b72c)
#define  COLOR_SHARP_DM_SEGPK_VPK2_VADDR                    	(0xb802b730)
#define  COLOR_SHARP_DM_SEGPK_VPK3_VADDR                    	(0xb802b734)
#define  COLOR_SHARP_DM_SEGPK_VPK4_VADDR                    	(0xb802b738)
#define  COLOR_SHARP_DM_CDS_CM0_U_BOUND_0_VADDR             	(0xb802b740)
#define  COLOR_SHARP_DM_CDS_CM0_V_BOUND_0_VADDR             	(0xb802b744)
#define  COLOR_SHARP_DM_CDS_CM0_U_BOUND_1_VADDR             	(0xb802b748)
#define  COLOR_SHARP_DM_CDS_CM0_V_BOUND_1_VADDR             	(0xb802b74c)
#define  COLOR_SHARP_DM_CDS_PEAKING_GAIN_CM0_TEX_VADDR      	(0xb802b750)
#define  COLOR_SHARP_DM_CDS_PEAKING_BOUND_CM0_TEX_VADDR     	(0xb802b754)
#define  COLOR_SHARP_DM_CDS_PEAKING_GAIN_CM0_EDGE_VADDR     	(0xb802b758)
#define  COLOR_SHARP_DM_CDS_PEAKING_BOUND_CM0_EDGE_VADDR    	(0xb802b75c)
#define  COLOR_SHARP_DM_CDS_CM1_U_BOUND_0_VADDR             	(0xb802b760)
#define  COLOR_SHARP_DM_CDS_CM1_V_BOUND_0_VADDR             	(0xb802b764)
#define  COLOR_SHARP_DM_CDS_CM1_U_BOUND_1_VADDR             	(0xb802b768)
#define  COLOR_SHARP_DM_CDS_CM1_V_BOUND_1_VADDR             	(0xb802b76c)
#define  COLOR_SHARP_DM_CDS_PEAKING_GAIN_CM1_TEX_VADDR      	(0xb802b770)
#define  COLOR_SHARP_DM_CDS_PEAKING_BOUND_CM1_TEX_VADDR     	(0xb802b774)
#define  COLOR_SHARP_DM_CDS_PEAKING_GAIN_CM1_EDGE_VADDR     	(0xb802b778)
#define  COLOR_SHARP_DM_CDS_PEAKING_BOUND_CM1_EDGE_VADDR    	(0xb802b77c)
#define  COLOR_SHARP_DM_CDS_CM2_U_BOUND_0_VADDR             	(0xb802b780)
#define  COLOR_SHARP_DM_CDS_CM2_V_BOUND_0_VADDR             	(0xb802b784)
#define  COLOR_SHARP_DM_CDS_CM2_U_BOUND_1_VADDR             	(0xb802b788)
#define  COLOR_SHARP_DM_CDS_CM2_V_BOUND_1_VADDR             	(0xb802b78c)
#define  COLOR_SHARP_DM_CDS_PEAKING_GAIN_CM2_TEX_VADDR      	(0xb802b790)
#define  COLOR_SHARP_DM_CDS_PEAKING_BOUND_CM2_TEX_VADDR     	(0xb802b794)
#define  COLOR_SHARP_DM_CDS_PEAKING_GAIN_CM2_EDGE_VADDR     	(0xb802b798)
#define  COLOR_SHARP_DM_CDS_PEAKING_BOUND_CM2_EDGE_VADDR    	(0xb802b79c)
#define  COLOR_SHARP_DM_CDS_CM3_U_BOUND_0_VADDR             	(0xb802b7a0)
#define  COLOR_SHARP_DM_CDS_CM3_V_BOUND_0_VADDR             	(0xb802b7a4)
#define  COLOR_SHARP_DM_CDS_CM3_U_BOUND_1_VADDR             	(0xb802b7a8)
#define  COLOR_SHARP_DM_CDS_CM3_V_BOUND_1_VADDR             	(0xb802b7ac)
#define  COLOR_SHARP_DM_CDS_PEAKING_GAIN_CM3_TEX_VADDR      	(0xb802b7b0)
#define  COLOR_SHARP_DM_CDS_PEAKING_BOUND_CM3_TEX_VADDR     	(0xb802b7b4)
#define  COLOR_SHARP_DM_CDS_PEAKING_GAIN_CM3_EDGE_VADDR     	(0xb802b7b8)
#define  COLOR_SHARP_DM_CDS_PEAKING_BOUND_CM3_EDGE_VADDR    	(0xb802b7bc)
#define  COLOR_SHARP_DM_SOURS_LPF_0_VADDR                   	(0xb802b7c0)
#define  COLOR_SHARP_DM_SOURS_LPF_1_VADDR                   	(0xb802b7c4)
#define  COLOR_SHARP_DM_MAXMIN_SHP_GAIN_0_VADDR             	(0xb802b7c8)
#define  COLOR_SHARP_DM_MAXMIN_SHP_GAIN_1_VADDR             	(0xb802b7cc)
#define  COLOR_SHARP_DM_MAXMIN_SHP_GAIN_2_VADDR             	(0xb802b7d0)
#define  COLOR_SHARP_DM_MAXMIN_SHP_GAIN_3_VADDR             	(0xb802b7d4)
#define  COLOR_SHARP_DM_MAXMIN_SHP_STEP_0_VADDR             	(0xb802b7d8)
#define  COLOR_SHARP_DM_MAXMIN_SHP_STEP_1_VADDR             	(0xb802b7dc)
#define  COLOR_SHARP_DM_MAXMIN_SHP_STEP_2_VADDR             	(0xb802b7e0)
#define  COLOR_SHARP_DM_MAXMIN_SHP_STEP_3_VADDR             	(0xb802b7e4)
#define  COLOR_SHARP_DM_CDS_CM0_Y_VADDR                     	(0xb802b7e8)
#define  COLOR_SHARP_DM_CDS_CM0_U_VADDR                     	(0xb802b7ec)
#define  COLOR_SHARP_DM_CDS_CM0_V_VADDR                     	(0xb802b7f0)
#define  COLOR_SHARP_DM_CDS_CM1_Y_VADDR                     	(0xb802b7f4)
#define  COLOR_SHARP_DM_CDS_CM1_U_VADDR                     	(0xb802b7f8)
#define  COLOR_SHARP_DM_CDS_CM1_V_VADDR                     	(0xb802b7fc)
#define  COLOR_SHARP_DM_CDS_CM2_Y_VADDR                     	(0xb802b800)
#define  COLOR_SHARP_DM_CDS_CM2_U_VADDR                     	(0xb802b804)
#define  COLOR_SHARP_DM_CDS_CM2_V_VADDR                     	(0xb802b808)
#define  COLOR_SHARP_DM_CDS_CM3_Y_VADDR                     	(0xb802b80c)
#define  COLOR_SHARP_DM_CDS_CM3_U_VADDR                     	(0xb802b810)
#define  COLOR_SHARP_DM_CDS_CM3_V_VADDR                     	(0xb802b814)
#define  COLOR_SHARP_DM_VPK_HPK_ADD_VADDR                   	(0xb802b818)
#define  COLOR_SHARP_DM_GAIN_CURVE_DEBUG_VADDR              	(0xb802b88c)
#define  COLOR_SHARP_DM_SR_CTRL_VADDR                       	(0xb802ba00)
#define  COLOR_SHARP_DM_SR_CONTINUAL_DETAIL_GAIN_VADDR      	(0xb802b890)
#define  COLOR_SHARP_DM_SR_CONTINUAL_DETAIL_SEL_VADDR       	(0xb802b894)
#define  COLOR_SHARP_DM_SR_9TAP_HPF_H_COEF_1_VADDR          	(0xb802b89c)
#define  COLOR_SHARP_DM_SR_13TAP_HPF_H_COEF_0_VADDR         	(0xb802b8a0)
#define  COLOR_SHARP_DM_SR_13TAP_HPF_H_COEF_1_VADDR         	(0xb802b8a4)
#define  COLOR_SHARP_DM_SR_21TAP_HPF_H_COEF_0_VADDR         	(0xb802b8a8)
#define  COLOR_SHARP_DM_SR_21TAP_HPF_H_COEF_1_VADDR         	(0xb802b8ac)
#define  COLOR_SHARP_DM_SR_21TAP_HPF_H_COEF_2_VADDR         	(0xb802b8b0)
#define  COLOR_SHARP_DM_SR_9TAP_HPF_V_COEF_0_1_VADDR        	(0xb802b8b8)
#define  COLOR_SHARP_DM_SR_9TAP_HPF_V_COEF_1_0_VADDR        	(0xb802b8bc)
#define  COLOR_SHARP_DM_SR_9TAP_HPF_V_COEF_1_1_VADDR        	(0xb802b8c0)
#define  COLOR_SHARP_DM_SR_9TAP_HPF_V_COEF_2_0_VADDR        	(0xb802b8c4)
#define  COLOR_SHARP_DM_SR_9TAP_HPF_V_COEF_2_1_VADDR        	(0xb802b8c8)
#define  COLOR_SHARP_DM_SR_11TAP_HPF_H_COEF_0_VADDR         	(0xb802b8cc)
#define  COLOR_SHARP_DM_SR_11TAP_HPF_H_COEF_1_VADDR         	(0xb802b8d0)
#define  COLOR_SHARP_DM_SR_9TAP_HPF_V_COEF_3_0_VADDR        	(0xb802b8d4)
#define  COLOR_SHARP_DM_SR_9TAP_HPF_V_COEF_3_1_VADDR        	(0xb802b8d8)
#define  COLOR_SHARP_DM_SR_DBG_VADDR                        	(0xb802b8e0)
#define  COLOR_SHARP_DM_SR_BIAS_COEF_VADDR                  	(0xb802b9fc)
#define  COLOR_SHARP_DM_SEGPK_VPK5_VADDR                    	(0xb802baf4)
#define  COLOR_SHARP_DM_SEGPK_VPK6_VADDR                    	(0xb802baf8)
#define  COLOR_SHARP_DM_SEGPK_EDGPK_VSOURCESLOPE_VADDR      	(0xb802bafc)
#define  COLOR_SHARP_DM_MAXMIN_LPF_WEIT_0_VADDR             	(0xb802b900)
#define  COLOR_SHARP_DM_MAXMIN_LPF_WEIT_1_VADDR             	(0xb802b904)
#define  COLOR_SHARP_DM_MAXMIN_LPF_WEIT_2_VADDR             	(0xb802b908)
#define  COLOR_SHARP_DM_MAXMIN_LPF_WEIT_3_VADDR             	(0xb802b90c)
#define  COLOR_SHARP_DM_MAXMIN_LPF_STEP_0_VADDR             	(0xb802b910)
#define  COLOR_SHARP_DM_MAXMIN_LPF_STEP_1_VADDR             	(0xb802b914)
#define  COLOR_SHARP_DM_MAXMIN_LPF_STEP_2_VADDR             	(0xb802b918)
#define  COLOR_SHARP_DM_MAXMIN_LPF_STEP_3_VADDR             	(0xb802b91c)
#define  COLOR_SHARP_DM_MAXMIN_GAIN_BY_Y_GAIN_0_VADDR       	(0xb802b920)
#define  COLOR_SHARP_DM_MAXMIN_GAIN_BY_Y_GAIN_1_VADDR       	(0xb802b924)
#define  COLOR_SHARP_DM_MAXMIN_GAIN_BY_Y_GAIN_2_VADDR       	(0xb802b928)
#define  COLOR_SHARP_DM_MAXMIN_GAIN_BY_Y_GAIN_3_VADDR       	(0xb802b92c)
#define  COLOR_SHARP_DM_MAXMIN_GAIN_BY_Y_STEP_0_VADDR       	(0xb802b930)
#define  COLOR_SHARP_DM_MAXMIN_GAIN_BY_Y_STEP_1_VADDR       	(0xb802b934)
#define  COLOR_SHARP_DM_MAXMIN_GAIN_BY_Y_STEP_2_VADDR       	(0xb802b938)
#define  COLOR_SHARP_DM_MAXMIN_GAIN_BY_Y_STEP_3_VADDR       	(0xb802b93c)
#define  COLOR_SHARP_SHP_CDS_REGION_ENABLE_VADDR            	(0xb802b570)
#define  COLOR_SHARP_SHP_CDS_REGION0_0_VADDR                	(0xb802b574)
#define  COLOR_SHARP_SHP_CDS_REGION0_1_VADDR                	(0xb802b578)
#define  COLOR_SHARP_SHP_CDS_REGION0_2_VADDR                	(0xb802b590)
#define  COLOR_SHARP_SHP_CDS_REGION0_3_VADDR                	(0xb802b594)
#define  COLOR_SHARP_SHP_CDS_REGION0_4_VADDR                	(0xb802b598)
#define  COLOR_SHARP_SHP_CDS_REGION1_0_VADDR                	(0xb802b5d4)
#define  COLOR_SHARP_SHP_CDS_REGION1_1_VADDR                	(0xb802b5d8)
#define  COLOR_SHARP_SHP_CDS_REGION1_2_VADDR                	(0xb802b5dc)
#define  COLOR_SHARP_SHP_CDS_REGION1_3_VADDR                	(0xb802b6b0)
#define  COLOR_SHARP_SHP_CDS_REGION1_4_VADDR                	(0xb802b6b4)
#define  COLOR_SHARP_SHP_CDS_REGION2_0_VADDR                	(0xb802b6b8)
#define  COLOR_SHARP_SHP_CDS_REGION2_1_VADDR                	(0xb802b6bc)
#define  COLOR_SHARP_SHP_CDS_REGION2_2_VADDR                	(0xb802b6d0)
#define  COLOR_SHARP_SHP_CDS_REGION2_3_VADDR                	(0xb802b6d4)
#define  COLOR_SHARP_SHP_CDS_REGION2_4_VADDR                	(0xb802b6d8)
#define  COLOR_SHARP_SHP_CDS_REGION3_0_VADDR                	(0xb802b6dc)
#define  COLOR_SHARP_SHP_CDS_REGION3_1_VADDR                	(0xb802b6e0)
#define  COLOR_SHARP_SHP_CDS_REGION3_2_VADDR                	(0xb802b6e4)
#define  COLOR_SHARP_SHP_CDS_REGION3_3_VADDR                	(0xb802b6e8)
#define  COLOR_SHARP_SHP_CDS_REGION3_4_VADDR                	(0xb802b6f0)
#define  COLOR_SHARP_SHP_CDS_REGION4_0_VADDR                	(0xb802b6f4)
#define  COLOR_SHARP_SHP_CDS_REGION4_1_VADDR                	(0xb802b6f8)
#define  COLOR_SHARP_SHP_CDS_REGION4_2_VADDR                	(0xb802b6fc)
#define  COLOR_SHARP_SHP_CDS_REGION4_3_VADDR                	(0xb802b700)
#define  COLOR_SHARP_SHP_CDS_REGION4_4_VADDR                	(0xb802b704)
#define  COLOR_SHARP_SHP_CDS_REGION5_0_VADDR                	(0xb802b8e4)
#define  COLOR_SHARP_SHP_CDS_REGION5_1_VADDR                	(0xb802b8e8)
#define  COLOR_SHARP_SHP_CDS_REGION5_2_VADDR                	(0xb802b8ec)
#define  COLOR_SHARP_SHP_CDS_REGION5_3_VADDR                	(0xb802b8f0)
#define  COLOR_SHARP_SHP_CDS_REGION5_4_VADDR                	(0xb802b8f4)
#define  COLOR_SHARP_SHP_CDS_PREDICT_VADDR                  	(0xb802b8fc)
#define  COLOR_SHARP_SHP_CRC_CTRL_VADDR                     	(0xb802b940)
#define  COLOR_SHARP_SHP_CRC_RESULT_VADDR                   	(0xb802b944)
#define  COLOR_SHARP_PEAK2D_BIST_VADDR                      	(0xb802b948)
#define  COLOR_SHARP_SHP_DLTI_CTRL_1_VADDR                  	(0xb802b950)
#define  COLOR_SHARP_SHP_DLTI_CTRL_2_VADDR                  	(0xb802b954)
#define  COLOR_SHARP_SHP_DLTI_CTRL_3_VADDR                  	(0xb802b958)
#define  COLOR_SHARP_SHP_DLTI_GAIN_OFFSET_1_VADDR           	(0xb802b95c)
#define  COLOR_SHARP_SHP_DLTI_GAIN_OFFSET_2_VADDR           	(0xb802b960)
#define  COLOR_SHARP_SHP_DLTI_GAIN_OFFSET_3_VADDR           	(0xb802b964)
#define  COLOR_SHARP_SHP_DLTI_GAIN_OFFSET_4_VADDR           	(0xb802b968)
#define  COLOR_SHARP_SHP_DLTI_GAIN_OFFSET_5_VADDR           	(0xb802b96c)
#define  COLOR_SHARP_SHP_DLTI_OVER_ENHANCE_GAIN_OFFSET_0_VADDR 	(0xb802b990)
#define  COLOR_SHARP_SHP_DLTI_OVER_ENHANCE_GAIN_OFFSET_1_VADDR 	(0xb802b994)
#define  COLOR_SHARP_SHP_DCTI_CTRL_1_VADDR                  	(0xb802b9c0)
#define  COLOR_SHARP_SHP_DCTI_CTRL_2_VADDR                  	(0xb802b9c4)
#define  COLOR_SHARP_SHP_DCTI_CTRL_3_VADDR                  	(0xb802b9c8)
#define  COLOR_SHARP_SHP_DCTI_CTRL_4_VADDR                  	(0xb802b9cc)
#define  COLOR_SHARP_SHP_DCTI_CTRL_5_VADDR                  	(0xb802b9d0)
#define  COLOR_SHARP_SHP_DCTI_CTRL_6_VADDR                  	(0xb802b9d4)
#define  COLOR_SHARP_SHP_DCTI_CTRL_7_VADDR                  	(0xb802b9d8)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======COLOR_SHARP register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:19;
        RBus_UInt32  db_read:1;
        RBus_UInt32  db_en:1;
        RBus_UInt32  db_load:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  tex_emf_enable:1;
        RBus_UInt32  edg_emf_enable:1;
        RBus_UInt32  peaking_enable:1;
    };
}color_sharp_dm_nr_shp_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  db_read:1;
        RBus_UInt32  db_en:1;
        RBus_UInt32  db_load:1;
    };
}color_sharp_dm_nr_shp_ctrl_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:19;
        RBus_UInt32  seg_gain_debug_step:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  seg_gain_debug_mode:2;
        RBus_UInt32  res3:3;
        RBus_UInt32  gain_by_y_en:1;
        RBus_UInt32  lpf_weigh_en:1;
        RBus_UInt32  max_min_gain_en:1;
        RBus_UInt32  sharp_mkiii_debug_en:1;
    };
}color_sharp_dm_mkiii_shp_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  edg_tex_blending_lpf_filter_en:1;
        RBus_UInt32  edg_tex_blending_lpf_filter:2;
        RBus_UInt32  enhance_mode:2;
        RBus_UInt32  edgextrange_v:1;
        RBus_UInt32  edgextrange:3;
        RBus_UInt32  edg_dlti:1;
        RBus_UInt32  sobel_stepbit:3;
        RBus_UInt32  sobel_upbnd:8;
        RBus_UInt32  sobelmode:1;
        RBus_UInt32  edgmode:2;
        RBus_UInt32  texpk_en:1;
        RBus_UInt32  edgpk_en:1;
        RBus_UInt32  edgext_en:1;
        RBus_UInt32  segpk_mode:2;
    };
}color_sharp_dm_segpk_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  sobelrange_h:2;
        RBus_UInt32  sobelrange_v:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  pkdlti_comsign:3;
        RBus_UInt32  res3:2;
        RBus_UInt32  zigsftbit_reg:2;
        RBus_UInt32  res4:1;
        RBus_UInt32  zdiff_stepbit:3;
        RBus_UInt32  zdiff_upbnd:8;
    };
}color_sharp_dm_segpk_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  small_th1:7;
        RBus_UInt32  tex_en:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  tex_stepbit:3;
        RBus_UInt32  tex_upbnd:8;
    };
}color_sharp_dm_segpk_ctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  debugmode:3;
    };
}color_sharp_dm_segpk_dbg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gain_pos2:2;
        RBus_UInt32  gain_neg2:2;
        RBus_UInt32  res1:2;
        RBus_UInt32  tex_d2_shift_bit:2;
        RBus_UInt32  res2:8;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  gain_neg:8;
    };
}color_sharp_dm_peaking_gain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  hv_pos:10;
        RBus_UInt32  hv_neg:10;
        RBus_UInt32  lv:8;
    };
}color_sharp_dm_peaking_bound_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  lv2:8;
    };
}color_sharp_dm_peaking_bound_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  range:4;
        RBus_UInt32  gaim:8;
        RBus_UInt32  gain:8;
        RBus_UInt32  res2:8;
    };
}color_sharp_dm_peaking_lvd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  coef_c0_0:10;
        RBus_UInt32  coef_c1_0:8;
        RBus_UInt32  coef_c2_0:8;
    };
}color_sharp_dm_2d_shp_tex_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  coef_c3_0:8;
        RBus_UInt32  coef_c4_0:8;
        RBus_UInt32  coef_c5_0:8;
        RBus_UInt32  coef_c6_0:8;
    };
}color_sharp_dm_2d_shp_tex_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  coef_c7_0:8;
        RBus_UInt32  coef_c8_0:8;
        RBus_UInt32  coef_c9_0:8;
        RBus_UInt32  coef_c10_0:8;
    };
}color_sharp_dm_2d_shp_tex_1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  coef_c0_1:8;
        RBus_UInt32  res1:24;
    };
}color_sharp_dm_2d_shp_tex_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  coef_c0_2:8;
        RBus_UInt32  res1:24;
    };
}color_sharp_dm_2d_shp_tex_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  seg0_offset:11;
        RBus_UInt32  res2:1;
        RBus_UInt32  seg2_gain_sel:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  seg1_gain_sel:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  seg0_gain_sel:3;
        RBus_UInt32  emf_range_force_v_5tap:1;
        RBus_UInt32  emf_range_force_h_11tap:1;
        RBus_UInt32  emf_range:2;
        RBus_UInt32  emf_shift:3;
        RBus_UInt32  res5:1;
    };
}color_sharp_dm_peaking_emf_texture_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  declinebit:2;
        RBus_UInt32  res2:1;
        RBus_UInt32  blendstepbit:3;
        RBus_UInt32  res3:2;
        RBus_UInt32  lowbnd:10;
        RBus_UInt32  blend_wt:4;
        RBus_UInt32  res4:1;
        RBus_UInt32  aov_range:1;
        RBus_UInt32  emf_mk2_debug:1;
        RBus_UInt32  emf_mode_sel:1;
    };
}color_sharp_dm_emfmk2_ctrl_texture_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  seg1_offset:11;
        RBus_UInt32  emf_fixextent_pos:8;
        RBus_UInt32  emf_fixextent_neg:8;
    };
}color_sharp_dm_emf_ext_0_texture_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg1_x:10;
        RBus_UInt32  seg0_x:10;
        RBus_UInt32  res1:1;
        RBus_UInt32  seg2_offset:11;
    };
}color_sharp_dm_emf_ext_1_texture_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gain_pos2:2;
        RBus_UInt32  gain_neg2:2;
        RBus_UInt32  res1:2;
        RBus_UInt32  edg_d2_shift_bit:2;
        RBus_UInt32  res2:8;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  gain_neg:8;
    };
}color_sharp_dm_segpk_edgpk3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  hv_pos:10;
        RBus_UInt32  hv_neg:10;
        RBus_UInt32  lv:8;
    };
}color_sharp_dm_segpk_edgpk4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  lv2:8;
    };
}color_sharp_dm_segpk_edgpk2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  coef_c0_0:10;
        RBus_UInt32  coef_c1_0:8;
        RBus_UInt32  coef_c2_0:8;
    };
}color_sharp_dm_2d_shp_edge_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  coef_c3_0:8;
        RBus_UInt32  coef_c4_0:8;
        RBus_UInt32  coef_c5_0:8;
        RBus_UInt32  coef_c6_0:8;
    };
}color_sharp_dm_2d_shp_edge_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  coef_c7_0:8;
        RBus_UInt32  coef_c8_0:8;
        RBus_UInt32  coef_c9_0:8;
        RBus_UInt32  coef_c10_0:8;
    };
}color_sharp_dm_2d_shp_edge_1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  coef_c0_1:8;
        RBus_UInt32  res1:24;
    };
}color_sharp_dm_2d_shp_edge_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  coef_c0_2:8;
        RBus_UInt32  res1:24;
    };
}color_sharp_dm_2d_shp_edge_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  seg0_offset:11;
        RBus_UInt32  res2:1;
        RBus_UInt32  seg2_gain_sel:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  seg1_gain_sel:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  seg0_gain_sel:3;
        RBus_UInt32  emf_range_force_v_5tap:1;
        RBus_UInt32  emf_range_force_h_11tap:1;
        RBus_UInt32  emf_range:2;
        RBus_UInt32  emf_shift:3;
        RBus_UInt32  res5:1;
    };
}color_sharp_dm_peaking_emf_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  declinebit:2;
        RBus_UInt32  res2:1;
        RBus_UInt32  blendstepbit:3;
        RBus_UInt32  res3:2;
        RBus_UInt32  lowbnd:10;
        RBus_UInt32  blend_wt:4;
        RBus_UInt32  res4:1;
        RBus_UInt32  aov_range:1;
        RBus_UInt32  emf_mk2_debug:1;
        RBus_UInt32  emf_mode_sel:1;
    };
}color_sharp_dm_emfmk2_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  seg1_offset:11;
        RBus_UInt32  emf_fixextent_pos:8;
        RBus_UInt32  emf_fixextent_neg:8;
    };
}color_sharp_dm_emf_ext_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg1_x:10;
        RBus_UInt32  seg0_x:10;
        RBus_UInt32  res1:1;
        RBus_UInt32  seg2_offset:11;
    };
}color_sharp_dm_emf_ext_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  gain_neg:8;
    };
}color_sharp_dm_cds_peaking_gain_cm0_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  dummy1802b674_27_26:2;
        RBus_UInt32  hv_pos:8;
        RBus_UInt32  dummy1802b674_17_16:2;
        RBus_UInt32  hv_neg:8;
        RBus_UInt32  lv:8;
    };
}color_sharp_dm_cds_peaking_bound_cm0_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  gain_neg:8;
    };
}color_sharp_dm_cds_peaking_gain_cm0_v_edg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  dummy1802b67c_27_26:2;
        RBus_UInt32  hv_pos:8;
        RBus_UInt32  dummy1802b67c_17_16:2;
        RBus_UInt32  hv_neg:8;
        RBus_UInt32  lv:8;
    };
}color_sharp_dm_cds_peaking_bound_cm0_v_edg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  gain_neg:8;
    };
}color_sharp_dm_cds_peaking_gain_cm1_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  dummy1802b9e0_27_26:2;
        RBus_UInt32  hv_pos:8;
        RBus_UInt32  dummy1802b9e0_17_16:2;
        RBus_UInt32  hv_neg:8;
        RBus_UInt32  lv:8;
    };
}color_sharp_dm_cds_peaking_bound_cm1_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  gain_neg:8;
    };
}color_sharp_dm_cds_peaking_gain_cm1_v_edg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  dummy1802b68c_27_26:2;
        RBus_UInt32  hv_pos:8;
        RBus_UInt32  dummy1802b68c_17_16:2;
        RBus_UInt32  hv_neg:8;
        RBus_UInt32  lv:8;
    };
}color_sharp_dm_cds_peaking_bound_cm1_v_edg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  gain_neg:8;
    };
}color_sharp_dm_cds_peaking_gain_cm2_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  dummy1802b694_27_26:2;
        RBus_UInt32  hv_pos:8;
        RBus_UInt32  dummy1802b694_17_16:2;
        RBus_UInt32  hv_neg:8;
        RBus_UInt32  lv:8;
    };
}color_sharp_dm_cds_peaking_bound_cm2_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  gain_neg:8;
    };
}color_sharp_dm_cds_peaking_gain_cm2_v_edg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  dummy1802b69c_27_26:2;
        RBus_UInt32  hv_pos:8;
        RBus_UInt32  dummy1802b69c_17_16:2;
        RBus_UInt32  hv_neg:8;
        RBus_UInt32  lv:8;
    };
}color_sharp_dm_cds_peaking_bound_cm2_v_edg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  gain_neg:8;
    };
}color_sharp_dm_cds_peaking_gain_cm3_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  dummy1802b6a4_27_26:2;
        RBus_UInt32  hv_pos:8;
        RBus_UInt32  dummy1802b6a4_17_16:2;
        RBus_UInt32  hv_neg:8;
        RBus_UInt32  lv:8;
    };
}color_sharp_dm_cds_peaking_bound_cm3_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  gain_neg:8;
    };
}color_sharp_dm_cds_peaking_gain_cm3_v_edg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  dummy1802b6ac_27_26:2;
        RBus_UInt32  hv_pos:8;
        RBus_UInt32  dummy1802b6ac_17_16:2;
        RBus_UInt32  hv_neg:8;
        RBus_UInt32  lv:8;
    };
}color_sharp_dm_cds_peaking_bound_cm3_v_edg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  bigedge_ratio:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  smalledge_ratio:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  deltaedge_ratio:5;
        RBus_UInt32  res4:3;
        RBus_UInt32  smalledge_ulevel:5;
    };
}color_sharp_dm_segpk_edge_coring_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  edge_coring_en:1;
        RBus_UInt32  edge_gain_en:1;
        RBus_UInt32  res1:5;
        RBus_UInt32  deltaedge_ulevel:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  edge_coring_clip:5;
        RBus_UInt32  edge_delta_ext_range:3;
        RBus_UInt32  edge_gain_bound:5;
        RBus_UInt32  edge_ser_range:4;
    };
}color_sharp_dm_segpk_edge_coring_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  slope_gain_en:1;
        RBus_UInt32  dir:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  gain_boundpos:4;
        RBus_UInt32  gain_boundneg:4;
        RBus_UInt32  res3:1;
        RBus_UInt32  gain_extendpos:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  gain_extendneg:7;
    };
}color_sharp_dm_segpk_edgpk_sourceslope_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vpk_c2:8;
        RBus_UInt32  res1:3;
        RBus_UInt32  vpk_c1:9;
        RBus_UInt32  res2:3;
        RBus_UInt32  vpk_c0:9;
    };
}color_sharp_dm_segpk_vpk1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  vpk_lv:8;
        RBus_UInt32  vpk_gain_neg:8;
        RBus_UInt32  vpk_gain_pos:8;
    };
}color_sharp_dm_segpk_vpk2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lv2:8;
        RBus_UInt32  gain_pos2:2;
        RBus_UInt32  gain_neg2:2;
        RBus_UInt32  vpk_hv_pos:8;
        RBus_UInt32  vpk_hv_neg:8;
    };
}color_sharp_dm_segpk_vpk3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  vext_reg:8;
        RBus_UInt32  res2:3;
        RBus_UInt32  vpk_edg_en:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  v_tex_en:1;
        RBus_UInt32  vemf_en:1;
        RBus_UInt32  vpk_en:1;
    };
}color_sharp_dm_segpk_vpk4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  cds_cm0_enable:1;
        RBus_UInt32  cds_enable:1;
        RBus_UInt32  cds_debug:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  u_ub_0:11;
        RBus_UInt32  res3:1;
        RBus_UInt32  u_lb_0:11;
    };
}color_sharp_dm_cds_cm0_u_bound_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cm0_mode:2;
        RBus_UInt32  cm0_conti_area:5;
        RBus_UInt32  cm0_conti_enable:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  v_ub_0:11;
        RBus_UInt32  res2:1;
        RBus_UInt32  v_lb_0:11;
    };
}color_sharp_dm_cds_cm0_v_bound_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  uv_rad_0:9;
        RBus_UInt32  cv_0:10;
        RBus_UInt32  res2:2;
        RBus_UInt32  cu_0:10;
    };
}color_sharp_dm_cds_cm0_u_bound_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  cnt_0:24;
    };
}color_sharp_dm_cds_cm0_v_bound_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  gain_neg:8;
    };
}color_sharp_dm_cds_peaking_gain_cm0_tex_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  hv_pos:10;
        RBus_UInt32  hv_neg:10;
        RBus_UInt32  lv:8;
    };
}color_sharp_dm_cds_peaking_bound_cm0_tex_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  gain_neg:8;
    };
}color_sharp_dm_cds_peaking_gain_cm0_edge_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  hv_pos:10;
        RBus_UInt32  hv_neg:10;
        RBus_UInt32  lv:8;
    };
}color_sharp_dm_cds_peaking_bound_cm0_edge_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  cds_cm1_enable:1;
        RBus_UInt32  res2:5;
        RBus_UInt32  u_ub_1:11;
        RBus_UInt32  res3:1;
        RBus_UInt32  u_lb_1:11;
    };
}color_sharp_dm_cds_cm1_u_bound_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cm1_mode:2;
        RBus_UInt32  cm1_conti_area:5;
        RBus_UInt32  cm1_conti_enable:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  v_ub_1:11;
        RBus_UInt32  res2:1;
        RBus_UInt32  v_lb_1:11;
    };
}color_sharp_dm_cds_cm1_v_bound_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  uv_rad_1:9;
        RBus_UInt32  cv_1:10;
        RBus_UInt32  res2:2;
        RBus_UInt32  cu_1:10;
    };
}color_sharp_dm_cds_cm1_u_bound_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  cnt_1:24;
    };
}color_sharp_dm_cds_cm1_v_bound_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  gain_neg:8;
    };
}color_sharp_dm_cds_peaking_gain_cm1_tex_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  hv_pos:10;
        RBus_UInt32  hv_neg:10;
        RBus_UInt32  lv:8;
    };
}color_sharp_dm_cds_peaking_bound_cm1_tex_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  gain_neg:8;
    };
}color_sharp_dm_cds_peaking_gain_cm1_edge_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  hv_pos:10;
        RBus_UInt32  hv_neg:10;
        RBus_UInt32  lv:8;
    };
}color_sharp_dm_cds_peaking_bound_cm1_edge_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  cds_cm2_enable:1;
        RBus_UInt32  res2:5;
        RBus_UInt32  u_ub_2:11;
        RBus_UInt32  res3:1;
        RBus_UInt32  u_lb_2:11;
    };
}color_sharp_dm_cds_cm2_u_bound_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cm2_mode:2;
        RBus_UInt32  cm2_conti_area:5;
        RBus_UInt32  cm2_conti_enable:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  v_ub_2:11;
        RBus_UInt32  res2:1;
        RBus_UInt32  v_lb_2:11;
    };
}color_sharp_dm_cds_cm2_v_bound_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  uv_rad_2:9;
        RBus_UInt32  cv_2:10;
        RBus_UInt32  res2:2;
        RBus_UInt32  cu_2:10;
    };
}color_sharp_dm_cds_cm2_u_bound_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  cnt_2:24;
    };
}color_sharp_dm_cds_cm2_v_bound_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  gain_neg:8;
    };
}color_sharp_dm_cds_peaking_gain_cm2_tex_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  hv_pos:10;
        RBus_UInt32  hv_neg:10;
        RBus_UInt32  lv:8;
    };
}color_sharp_dm_cds_peaking_bound_cm2_tex_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  gain_neg:8;
    };
}color_sharp_dm_cds_peaking_gain_cm2_edge_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  hv_pos:10;
        RBus_UInt32  hv_neg:10;
        RBus_UInt32  lv:8;
    };
}color_sharp_dm_cds_peaking_bound_cm2_edge_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  cds_cm3_enable:1;
        RBus_UInt32  res2:5;
        RBus_UInt32  u_ub_3:11;
        RBus_UInt32  res3:1;
        RBus_UInt32  u_lb_3:11;
    };
}color_sharp_dm_cds_cm3_u_bound_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cm3_mode:2;
        RBus_UInt32  cm3_conti_area:5;
        RBus_UInt32  cm3_conti_enable:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  v_ub_3:11;
        RBus_UInt32  res2:1;
        RBus_UInt32  v_lb_3:11;
    };
}color_sharp_dm_cds_cm3_v_bound_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  uv_rad_3:9;
        RBus_UInt32  cv_3:10;
        RBus_UInt32  res2:2;
        RBus_UInt32  cu_3:10;
    };
}color_sharp_dm_cds_cm3_u_bound_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  cnt_3:24;
    };
}color_sharp_dm_cds_cm3_v_bound_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  gain_neg:8;
    };
}color_sharp_dm_cds_peaking_gain_cm3_tex_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  hv_pos:10;
        RBus_UInt32  hv_neg:10;
        RBus_UInt32  lv:8;
    };
}color_sharp_dm_cds_peaking_bound_cm3_tex_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  gain_neg:8;
    };
}color_sharp_dm_cds_peaking_gain_cm3_edge_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  hv_pos:10;
        RBus_UInt32  hv_neg:10;
        RBus_UInt32  lv:8;
    };
}color_sharp_dm_cds_peaking_bound_cm3_edge_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  coef_c0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  coef_c1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  coef_c2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  coef_c3:6;
    };
}color_sharp_dm_sours_lpf_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  coef_c4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  coef_c5:6;
    };
}color_sharp_dm_sours_lpf_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  s0:11;
        RBus_UInt32  res2:5;
        RBus_UInt32  s1:11;
    };
}color_sharp_dm_maxmin_shp_gain_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  s2:11;
        RBus_UInt32  res2:5;
        RBus_UInt32  s3:11;
    };
}color_sharp_dm_maxmin_shp_gain_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  s4:11;
        RBus_UInt32  res2:5;
        RBus_UInt32  s5:11;
    };
}color_sharp_dm_maxmin_shp_gain_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  s6:11;
        RBus_UInt32  res2:16;
    };
}color_sharp_dm_maxmin_shp_gain_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:21;
        RBus_UInt32  s1:11;
    };
}color_sharp_dm_maxmin_shp_step_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  s2:11;
        RBus_UInt32  res2:5;
        RBus_UInt32  s3:11;
    };
}color_sharp_dm_maxmin_shp_step_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  s4:11;
        RBus_UInt32  res2:5;
        RBus_UInt32  s5:11;
    };
}color_sharp_dm_maxmin_shp_step_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  s6:11;
        RBus_UInt32  res2:16;
    };
}color_sharp_dm_maxmin_shp_step_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_0:32;
    };
}color_sharp_dm_cds_cm0_y_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_0:32;
    };
}color_sharp_dm_cds_cm0_u_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_0:32;
    };
}color_sharp_dm_cds_cm0_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_1:32;
    };
}color_sharp_dm_cds_cm1_y_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_1:32;
    };
}color_sharp_dm_cds_cm1_u_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_1:32;
    };
}color_sharp_dm_cds_cm1_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_2:32;
    };
}color_sharp_dm_cds_cm2_y_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_2:32;
    };
}color_sharp_dm_cds_cm2_u_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_2:32;
    };
}color_sharp_dm_cds_cm2_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_3:32;
    };
}color_sharp_dm_cds_cm3_y_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_3:32;
    };
}color_sharp_dm_cds_cm3_u_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_3:32;
    };
}color_sharp_dm_cds_cm3_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802b818_31_4:28;
        RBus_UInt32  res1:2;
        RBus_UInt32  hpf_vpf_maxmin_en:1;
        RBus_UInt32  src_sel:1;
    };
}color_sharp_dm_vpk_hpk_add_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  hpf_out_debug_en:1;
        RBus_UInt32  hpf_out_debug_sel:3;
        RBus_UInt32  res2:16;
    };
}color_sharp_dm_gain_curve_debug_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  sr_pndu:1;
        RBus_UInt32  vpk_sr_tex:1;
        RBus_UInt32  vpk_sr_edg:1;
        RBus_UInt32  h_edg_filter_en:1;
        RBus_UInt32  h_tex_filter_en:1;
        RBus_UInt32  sr_0_edg_en:1;
        RBus_UInt32  sr_0_tex_en:1;
        RBus_UInt32  sr_1_edg_en:1;
        RBus_UInt32  sr_1_tex_en:1;
        RBus_UInt32  sr_2_edg_en:1;
        RBus_UInt32  sr_2_tex_en:1;
        RBus_UInt32  sr_3_edg_en:1;
        RBus_UInt32  sr_3_tex_en:1;
        RBus_UInt32  sr_v_0_edg_en:1;
        RBus_UInt32  sr_v_0_tex_en:1;
        RBus_UInt32  sr_v_1_edg_en:1;
        RBus_UInt32  sr_v_1_tex_en:1;
        RBus_UInt32  sr_v_2_edg_en:1;
        RBus_UInt32  sr_v_2_tex_en:1;
        RBus_UInt32  sr_v_3_edg_en:1;
        RBus_UInt32  sr_v_3_tex_en:1;
        RBus_UInt32  vpk_edg_en:1;
        RBus_UInt32  vpk_tex_en:1;
        RBus_UInt32  res2:1;
    };
}color_sharp_dm_sr_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_detail_tex_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  sr_detail_v_tex_en:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  period:4;
        RBus_UInt32  res3:3;
        RBus_UInt32  gain:9;
        RBus_UInt32  res4:3;
        RBus_UInt32  offset:9;
    };
}color_sharp_dm_sr_continual_detail_gain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  ring_gen_gain:8;
        RBus_UInt32  res2:8;
    };
}color_sharp_dm_sr_continual_detail_sel_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c1:8;
        RBus_UInt32  c2:8;
        RBus_UInt32  c3:8;
        RBus_UInt32  c4:8;
    };
}color_sharp_dm_sr_9tap_hpf_h_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c0:9;
        RBus_UInt32  res1:7;
        RBus_UInt32  c1:8;
        RBus_UInt32  c2:8;
    };
}color_sharp_dm_sr_13tap_hpf_h_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c3:8;
        RBus_UInt32  c4:8;
        RBus_UInt32  c5:8;
        RBus_UInt32  c6:8;
    };
}color_sharp_dm_sr_13tap_hpf_h_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c0:9;
        RBus_UInt32  res1:7;
        RBus_UInt32  c1:8;
        RBus_UInt32  c2:8;
    };
}color_sharp_dm_sr_21tap_hpf_h_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c3:8;
        RBus_UInt32  c4:8;
        RBus_UInt32  c5:8;
        RBus_UInt32  c6:8;
    };
}color_sharp_dm_sr_21tap_hpf_h_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c7:8;
        RBus_UInt32  c8:8;
        RBus_UInt32  c9:8;
        RBus_UInt32  c10:8;
    };
}color_sharp_dm_sr_21tap_hpf_h_coef_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c1:8;
        RBus_UInt32  c2:8;
        RBus_UInt32  res1:16;
    };
}color_sharp_dm_sr_9tap_hpf_v_coef_0_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c0:9;
        RBus_UInt32  res1:23;
    };
}color_sharp_dm_sr_9tap_hpf_v_coef_1_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c1:8;
        RBus_UInt32  c2:8;
        RBus_UInt32  res1:16;
    };
}color_sharp_dm_sr_9tap_hpf_v_coef_1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c0:9;
        RBus_UInt32  res1:23;
    };
}color_sharp_dm_sr_9tap_hpf_v_coef_2_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c1:8;
        RBus_UInt32  c2:8;
        RBus_UInt32  res1:16;
    };
}color_sharp_dm_sr_9tap_hpf_v_coef_2_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c0:9;
        RBus_UInt32  res1:15;
        RBus_UInt32  c1:8;
    };
}color_sharp_dm_sr_11tap_hpf_h_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c2:8;
        RBus_UInt32  c3:8;
        RBus_UInt32  c4:8;
        RBus_UInt32  c5:8;
    };
}color_sharp_dm_sr_11tap_hpf_h_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c0:9;
        RBus_UInt32  res1:23;
    };
}color_sharp_dm_sr_9tap_hpf_v_coef_3_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c1:8;
        RBus_UInt32  c2:8;
        RBus_UInt32  res1:16;
    };
}color_sharp_dm_sr_9tap_hpf_v_coef_3_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  sr_debug:3;
    };
}color_sharp_dm_sr_dbg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cb1:8;
        RBus_UInt32  cb2:8;
        RBus_UInt32  cblv1:4;
        RBus_UInt32  cblv2:4;
        RBus_UInt32  res1:8;
    };
}color_sharp_dm_sr_bias_coef_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  vpk_edg_lv:8;
        RBus_UInt32  vpk_edg_gain_neg:8;
        RBus_UInt32  vpk_edg_gain_pos:8;
    };
}color_sharp_dm_segpk_vpk5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  edg_lv2:8;
        RBus_UInt32  vpk_edg_gain_pos2:2;
        RBus_UInt32  vpk_edg_gain_neg2:2;
        RBus_UInt32  vpk_edg_hv_pos:10;
        RBus_UInt32  vpk_edg_hv_neg:10;
    };
}color_sharp_dm_segpk_vpk6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  v_slope_gain_en:1;
        RBus_UInt32  dir_v:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  gain_boundpos_v:4;
        RBus_UInt32  gain_boundneg_v:4;
        RBus_UInt32  res3:1;
        RBus_UInt32  gain_extendpos_v:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  gain_extendneg_v:7;
    };
}color_sharp_dm_segpk_edgpk_vsourceslope_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  s0:11;
        RBus_UInt32  res2:5;
        RBus_UInt32  s1:11;
    };
}color_sharp_dm_maxmin_lpf_weit_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  s2:11;
        RBus_UInt32  res2:5;
        RBus_UInt32  s3:11;
    };
}color_sharp_dm_maxmin_lpf_weit_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  s4:11;
        RBus_UInt32  res2:5;
        RBus_UInt32  s5:11;
    };
}color_sharp_dm_maxmin_lpf_weit_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  s6:11;
        RBus_UInt32  res2:16;
    };
}color_sharp_dm_maxmin_lpf_weit_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:21;
        RBus_UInt32  s1:11;
    };
}color_sharp_dm_maxmin_lpf_step_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  s2:11;
        RBus_UInt32  res2:5;
        RBus_UInt32  s3:11;
    };
}color_sharp_dm_maxmin_lpf_step_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  s4:11;
        RBus_UInt32  res2:5;
        RBus_UInt32  s5:11;
    };
}color_sharp_dm_maxmin_lpf_step_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  s6:11;
        RBus_UInt32  res2:16;
    };
}color_sharp_dm_maxmin_lpf_step_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  s0:11;
        RBus_UInt32  res2:5;
        RBus_UInt32  s1:11;
    };
}color_sharp_dm_maxmin_gain_by_y_gain_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  s2:11;
        RBus_UInt32  res2:5;
        RBus_UInt32  s3:11;
    };
}color_sharp_dm_maxmin_gain_by_y_gain_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  s4:11;
        RBus_UInt32  res2:5;
        RBus_UInt32  s5:11;
    };
}color_sharp_dm_maxmin_gain_by_y_gain_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  s6:11;
        RBus_UInt32  res2:16;
    };
}color_sharp_dm_maxmin_gain_by_y_gain_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:21;
        RBus_UInt32  s1:11;
    };
}color_sharp_dm_maxmin_gain_by_y_step_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  s2:11;
        RBus_UInt32  res2:5;
        RBus_UInt32  s3:11;
    };
}color_sharp_dm_maxmin_gain_by_y_step_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  s4:11;
        RBus_UInt32  res2:5;
        RBus_UInt32  s5:11;
    };
}color_sharp_dm_maxmin_gain_by_y_step_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  s6:11;
        RBus_UInt32  res2:16;
    };
}color_sharp_dm_maxmin_gain_by_y_step_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  cds_region_3_enable_5:1;
        RBus_UInt32  cds_region_3_enable_4:1;
        RBus_UInt32  cds_region_3_enable_3:1;
        RBus_UInt32  cds_region_3_enable_2:1;
        RBus_UInt32  cds_region_3_enable_1:1;
        RBus_UInt32  cds_region_3_enable_0:1;
        RBus_UInt32  cds_region_2_enable_5:1;
        RBus_UInt32  cds_region_2_enable_4:1;
        RBus_UInt32  cds_region_2_enable_3:1;
        RBus_UInt32  cds_region_2_enable_2:1;
        RBus_UInt32  cds_region_2_enable_1:1;
        RBus_UInt32  cds_region_2_enable_0:1;
        RBus_UInt32  cds_region_1_enable_5:1;
        RBus_UInt32  cds_region_1_enable_4:1;
        RBus_UInt32  cds_region_1_enable_3:1;
        RBus_UInt32  cds_region_1_enable_2:1;
        RBus_UInt32  cds_region_1_enable_1:1;
        RBus_UInt32  cds_region_1_enable_0:1;
        RBus_UInt32  cds_region_0_enable_5:1;
        RBus_UInt32  cds_region_0_enable_4:1;
        RBus_UInt32  cds_region_0_enable_3:1;
        RBus_UInt32  cds_region_0_enable_2:1;
        RBus_UInt32  cds_region_0_enable_1:1;
        RBus_UInt32  cds_region_0_enable_0:1;
        RBus_UInt32  cds_region_3_enable:1;
        RBus_UInt32  cds_region_2_enable:1;
        RBus_UInt32  cds_region_1_enable:1;
        RBus_UInt32  cds_region_0_enable:1;
    };
}color_sharp_shp_cds_region_enable_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_0_smooth:8;
        RBus_UInt32  cds_region_0_end_i:12;
        RBus_UInt32  cds_region_0_start_i:12;
    };
}color_sharp_shp_cds_region0_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  cds_region_0_end_j:12;
        RBus_UInt32  cds_region_0_start_j:12;
    };
}color_sharp_shp_cds_region0_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_0_jld:8;
        RBus_UInt32  cds_region_0_jlu:8;
        RBus_UInt32  cds_region_0_ild:8;
        RBus_UInt32  cds_region_0_ilu:8;
    };
}color_sharp_shp_cds_region0_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_0_jrd:8;
        RBus_UInt32  cds_region_0_jru:8;
        RBus_UInt32  cds_region_0_ird:8;
        RBus_UInt32  cds_region_0_iru:8;
    };
}color_sharp_shp_cds_region0_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  cds_region_0_jrdm:2;
        RBus_UInt32  cds_region_0_jrum:2;
        RBus_UInt32  cds_region_0_irdm:2;
        RBus_UInt32  cds_region_0_irum:2;
        RBus_UInt32  cds_region_0_jldm:2;
        RBus_UInt32  cds_region_0_jlum:2;
        RBus_UInt32  cds_region_0_ildm:2;
        RBus_UInt32  cds_region_0_ilum:2;
    };
}color_sharp_shp_cds_region0_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_1_smooth:8;
        RBus_UInt32  cds_region_1_end_i:12;
        RBus_UInt32  cds_region_1_start_i:12;
    };
}color_sharp_shp_cds_region1_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  cds_region_1_end_j:12;
        RBus_UInt32  cds_region_1_start_j:12;
    };
}color_sharp_shp_cds_region1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_1_jld:8;
        RBus_UInt32  cds_region_1_jlu:8;
        RBus_UInt32  cds_region_1_ild:8;
        RBus_UInt32  cds_region_1_ilu:8;
    };
}color_sharp_shp_cds_region1_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_1_jrd:8;
        RBus_UInt32  cds_region_1_jru:8;
        RBus_UInt32  cds_region_1_ird:8;
        RBus_UInt32  cds_region_1_iru:8;
    };
}color_sharp_shp_cds_region1_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  cds_region_1_jrdm:2;
        RBus_UInt32  cds_region_1_jrum:2;
        RBus_UInt32  cds_region_1_irdm:2;
        RBus_UInt32  cds_region_1_irum:2;
        RBus_UInt32  cds_region_1_jldm:2;
        RBus_UInt32  cds_region_1_jlum:2;
        RBus_UInt32  cds_region_1_ildm:2;
        RBus_UInt32  cds_region_1_ilum:2;
    };
}color_sharp_shp_cds_region1_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_2_smooth:8;
        RBus_UInt32  cds_region_2_end_i:12;
        RBus_UInt32  cds_region_2_start_i:12;
    };
}color_sharp_shp_cds_region2_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  cds_region_2_end_j:12;
        RBus_UInt32  cds_region_2_start_j:12;
    };
}color_sharp_shp_cds_region2_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_2_jld:8;
        RBus_UInt32  cds_region_2_jlu:8;
        RBus_UInt32  cds_region_2_ild:8;
        RBus_UInt32  cds_region_2_ilu:8;
    };
}color_sharp_shp_cds_region2_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_2_jrd:8;
        RBus_UInt32  cds_region_2_jru:8;
        RBus_UInt32  cds_region_2_ird:8;
        RBus_UInt32  cds_region_2_iru:8;
    };
}color_sharp_shp_cds_region2_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  cds_region_2_jrdm:2;
        RBus_UInt32  cds_region_2_jrum:2;
        RBus_UInt32  cds_region_2_irdm:2;
        RBus_UInt32  cds_region_2_irum:2;
        RBus_UInt32  cds_region_2_jldm:2;
        RBus_UInt32  cds_region_2_jlum:2;
        RBus_UInt32  cds_region_2_ildm:2;
        RBus_UInt32  cds_region_2_ilum:2;
    };
}color_sharp_shp_cds_region2_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_3_smooth:8;
        RBus_UInt32  cds_region_3_end_i:12;
        RBus_UInt32  cds_region_3_start_i:12;
    };
}color_sharp_shp_cds_region3_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  cds_region_3_end_j:12;
        RBus_UInt32  cds_region_3_start_j:12;
    };
}color_sharp_shp_cds_region3_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_3_jld:8;
        RBus_UInt32  cds_region_3_jlu:8;
        RBus_UInt32  cds_region_3_ild:8;
        RBus_UInt32  cds_region_3_ilu:8;
    };
}color_sharp_shp_cds_region3_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_3_jrd:8;
        RBus_UInt32  cds_region_3_jru:8;
        RBus_UInt32  cds_region_3_ird:8;
        RBus_UInt32  cds_region_3_iru:8;
    };
}color_sharp_shp_cds_region3_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  cds_region_3_jrdm:2;
        RBus_UInt32  cds_region_3_jrum:2;
        RBus_UInt32  cds_region_3_irdm:2;
        RBus_UInt32  cds_region_3_irum:2;
        RBus_UInt32  cds_region_3_jldm:2;
        RBus_UInt32  cds_region_3_jlum:2;
        RBus_UInt32  cds_region_3_ildm:2;
        RBus_UInt32  cds_region_3_ilum:2;
    };
}color_sharp_shp_cds_region3_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  cds_region_4_end_i:12;
        RBus_UInt32  cds_region_4_start_i:12;
    };
}color_sharp_shp_cds_region4_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  cds_region_4_end_j:12;
        RBus_UInt32  cds_region_4_start_j:12;
    };
}color_sharp_shp_cds_region4_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_4_jld:8;
        RBus_UInt32  cds_region_4_jlu:8;
        RBus_UInt32  cds_region_4_ild:8;
        RBus_UInt32  cds_region_4_ilu:8;
    };
}color_sharp_shp_cds_region4_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_4_jrd:8;
        RBus_UInt32  cds_region_4_jru:8;
        RBus_UInt32  cds_region_4_ird:8;
        RBus_UInt32  cds_region_4_iru:8;
    };
}color_sharp_shp_cds_region4_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  cds_region_4_jrdm:2;
        RBus_UInt32  cds_region_4_jrum:2;
        RBus_UInt32  cds_region_4_irdm:2;
        RBus_UInt32  cds_region_4_irum:2;
        RBus_UInt32  cds_region_4_jldm:2;
        RBus_UInt32  cds_region_4_jlum:2;
        RBus_UInt32  cds_region_4_ildm:2;
        RBus_UInt32  cds_region_4_ilum:2;
    };
}color_sharp_shp_cds_region4_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  cds_region_5_end_i:12;
        RBus_UInt32  cds_region_5_start_i:12;
    };
}color_sharp_shp_cds_region5_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  cds_region_5_end_j:12;
        RBus_UInt32  cds_region_5_start_j:12;
    };
}color_sharp_shp_cds_region5_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_5_jld:8;
        RBus_UInt32  cds_region_5_jlu:8;
        RBus_UInt32  cds_region_5_ild:8;
        RBus_UInt32  cds_region_5_ilu:8;
    };
}color_sharp_shp_cds_region5_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_5_jrd:8;
        RBus_UInt32  cds_region_5_jru:8;
        RBus_UInt32  cds_region_5_ird:8;
        RBus_UInt32  cds_region_5_iru:8;
    };
}color_sharp_shp_cds_region5_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  cds_region_5_jrdm:2;
        RBus_UInt32  cds_region_5_jrum:2;
        RBus_UInt32  cds_region_5_irdm:2;
        RBus_UInt32  cds_region_5_irum:2;
        RBus_UInt32  cds_region_5_jldm:2;
        RBus_UInt32  cds_region_5_jlum:2;
        RBus_UInt32  cds_region_5_ildm:2;
        RBus_UInt32  cds_region_5_ilum:2;
    };
}color_sharp_shp_cds_region5_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:13;
        RBus_UInt32  cds_region_predict_2:9;
        RBus_UInt32  cds_region_predict_1:9;
        RBus_UInt32  cds_region_predict_sel:1;
    };
}color_sharp_shp_cds_predict_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  crc_conti:1;
        RBus_UInt32  crc_start:1;
    };
}color_sharp_shp_crc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  shp_crc_result:32;
    };
}color_sharp_shp_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  test:1;
        RBus_UInt32  ls:1;
        RBus_UInt32  dvse:1;
        RBus_UInt32  dvs:4;
        RBus_UInt32  bist_fail_0:1;
        RBus_UInt32  bist_fail_1:1;
        RBus_UInt32  bist_fail_2:1;
        RBus_UInt32  bist_fail_3:1;
        RBus_UInt32  drf_fail_0:1;
        RBus_UInt32  drf_fail_1:1;
        RBus_UInt32  drf_fail_2:1;
        RBus_UInt32  drf_fail_3:1;
        RBus_UInt32  res2:8;
    };
}color_sharp_peak2d_bist_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  data_sel:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  maxlen:3;
        RBus_UInt32  pnth:10;
        RBus_UInt32  dcp_th:8;
        RBus_UInt32  res2:1;
        RBus_UInt32  d1_cp_shift:2;
        RBus_UInt32  ffd2_en:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  dlti_en:1;
    };
}color_sharp_shp_dlti_ctrl_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  ovc_extend:1;
        RBus_UInt32  ffd0_start:1;
        RBus_UInt32  flat_s_range:2;
        RBus_UInt32  flat_score_thl:8;
        RBus_UInt32  flat_score_en:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  ffd1_ratio:7;
        RBus_UInt32  ffd1_th:10;
    };
}color_sharp_shp_dlti_ctrl_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dlti_debug:3;
        RBus_UInt32  res1:2;
        RBus_UInt32  ffd2_ratio:7;
        RBus_UInt32  ffd2_range2r:10;
        RBus_UInt32  ffd2_range2l:10;
    };
}color_sharp_shp_dlti_ctrl_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  tnoff2:8;
        RBus_UInt32  tnoff1:8;
        RBus_UInt32  tnoff0:8;
    };
}color_sharp_shp_dlti_gain_offset_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  tnoff5:8;
        RBus_UInt32  tnoff4:8;
        RBus_UInt32  tnoff3:8;
    };
}color_sharp_shp_dlti_gain_offset_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  tnoff8:8;
        RBus_UInt32  tnoff7:8;
        RBus_UInt32  tnoff6:8;
    };
}color_sharp_shp_dlti_gain_offset_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  tnoff11:8;
        RBus_UInt32  tnoff10:8;
        RBus_UInt32  tnoff9:8;
    };
}color_sharp_shp_dlti_gain_offset_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  tnoff14:8;
        RBus_UInt32  tnoff13:8;
        RBus_UInt32  tnoff12:8;
    };
}color_sharp_shp_dlti_gain_offset_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  over_enhance:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  gain_pos:9;
        RBus_UInt32  res3:2;
        RBus_UInt32  offset_pos:10;
    };
}color_sharp_shp_dlti_over_enhance_gain_offset_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:11;
        RBus_UInt32  gain_neg:9;
        RBus_UInt32  res2:2;
        RBus_UInt32  offset_neg:10;
    };
}color_sharp_shp_dlti_over_enhance_gain_offset_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  data_sel:1;
        RBus_UInt32  maxlen:3;
        RBus_UInt32  psmth:8;
        RBus_UInt32  res1:1;
        RBus_UInt32  lpmode:3;
        RBus_UInt32  engdiv:2;
        RBus_UInt32  offdiv:2;
        RBus_UInt32  res2:1;
        RBus_UInt32  uvgain:7;
        RBus_UInt32  dcti_mode:1;
        RBus_UInt32  uvalign_en:1;
        RBus_UInt32  cur_sel:1;
        RBus_UInt32  res3:1;
    };
}color_sharp_shp_dcti_ctrl_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  uvsync_en:1;
        RBus_UInt32  tran_mode:3;
        RBus_UInt32  res1:1;
        RBus_UInt32  rate_steep:3;
        RBus_UInt32  res2:2;
        RBus_UInt32  th_steep:6;
        RBus_UInt32  th_coring:5;
        RBus_UInt32  steep_mode:3;
        RBus_UInt32  hp_mode:3;
        RBus_UInt32  vlp_mode:3;
        RBus_UInt32  median_mode:1;
        RBus_UInt32  blending_mode:1;
    };
}color_sharp_shp_dcti_ctrl_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  maxminlen:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  rate_tran:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  th_tran:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  region_mode:3;
        RBus_UInt32  res5:1;
        RBus_UInt32  rate_smooth:3;
        RBus_UInt32  res6:2;
        RBus_UInt32  th_smooth:6;
    };
}color_sharp_shp_dcti_ctrl_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  rate_align_weight:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  rate_align:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  th_align:7;
        RBus_UInt32  res4:2;
        RBus_UInt32  align_mingain:6;
        RBus_UInt32  res5:2;
        RBus_UInt32  th_gtran:6;
    };
}color_sharp_shp_dcti_ctrl_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  th_uvmindiff:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  rate_stair2:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  rate_stair1:3;
        RBus_UInt32  res4:2;
        RBus_UInt32  th_stair:6;
        RBus_UInt32  res5:3;
        RBus_UInt32  th_align_weight:5;
    };
}color_sharp_shp_dcti_ctrl_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:19;
        RBus_UInt32  rate_engsync:3;
        RBus_UInt32  rate_uvmindiff:3;
        RBus_UInt32  th_engsync:6;
    };
}color_sharp_shp_dcti_ctrl_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  debug_shiftbit:3;
        RBus_UInt32  debug_mode:3;
        RBus_UInt32  res2:6;
        RBus_UInt32  res3:6;
    };
}color_sharp_shp_dcti_ctrl_7_RBUS;

#else //apply LITTLE_ENDIAN

//======COLOR_SHARP register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  peaking_enable:1;
        RBus_UInt32  edg_emf_enable:1;
        RBus_UInt32  tex_emf_enable:1;
        RBus_UInt32  res1:7;
        RBus_UInt32  db_load:1;
        RBus_UInt32  db_en:1;
        RBus_UInt32  db_read:1;
        RBus_UInt32  res2:19;
    };
}color_sharp_dm_nr_shp_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  db_load:1;
        RBus_UInt32  db_en:1;
        RBus_UInt32  db_read:1;
        RBus_UInt32  res1:29;
    };
}color_sharp_dm_nr_shp_ctrl_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sharp_mkiii_debug_en:1;
        RBus_UInt32  max_min_gain_en:1;
        RBus_UInt32  lpf_weigh_en:1;
        RBus_UInt32  gain_by_y_en:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  seg_gain_debug_mode:2;
        RBus_UInt32  res2:1;
        RBus_UInt32  seg_gain_debug_step:3;
        RBus_UInt32  res3:19;
    };
}color_sharp_dm_mkiii_shp_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  segpk_mode:2;
        RBus_UInt32  edgext_en:1;
        RBus_UInt32  edgpk_en:1;
        RBus_UInt32  texpk_en:1;
        RBus_UInt32  edgmode:2;
        RBus_UInt32  sobelmode:1;
        RBus_UInt32  sobel_upbnd:8;
        RBus_UInt32  sobel_stepbit:3;
        RBus_UInt32  edg_dlti:1;
        RBus_UInt32  edgextrange:3;
        RBus_UInt32  edgextrange_v:1;
        RBus_UInt32  enhance_mode:2;
        RBus_UInt32  edg_tex_blending_lpf_filter:2;
        RBus_UInt32  edg_tex_blending_lpf_filter_en:1;
        RBus_UInt32  res1:3;
    };
}color_sharp_dm_segpk_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  zdiff_upbnd:8;
        RBus_UInt32  zdiff_stepbit:3;
        RBus_UInt32  res1:1;
        RBus_UInt32  zigsftbit_reg:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  pkdlti_comsign:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  sobelrange_v:1;
        RBus_UInt32  sobelrange_h:2;
        RBus_UInt32  res4:9;
    };
}color_sharp_dm_segpk_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tex_upbnd:8;
        RBus_UInt32  tex_stepbit:3;
        RBus_UInt32  res1:3;
        RBus_UInt32  tex_en:1;
        RBus_UInt32  small_th1:7;
        RBus_UInt32  res2:10;
    };
}color_sharp_dm_segpk_ctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  debugmode:3;
        RBus_UInt32  res1:29;
    };
}color_sharp_dm_segpk_dbg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gain_neg:8;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  res1:8;
        RBus_UInt32  tex_d2_shift_bit:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  gain_neg2:2;
        RBus_UInt32  gain_pos2:2;
    };
}color_sharp_dm_peaking_gain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lv:8;
        RBus_UInt32  hv_neg:10;
        RBus_UInt32  hv_pos:10;
        RBus_UInt32  res1:4;
    };
}color_sharp_dm_peaking_bound_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lv2:8;
        RBus_UInt32  res1:24;
    };
}color_sharp_dm_peaking_bound_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  gain:8;
        RBus_UInt32  gaim:8;
        RBus_UInt32  range:4;
        RBus_UInt32  res2:4;
    };
}color_sharp_dm_peaking_lvd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  coef_c2_0:8;
        RBus_UInt32  coef_c1_0:8;
        RBus_UInt32  coef_c0_0:10;
        RBus_UInt32  res1:6;
    };
}color_sharp_dm_2d_shp_tex_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  coef_c6_0:8;
        RBus_UInt32  coef_c5_0:8;
        RBus_UInt32  coef_c4_0:8;
        RBus_UInt32  coef_c3_0:8;
    };
}color_sharp_dm_2d_shp_tex_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  coef_c10_0:8;
        RBus_UInt32  coef_c9_0:8;
        RBus_UInt32  coef_c8_0:8;
        RBus_UInt32  coef_c7_0:8;
    };
}color_sharp_dm_2d_shp_tex_1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  coef_c0_1:8;
    };
}color_sharp_dm_2d_shp_tex_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  coef_c0_2:8;
    };
}color_sharp_dm_2d_shp_tex_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  emf_shift:3;
        RBus_UInt32  emf_range:2;
        RBus_UInt32  emf_range_force_h_11tap:1;
        RBus_UInt32  emf_range_force_v_5tap:1;
        RBus_UInt32  seg0_gain_sel:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  seg1_gain_sel:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  seg2_gain_sel:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  seg0_offset:11;
        RBus_UInt32  res5:1;
    };
}color_sharp_dm_peaking_emf_texture_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  emf_mode_sel:1;
        RBus_UInt32  emf_mk2_debug:1;
        RBus_UInt32  aov_range:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  blend_wt:4;
        RBus_UInt32  lowbnd:10;
        RBus_UInt32  res2:2;
        RBus_UInt32  blendstepbit:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  declinebit:2;
        RBus_UInt32  res4:6;
    };
}color_sharp_dm_emfmk2_ctrl_texture_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  emf_fixextent_neg:8;
        RBus_UInt32  emf_fixextent_pos:8;
        RBus_UInt32  seg1_offset:11;
        RBus_UInt32  res1:5;
    };
}color_sharp_dm_emf_ext_0_texture_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg2_offset:11;
        RBus_UInt32  res1:1;
        RBus_UInt32  seg0_x:10;
        RBus_UInt32  seg1_x:10;
    };
}color_sharp_dm_emf_ext_1_texture_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gain_neg:8;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  res1:8;
        RBus_UInt32  edg_d2_shift_bit:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  gain_neg2:2;
        RBus_UInt32  gain_pos2:2;
    };
}color_sharp_dm_segpk_edgpk3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lv:8;
        RBus_UInt32  hv_neg:10;
        RBus_UInt32  hv_pos:10;
        RBus_UInt32  res1:4;
    };
}color_sharp_dm_segpk_edgpk4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lv2:8;
        RBus_UInt32  res1:24;
    };
}color_sharp_dm_segpk_edgpk2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  coef_c2_0:8;
        RBus_UInt32  coef_c1_0:8;
        RBus_UInt32  coef_c0_0:10;
        RBus_UInt32  res1:6;
    };
}color_sharp_dm_2d_shp_edge_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  coef_c6_0:8;
        RBus_UInt32  coef_c5_0:8;
        RBus_UInt32  coef_c4_0:8;
        RBus_UInt32  coef_c3_0:8;
    };
}color_sharp_dm_2d_shp_edge_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  coef_c10_0:8;
        RBus_UInt32  coef_c9_0:8;
        RBus_UInt32  coef_c8_0:8;
        RBus_UInt32  coef_c7_0:8;
    };
}color_sharp_dm_2d_shp_edge_1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  coef_c0_1:8;
    };
}color_sharp_dm_2d_shp_edge_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  coef_c0_2:8;
    };
}color_sharp_dm_2d_shp_edge_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  emf_shift:3;
        RBus_UInt32  emf_range:2;
        RBus_UInt32  emf_range_force_h_11tap:1;
        RBus_UInt32  emf_range_force_v_5tap:1;
        RBus_UInt32  seg0_gain_sel:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  seg1_gain_sel:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  seg2_gain_sel:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  seg0_offset:11;
        RBus_UInt32  res5:1;
    };
}color_sharp_dm_peaking_emf_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  emf_mode_sel:1;
        RBus_UInt32  emf_mk2_debug:1;
        RBus_UInt32  aov_range:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  blend_wt:4;
        RBus_UInt32  lowbnd:10;
        RBus_UInt32  res2:2;
        RBus_UInt32  blendstepbit:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  declinebit:2;
        RBus_UInt32  res4:6;
    };
}color_sharp_dm_emfmk2_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  emf_fixextent_neg:8;
        RBus_UInt32  emf_fixextent_pos:8;
        RBus_UInt32  seg1_offset:11;
        RBus_UInt32  res1:5;
    };
}color_sharp_dm_emf_ext_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seg2_offset:11;
        RBus_UInt32  res1:1;
        RBus_UInt32  seg0_x:10;
        RBus_UInt32  seg1_x:10;
    };
}color_sharp_dm_emf_ext_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gain_neg:8;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  res1:16;
    };
}color_sharp_dm_cds_peaking_gain_cm0_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lv:8;
        RBus_UInt32  hv_neg:8;
        RBus_UInt32  dummy1802b674_17_16:2;
        RBus_UInt32  hv_pos:8;
        RBus_UInt32  dummy1802b674_27_26:2;
        RBus_UInt32  res1:4;
    };
}color_sharp_dm_cds_peaking_bound_cm0_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gain_neg:8;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  res1:16;
    };
}color_sharp_dm_cds_peaking_gain_cm0_v_edg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lv:8;
        RBus_UInt32  hv_neg:8;
        RBus_UInt32  dummy1802b67c_17_16:2;
        RBus_UInt32  hv_pos:8;
        RBus_UInt32  dummy1802b67c_27_26:2;
        RBus_UInt32  res1:4;
    };
}color_sharp_dm_cds_peaking_bound_cm0_v_edg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gain_neg:8;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  res1:16;
    };
}color_sharp_dm_cds_peaking_gain_cm1_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lv:8;
        RBus_UInt32  hv_neg:8;
        RBus_UInt32  dummy1802b9e0_17_16:2;
        RBus_UInt32  hv_pos:8;
        RBus_UInt32  dummy1802b9e0_27_26:2;
        RBus_UInt32  res1:4;
    };
}color_sharp_dm_cds_peaking_bound_cm1_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gain_neg:8;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  res1:16;
    };
}color_sharp_dm_cds_peaking_gain_cm1_v_edg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lv:8;
        RBus_UInt32  hv_neg:8;
        RBus_UInt32  dummy1802b68c_17_16:2;
        RBus_UInt32  hv_pos:8;
        RBus_UInt32  dummy1802b68c_27_26:2;
        RBus_UInt32  res1:4;
    };
}color_sharp_dm_cds_peaking_bound_cm1_v_edg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gain_neg:8;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  res1:16;
    };
}color_sharp_dm_cds_peaking_gain_cm2_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lv:8;
        RBus_UInt32  hv_neg:8;
        RBus_UInt32  dummy1802b694_17_16:2;
        RBus_UInt32  hv_pos:8;
        RBus_UInt32  dummy1802b694_27_26:2;
        RBus_UInt32  res1:4;
    };
}color_sharp_dm_cds_peaking_bound_cm2_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gain_neg:8;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  res1:16;
    };
}color_sharp_dm_cds_peaking_gain_cm2_v_edg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lv:8;
        RBus_UInt32  hv_neg:8;
        RBus_UInt32  dummy1802b69c_17_16:2;
        RBus_UInt32  hv_pos:8;
        RBus_UInt32  dummy1802b69c_27_26:2;
        RBus_UInt32  res1:4;
    };
}color_sharp_dm_cds_peaking_bound_cm2_v_edg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gain_neg:8;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  res1:16;
    };
}color_sharp_dm_cds_peaking_gain_cm3_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lv:8;
        RBus_UInt32  hv_neg:8;
        RBus_UInt32  dummy1802b6a4_17_16:2;
        RBus_UInt32  hv_pos:8;
        RBus_UInt32  dummy1802b6a4_27_26:2;
        RBus_UInt32  res1:4;
    };
}color_sharp_dm_cds_peaking_bound_cm3_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gain_neg:8;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  res1:16;
    };
}color_sharp_dm_cds_peaking_gain_cm3_v_edg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lv:8;
        RBus_UInt32  hv_neg:8;
        RBus_UInt32  dummy1802b6ac_17_16:2;
        RBus_UInt32  hv_pos:8;
        RBus_UInt32  dummy1802b6ac_27_26:2;
        RBus_UInt32  res1:4;
    };
}color_sharp_dm_cds_peaking_bound_cm3_v_edg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  smalledge_ulevel:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  deltaedge_ratio:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  smalledge_ratio:5;
        RBus_UInt32  res3:3;
        RBus_UInt32  bigedge_ratio:5;
        RBus_UInt32  res4:3;
    };
}color_sharp_dm_segpk_edge_coring_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  edge_ser_range:4;
        RBus_UInt32  edge_gain_bound:5;
        RBus_UInt32  edge_delta_ext_range:3;
        RBus_UInt32  edge_coring_clip:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  deltaedge_ulevel:5;
        RBus_UInt32  res2:5;
        RBus_UInt32  edge_gain_en:1;
        RBus_UInt32  edge_coring_en:1;
    };
}color_sharp_dm_segpk_edge_coring_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gain_extendneg:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  gain_extendpos:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  gain_boundneg:4;
        RBus_UInt32  gain_boundpos:4;
        RBus_UInt32  res3:1;
        RBus_UInt32  dir:1;
        RBus_UInt32  slope_gain_en:1;
        RBus_UInt32  res4:5;
    };
}color_sharp_dm_segpk_edgpk_sourceslope_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vpk_c0:9;
        RBus_UInt32  res1:3;
        RBus_UInt32  vpk_c1:9;
        RBus_UInt32  res2:3;
        RBus_UInt32  vpk_c2:8;
    };
}color_sharp_dm_segpk_vpk1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vpk_gain_pos:8;
        RBus_UInt32  vpk_gain_neg:8;
        RBus_UInt32  vpk_lv:8;
        RBus_UInt32  res1:8;
    };
}color_sharp_dm_segpk_vpk2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vpk_hv_neg:8;
        RBus_UInt32  vpk_hv_pos:8;
        RBus_UInt32  gain_neg2:2;
        RBus_UInt32  gain_pos2:2;
        RBus_UInt32  lv2:8;
        RBus_UInt32  res1:4;
    };
}color_sharp_dm_segpk_vpk3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vpk_en:1;
        RBus_UInt32  vemf_en:1;
        RBus_UInt32  v_tex_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  vpk_edg_en:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  vext_reg:8;
        RBus_UInt32  res3:16;
    };
}color_sharp_dm_segpk_vpk4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  u_lb_0:11;
        RBus_UInt32  res1:1;
        RBus_UInt32  u_ub_0:11;
        RBus_UInt32  res2:1;
        RBus_UInt32  cds_debug:3;
        RBus_UInt32  cds_enable:1;
        RBus_UInt32  cds_cm0_enable:1;
        RBus_UInt32  res3:3;
    };
}color_sharp_dm_cds_cm0_u_bound_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  v_lb_0:11;
        RBus_UInt32  res1:1;
        RBus_UInt32  v_ub_0:11;
        RBus_UInt32  res2:1;
        RBus_UInt32  cm0_conti_enable:1;
        RBus_UInt32  cm0_conti_area:5;
        RBus_UInt32  cm0_mode:2;
    };
}color_sharp_dm_cds_cm0_v_bound_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cu_0:10;
        RBus_UInt32  res1:2;
        RBus_UInt32  cv_0:10;
        RBus_UInt32  uv_rad_0:9;
        RBus_UInt32  res2:1;
    };
}color_sharp_dm_cds_cm0_u_bound_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cnt_0:24;
        RBus_UInt32  res1:8;
    };
}color_sharp_dm_cds_cm0_v_bound_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gain_neg:8;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  res1:16;
    };
}color_sharp_dm_cds_peaking_gain_cm0_tex_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lv:8;
        RBus_UInt32  hv_neg:10;
        RBus_UInt32  hv_pos:10;
        RBus_UInt32  res1:4;
    };
}color_sharp_dm_cds_peaking_bound_cm0_tex_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gain_neg:8;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  res1:16;
    };
}color_sharp_dm_cds_peaking_gain_cm0_edge_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lv:8;
        RBus_UInt32  hv_neg:10;
        RBus_UInt32  hv_pos:10;
        RBus_UInt32  res1:4;
    };
}color_sharp_dm_cds_peaking_bound_cm0_edge_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  u_lb_1:11;
        RBus_UInt32  res1:1;
        RBus_UInt32  u_ub_1:11;
        RBus_UInt32  res2:5;
        RBus_UInt32  cds_cm1_enable:1;
        RBus_UInt32  res3:3;
    };
}color_sharp_dm_cds_cm1_u_bound_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  v_lb_1:11;
        RBus_UInt32  res1:1;
        RBus_UInt32  v_ub_1:11;
        RBus_UInt32  res2:1;
        RBus_UInt32  cm1_conti_enable:1;
        RBus_UInt32  cm1_conti_area:5;
        RBus_UInt32  cm1_mode:2;
    };
}color_sharp_dm_cds_cm1_v_bound_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cu_1:10;
        RBus_UInt32  res1:2;
        RBus_UInt32  cv_1:10;
        RBus_UInt32  uv_rad_1:9;
        RBus_UInt32  res2:1;
    };
}color_sharp_dm_cds_cm1_u_bound_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cnt_1:24;
        RBus_UInt32  res1:8;
    };
}color_sharp_dm_cds_cm1_v_bound_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gain_neg:8;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  res1:16;
    };
}color_sharp_dm_cds_peaking_gain_cm1_tex_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lv:8;
        RBus_UInt32  hv_neg:10;
        RBus_UInt32  hv_pos:10;
        RBus_UInt32  res1:4;
    };
}color_sharp_dm_cds_peaking_bound_cm1_tex_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gain_neg:8;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  res1:16;
    };
}color_sharp_dm_cds_peaking_gain_cm1_edge_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lv:8;
        RBus_UInt32  hv_neg:10;
        RBus_UInt32  hv_pos:10;
        RBus_UInt32  res1:4;
    };
}color_sharp_dm_cds_peaking_bound_cm1_edge_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  u_lb_2:11;
        RBus_UInt32  res1:1;
        RBus_UInt32  u_ub_2:11;
        RBus_UInt32  res2:5;
        RBus_UInt32  cds_cm2_enable:1;
        RBus_UInt32  res3:3;
    };
}color_sharp_dm_cds_cm2_u_bound_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  v_lb_2:11;
        RBus_UInt32  res1:1;
        RBus_UInt32  v_ub_2:11;
        RBus_UInt32  res2:1;
        RBus_UInt32  cm2_conti_enable:1;
        RBus_UInt32  cm2_conti_area:5;
        RBus_UInt32  cm2_mode:2;
    };
}color_sharp_dm_cds_cm2_v_bound_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cu_2:10;
        RBus_UInt32  res1:2;
        RBus_UInt32  cv_2:10;
        RBus_UInt32  uv_rad_2:9;
        RBus_UInt32  res2:1;
    };
}color_sharp_dm_cds_cm2_u_bound_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cnt_2:24;
        RBus_UInt32  res1:8;
    };
}color_sharp_dm_cds_cm2_v_bound_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gain_neg:8;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  res1:16;
    };
}color_sharp_dm_cds_peaking_gain_cm2_tex_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lv:8;
        RBus_UInt32  hv_neg:10;
        RBus_UInt32  hv_pos:10;
        RBus_UInt32  res1:4;
    };
}color_sharp_dm_cds_peaking_bound_cm2_tex_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gain_neg:8;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  res1:16;
    };
}color_sharp_dm_cds_peaking_gain_cm2_edge_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lv:8;
        RBus_UInt32  hv_neg:10;
        RBus_UInt32  hv_pos:10;
        RBus_UInt32  res1:4;
    };
}color_sharp_dm_cds_peaking_bound_cm2_edge_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  u_lb_3:11;
        RBus_UInt32  res1:1;
        RBus_UInt32  u_ub_3:11;
        RBus_UInt32  res2:5;
        RBus_UInt32  cds_cm3_enable:1;
        RBus_UInt32  res3:3;
    };
}color_sharp_dm_cds_cm3_u_bound_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  v_lb_3:11;
        RBus_UInt32  res1:1;
        RBus_UInt32  v_ub_3:11;
        RBus_UInt32  res2:1;
        RBus_UInt32  cm3_conti_enable:1;
        RBus_UInt32  cm3_conti_area:5;
        RBus_UInt32  cm3_mode:2;
    };
}color_sharp_dm_cds_cm3_v_bound_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cu_3:10;
        RBus_UInt32  res1:2;
        RBus_UInt32  cv_3:10;
        RBus_UInt32  uv_rad_3:9;
        RBus_UInt32  res2:1;
    };
}color_sharp_dm_cds_cm3_u_bound_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cnt_3:24;
        RBus_UInt32  res1:8;
    };
}color_sharp_dm_cds_cm3_v_bound_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gain_neg:8;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  res1:16;
    };
}color_sharp_dm_cds_peaking_gain_cm3_tex_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lv:8;
        RBus_UInt32  hv_neg:10;
        RBus_UInt32  hv_pos:10;
        RBus_UInt32  res1:4;
    };
}color_sharp_dm_cds_peaking_bound_cm3_tex_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gain_neg:8;
        RBus_UInt32  gain_pos:8;
        RBus_UInt32  res1:16;
    };
}color_sharp_dm_cds_peaking_gain_cm3_edge_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lv:8;
        RBus_UInt32  hv_neg:10;
        RBus_UInt32  hv_pos:10;
        RBus_UInt32  res1:4;
    };
}color_sharp_dm_cds_peaking_bound_cm3_edge_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  coef_c3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  coef_c2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  coef_c1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  coef_c0:6;
        RBus_UInt32  res4:2;
    };
}color_sharp_dm_sours_lpf_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  coef_c5:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  coef_c4:6;
        RBus_UInt32  res2:18;
    };
}color_sharp_dm_sours_lpf_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1:11;
        RBus_UInt32  res1:5;
        RBus_UInt32  s0:11;
        RBus_UInt32  res2:5;
    };
}color_sharp_dm_maxmin_shp_gain_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s3:11;
        RBus_UInt32  res1:5;
        RBus_UInt32  s2:11;
        RBus_UInt32  res2:5;
    };
}color_sharp_dm_maxmin_shp_gain_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s5:11;
        RBus_UInt32  res1:5;
        RBus_UInt32  s4:11;
        RBus_UInt32  res2:5;
    };
}color_sharp_dm_maxmin_shp_gain_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  s6:11;
        RBus_UInt32  res2:5;
    };
}color_sharp_dm_maxmin_shp_gain_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1:11;
        RBus_UInt32  res1:21;
    };
}color_sharp_dm_maxmin_shp_step_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s3:11;
        RBus_UInt32  res1:5;
        RBus_UInt32  s2:11;
        RBus_UInt32  res2:5;
    };
}color_sharp_dm_maxmin_shp_step_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s5:11;
        RBus_UInt32  res1:5;
        RBus_UInt32  s4:11;
        RBus_UInt32  res2:5;
    };
}color_sharp_dm_maxmin_shp_step_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  s6:11;
        RBus_UInt32  res2:5;
    };
}color_sharp_dm_maxmin_shp_step_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_0:32;
    };
}color_sharp_dm_cds_cm0_y_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_0:32;
    };
}color_sharp_dm_cds_cm0_u_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_0:32;
    };
}color_sharp_dm_cds_cm0_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_1:32;
    };
}color_sharp_dm_cds_cm1_y_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_1:32;
    };
}color_sharp_dm_cds_cm1_u_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_1:32;
    };
}color_sharp_dm_cds_cm1_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_2:32;
    };
}color_sharp_dm_cds_cm2_y_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_2:32;
    };
}color_sharp_dm_cds_cm2_u_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_2:32;
    };
}color_sharp_dm_cds_cm2_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_3:32;
    };
}color_sharp_dm_cds_cm3_y_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_3:32;
    };
}color_sharp_dm_cds_cm3_u_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sum_3:32;
    };
}color_sharp_dm_cds_cm3_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  src_sel:1;
        RBus_UInt32  hpf_vpf_maxmin_en:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  dummy1802b818_31_4:28;
    };
}color_sharp_dm_vpk_hpk_add_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  hpf_out_debug_sel:3;
        RBus_UInt32  hpf_out_debug_en:1;
        RBus_UInt32  res2:12;
    };
}color_sharp_dm_gain_curve_debug_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  vpk_tex_en:1;
        RBus_UInt32  vpk_edg_en:1;
        RBus_UInt32  sr_v_3_tex_en:1;
        RBus_UInt32  sr_v_3_edg_en:1;
        RBus_UInt32  sr_v_2_tex_en:1;
        RBus_UInt32  sr_v_2_edg_en:1;
        RBus_UInt32  sr_v_1_tex_en:1;
        RBus_UInt32  sr_v_1_edg_en:1;
        RBus_UInt32  sr_v_0_tex_en:1;
        RBus_UInt32  sr_v_0_edg_en:1;
        RBus_UInt32  sr_3_tex_en:1;
        RBus_UInt32  sr_3_edg_en:1;
        RBus_UInt32  sr_2_tex_en:1;
        RBus_UInt32  sr_2_edg_en:1;
        RBus_UInt32  sr_1_tex_en:1;
        RBus_UInt32  sr_1_edg_en:1;
        RBus_UInt32  sr_0_tex_en:1;
        RBus_UInt32  sr_0_edg_en:1;
        RBus_UInt32  h_tex_filter_en:1;
        RBus_UInt32  h_edg_filter_en:1;
        RBus_UInt32  vpk_sr_edg:1;
        RBus_UInt32  vpk_sr_tex:1;
        RBus_UInt32  sr_pndu:1;
        RBus_UInt32  res2:8;
    };
}color_sharp_dm_sr_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  offset:9;
        RBus_UInt32  res1:3;
        RBus_UInt32  gain:9;
        RBus_UInt32  res2:3;
        RBus_UInt32  period:4;
        RBus_UInt32  res3:1;
        RBus_UInt32  sr_detail_v_tex_en:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  sr_detail_tex_en:1;
    };
}color_sharp_dm_sr_continual_detail_gain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  ring_gen_gain:8;
        RBus_UInt32  res2:16;
    };
}color_sharp_dm_sr_continual_detail_sel_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c4:8;
        RBus_UInt32  c3:8;
        RBus_UInt32  c2:8;
        RBus_UInt32  c1:8;
    };
}color_sharp_dm_sr_9tap_hpf_h_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c2:8;
        RBus_UInt32  c1:8;
        RBus_UInt32  res1:7;
        RBus_UInt32  c0:9;
    };
}color_sharp_dm_sr_13tap_hpf_h_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c6:8;
        RBus_UInt32  c5:8;
        RBus_UInt32  c4:8;
        RBus_UInt32  c3:8;
    };
}color_sharp_dm_sr_13tap_hpf_h_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c2:8;
        RBus_UInt32  c1:8;
        RBus_UInt32  res1:7;
        RBus_UInt32  c0:9;
    };
}color_sharp_dm_sr_21tap_hpf_h_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c6:8;
        RBus_UInt32  c5:8;
        RBus_UInt32  c4:8;
        RBus_UInt32  c3:8;
    };
}color_sharp_dm_sr_21tap_hpf_h_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c10:8;
        RBus_UInt32  c9:8;
        RBus_UInt32  c8:8;
        RBus_UInt32  c7:8;
    };
}color_sharp_dm_sr_21tap_hpf_h_coef_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  c2:8;
        RBus_UInt32  c1:8;
    };
}color_sharp_dm_sr_9tap_hpf_v_coef_0_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:23;
        RBus_UInt32  c0:9;
    };
}color_sharp_dm_sr_9tap_hpf_v_coef_1_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  c2:8;
        RBus_UInt32  c1:8;
    };
}color_sharp_dm_sr_9tap_hpf_v_coef_1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:23;
        RBus_UInt32  c0:9;
    };
}color_sharp_dm_sr_9tap_hpf_v_coef_2_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  c2:8;
        RBus_UInt32  c1:8;
    };
}color_sharp_dm_sr_9tap_hpf_v_coef_2_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c1:8;
        RBus_UInt32  res1:15;
        RBus_UInt32  c0:9;
    };
}color_sharp_dm_sr_11tap_hpf_h_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c5:8;
        RBus_UInt32  c4:8;
        RBus_UInt32  c3:8;
        RBus_UInt32  c2:8;
    };
}color_sharp_dm_sr_11tap_hpf_h_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:23;
        RBus_UInt32  c0:9;
    };
}color_sharp_dm_sr_9tap_hpf_v_coef_3_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  c2:8;
        RBus_UInt32  c1:8;
    };
}color_sharp_dm_sr_9tap_hpf_v_coef_3_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_debug:3;
        RBus_UInt32  res1:29;
    };
}color_sharp_dm_sr_dbg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  cblv2:4;
        RBus_UInt32  cblv1:4;
        RBus_UInt32  cb2:8;
        RBus_UInt32  cb1:8;
    };
}color_sharp_dm_sr_bias_coef_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vpk_edg_gain_pos:8;
        RBus_UInt32  vpk_edg_gain_neg:8;
        RBus_UInt32  vpk_edg_lv:8;
        RBus_UInt32  res1:8;
    };
}color_sharp_dm_segpk_vpk5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vpk_edg_hv_neg:10;
        RBus_UInt32  vpk_edg_hv_pos:10;
        RBus_UInt32  vpk_edg_gain_neg2:2;
        RBus_UInt32  vpk_edg_gain_pos2:2;
        RBus_UInt32  edg_lv2:8;
    };
}color_sharp_dm_segpk_vpk6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gain_extendneg_v:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  gain_extendpos_v:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  gain_boundneg_v:4;
        RBus_UInt32  gain_boundpos_v:4;
        RBus_UInt32  res3:1;
        RBus_UInt32  dir_v:1;
        RBus_UInt32  v_slope_gain_en:1;
        RBus_UInt32  res4:5;
    };
}color_sharp_dm_segpk_edgpk_vsourceslope_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1:11;
        RBus_UInt32  res1:5;
        RBus_UInt32  s0:11;
        RBus_UInt32  res2:5;
    };
}color_sharp_dm_maxmin_lpf_weit_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s3:11;
        RBus_UInt32  res1:5;
        RBus_UInt32  s2:11;
        RBus_UInt32  res2:5;
    };
}color_sharp_dm_maxmin_lpf_weit_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s5:11;
        RBus_UInt32  res1:5;
        RBus_UInt32  s4:11;
        RBus_UInt32  res2:5;
    };
}color_sharp_dm_maxmin_lpf_weit_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  s6:11;
        RBus_UInt32  res2:5;
    };
}color_sharp_dm_maxmin_lpf_weit_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1:11;
        RBus_UInt32  res1:21;
    };
}color_sharp_dm_maxmin_lpf_step_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s3:11;
        RBus_UInt32  res1:5;
        RBus_UInt32  s2:11;
        RBus_UInt32  res2:5;
    };
}color_sharp_dm_maxmin_lpf_step_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s5:11;
        RBus_UInt32  res1:5;
        RBus_UInt32  s4:11;
        RBus_UInt32  res2:5;
    };
}color_sharp_dm_maxmin_lpf_step_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  s6:11;
        RBus_UInt32  res2:5;
    };
}color_sharp_dm_maxmin_lpf_step_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1:11;
        RBus_UInt32  res1:5;
        RBus_UInt32  s0:11;
        RBus_UInt32  res2:5;
    };
}color_sharp_dm_maxmin_gain_by_y_gain_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s3:11;
        RBus_UInt32  res1:5;
        RBus_UInt32  s2:11;
        RBus_UInt32  res2:5;
    };
}color_sharp_dm_maxmin_gain_by_y_gain_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s5:11;
        RBus_UInt32  res1:5;
        RBus_UInt32  s4:11;
        RBus_UInt32  res2:5;
    };
}color_sharp_dm_maxmin_gain_by_y_gain_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  s6:11;
        RBus_UInt32  res2:5;
    };
}color_sharp_dm_maxmin_gain_by_y_gain_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1:11;
        RBus_UInt32  res1:21;
    };
}color_sharp_dm_maxmin_gain_by_y_step_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s3:11;
        RBus_UInt32  res1:5;
        RBus_UInt32  s2:11;
        RBus_UInt32  res2:5;
    };
}color_sharp_dm_maxmin_gain_by_y_step_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s5:11;
        RBus_UInt32  res1:5;
        RBus_UInt32  s4:11;
        RBus_UInt32  res2:5;
    };
}color_sharp_dm_maxmin_gain_by_y_step_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  s6:11;
        RBus_UInt32  res2:5;
    };
}color_sharp_dm_maxmin_gain_by_y_step_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_0_enable:1;
        RBus_UInt32  cds_region_1_enable:1;
        RBus_UInt32  cds_region_2_enable:1;
        RBus_UInt32  cds_region_3_enable:1;
        RBus_UInt32  cds_region_0_enable_0:1;
        RBus_UInt32  cds_region_0_enable_1:1;
        RBus_UInt32  cds_region_0_enable_2:1;
        RBus_UInt32  cds_region_0_enable_3:1;
        RBus_UInt32  cds_region_0_enable_4:1;
        RBus_UInt32  cds_region_0_enable_5:1;
        RBus_UInt32  cds_region_1_enable_0:1;
        RBus_UInt32  cds_region_1_enable_1:1;
        RBus_UInt32  cds_region_1_enable_2:1;
        RBus_UInt32  cds_region_1_enable_3:1;
        RBus_UInt32  cds_region_1_enable_4:1;
        RBus_UInt32  cds_region_1_enable_5:1;
        RBus_UInt32  cds_region_2_enable_0:1;
        RBus_UInt32  cds_region_2_enable_1:1;
        RBus_UInt32  cds_region_2_enable_2:1;
        RBus_UInt32  cds_region_2_enable_3:1;
        RBus_UInt32  cds_region_2_enable_4:1;
        RBus_UInt32  cds_region_2_enable_5:1;
        RBus_UInt32  cds_region_3_enable_0:1;
        RBus_UInt32  cds_region_3_enable_1:1;
        RBus_UInt32  cds_region_3_enable_2:1;
        RBus_UInt32  cds_region_3_enable_3:1;
        RBus_UInt32  cds_region_3_enable_4:1;
        RBus_UInt32  cds_region_3_enable_5:1;
        RBus_UInt32  res1:4;
    };
}color_sharp_shp_cds_region_enable_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_0_start_i:12;
        RBus_UInt32  cds_region_0_end_i:12;
        RBus_UInt32  cds_region_0_smooth:8;
    };
}color_sharp_shp_cds_region0_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_0_start_j:12;
        RBus_UInt32  cds_region_0_end_j:12;
        RBus_UInt32  res1:8;
    };
}color_sharp_shp_cds_region0_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_0_ilu:8;
        RBus_UInt32  cds_region_0_ild:8;
        RBus_UInt32  cds_region_0_jlu:8;
        RBus_UInt32  cds_region_0_jld:8;
    };
}color_sharp_shp_cds_region0_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_0_iru:8;
        RBus_UInt32  cds_region_0_ird:8;
        RBus_UInt32  cds_region_0_jru:8;
        RBus_UInt32  cds_region_0_jrd:8;
    };
}color_sharp_shp_cds_region0_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_0_ilum:2;
        RBus_UInt32  cds_region_0_ildm:2;
        RBus_UInt32  cds_region_0_jlum:2;
        RBus_UInt32  cds_region_0_jldm:2;
        RBus_UInt32  cds_region_0_irum:2;
        RBus_UInt32  cds_region_0_irdm:2;
        RBus_UInt32  cds_region_0_jrum:2;
        RBus_UInt32  cds_region_0_jrdm:2;
        RBus_UInt32  res1:16;
    };
}color_sharp_shp_cds_region0_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_1_start_i:12;
        RBus_UInt32  cds_region_1_end_i:12;
        RBus_UInt32  cds_region_1_smooth:8;
    };
}color_sharp_shp_cds_region1_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_1_start_j:12;
        RBus_UInt32  cds_region_1_end_j:12;
        RBus_UInt32  res1:8;
    };
}color_sharp_shp_cds_region1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_1_ilu:8;
        RBus_UInt32  cds_region_1_ild:8;
        RBus_UInt32  cds_region_1_jlu:8;
        RBus_UInt32  cds_region_1_jld:8;
    };
}color_sharp_shp_cds_region1_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_1_iru:8;
        RBus_UInt32  cds_region_1_ird:8;
        RBus_UInt32  cds_region_1_jru:8;
        RBus_UInt32  cds_region_1_jrd:8;
    };
}color_sharp_shp_cds_region1_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_1_ilum:2;
        RBus_UInt32  cds_region_1_ildm:2;
        RBus_UInt32  cds_region_1_jlum:2;
        RBus_UInt32  cds_region_1_jldm:2;
        RBus_UInt32  cds_region_1_irum:2;
        RBus_UInt32  cds_region_1_irdm:2;
        RBus_UInt32  cds_region_1_jrum:2;
        RBus_UInt32  cds_region_1_jrdm:2;
        RBus_UInt32  res1:16;
    };
}color_sharp_shp_cds_region1_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_2_start_i:12;
        RBus_UInt32  cds_region_2_end_i:12;
        RBus_UInt32  cds_region_2_smooth:8;
    };
}color_sharp_shp_cds_region2_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_2_start_j:12;
        RBus_UInt32  cds_region_2_end_j:12;
        RBus_UInt32  res1:8;
    };
}color_sharp_shp_cds_region2_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_2_ilu:8;
        RBus_UInt32  cds_region_2_ild:8;
        RBus_UInt32  cds_region_2_jlu:8;
        RBus_UInt32  cds_region_2_jld:8;
    };
}color_sharp_shp_cds_region2_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_2_iru:8;
        RBus_UInt32  cds_region_2_ird:8;
        RBus_UInt32  cds_region_2_jru:8;
        RBus_UInt32  cds_region_2_jrd:8;
    };
}color_sharp_shp_cds_region2_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_2_ilum:2;
        RBus_UInt32  cds_region_2_ildm:2;
        RBus_UInt32  cds_region_2_jlum:2;
        RBus_UInt32  cds_region_2_jldm:2;
        RBus_UInt32  cds_region_2_irum:2;
        RBus_UInt32  cds_region_2_irdm:2;
        RBus_UInt32  cds_region_2_jrum:2;
        RBus_UInt32  cds_region_2_jrdm:2;
        RBus_UInt32  res1:16;
    };
}color_sharp_shp_cds_region2_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_3_start_i:12;
        RBus_UInt32  cds_region_3_end_i:12;
        RBus_UInt32  cds_region_3_smooth:8;
    };
}color_sharp_shp_cds_region3_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_3_start_j:12;
        RBus_UInt32  cds_region_3_end_j:12;
        RBus_UInt32  res1:8;
    };
}color_sharp_shp_cds_region3_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_3_ilu:8;
        RBus_UInt32  cds_region_3_ild:8;
        RBus_UInt32  cds_region_3_jlu:8;
        RBus_UInt32  cds_region_3_jld:8;
    };
}color_sharp_shp_cds_region3_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_3_iru:8;
        RBus_UInt32  cds_region_3_ird:8;
        RBus_UInt32  cds_region_3_jru:8;
        RBus_UInt32  cds_region_3_jrd:8;
    };
}color_sharp_shp_cds_region3_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_3_ilum:2;
        RBus_UInt32  cds_region_3_ildm:2;
        RBus_UInt32  cds_region_3_jlum:2;
        RBus_UInt32  cds_region_3_jldm:2;
        RBus_UInt32  cds_region_3_irum:2;
        RBus_UInt32  cds_region_3_irdm:2;
        RBus_UInt32  cds_region_3_jrum:2;
        RBus_UInt32  cds_region_3_jrdm:2;
        RBus_UInt32  res1:16;
    };
}color_sharp_shp_cds_region3_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_4_start_i:12;
        RBus_UInt32  cds_region_4_end_i:12;
        RBus_UInt32  res1:8;
    };
}color_sharp_shp_cds_region4_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_4_start_j:12;
        RBus_UInt32  cds_region_4_end_j:12;
        RBus_UInt32  res1:8;
    };
}color_sharp_shp_cds_region4_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_4_ilu:8;
        RBus_UInt32  cds_region_4_ild:8;
        RBus_UInt32  cds_region_4_jlu:8;
        RBus_UInt32  cds_region_4_jld:8;
    };
}color_sharp_shp_cds_region4_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_4_iru:8;
        RBus_UInt32  cds_region_4_ird:8;
        RBus_UInt32  cds_region_4_jru:8;
        RBus_UInt32  cds_region_4_jrd:8;
    };
}color_sharp_shp_cds_region4_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_4_ilum:2;
        RBus_UInt32  cds_region_4_ildm:2;
        RBus_UInt32  cds_region_4_jlum:2;
        RBus_UInt32  cds_region_4_jldm:2;
        RBus_UInt32  cds_region_4_irum:2;
        RBus_UInt32  cds_region_4_irdm:2;
        RBus_UInt32  cds_region_4_jrum:2;
        RBus_UInt32  cds_region_4_jrdm:2;
        RBus_UInt32  res1:16;
    };
}color_sharp_shp_cds_region4_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_5_start_i:12;
        RBus_UInt32  cds_region_5_end_i:12;
        RBus_UInt32  res1:8;
    };
}color_sharp_shp_cds_region5_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_5_start_j:12;
        RBus_UInt32  cds_region_5_end_j:12;
        RBus_UInt32  res1:8;
    };
}color_sharp_shp_cds_region5_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_5_ilu:8;
        RBus_UInt32  cds_region_5_ild:8;
        RBus_UInt32  cds_region_5_jlu:8;
        RBus_UInt32  cds_region_5_jld:8;
    };
}color_sharp_shp_cds_region5_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_5_iru:8;
        RBus_UInt32  cds_region_5_ird:8;
        RBus_UInt32  cds_region_5_jru:8;
        RBus_UInt32  cds_region_5_jrd:8;
    };
}color_sharp_shp_cds_region5_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_5_ilum:2;
        RBus_UInt32  cds_region_5_ildm:2;
        RBus_UInt32  cds_region_5_jlum:2;
        RBus_UInt32  cds_region_5_jldm:2;
        RBus_UInt32  cds_region_5_irum:2;
        RBus_UInt32  cds_region_5_irdm:2;
        RBus_UInt32  cds_region_5_jrum:2;
        RBus_UInt32  cds_region_5_jrdm:2;
        RBus_UInt32  res1:16;
    };
}color_sharp_shp_cds_region5_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_region_predict_sel:1;
        RBus_UInt32  cds_region_predict_1:9;
        RBus_UInt32  cds_region_predict_2:9;
        RBus_UInt32  res1:13;
    };
}color_sharp_shp_cds_predict_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  crc_start:1;
        RBus_UInt32  crc_conti:1;
        RBus_UInt32  res1:30;
    };
}color_sharp_shp_crc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  shp_crc_result:32;
    };
}color_sharp_shp_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  drf_fail_3:1;
        RBus_UInt32  drf_fail_2:1;
        RBus_UInt32  drf_fail_1:1;
        RBus_UInt32  drf_fail_0:1;
        RBus_UInt32  bist_fail_3:1;
        RBus_UInt32  bist_fail_2:1;
        RBus_UInt32  bist_fail_1:1;
        RBus_UInt32  bist_fail_0:1;
        RBus_UInt32  dvs:4;
        RBus_UInt32  dvse:1;
        RBus_UInt32  ls:1;
        RBus_UInt32  test:1;
        RBus_UInt32  res2:9;
    };
}color_sharp_peak2d_bist_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dlti_en:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  ffd2_en:1;
        RBus_UInt32  d1_cp_shift:2;
        RBus_UInt32  res2:1;
        RBus_UInt32  dcp_th:8;
        RBus_UInt32  pnth:10;
        RBus_UInt32  maxlen:3;
        RBus_UInt32  res3:2;
        RBus_UInt32  data_sel:1;
    };
}color_sharp_shp_dlti_ctrl_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ffd1_th:10;
        RBus_UInt32  ffd1_ratio:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  flat_score_en:1;
        RBus_UInt32  flat_score_thl:8;
        RBus_UInt32  flat_s_range:2;
        RBus_UInt32  ffd0_start:1;
        RBus_UInt32  ovc_extend:1;
        RBus_UInt32  res2:1;
    };
}color_sharp_shp_dlti_ctrl_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ffd2_range2l:10;
        RBus_UInt32  ffd2_range2r:10;
        RBus_UInt32  ffd2_ratio:7;
        RBus_UInt32  res1:2;
        RBus_UInt32  dlti_debug:3;
    };
}color_sharp_shp_dlti_ctrl_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tnoff0:8;
        RBus_UInt32  tnoff1:8;
        RBus_UInt32  tnoff2:8;
        RBus_UInt32  res1:8;
    };
}color_sharp_shp_dlti_gain_offset_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tnoff3:8;
        RBus_UInt32  tnoff4:8;
        RBus_UInt32  tnoff5:8;
        RBus_UInt32  res1:8;
    };
}color_sharp_shp_dlti_gain_offset_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tnoff6:8;
        RBus_UInt32  tnoff7:8;
        RBus_UInt32  tnoff8:8;
        RBus_UInt32  res1:8;
    };
}color_sharp_shp_dlti_gain_offset_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tnoff9:8;
        RBus_UInt32  tnoff10:8;
        RBus_UInt32  tnoff11:8;
        RBus_UInt32  res1:8;
    };
}color_sharp_shp_dlti_gain_offset_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tnoff12:8;
        RBus_UInt32  tnoff13:8;
        RBus_UInt32  tnoff14:8;
        RBus_UInt32  res1:8;
    };
}color_sharp_shp_dlti_gain_offset_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  offset_pos:10;
        RBus_UInt32  res1:2;
        RBus_UInt32  gain_pos:9;
        RBus_UInt32  res2:7;
        RBus_UInt32  over_enhance:1;
        RBus_UInt32  res3:3;
    };
}color_sharp_shp_dlti_over_enhance_gain_offset_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  offset_neg:10;
        RBus_UInt32  res1:2;
        RBus_UInt32  gain_neg:9;
        RBus_UInt32  res2:11;
    };
}color_sharp_shp_dlti_over_enhance_gain_offset_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  cur_sel:1;
        RBus_UInt32  uvalign_en:1;
        RBus_UInt32  dcti_mode:1;
        RBus_UInt32  uvgain:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  offdiv:2;
        RBus_UInt32  engdiv:2;
        RBus_UInt32  lpmode:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  psmth:8;
        RBus_UInt32  maxlen:3;
        RBus_UInt32  data_sel:1;
    };
}color_sharp_shp_dcti_ctrl_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  blending_mode:1;
        RBus_UInt32  median_mode:1;
        RBus_UInt32  vlp_mode:3;
        RBus_UInt32  hp_mode:3;
        RBus_UInt32  steep_mode:3;
        RBus_UInt32  th_coring:5;
        RBus_UInt32  th_steep:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  rate_steep:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  tran_mode:3;
        RBus_UInt32  uvsync_en:1;
    };
}color_sharp_shp_dcti_ctrl_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  th_smooth:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  rate_smooth:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  region_mode:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  th_tran:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  rate_tran:3;
        RBus_UInt32  res5:1;
        RBus_UInt32  maxminlen:3;
        RBus_UInt32  res6:1;
    };
}color_sharp_shp_dcti_ctrl_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  th_gtran:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  align_mingain:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  th_align:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  rate_align:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  rate_align_weight:3;
        RBus_UInt32  res5:1;
    };
}color_sharp_shp_dcti_ctrl_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  th_align_weight:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  th_stair:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  rate_stair1:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  rate_stair2:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  th_uvmindiff:7;
        RBus_UInt32  res5:1;
    };
}color_sharp_shp_dcti_ctrl_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  th_engsync:6;
        RBus_UInt32  rate_uvmindiff:3;
        RBus_UInt32  rate_engsync:3;
        RBus_UInt32  res1:19;
        RBus_UInt32  res2:1;
    };
}color_sharp_shp_dcti_ctrl_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  res2:6;
        RBus_UInt32  debug_mode:3;
        RBus_UInt32  debug_shiftbit:3;
        RBus_UInt32  res3:14;
    };
}color_sharp_shp_dcti_ctrl_7_RBUS;




#endif 


#endif 
