/**
* @file Merlin3_DesignSpec-USB3
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2017/6/13
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_USB3_TOP_REG_H_
#define _RBUS_USB3_TOP_REG_H_




//  USB3_TOP Register Address



#define  USB3_TOP_WRAP_CTR_VADDR                            	(0xb805a000)
#define  USB3_TOP_GNR_INT_VADDR                             	(0xb805a004)
#define  USB3_TOP_USB2_PHY_UTMI_VADDR                       	(0xb805a008)
#define  USB3_TOP_USB3_PHY_PIPE_VADDR                       	(0xb805a00c)
#define  USB3_TOP_MDIO_CTR_VADDR                            	(0xb805a010)
#define  USB3_TOP_VSTATUS0_OUT_VADDR                        	(0xb805a014)
#define  USB3_TOP_SLP_BACK0_EN_VADDR                        	(0xb805a018)
#define  USB3_TOP_SLP_BACK0_CTR_VADDR                       	(0xb805a01c)
#define  USB3_TOP_SLP_BACK0_ST_VADDR                        	(0xb805a020)
#define  USB3_TOP_PHY2_SLB0_EN_VADDR                        	(0xb805a024)
#define  USB3_TOP_PHY2_SLB0_ST_VADDR                        	(0xb805a028)
#define  USB3_TOP_SLP_BACK1_CTR_VADDR                       	(0xb805a02c)
#define  USB3_TOP_SLP_BACK1_ST_VADDR                        	(0xb805a030)
#define  USB3_TOP_PHY2_SLB1_EN_VADDR                        	(0xb805a034)
#define  USB3_TOP_PHY2_SLB1_ST_VADDR                        	(0xb805a038)
#define  USB3_TOP_SLP_BACK2_CTR_VADDR                       	(0xb805a03c)
#define  USB3_TOP_SLP_BACK2_ST_VADDR                        	(0xb805a040)
#define  USB3_TOP_PHY2_SLB2_EN_VADDR                        	(0xb805a044)
#define  USB3_TOP_PHY2_SLB2_ST_VADDR                        	(0xb805a048)
#define  USB3_TOP_SLP_BACK3_CTR_VADDR                       	(0xb805a050)
#define  USB3_TOP_SLP_BACK_ST_PORT3_VADDR                   	(0xb805a054)
#define  USB3_TOP_PHY2_SLB3_EN_VADDR                        	(0xb805a058)
#define  USB3_TOP_PHY2_SLB3_ST_VADDR                        	(0xb805a05c)
#define  USB3_TOP_USB2_SPD_CTR_VADDR                        	(0xb805a060)
#define  USB3_TOP_PHY3_SLB_EN_VADDR                         	(0xb805a064)
#define  USB3_TOP_PHY3_SLB_CT_VADDR                         	(0xb805a068)
#define  USB3_TOP_PHY3_SLB_ST_VADDR                         	(0xb805a06c)
#define  USB3_TOP_USB_DBG_VADDR                             	(0xb805a070)
#define  USB3_TOP_USB_SCTCH_VADDR                           	(0xb805a074)
#define  USB3_TOP_USB_TMP_SP_0_VADDR                        	(0xb805a078)
#define  USB3_TOP_USB_TMP_SP_1_VADDR                        	(0xb805a07c)
#define  USB3_TOP_USB_TMP_0_VADDR                           	(0xb805a080)
#define  USB3_TOP_USB_TMP_1_VADDR                           	(0xb805a084)
#define  USB3_TOP_USB_TMP_2_VADDR                           	(0xb805a088)
#define  USB3_TOP_USB_TMP_3_VADDR                           	(0xb805a08c)
#define  USB3_TOP_HMAC_CTR0_VADDR                           	(0xb805a090)
#define  USB3_TOP_HMAC_CTR1_VADDR                           	(0xb805a094)
#define  USB3_TOP_MAC3_HST_ST_VADDR                         	(0xb805a098)
#define  USB3_TOP_USB2_PHY0_VADDR                           	(0xb805a09c)
#define  USB3_TOP_USB2_PHY1_VADDR                           	(0xb805a0a0)
#define  USB3_TOP_USB2_PHY2_VADDR                           	(0xb805a0a4)
#define  USB3_TOP_USB2_PHY3_VADDR                           	(0xb805a0a8)
#define  USB3_TOP_RAM_CTR_VADDR                             	(0xb805a0ac)
#define  USB3_TOP_RAM_ADDR_VADDR                            	(0xb805a0b0)
#define  USB3_TOP_RAM_WDATA_VADDR                           	(0xb805a0b4)
#define  USB3_TOP_RAM_RDATA_VADDR                           	(0xb805a0b8)
#define  USB3_TOP_PHY0_ST_VADDR                             	(0xb805a0bc)
#define  USB3_TOP_USB3_OVR_CT_VADDR                         	(0xb805a0c0)
#define  USB3_TOP_ANA_PHY0_VADDR                            	(0xb805a0c4)
#define  USB3_TOP_ANA_PHY1_VADDR                            	(0xb805a0c8)
#define  USB3_TOP_GBL_USB_CT_VADDR                          	(0xb805a0cc)
#define  USB3_TOP_SF_TEST_CTR_VADDR                         	(0xb805a0d0)
#define  USB3_TOP_BIST0_VADDR                               	(0xb805a100)
#define  USB3_TOP_BIST1_VADDR                               	(0xb805a104)
#define  USB3_TOP_BIST2_VADDR                               	(0xb805a108)
#define  USB3_TOP_BIST3_VADDR                               	(0xb805a10c)
#define  USB3_TOP_BIST4_VADDR                               	(0xb805a110)
#define  USB3_TOP_BIST5_VADDR                               	(0xb805a114)
#define  USB3_TOP_DRF0_VADDR                                	(0xb805a118)
#define  USB3_TOP_DRF1_VADDR                                	(0xb805a11c)
#define  USB3_TOP_DRF2_VADDR                                	(0xb805a120)
#define  USB3_TOP_DRF3_VADDR                                	(0xb805a124)
#define  USB3_TOP_DRF4_VADDR                                	(0xb805a128)
#define  USB3_TOP_DRF5_VADDR                                	(0xb805a12c)
#define  USB3_TOP_DRF6_VADDR                                	(0xb805a130)
#define  USB3_TOP_DRF7_VADDR                                	(0xb805a134)
#define  USB3_TOP_BIST_OP0_VADDR                            	(0xb805a138)
#define  USB3_TOP_BIST_OP1_VADDR                            	(0xb805a13c)
#define  USB3_TOP_BIST_OP2_VADDR                            	(0xb805a140)
#define  USB3_TOP_TC_MUX_VADDR                              	(0xb805a144)
#define  USB3_TOP_TC_CCDET_VADDR                            	(0xb805a148)
#define  USB3_TOP_LTSSM_REG_VADDR                           	(0xb805a14c)
#define  USB3_TOP_USB_TMP_4_VADDR                           	(0xb805a150)
#define  USB3_TOP_CRC_CNT_1_VADDR                           	(0xb805a154)
#define  USB3_TOP_CRC_CNT_2_VADDR                           	(0xb805a158)
#define  USB3_TOP_USB_STATE_INDICATE_VADDR                  	(0xb805a15c)
#define  USB3_TOP_USB3_DEBUG_VADDR                          	(0xb805a160)
#define  USB3_TOP_USB_TMP_5_VADDR                           	(0xb805af6c)


#endif 
