/**
* @file Merlin6_MEMC_KME_DM_TOP2
* RBus systemc program.
*
* @author RS_MM2_SD
* @email mm_mm2_rd_sw_kernel@realtek.com
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_KME_DM_TOP2_REG_H_
#define _RBUS_KME_DM_TOP2_REG_H_

#include "rbus_types.h"



//  KME_DM_TOP2 Register Address
#define  KME_DM_TOP2_MV01_START_ADDRESS0                                        0x1809C200
#define  KME_DM_TOP2_MV01_START_ADDRESS0_reg_addr                                "0xB809C200"
#define  KME_DM_TOP2_MV01_START_ADDRESS0_reg                                     0xB809C200
#define  KME_DM_TOP2_MV01_START_ADDRESS0_inst_addr                               "0x0000"
#define  set_KME_DM_TOP2_MV01_START_ADDRESS0_reg(data)                           (*((volatile unsigned int*)KME_DM_TOP2_MV01_START_ADDRESS0_reg)=data)
#define  get_KME_DM_TOP2_MV01_START_ADDRESS0_reg                                 (*((volatile unsigned int*)KME_DM_TOP2_MV01_START_ADDRESS0_reg))
#define  KME_DM_TOP2_MV01_START_ADDRESS0_mv01_start_address0_shift               (0)
#define  KME_DM_TOP2_MV01_START_ADDRESS0_mv01_start_address0_mask                (0xFFFFFFFF)
#define  KME_DM_TOP2_MV01_START_ADDRESS0_mv01_start_address0(data)               (0xFFFFFFFF&(data))
#define  KME_DM_TOP2_MV01_START_ADDRESS0_get_mv01_start_address0(data)           (0xFFFFFFFF&(data))

#define  KME_DM_TOP2_MV01_END_ADDRESS0                                          0x1809C204
#define  KME_DM_TOP2_MV01_END_ADDRESS0_reg_addr                                  "0xB809C204"
#define  KME_DM_TOP2_MV01_END_ADDRESS0_reg                                       0xB809C204
#define  KME_DM_TOP2_MV01_END_ADDRESS0_inst_addr                                 "0x0001"
#define  set_KME_DM_TOP2_MV01_END_ADDRESS0_reg(data)                             (*((volatile unsigned int*)KME_DM_TOP2_MV01_END_ADDRESS0_reg)=data)
#define  get_KME_DM_TOP2_MV01_END_ADDRESS0_reg                                   (*((volatile unsigned int*)KME_DM_TOP2_MV01_END_ADDRESS0_reg))
#define  KME_DM_TOP2_MV01_END_ADDRESS0_mv01_end_address0_shift                   (0)
#define  KME_DM_TOP2_MV01_END_ADDRESS0_mv01_end_address0_mask                    (0xFFFFFFFF)
#define  KME_DM_TOP2_MV01_END_ADDRESS0_mv01_end_address0(data)                   (0xFFFFFFFF&(data))
#define  KME_DM_TOP2_MV01_END_ADDRESS0_get_mv01_end_address0(data)               (0xFFFFFFFF&(data))

#define  KME_DM_TOP2_MV_01_LINE_OFFSET_ADDR                                     0x1809C208
#define  KME_DM_TOP2_MV_01_LINE_OFFSET_ADDR_reg_addr                             "0xB809C208"
#define  KME_DM_TOP2_MV_01_LINE_OFFSET_ADDR_reg                                  0xB809C208
#define  KME_DM_TOP2_MV_01_LINE_OFFSET_ADDR_inst_addr                            "0x0002"
#define  set_KME_DM_TOP2_MV_01_LINE_OFFSET_ADDR_reg(data)                        (*((volatile unsigned int*)KME_DM_TOP2_MV_01_LINE_OFFSET_ADDR_reg)=data)
#define  get_KME_DM_TOP2_MV_01_LINE_OFFSET_ADDR_reg                              (*((volatile unsigned int*)KME_DM_TOP2_MV_01_LINE_OFFSET_ADDR_reg))
#define  KME_DM_TOP2_MV_01_LINE_OFFSET_ADDR_mv01_line_offset_addr_shift          (0)
#define  KME_DM_TOP2_MV_01_LINE_OFFSET_ADDR_mv01_line_offset_addr_mask           (0xFFFFFFFF)
#define  KME_DM_TOP2_MV_01_LINE_OFFSET_ADDR_mv01_line_offset_addr(data)          (0xFFFFFFFF&(data))
#define  KME_DM_TOP2_MV_01_LINE_OFFSET_ADDR_get_mv01_line_offset_addr(data)      (0xFFFFFFFF&(data))

#define  KME_DM_TOP2_MV01_LR_OFFSET_ADDR                                        0x1809C20C
#define  KME_DM_TOP2_MV01_LR_OFFSET_ADDR_reg_addr                                "0xB809C20C"
#define  KME_DM_TOP2_MV01_LR_OFFSET_ADDR_reg                                     0xB809C20C
#define  KME_DM_TOP2_MV01_LR_OFFSET_ADDR_inst_addr                               "0x0003"
#define  set_KME_DM_TOP2_MV01_LR_OFFSET_ADDR_reg(data)                           (*((volatile unsigned int*)KME_DM_TOP2_MV01_LR_OFFSET_ADDR_reg)=data)
#define  get_KME_DM_TOP2_MV01_LR_OFFSET_ADDR_reg                                 (*((volatile unsigned int*)KME_DM_TOP2_MV01_LR_OFFSET_ADDR_reg))
#define  KME_DM_TOP2_MV01_LR_OFFSET_ADDR_mv01_lr_offset_addr_shift               (0)
#define  KME_DM_TOP2_MV01_LR_OFFSET_ADDR_mv01_lr_offset_addr_mask                (0xFFFFFFFF)
#define  KME_DM_TOP2_MV01_LR_OFFSET_ADDR_mv01_lr_offset_addr(data)               (0xFFFFFFFF&(data))
#define  KME_DM_TOP2_MV01_LR_OFFSET_ADDR_get_mv01_lr_offset_addr(data)           (0xFFFFFFFF&(data))

#define  KME_DM_TOP2_MV01_AGENT                                                 0x1809C210
#define  KME_DM_TOP2_MV01_AGENT_reg_addr                                         "0xB809C210"
#define  KME_DM_TOP2_MV01_AGENT_reg                                              0xB809C210
#define  KME_DM_TOP2_MV01_AGENT_inst_addr                                        "0x0004"
#define  set_KME_DM_TOP2_MV01_AGENT_reg(data)                                    (*((volatile unsigned int*)KME_DM_TOP2_MV01_AGENT_reg)=data)
#define  get_KME_DM_TOP2_MV01_AGENT_reg                                          (*((volatile unsigned int*)KME_DM_TOP2_MV01_AGENT_reg))
#define  KME_DM_TOP2_MV01_AGENT_mv01_hnum_shift                                  (22)
#define  KME_DM_TOP2_MV01_AGENT_mv01_mode_shift                                  (21)
#define  KME_DM_TOP2_MV01_AGENT_mv01_write_enable_shift                          (20)
#define  KME_DM_TOP2_MV01_AGENT_mv01_cmdlen_shift                                (16)
#define  KME_DM_TOP2_MV01_AGENT_mv01_qos_shift                                   (8)
#define  KME_DM_TOP2_MV01_AGENT_mv01_alen_shift                                  (0)
#define  KME_DM_TOP2_MV01_AGENT_mv01_hnum_mask                                   (0x3FC00000)
#define  KME_DM_TOP2_MV01_AGENT_mv01_mode_mask                                   (0x00200000)
#define  KME_DM_TOP2_MV01_AGENT_mv01_write_enable_mask                           (0x00100000)
#define  KME_DM_TOP2_MV01_AGENT_mv01_cmdlen_mask                                 (0x000F0000)
#define  KME_DM_TOP2_MV01_AGENT_mv01_qos_mask                                    (0x0000FF00)
#define  KME_DM_TOP2_MV01_AGENT_mv01_alen_mask                                   (0x000000FF)
#define  KME_DM_TOP2_MV01_AGENT_mv01_hnum(data)                                  (0x3FC00000&((data)<<22))
#define  KME_DM_TOP2_MV01_AGENT_mv01_mode(data)                                  (0x00200000&((data)<<21))
#define  KME_DM_TOP2_MV01_AGENT_mv01_write_enable(data)                          (0x00100000&((data)<<20))
#define  KME_DM_TOP2_MV01_AGENT_mv01_cmdlen(data)                                (0x000F0000&((data)<<16))
#define  KME_DM_TOP2_MV01_AGENT_mv01_qos(data)                                   (0x0000FF00&((data)<<8))
#define  KME_DM_TOP2_MV01_AGENT_mv01_alen(data)                                  (0x000000FF&(data))
#define  KME_DM_TOP2_MV01_AGENT_get_mv01_hnum(data)                              ((0x3FC00000&(data))>>22)
#define  KME_DM_TOP2_MV01_AGENT_get_mv01_mode(data)                              ((0x00200000&(data))>>21)
#define  KME_DM_TOP2_MV01_AGENT_get_mv01_write_enable(data)                      ((0x00100000&(data))>>20)
#define  KME_DM_TOP2_MV01_AGENT_get_mv01_cmdlen(data)                            ((0x000F0000&(data))>>16)
#define  KME_DM_TOP2_MV01_AGENT_get_mv01_qos(data)                               ((0x0000FF00&(data))>>8)
#define  KME_DM_TOP2_MV01_AGENT_get_mv01_alen(data)                              (0x000000FF&(data))

#define  KME_DM_TOP2_MV02_START_ADDRESS11                                       0x1809C214
#define  KME_DM_TOP2_MV02_START_ADDRESS11_reg_addr                               "0xB809C214"
#define  KME_DM_TOP2_MV02_START_ADDRESS11_reg                                    0xB809C214
#define  KME_DM_TOP2_MV02_START_ADDRESS11_inst_addr                              "0x0005"
#define  set_KME_DM_TOP2_MV02_START_ADDRESS11_reg(data)                          (*((volatile unsigned int*)KME_DM_TOP2_MV02_START_ADDRESS11_reg)=data)
#define  get_KME_DM_TOP2_MV02_START_ADDRESS11_reg                                (*((volatile unsigned int*)KME_DM_TOP2_MV02_START_ADDRESS11_reg))
#define  KME_DM_TOP2_MV02_START_ADDRESS11_mv02_start_address0_shift              (0)
#define  KME_DM_TOP2_MV02_START_ADDRESS11_mv02_start_address0_mask               (0xFFFFFFFF)
#define  KME_DM_TOP2_MV02_START_ADDRESS11_mv02_start_address0(data)              (0xFFFFFFFF&(data))
#define  KME_DM_TOP2_MV02_START_ADDRESS11_get_mv02_start_address0(data)          (0xFFFFFFFF&(data))

#define  KME_DM_TOP2_MV02_END_ADDRESS0                                          0x1809C218
#define  KME_DM_TOP2_MV02_END_ADDRESS0_reg_addr                                  "0xB809C218"
#define  KME_DM_TOP2_MV02_END_ADDRESS0_reg                                       0xB809C218
#define  KME_DM_TOP2_MV02_END_ADDRESS0_inst_addr                                 "0x0006"
#define  set_KME_DM_TOP2_MV02_END_ADDRESS0_reg(data)                             (*((volatile unsigned int*)KME_DM_TOP2_MV02_END_ADDRESS0_reg)=data)
#define  get_KME_DM_TOP2_MV02_END_ADDRESS0_reg                                   (*((volatile unsigned int*)KME_DM_TOP2_MV02_END_ADDRESS0_reg))
#define  KME_DM_TOP2_MV02_END_ADDRESS0_mv02_end_address0_shift                   (0)
#define  KME_DM_TOP2_MV02_END_ADDRESS0_mv02_end_address0_mask                    (0xFFFFFFFF)
#define  KME_DM_TOP2_MV02_END_ADDRESS0_mv02_end_address0(data)                   (0xFFFFFFFF&(data))
#define  KME_DM_TOP2_MV02_END_ADDRESS0_get_mv02_end_address0(data)               (0xFFFFFFFF&(data))

#define  KME_DM_TOP2_MV_02_LINE_OFFSET_ADDR                                     0x1809C21C
#define  KME_DM_TOP2_MV_02_LINE_OFFSET_ADDR_reg_addr                             "0xB809C21C"
#define  KME_DM_TOP2_MV_02_LINE_OFFSET_ADDR_reg                                  0xB809C21C
#define  KME_DM_TOP2_MV_02_LINE_OFFSET_ADDR_inst_addr                            "0x0007"
#define  set_KME_DM_TOP2_MV_02_LINE_OFFSET_ADDR_reg(data)                        (*((volatile unsigned int*)KME_DM_TOP2_MV_02_LINE_OFFSET_ADDR_reg)=data)
#define  get_KME_DM_TOP2_MV_02_LINE_OFFSET_ADDR_reg                              (*((volatile unsigned int*)KME_DM_TOP2_MV_02_LINE_OFFSET_ADDR_reg))
#define  KME_DM_TOP2_MV_02_LINE_OFFSET_ADDR_mv02_line_offset_addr_shift          (0)
#define  KME_DM_TOP2_MV_02_LINE_OFFSET_ADDR_mv02_line_offset_addr_mask           (0xFFFFFFFF)
#define  KME_DM_TOP2_MV_02_LINE_OFFSET_ADDR_mv02_line_offset_addr(data)          (0xFFFFFFFF&(data))
#define  KME_DM_TOP2_MV_02_LINE_OFFSET_ADDR_get_mv02_line_offset_addr(data)      (0xFFFFFFFF&(data))

#define  KME_DM_TOP2_MV02_LR_OFFSET_ADDR                                        0x1809C220
#define  KME_DM_TOP2_MV02_LR_OFFSET_ADDR_reg_addr                                "0xB809C220"
#define  KME_DM_TOP2_MV02_LR_OFFSET_ADDR_reg                                     0xB809C220
#define  KME_DM_TOP2_MV02_LR_OFFSET_ADDR_inst_addr                               "0x0008"
#define  set_KME_DM_TOP2_MV02_LR_OFFSET_ADDR_reg(data)                           (*((volatile unsigned int*)KME_DM_TOP2_MV02_LR_OFFSET_ADDR_reg)=data)
#define  get_KME_DM_TOP2_MV02_LR_OFFSET_ADDR_reg                                 (*((volatile unsigned int*)KME_DM_TOP2_MV02_LR_OFFSET_ADDR_reg))
#define  KME_DM_TOP2_MV02_LR_OFFSET_ADDR_mv02_lr_offset_addr_shift               (0)
#define  KME_DM_TOP2_MV02_LR_OFFSET_ADDR_mv02_lr_offset_addr_mask                (0xFFFFFFFF)
#define  KME_DM_TOP2_MV02_LR_OFFSET_ADDR_mv02_lr_offset_addr(data)               (0xFFFFFFFF&(data))
#define  KME_DM_TOP2_MV02_LR_OFFSET_ADDR_get_mv02_lr_offset_addr(data)           (0xFFFFFFFF&(data))

#define  KME_DM_TOP2_MV02_AGENT                                                 0x1809C224
#define  KME_DM_TOP2_MV02_AGENT_reg_addr                                         "0xB809C224"
#define  KME_DM_TOP2_MV02_AGENT_reg                                              0xB809C224
#define  KME_DM_TOP2_MV02_AGENT_inst_addr                                        "0x0009"
#define  set_KME_DM_TOP2_MV02_AGENT_reg(data)                                    (*((volatile unsigned int*)KME_DM_TOP2_MV02_AGENT_reg)=data)
#define  get_KME_DM_TOP2_MV02_AGENT_reg                                          (*((volatile unsigned int*)KME_DM_TOP2_MV02_AGENT_reg))
#define  KME_DM_TOP2_MV02_AGENT_mv02_hnum_shift                                  (22)
#define  KME_DM_TOP2_MV02_AGENT_mv02_mode_shift                                  (21)
#define  KME_DM_TOP2_MV02_AGENT_mv02_write_enable_shift                          (20)
#define  KME_DM_TOP2_MV02_AGENT_mv02_cmdlen_shift                                (16)
#define  KME_DM_TOP2_MV02_AGENT_mv02_qos_shift                                   (8)
#define  KME_DM_TOP2_MV02_AGENT_mv02_alen_shift                                  (0)
#define  KME_DM_TOP2_MV02_AGENT_mv02_hnum_mask                                   (0x3FC00000)
#define  KME_DM_TOP2_MV02_AGENT_mv02_mode_mask                                   (0x00200000)
#define  KME_DM_TOP2_MV02_AGENT_mv02_write_enable_mask                           (0x00100000)
#define  KME_DM_TOP2_MV02_AGENT_mv02_cmdlen_mask                                 (0x000F0000)
#define  KME_DM_TOP2_MV02_AGENT_mv02_qos_mask                                    (0x0000FF00)
#define  KME_DM_TOP2_MV02_AGENT_mv02_alen_mask                                   (0x000000FF)
#define  KME_DM_TOP2_MV02_AGENT_mv02_hnum(data)                                  (0x3FC00000&((data)<<22))
#define  KME_DM_TOP2_MV02_AGENT_mv02_mode(data)                                  (0x00200000&((data)<<21))
#define  KME_DM_TOP2_MV02_AGENT_mv02_write_enable(data)                          (0x00100000&((data)<<20))
#define  KME_DM_TOP2_MV02_AGENT_mv02_cmdlen(data)                                (0x000F0000&((data)<<16))
#define  KME_DM_TOP2_MV02_AGENT_mv02_qos(data)                                   (0x0000FF00&((data)<<8))
#define  KME_DM_TOP2_MV02_AGENT_mv02_alen(data)                                  (0x000000FF&(data))
#define  KME_DM_TOP2_MV02_AGENT_get_mv02_hnum(data)                              ((0x3FC00000&(data))>>22)
#define  KME_DM_TOP2_MV02_AGENT_get_mv02_mode(data)                              ((0x00200000&(data))>>21)
#define  KME_DM_TOP2_MV02_AGENT_get_mv02_write_enable(data)                      ((0x00100000&(data))>>20)
#define  KME_DM_TOP2_MV02_AGENT_get_mv02_cmdlen(data)                            ((0x000F0000&(data))>>16)
#define  KME_DM_TOP2_MV02_AGENT_get_mv02_qos(data)                               ((0x0000FF00&(data))>>8)
#define  KME_DM_TOP2_MV02_AGENT_get_mv02_alen(data)                              (0x000000FF&(data))

#define  KME_DM_TOP2_MV03_AGENT                                                 0x1809C228
#define  KME_DM_TOP2_MV03_AGENT_reg_addr                                         "0xB809C228"
#define  KME_DM_TOP2_MV03_AGENT_reg                                              0xB809C228
#define  KME_DM_TOP2_MV03_AGENT_inst_addr                                        "0x000A"
#define  set_KME_DM_TOP2_MV03_AGENT_reg(data)                                    (*((volatile unsigned int*)KME_DM_TOP2_MV03_AGENT_reg)=data)
#define  get_KME_DM_TOP2_MV03_AGENT_reg                                          (*((volatile unsigned int*)KME_DM_TOP2_MV03_AGENT_reg))
#define  KME_DM_TOP2_MV03_AGENT_mv03_read_enable_shift                           (20)
#define  KME_DM_TOP2_MV03_AGENT_mv03_cmdlen_shift                                (16)
#define  KME_DM_TOP2_MV03_AGENT_mv03_qos_shift                                   (8)
#define  KME_DM_TOP2_MV03_AGENT_mv03_alen_shift                                  (0)
#define  KME_DM_TOP2_MV03_AGENT_mv03_read_enable_mask                            (0x00100000)
#define  KME_DM_TOP2_MV03_AGENT_mv03_cmdlen_mask                                 (0x000F0000)
#define  KME_DM_TOP2_MV03_AGENT_mv03_qos_mask                                    (0x0000FF00)
#define  KME_DM_TOP2_MV03_AGENT_mv03_alen_mask                                   (0x000000FF)
#define  KME_DM_TOP2_MV03_AGENT_mv03_read_enable(data)                           (0x00100000&((data)<<20))
#define  KME_DM_TOP2_MV03_AGENT_mv03_cmdlen(data)                                (0x000F0000&((data)<<16))
#define  KME_DM_TOP2_MV03_AGENT_mv03_qos(data)                                   (0x0000FF00&((data)<<8))
#define  KME_DM_TOP2_MV03_AGENT_mv03_alen(data)                                  (0x000000FF&(data))
#define  KME_DM_TOP2_MV03_AGENT_get_mv03_read_enable(data)                       ((0x00100000&(data))>>20)
#define  KME_DM_TOP2_MV03_AGENT_get_mv03_cmdlen(data)                            ((0x000F0000&(data))>>16)
#define  KME_DM_TOP2_MV03_AGENT_get_mv03_qos(data)                               ((0x0000FF00&(data))>>8)
#define  KME_DM_TOP2_MV03_AGENT_get_mv03_alen(data)                              (0x000000FF&(data))

#define  KME_DM_TOP2_MV04_START_ADDRESS0                                        0x1809C22C
#define  KME_DM_TOP2_MV04_START_ADDRESS0_reg_addr                                "0xB809C22C"
#define  KME_DM_TOP2_MV04_START_ADDRESS0_reg                                     0xB809C22C
#define  KME_DM_TOP2_MV04_START_ADDRESS0_inst_addr                               "0x000B"
#define  set_KME_DM_TOP2_MV04_START_ADDRESS0_reg(data)                           (*((volatile unsigned int*)KME_DM_TOP2_MV04_START_ADDRESS0_reg)=data)
#define  get_KME_DM_TOP2_MV04_START_ADDRESS0_reg                                 (*((volatile unsigned int*)KME_DM_TOP2_MV04_START_ADDRESS0_reg))
#define  KME_DM_TOP2_MV04_START_ADDRESS0_mv04_start_address0_shift               (0)
#define  KME_DM_TOP2_MV04_START_ADDRESS0_mv04_start_address0_mask                (0xFFFFFFFF)
#define  KME_DM_TOP2_MV04_START_ADDRESS0_mv04_start_address0(data)               (0xFFFFFFFF&(data))
#define  KME_DM_TOP2_MV04_START_ADDRESS0_get_mv04_start_address0(data)           (0xFFFFFFFF&(data))

#define  KME_DM_TOP2_MV04_START_ADDRESS1                                        0x1809C230
#define  KME_DM_TOP2_MV04_START_ADDRESS1_reg_addr                                "0xB809C230"
#define  KME_DM_TOP2_MV04_START_ADDRESS1_reg                                     0xB809C230
#define  KME_DM_TOP2_MV04_START_ADDRESS1_inst_addr                               "0x000C"
#define  set_KME_DM_TOP2_MV04_START_ADDRESS1_reg(data)                           (*((volatile unsigned int*)KME_DM_TOP2_MV04_START_ADDRESS1_reg)=data)
#define  get_KME_DM_TOP2_MV04_START_ADDRESS1_reg                                 (*((volatile unsigned int*)KME_DM_TOP2_MV04_START_ADDRESS1_reg))
#define  KME_DM_TOP2_MV04_START_ADDRESS1_mv04_start_address1_shift               (0)
#define  KME_DM_TOP2_MV04_START_ADDRESS1_mv04_start_address1_mask                (0xFFFFFFFF)
#define  KME_DM_TOP2_MV04_START_ADDRESS1_mv04_start_address1(data)               (0xFFFFFFFF&(data))
#define  KME_DM_TOP2_MV04_START_ADDRESS1_get_mv04_start_address1(data)           (0xFFFFFFFF&(data))

#define  KME_DM_TOP2_MV04_END_ADDRESS0                                          0x1809C234
#define  KME_DM_TOP2_MV04_END_ADDRESS0_reg_addr                                  "0xB809C234"
#define  KME_DM_TOP2_MV04_END_ADDRESS0_reg                                       0xB809C234
#define  KME_DM_TOP2_MV04_END_ADDRESS0_inst_addr                                 "0x000D"
#define  set_KME_DM_TOP2_MV04_END_ADDRESS0_reg(data)                             (*((volatile unsigned int*)KME_DM_TOP2_MV04_END_ADDRESS0_reg)=data)
#define  get_KME_DM_TOP2_MV04_END_ADDRESS0_reg                                   (*((volatile unsigned int*)KME_DM_TOP2_MV04_END_ADDRESS0_reg))
#define  KME_DM_TOP2_MV04_END_ADDRESS0_mv04_end_address0_shift                   (0)
#define  KME_DM_TOP2_MV04_END_ADDRESS0_mv04_end_address0_mask                    (0xFFFFFFFF)
#define  KME_DM_TOP2_MV04_END_ADDRESS0_mv04_end_address0(data)                   (0xFFFFFFFF&(data))
#define  KME_DM_TOP2_MV04_END_ADDRESS0_get_mv04_end_address0(data)               (0xFFFFFFFF&(data))

#define  KME_DM_TOP2_MV04_END_ADDRESS1                                          0x1809C238
#define  KME_DM_TOP2_MV04_END_ADDRESS1_reg_addr                                  "0xB809C238"
#define  KME_DM_TOP2_MV04_END_ADDRESS1_reg                                       0xB809C238
#define  KME_DM_TOP2_MV04_END_ADDRESS1_inst_addr                                 "0x000E"
#define  set_KME_DM_TOP2_MV04_END_ADDRESS1_reg(data)                             (*((volatile unsigned int*)KME_DM_TOP2_MV04_END_ADDRESS1_reg)=data)
#define  get_KME_DM_TOP2_MV04_END_ADDRESS1_reg                                   (*((volatile unsigned int*)KME_DM_TOP2_MV04_END_ADDRESS1_reg))
#define  KME_DM_TOP2_MV04_END_ADDRESS1_mv04_end_address1_shift                   (0)
#define  KME_DM_TOP2_MV04_END_ADDRESS1_mv04_end_address1_mask                    (0xFFFFFFFF)
#define  KME_DM_TOP2_MV04_END_ADDRESS1_mv04_end_address1(data)                   (0xFFFFFFFF&(data))
#define  KME_DM_TOP2_MV04_END_ADDRESS1_get_mv04_end_address1(data)               (0xFFFFFFFF&(data))

#define  KME_DM_TOP2_MV_04_LINE_OFFSET_ADDR                                     0x1809C23C
#define  KME_DM_TOP2_MV_04_LINE_OFFSET_ADDR_reg_addr                             "0xB809C23C"
#define  KME_DM_TOP2_MV_04_LINE_OFFSET_ADDR_reg                                  0xB809C23C
#define  KME_DM_TOP2_MV_04_LINE_OFFSET_ADDR_inst_addr                            "0x000F"
#define  set_KME_DM_TOP2_MV_04_LINE_OFFSET_ADDR_reg(data)                        (*((volatile unsigned int*)KME_DM_TOP2_MV_04_LINE_OFFSET_ADDR_reg)=data)
#define  get_KME_DM_TOP2_MV_04_LINE_OFFSET_ADDR_reg                              (*((volatile unsigned int*)KME_DM_TOP2_MV_04_LINE_OFFSET_ADDR_reg))
#define  KME_DM_TOP2_MV_04_LINE_OFFSET_ADDR_mv04_line_offset_addr_shift          (0)
#define  KME_DM_TOP2_MV_04_LINE_OFFSET_ADDR_mv04_line_offset_addr_mask           (0xFFFFFFFF)
#define  KME_DM_TOP2_MV_04_LINE_OFFSET_ADDR_mv04_line_offset_addr(data)          (0xFFFFFFFF&(data))
#define  KME_DM_TOP2_MV_04_LINE_OFFSET_ADDR_get_mv04_line_offset_addr(data)      (0xFFFFFFFF&(data))

#define  KME_DM_TOP2_MV04_LR_OFFSET_ADDR                                        0x1809C240
#define  KME_DM_TOP2_MV04_LR_OFFSET_ADDR_reg_addr                                "0xB809C240"
#define  KME_DM_TOP2_MV04_LR_OFFSET_ADDR_reg                                     0xB809C240
#define  KME_DM_TOP2_MV04_LR_OFFSET_ADDR_inst_addr                               "0x0010"
#define  set_KME_DM_TOP2_MV04_LR_OFFSET_ADDR_reg(data)                           (*((volatile unsigned int*)KME_DM_TOP2_MV04_LR_OFFSET_ADDR_reg)=data)
#define  get_KME_DM_TOP2_MV04_LR_OFFSET_ADDR_reg                                 (*((volatile unsigned int*)KME_DM_TOP2_MV04_LR_OFFSET_ADDR_reg))
#define  KME_DM_TOP2_MV04_LR_OFFSET_ADDR_mv04_lr_offset_addr_shift               (0)
#define  KME_DM_TOP2_MV04_LR_OFFSET_ADDR_mv04_lr_offset_addr_mask                (0xFFFFFFFF)
#define  KME_DM_TOP2_MV04_LR_OFFSET_ADDR_mv04_lr_offset_addr(data)               (0xFFFFFFFF&(data))
#define  KME_DM_TOP2_MV04_LR_OFFSET_ADDR_get_mv04_lr_offset_addr(data)           (0xFFFFFFFF&(data))

#define  KME_DM_TOP2_MV04_AGENT                                                 0x1809C244
#define  KME_DM_TOP2_MV04_AGENT_reg_addr                                         "0xB809C244"
#define  KME_DM_TOP2_MV04_AGENT_reg                                              0xB809C244
#define  KME_DM_TOP2_MV04_AGENT_inst_addr                                        "0x0011"
#define  set_KME_DM_TOP2_MV04_AGENT_reg(data)                                    (*((volatile unsigned int*)KME_DM_TOP2_MV04_AGENT_reg)=data)
#define  get_KME_DM_TOP2_MV04_AGENT_reg                                          (*((volatile unsigned int*)KME_DM_TOP2_MV04_AGENT_reg))
#define  KME_DM_TOP2_MV04_AGENT_mv04_hnum_shift                                  (22)
#define  KME_DM_TOP2_MV04_AGENT_mv04_mode_shift                                  (21)
#define  KME_DM_TOP2_MV04_AGENT_mv04_write_enable_shift                          (20)
#define  KME_DM_TOP2_MV04_AGENT_mv04_cmdlen_shift                                (16)
#define  KME_DM_TOP2_MV04_AGENT_mv04_qos_shift                                   (8)
#define  KME_DM_TOP2_MV04_AGENT_mv04_alen_shift                                  (0)
#define  KME_DM_TOP2_MV04_AGENT_mv04_hnum_mask                                   (0x3FC00000)
#define  KME_DM_TOP2_MV04_AGENT_mv04_mode_mask                                   (0x00200000)
#define  KME_DM_TOP2_MV04_AGENT_mv04_write_enable_mask                           (0x00100000)
#define  KME_DM_TOP2_MV04_AGENT_mv04_cmdlen_mask                                 (0x000F0000)
#define  KME_DM_TOP2_MV04_AGENT_mv04_qos_mask                                    (0x0000FF00)
#define  KME_DM_TOP2_MV04_AGENT_mv04_alen_mask                                   (0x000000FF)
#define  KME_DM_TOP2_MV04_AGENT_mv04_hnum(data)                                  (0x3FC00000&((data)<<22))
#define  KME_DM_TOP2_MV04_AGENT_mv04_mode(data)                                  (0x00200000&((data)<<21))
#define  KME_DM_TOP2_MV04_AGENT_mv04_write_enable(data)                          (0x00100000&((data)<<20))
#define  KME_DM_TOP2_MV04_AGENT_mv04_cmdlen(data)                                (0x000F0000&((data)<<16))
#define  KME_DM_TOP2_MV04_AGENT_mv04_qos(data)                                   (0x0000FF00&((data)<<8))
#define  KME_DM_TOP2_MV04_AGENT_mv04_alen(data)                                  (0x000000FF&(data))
#define  KME_DM_TOP2_MV04_AGENT_get_mv04_hnum(data)                              ((0x3FC00000&(data))>>22)
#define  KME_DM_TOP2_MV04_AGENT_get_mv04_mode(data)                              ((0x00200000&(data))>>21)
#define  KME_DM_TOP2_MV04_AGENT_get_mv04_write_enable(data)                      ((0x00100000&(data))>>20)
#define  KME_DM_TOP2_MV04_AGENT_get_mv04_cmdlen(data)                            ((0x000F0000&(data))>>16)
#define  KME_DM_TOP2_MV04_AGENT_get_mv04_qos(data)                               ((0x0000FF00&(data))>>8)
#define  KME_DM_TOP2_MV04_AGENT_get_mv04_alen(data)                              (0x000000FF&(data))

#define  KME_DM_TOP2_MV05_START_ADDRESS0                                        0x1809C248
#define  KME_DM_TOP2_MV05_START_ADDRESS0_reg_addr                                "0xB809C248"
#define  KME_DM_TOP2_MV05_START_ADDRESS0_reg                                     0xB809C248
#define  KME_DM_TOP2_MV05_START_ADDRESS0_inst_addr                               "0x0012"
#define  set_KME_DM_TOP2_MV05_START_ADDRESS0_reg(data)                           (*((volatile unsigned int*)KME_DM_TOP2_MV05_START_ADDRESS0_reg)=data)
#define  get_KME_DM_TOP2_MV05_START_ADDRESS0_reg                                 (*((volatile unsigned int*)KME_DM_TOP2_MV05_START_ADDRESS0_reg))
#define  KME_DM_TOP2_MV05_START_ADDRESS0_mv05_start_address0_shift               (0)
#define  KME_DM_TOP2_MV05_START_ADDRESS0_mv05_start_address0_mask                (0xFFFFFFFF)
#define  KME_DM_TOP2_MV05_START_ADDRESS0_mv05_start_address0(data)               (0xFFFFFFFF&(data))
#define  KME_DM_TOP2_MV05_START_ADDRESS0_get_mv05_start_address0(data)           (0xFFFFFFFF&(data))

#define  KME_DM_TOP2_MV05_START_ADDRESS1                                        0x1809C24C
#define  KME_DM_TOP2_MV05_START_ADDRESS1_reg_addr                                "0xB809C24C"
#define  KME_DM_TOP2_MV05_START_ADDRESS1_reg                                     0xB809C24C
#define  KME_DM_TOP2_MV05_START_ADDRESS1_inst_addr                               "0x0013"
#define  set_KME_DM_TOP2_MV05_START_ADDRESS1_reg(data)                           (*((volatile unsigned int*)KME_DM_TOP2_MV05_START_ADDRESS1_reg)=data)
#define  get_KME_DM_TOP2_MV05_START_ADDRESS1_reg                                 (*((volatile unsigned int*)KME_DM_TOP2_MV05_START_ADDRESS1_reg))
#define  KME_DM_TOP2_MV05_START_ADDRESS1_mv05_start_address1_shift               (0)
#define  KME_DM_TOP2_MV05_START_ADDRESS1_mv05_start_address1_mask                (0xFFFFFFFF)
#define  KME_DM_TOP2_MV05_START_ADDRESS1_mv05_start_address1(data)               (0xFFFFFFFF&(data))
#define  KME_DM_TOP2_MV05_START_ADDRESS1_get_mv05_start_address1(data)           (0xFFFFFFFF&(data))

#define  KME_DM_TOP2_MV05_END_ADDRESS0                                          0x1809C250
#define  KME_DM_TOP2_MV05_END_ADDRESS0_reg_addr                                  "0xB809C250"
#define  KME_DM_TOP2_MV05_END_ADDRESS0_reg                                       0xB809C250
#define  KME_DM_TOP2_MV05_END_ADDRESS0_inst_addr                                 "0x0014"
#define  set_KME_DM_TOP2_MV05_END_ADDRESS0_reg(data)                             (*((volatile unsigned int*)KME_DM_TOP2_MV05_END_ADDRESS0_reg)=data)
#define  get_KME_DM_TOP2_MV05_END_ADDRESS0_reg                                   (*((volatile unsigned int*)KME_DM_TOP2_MV05_END_ADDRESS0_reg))
#define  KME_DM_TOP2_MV05_END_ADDRESS0_mv05_end_address0_shift                   (0)
#define  KME_DM_TOP2_MV05_END_ADDRESS0_mv05_end_address0_mask                    (0xFFFFFFFF)
#define  KME_DM_TOP2_MV05_END_ADDRESS0_mv05_end_address0(data)                   (0xFFFFFFFF&(data))
#define  KME_DM_TOP2_MV05_END_ADDRESS0_get_mv05_end_address0(data)               (0xFFFFFFFF&(data))

#define  KME_DM_TOP2_MV05_END_ADDRESS1                                          0x1809C254
#define  KME_DM_TOP2_MV05_END_ADDRESS1_reg_addr                                  "0xB809C254"
#define  KME_DM_TOP2_MV05_END_ADDRESS1_reg                                       0xB809C254
#define  KME_DM_TOP2_MV05_END_ADDRESS1_inst_addr                                 "0x0015"
#define  set_KME_DM_TOP2_MV05_END_ADDRESS1_reg(data)                             (*((volatile unsigned int*)KME_DM_TOP2_MV05_END_ADDRESS1_reg)=data)
#define  get_KME_DM_TOP2_MV05_END_ADDRESS1_reg                                   (*((volatile unsigned int*)KME_DM_TOP2_MV05_END_ADDRESS1_reg))
#define  KME_DM_TOP2_MV05_END_ADDRESS1_mv05_end_address1_shift                   (0)
#define  KME_DM_TOP2_MV05_END_ADDRESS1_mv05_end_address1_mask                    (0xFFFFFFFF)
#define  KME_DM_TOP2_MV05_END_ADDRESS1_mv05_end_address1(data)                   (0xFFFFFFFF&(data))
#define  KME_DM_TOP2_MV05_END_ADDRESS1_get_mv05_end_address1(data)               (0xFFFFFFFF&(data))

#define  KME_DM_TOP2_MV_05_LINE_OFFSET_ADDR                                     0x1809C258
#define  KME_DM_TOP2_MV_05_LINE_OFFSET_ADDR_reg_addr                             "0xB809C258"
#define  KME_DM_TOP2_MV_05_LINE_OFFSET_ADDR_reg                                  0xB809C258
#define  KME_DM_TOP2_MV_05_LINE_OFFSET_ADDR_inst_addr                            "0x0016"
#define  set_KME_DM_TOP2_MV_05_LINE_OFFSET_ADDR_reg(data)                        (*((volatile unsigned int*)KME_DM_TOP2_MV_05_LINE_OFFSET_ADDR_reg)=data)
#define  get_KME_DM_TOP2_MV_05_LINE_OFFSET_ADDR_reg                              (*((volatile unsigned int*)KME_DM_TOP2_MV_05_LINE_OFFSET_ADDR_reg))
#define  KME_DM_TOP2_MV_05_LINE_OFFSET_ADDR_mv05_line_offset_addr_shift          (0)
#define  KME_DM_TOP2_MV_05_LINE_OFFSET_ADDR_mv05_line_offset_addr_mask           (0xFFFFFFFF)
#define  KME_DM_TOP2_MV_05_LINE_OFFSET_ADDR_mv05_line_offset_addr(data)          (0xFFFFFFFF&(data))
#define  KME_DM_TOP2_MV_05_LINE_OFFSET_ADDR_get_mv05_line_offset_addr(data)      (0xFFFFFFFF&(data))

#define  KME_DM_TOP2_MV05_LR_OFFSET_ADDR                                        0x1809C25C
#define  KME_DM_TOP2_MV05_LR_OFFSET_ADDR_reg_addr                                "0xB809C25C"
#define  KME_DM_TOP2_MV05_LR_OFFSET_ADDR_reg                                     0xB809C25C
#define  KME_DM_TOP2_MV05_LR_OFFSET_ADDR_inst_addr                               "0x0017"
#define  set_KME_DM_TOP2_MV05_LR_OFFSET_ADDR_reg(data)                           (*((volatile unsigned int*)KME_DM_TOP2_MV05_LR_OFFSET_ADDR_reg)=data)
#define  get_KME_DM_TOP2_MV05_LR_OFFSET_ADDR_reg                                 (*((volatile unsigned int*)KME_DM_TOP2_MV05_LR_OFFSET_ADDR_reg))
#define  KME_DM_TOP2_MV05_LR_OFFSET_ADDR_mv05_lr_offset_addr_shift               (0)
#define  KME_DM_TOP2_MV05_LR_OFFSET_ADDR_mv05_lr_offset_addr_mask                (0xFFFFFFFF)
#define  KME_DM_TOP2_MV05_LR_OFFSET_ADDR_mv05_lr_offset_addr(data)               (0xFFFFFFFF&(data))
#define  KME_DM_TOP2_MV05_LR_OFFSET_ADDR_get_mv05_lr_offset_addr(data)           (0xFFFFFFFF&(data))

#define  KME_DM_TOP2_MV05_AGENT                                                 0x1809C260
#define  KME_DM_TOP2_MV05_AGENT_reg_addr                                         "0xB809C260"
#define  KME_DM_TOP2_MV05_AGENT_reg                                              0xB809C260
#define  KME_DM_TOP2_MV05_AGENT_inst_addr                                        "0x0018"
#define  set_KME_DM_TOP2_MV05_AGENT_reg(data)                                    (*((volatile unsigned int*)KME_DM_TOP2_MV05_AGENT_reg)=data)
#define  get_KME_DM_TOP2_MV05_AGENT_reg                                          (*((volatile unsigned int*)KME_DM_TOP2_MV05_AGENT_reg))
#define  KME_DM_TOP2_MV05_AGENT_mv05_hnum_shift                                  (22)
#define  KME_DM_TOP2_MV05_AGENT_mv05_mode_shift                                  (21)
#define  KME_DM_TOP2_MV05_AGENT_mv05_write_enable_shift                          (20)
#define  KME_DM_TOP2_MV05_AGENT_mv05_cmdlen_shift                                (16)
#define  KME_DM_TOP2_MV05_AGENT_mv05_qos_shift                                   (8)
#define  KME_DM_TOP2_MV05_AGENT_mv05_alen_shift                                  (0)
#define  KME_DM_TOP2_MV05_AGENT_mv05_hnum_mask                                   (0x3FC00000)
#define  KME_DM_TOP2_MV05_AGENT_mv05_mode_mask                                   (0x00200000)
#define  KME_DM_TOP2_MV05_AGENT_mv05_write_enable_mask                           (0x00100000)
#define  KME_DM_TOP2_MV05_AGENT_mv05_cmdlen_mask                                 (0x000F0000)
#define  KME_DM_TOP2_MV05_AGENT_mv05_qos_mask                                    (0x0000FF00)
#define  KME_DM_TOP2_MV05_AGENT_mv05_alen_mask                                   (0x000000FF)
#define  KME_DM_TOP2_MV05_AGENT_mv05_hnum(data)                                  (0x3FC00000&((data)<<22))
#define  KME_DM_TOP2_MV05_AGENT_mv05_mode(data)                                  (0x00200000&((data)<<21))
#define  KME_DM_TOP2_MV05_AGENT_mv05_write_enable(data)                          (0x00100000&((data)<<20))
#define  KME_DM_TOP2_MV05_AGENT_mv05_cmdlen(data)                                (0x000F0000&((data)<<16))
#define  KME_DM_TOP2_MV05_AGENT_mv05_qos(data)                                   (0x0000FF00&((data)<<8))
#define  KME_DM_TOP2_MV05_AGENT_mv05_alen(data)                                  (0x000000FF&(data))
#define  KME_DM_TOP2_MV05_AGENT_get_mv05_hnum(data)                              ((0x3FC00000&(data))>>22)
#define  KME_DM_TOP2_MV05_AGENT_get_mv05_mode(data)                              ((0x00200000&(data))>>21)
#define  KME_DM_TOP2_MV05_AGENT_get_mv05_write_enable(data)                      ((0x00100000&(data))>>20)
#define  KME_DM_TOP2_MV05_AGENT_get_mv05_cmdlen(data)                            ((0x000F0000&(data))>>16)
#define  KME_DM_TOP2_MV05_AGENT_get_mv05_qos(data)                               ((0x0000FF00&(data))>>8)
#define  KME_DM_TOP2_MV05_AGENT_get_mv05_alen(data)                              (0x000000FF&(data))

#define  KME_DM_TOP2_MV06_AGENT                                                 0x1809C264
#define  KME_DM_TOP2_MV06_AGENT_reg_addr                                         "0xB809C264"
#define  KME_DM_TOP2_MV06_AGENT_reg                                              0xB809C264
#define  KME_DM_TOP2_MV06_AGENT_inst_addr                                        "0x0019"
#define  set_KME_DM_TOP2_MV06_AGENT_reg(data)                                    (*((volatile unsigned int*)KME_DM_TOP2_MV06_AGENT_reg)=data)
#define  get_KME_DM_TOP2_MV06_AGENT_reg                                          (*((volatile unsigned int*)KME_DM_TOP2_MV06_AGENT_reg))
#define  KME_DM_TOP2_MV06_AGENT_mv06_read_enable_shift                           (20)
#define  KME_DM_TOP2_MV06_AGENT_mv06_cmdlen_shift                                (16)
#define  KME_DM_TOP2_MV06_AGENT_mv06_qos_shift                                   (8)
#define  KME_DM_TOP2_MV06_AGENT_mv06_alen_shift                                  (0)
#define  KME_DM_TOP2_MV06_AGENT_mv06_read_enable_mask                            (0x00100000)
#define  KME_DM_TOP2_MV06_AGENT_mv06_cmdlen_mask                                 (0x000F0000)
#define  KME_DM_TOP2_MV06_AGENT_mv06_qos_mask                                    (0x0000FF00)
#define  KME_DM_TOP2_MV06_AGENT_mv06_alen_mask                                   (0x000000FF)
#define  KME_DM_TOP2_MV06_AGENT_mv06_read_enable(data)                           (0x00100000&((data)<<20))
#define  KME_DM_TOP2_MV06_AGENT_mv06_cmdlen(data)                                (0x000F0000&((data)<<16))
#define  KME_DM_TOP2_MV06_AGENT_mv06_qos(data)                                   (0x0000FF00&((data)<<8))
#define  KME_DM_TOP2_MV06_AGENT_mv06_alen(data)                                  (0x000000FF&(data))
#define  KME_DM_TOP2_MV06_AGENT_get_mv06_read_enable(data)                       ((0x00100000&(data))>>20)
#define  KME_DM_TOP2_MV06_AGENT_get_mv06_cmdlen(data)                            ((0x000F0000&(data))>>16)
#define  KME_DM_TOP2_MV06_AGENT_get_mv06_qos(data)                               ((0x0000FF00&(data))>>8)
#define  KME_DM_TOP2_MV06_AGENT_get_mv06_alen(data)                              (0x000000FF&(data))

#define  KME_DM_TOP2_MV07_AGENT                                                 0x1809C268
#define  KME_DM_TOP2_MV07_AGENT_reg_addr                                         "0xB809C268"
#define  KME_DM_TOP2_MV07_AGENT_reg                                              0xB809C268
#define  KME_DM_TOP2_MV07_AGENT_inst_addr                                        "0x001A"
#define  set_KME_DM_TOP2_MV07_AGENT_reg(data)                                    (*((volatile unsigned int*)KME_DM_TOP2_MV07_AGENT_reg)=data)
#define  get_KME_DM_TOP2_MV07_AGENT_reg                                          (*((volatile unsigned int*)KME_DM_TOP2_MV07_AGENT_reg))
#define  KME_DM_TOP2_MV07_AGENT_mv07_read_enable_shift                           (20)
#define  KME_DM_TOP2_MV07_AGENT_mv07_cmdlen_shift                                (16)
#define  KME_DM_TOP2_MV07_AGENT_mv07_qos_shift                                   (8)
#define  KME_DM_TOP2_MV07_AGENT_mv07_alen_shift                                  (0)
#define  KME_DM_TOP2_MV07_AGENT_mv07_read_enable_mask                            (0x00100000)
#define  KME_DM_TOP2_MV07_AGENT_mv07_cmdlen_mask                                 (0x000F0000)
#define  KME_DM_TOP2_MV07_AGENT_mv07_qos_mask                                    (0x0000FF00)
#define  KME_DM_TOP2_MV07_AGENT_mv07_alen_mask                                   (0x000000FF)
#define  KME_DM_TOP2_MV07_AGENT_mv07_read_enable(data)                           (0x00100000&((data)<<20))
#define  KME_DM_TOP2_MV07_AGENT_mv07_cmdlen(data)                                (0x000F0000&((data)<<16))
#define  KME_DM_TOP2_MV07_AGENT_mv07_qos(data)                                   (0x0000FF00&((data)<<8))
#define  KME_DM_TOP2_MV07_AGENT_mv07_alen(data)                                  (0x000000FF&(data))
#define  KME_DM_TOP2_MV07_AGENT_get_mv07_read_enable(data)                       ((0x00100000&(data))>>20)
#define  KME_DM_TOP2_MV07_AGENT_get_mv07_cmdlen(data)                            ((0x000F0000&(data))>>16)
#define  KME_DM_TOP2_MV07_AGENT_get_mv07_qos(data)                               ((0x0000FF00&(data))>>8)
#define  KME_DM_TOP2_MV07_AGENT_get_mv07_alen(data)                              (0x000000FF&(data))

#define  KME_DM_TOP2_MV08_AGENT                                                 0x1809C26C
#define  KME_DM_TOP2_MV08_AGENT_reg_addr                                         "0xB809C26C"
#define  KME_DM_TOP2_MV08_AGENT_reg                                              0xB809C26C
#define  KME_DM_TOP2_MV08_AGENT_inst_addr                                        "0x001B"
#define  set_KME_DM_TOP2_MV08_AGENT_reg(data)                                    (*((volatile unsigned int*)KME_DM_TOP2_MV08_AGENT_reg)=data)
#define  get_KME_DM_TOP2_MV08_AGENT_reg                                          (*((volatile unsigned int*)KME_DM_TOP2_MV08_AGENT_reg))
#define  KME_DM_TOP2_MV08_AGENT_mv08_read_enable_shift                           (20)
#define  KME_DM_TOP2_MV08_AGENT_mv08_cmdlen_shift                                (16)
#define  KME_DM_TOP2_MV08_AGENT_mv08_qos_shift                                   (8)
#define  KME_DM_TOP2_MV08_AGENT_mv08_alen_shift                                  (0)
#define  KME_DM_TOP2_MV08_AGENT_mv08_read_enable_mask                            (0x00100000)
#define  KME_DM_TOP2_MV08_AGENT_mv08_cmdlen_mask                                 (0x000F0000)
#define  KME_DM_TOP2_MV08_AGENT_mv08_qos_mask                                    (0x0000FF00)
#define  KME_DM_TOP2_MV08_AGENT_mv08_alen_mask                                   (0x000000FF)
#define  KME_DM_TOP2_MV08_AGENT_mv08_read_enable(data)                           (0x00100000&((data)<<20))
#define  KME_DM_TOP2_MV08_AGENT_mv08_cmdlen(data)                                (0x000F0000&((data)<<16))
#define  KME_DM_TOP2_MV08_AGENT_mv08_qos(data)                                   (0x0000FF00&((data)<<8))
#define  KME_DM_TOP2_MV08_AGENT_mv08_alen(data)                                  (0x000000FF&(data))
#define  KME_DM_TOP2_MV08_AGENT_get_mv08_read_enable(data)                       ((0x00100000&(data))>>20)
#define  KME_DM_TOP2_MV08_AGENT_get_mv08_cmdlen(data)                            ((0x000F0000&(data))>>16)
#define  KME_DM_TOP2_MV08_AGENT_get_mv08_qos(data)                               ((0x0000FF00&(data))>>8)
#define  KME_DM_TOP2_MV08_AGENT_get_mv08_alen(data)                              (0x000000FF&(data))

#define  KME_DM_TOP2_MV09_AGENT                                                 0x1809C270
#define  KME_DM_TOP2_MV09_AGENT_reg_addr                                         "0xB809C270"
#define  KME_DM_TOP2_MV09_AGENT_reg                                              0xB809C270
#define  KME_DM_TOP2_MV09_AGENT_inst_addr                                        "0x001C"
#define  set_KME_DM_TOP2_MV09_AGENT_reg(data)                                    (*((volatile unsigned int*)KME_DM_TOP2_MV09_AGENT_reg)=data)
#define  get_KME_DM_TOP2_MV09_AGENT_reg                                          (*((volatile unsigned int*)KME_DM_TOP2_MV09_AGENT_reg))
#define  KME_DM_TOP2_MV09_AGENT_mv09_read_enable_shift                           (20)
#define  KME_DM_TOP2_MV09_AGENT_mv09_cmdlen_shift                                (16)
#define  KME_DM_TOP2_MV09_AGENT_mv09_qos_shift                                   (8)
#define  KME_DM_TOP2_MV09_AGENT_mv09_alen_shift                                  (0)
#define  KME_DM_TOP2_MV09_AGENT_mv09_read_enable_mask                            (0x00100000)
#define  KME_DM_TOP2_MV09_AGENT_mv09_cmdlen_mask                                 (0x000F0000)
#define  KME_DM_TOP2_MV09_AGENT_mv09_qos_mask                                    (0x0000FF00)
#define  KME_DM_TOP2_MV09_AGENT_mv09_alen_mask                                   (0x000000FF)
#define  KME_DM_TOP2_MV09_AGENT_mv09_read_enable(data)                           (0x00100000&((data)<<20))
#define  KME_DM_TOP2_MV09_AGENT_mv09_cmdlen(data)                                (0x000F0000&((data)<<16))
#define  KME_DM_TOP2_MV09_AGENT_mv09_qos(data)                                   (0x0000FF00&((data)<<8))
#define  KME_DM_TOP2_MV09_AGENT_mv09_alen(data)                                  (0x000000FF&(data))
#define  KME_DM_TOP2_MV09_AGENT_get_mv09_read_enable(data)                       ((0x00100000&(data))>>20)
#define  KME_DM_TOP2_MV09_AGENT_get_mv09_cmdlen(data)                            ((0x000F0000&(data))>>16)
#define  KME_DM_TOP2_MV09_AGENT_get_mv09_qos(data)                               ((0x0000FF00&(data))>>8)
#define  KME_DM_TOP2_MV09_AGENT_get_mv09_alen(data)                              (0x000000FF&(data))

#define  KME_DM_TOP2_MV10_AGENT                                                 0x1809C274
#define  KME_DM_TOP2_MV10_AGENT_reg_addr                                         "0xB809C274"
#define  KME_DM_TOP2_MV10_AGENT_reg                                              0xB809C274
#define  KME_DM_TOP2_MV10_AGENT_inst_addr                                        "0x001D"
#define  set_KME_DM_TOP2_MV10_AGENT_reg(data)                                    (*((volatile unsigned int*)KME_DM_TOP2_MV10_AGENT_reg)=data)
#define  get_KME_DM_TOP2_MV10_AGENT_reg                                          (*((volatile unsigned int*)KME_DM_TOP2_MV10_AGENT_reg))
#define  KME_DM_TOP2_MV10_AGENT_mv10_read_enable_shift                           (20)
#define  KME_DM_TOP2_MV10_AGENT_mv10_cmdlen_shift                                (16)
#define  KME_DM_TOP2_MV10_AGENT_mv10_qos_shift                                   (8)
#define  KME_DM_TOP2_MV10_AGENT_mv10_alen_shift                                  (0)
#define  KME_DM_TOP2_MV10_AGENT_mv10_read_enable_mask                            (0x00100000)
#define  KME_DM_TOP2_MV10_AGENT_mv10_cmdlen_mask                                 (0x000F0000)
#define  KME_DM_TOP2_MV10_AGENT_mv10_qos_mask                                    (0x0000FF00)
#define  KME_DM_TOP2_MV10_AGENT_mv10_alen_mask                                   (0x000000FF)
#define  KME_DM_TOP2_MV10_AGENT_mv10_read_enable(data)                           (0x00100000&((data)<<20))
#define  KME_DM_TOP2_MV10_AGENT_mv10_cmdlen(data)                                (0x000F0000&((data)<<16))
#define  KME_DM_TOP2_MV10_AGENT_mv10_qos(data)                                   (0x0000FF00&((data)<<8))
#define  KME_DM_TOP2_MV10_AGENT_mv10_alen(data)                                  (0x000000FF&(data))
#define  KME_DM_TOP2_MV10_AGENT_get_mv10_read_enable(data)                       ((0x00100000&(data))>>20)
#define  KME_DM_TOP2_MV10_AGENT_get_mv10_cmdlen(data)                            ((0x000F0000&(data))>>16)
#define  KME_DM_TOP2_MV10_AGENT_get_mv10_qos(data)                               ((0x0000FF00&(data))>>8)
#define  KME_DM_TOP2_MV10_AGENT_get_mv10_alen(data)                              (0x000000FF&(data))

#define  KME_DM_TOP2_MV11_AGENT                                                 0x1809C278
#define  KME_DM_TOP2_MV11_AGENT_reg_addr                                         "0xB809C278"
#define  KME_DM_TOP2_MV11_AGENT_reg                                              0xB809C278
#define  KME_DM_TOP2_MV11_AGENT_inst_addr                                        "0x001E"
#define  set_KME_DM_TOP2_MV11_AGENT_reg(data)                                    (*((volatile unsigned int*)KME_DM_TOP2_MV11_AGENT_reg)=data)
#define  get_KME_DM_TOP2_MV11_AGENT_reg                                          (*((volatile unsigned int*)KME_DM_TOP2_MV11_AGENT_reg))
#define  KME_DM_TOP2_MV11_AGENT_mv11_read_enable_shift                           (20)
#define  KME_DM_TOP2_MV11_AGENT_mv11_cmdlen_shift                                (16)
#define  KME_DM_TOP2_MV11_AGENT_mv11_qos_shift                                   (8)
#define  KME_DM_TOP2_MV11_AGENT_mv11_alen_shift                                  (0)
#define  KME_DM_TOP2_MV11_AGENT_mv11_read_enable_mask                            (0x00100000)
#define  KME_DM_TOP2_MV11_AGENT_mv11_cmdlen_mask                                 (0x000F0000)
#define  KME_DM_TOP2_MV11_AGENT_mv11_qos_mask                                    (0x0000FF00)
#define  KME_DM_TOP2_MV11_AGENT_mv11_alen_mask                                   (0x000000FF)
#define  KME_DM_TOP2_MV11_AGENT_mv11_read_enable(data)                           (0x00100000&((data)<<20))
#define  KME_DM_TOP2_MV11_AGENT_mv11_cmdlen(data)                                (0x000F0000&((data)<<16))
#define  KME_DM_TOP2_MV11_AGENT_mv11_qos(data)                                   (0x0000FF00&((data)<<8))
#define  KME_DM_TOP2_MV11_AGENT_mv11_alen(data)                                  (0x000000FF&(data))
#define  KME_DM_TOP2_MV11_AGENT_get_mv11_read_enable(data)                       ((0x00100000&(data))>>20)
#define  KME_DM_TOP2_MV11_AGENT_get_mv11_cmdlen(data)                            ((0x000F0000&(data))>>16)
#define  KME_DM_TOP2_MV11_AGENT_get_mv11_qos(data)                               ((0x0000FF00&(data))>>8)
#define  KME_DM_TOP2_MV11_AGENT_get_mv11_alen(data)                              (0x000000FF&(data))

#define  KME_DM_TOP2_MV12_AGENT                                                 0x1809C28C
#define  KME_DM_TOP2_MV12_AGENT_reg_addr                                         "0xB809C28C"
#define  KME_DM_TOP2_MV12_AGENT_reg                                              0xB809C28C
#define  KME_DM_TOP2_MV12_AGENT_inst_addr                                        "0x001F"
#define  set_KME_DM_TOP2_MV12_AGENT_reg(data)                                    (*((volatile unsigned int*)KME_DM_TOP2_MV12_AGENT_reg)=data)
#define  get_KME_DM_TOP2_MV12_AGENT_reg                                          (*((volatile unsigned int*)KME_DM_TOP2_MV12_AGENT_reg))
#define  KME_DM_TOP2_MV12_AGENT_mv12_read_enable_shift                           (20)
#define  KME_DM_TOP2_MV12_AGENT_mv12_cmdlen_shift                                (16)
#define  KME_DM_TOP2_MV12_AGENT_mv12_qos_shift                                   (8)
#define  KME_DM_TOP2_MV12_AGENT_mv12_alen_shift                                  (0)
#define  KME_DM_TOP2_MV12_AGENT_mv12_read_enable_mask                            (0x00100000)
#define  KME_DM_TOP2_MV12_AGENT_mv12_cmdlen_mask                                 (0x000F0000)
#define  KME_DM_TOP2_MV12_AGENT_mv12_qos_mask                                    (0x0000FF00)
#define  KME_DM_TOP2_MV12_AGENT_mv12_alen_mask                                   (0x000000FF)
#define  KME_DM_TOP2_MV12_AGENT_mv12_read_enable(data)                           (0x00100000&((data)<<20))
#define  KME_DM_TOP2_MV12_AGENT_mv12_cmdlen(data)                                (0x000F0000&((data)<<16))
#define  KME_DM_TOP2_MV12_AGENT_mv12_qos(data)                                   (0x0000FF00&((data)<<8))
#define  KME_DM_TOP2_MV12_AGENT_mv12_alen(data)                                  (0x000000FF&(data))
#define  KME_DM_TOP2_MV12_AGENT_get_mv12_read_enable(data)                       ((0x00100000&(data))>>20)
#define  KME_DM_TOP2_MV12_AGENT_get_mv12_cmdlen(data)                            ((0x000F0000&(data))>>16)
#define  KME_DM_TOP2_MV12_AGENT_get_mv12_qos(data)                               ((0x0000FF00&(data))>>8)
#define  KME_DM_TOP2_MV12_AGENT_get_mv12_alen(data)                              (0x000000FF&(data))

#define  KME_DM_TOP2_KME_00_START_ADDRESS6                                      0x1809C27C
#define  KME_DM_TOP2_KME_00_START_ADDRESS6_reg_addr                              "0xB809C27C"
#define  KME_DM_TOP2_KME_00_START_ADDRESS6_reg                                   0xB809C27C
#define  KME_DM_TOP2_KME_00_START_ADDRESS6_inst_addr                             "0x0020"
#define  set_KME_DM_TOP2_KME_00_START_ADDRESS6_reg(data)                         (*((volatile unsigned int*)KME_DM_TOP2_KME_00_START_ADDRESS6_reg)=data)
#define  get_KME_DM_TOP2_KME_00_START_ADDRESS6_reg                               (*((volatile unsigned int*)KME_DM_TOP2_KME_00_START_ADDRESS6_reg))
#define  KME_DM_TOP2_KME_00_START_ADDRESS6_kme_00_start_address6_shift           (0)
#define  KME_DM_TOP2_KME_00_START_ADDRESS6_kme_00_start_address6_mask            (0xFFFFFFFF)
#define  KME_DM_TOP2_KME_00_START_ADDRESS6_kme_00_start_address6(data)           (0xFFFFFFFF&(data))
#define  KME_DM_TOP2_KME_00_START_ADDRESS6_get_kme_00_start_address6(data)       (0xFFFFFFFF&(data))

#define  KME_DM_TOP2_KME_00_START_ADDRESS7                                      0x1809C280
#define  KME_DM_TOP2_KME_00_START_ADDRESS7_reg_addr                              "0xB809C280"
#define  KME_DM_TOP2_KME_00_START_ADDRESS7_reg                                   0xB809C280
#define  KME_DM_TOP2_KME_00_START_ADDRESS7_inst_addr                             "0x0021"
#define  set_KME_DM_TOP2_KME_00_START_ADDRESS7_reg(data)                         (*((volatile unsigned int*)KME_DM_TOP2_KME_00_START_ADDRESS7_reg)=data)
#define  get_KME_DM_TOP2_KME_00_START_ADDRESS7_reg                               (*((volatile unsigned int*)KME_DM_TOP2_KME_00_START_ADDRESS7_reg))
#define  KME_DM_TOP2_KME_00_START_ADDRESS7_kme_00_start_address7_shift           (0)
#define  KME_DM_TOP2_KME_00_START_ADDRESS7_kme_00_start_address7_mask            (0xFFFFFFFF)
#define  KME_DM_TOP2_KME_00_START_ADDRESS7_kme_00_start_address7(data)           (0xFFFFFFFF&(data))
#define  KME_DM_TOP2_KME_00_START_ADDRESS7_get_kme_00_start_address7(data)       (0xFFFFFFFF&(data))

#define  KME_DM_TOP2_KME_00_END_ADDRESS6                                        0x1809C284
#define  KME_DM_TOP2_KME_00_END_ADDRESS6_reg_addr                                "0xB809C284"
#define  KME_DM_TOP2_KME_00_END_ADDRESS6_reg                                     0xB809C284
#define  KME_DM_TOP2_KME_00_END_ADDRESS6_inst_addr                               "0x0022"
#define  set_KME_DM_TOP2_KME_00_END_ADDRESS6_reg(data)                           (*((volatile unsigned int*)KME_DM_TOP2_KME_00_END_ADDRESS6_reg)=data)
#define  get_KME_DM_TOP2_KME_00_END_ADDRESS6_reg                                 (*((volatile unsigned int*)KME_DM_TOP2_KME_00_END_ADDRESS6_reg))
#define  KME_DM_TOP2_KME_00_END_ADDRESS6_kme_00_end_address6_shift               (0)
#define  KME_DM_TOP2_KME_00_END_ADDRESS6_kme_00_end_address6_mask                (0xFFFFFFFF)
#define  KME_DM_TOP2_KME_00_END_ADDRESS6_kme_00_end_address6(data)               (0xFFFFFFFF&(data))
#define  KME_DM_TOP2_KME_00_END_ADDRESS6_get_kme_00_end_address6(data)           (0xFFFFFFFF&(data))

#define  KME_DM_TOP2_KME_00_END_ADDRESS7                                        0x1809C288
#define  KME_DM_TOP2_KME_00_END_ADDRESS7_reg_addr                                "0xB809C288"
#define  KME_DM_TOP2_KME_00_END_ADDRESS7_reg                                     0xB809C288
#define  KME_DM_TOP2_KME_00_END_ADDRESS7_inst_addr                               "0x0023"
#define  set_KME_DM_TOP2_KME_00_END_ADDRESS7_reg(data)                           (*((volatile unsigned int*)KME_DM_TOP2_KME_00_END_ADDRESS7_reg)=data)
#define  get_KME_DM_TOP2_KME_00_END_ADDRESS7_reg                                 (*((volatile unsigned int*)KME_DM_TOP2_KME_00_END_ADDRESS7_reg))
#define  KME_DM_TOP2_KME_00_END_ADDRESS7_kme_00_end_address7_shift               (0)
#define  KME_DM_TOP2_KME_00_END_ADDRESS7_kme_00_end_address7_mask                (0xFFFFFFFF)
#define  KME_DM_TOP2_KME_00_END_ADDRESS7_kme_00_end_address7(data)               (0xFFFFFFFF&(data))
#define  KME_DM_TOP2_KME_00_END_ADDRESS7_get_kme_00_end_address7(data)           (0xFFFFFFFF&(data))

#define  KME_DM_TOP2_KME_ME_SHR_ST                                              0x1809C290
#define  KME_DM_TOP2_KME_ME_SHR_ST_reg_addr                                      "0xB809C290"
#define  KME_DM_TOP2_KME_ME_SHR_ST_reg                                           0xB809C290
#define  KME_DM_TOP2_KME_ME_SHR_ST_inst_addr                                     "0x0024"
#define  set_KME_DM_TOP2_KME_ME_SHR_ST_reg(data)                                 (*((volatile unsigned int*)KME_DM_TOP2_KME_ME_SHR_ST_reg)=data)
#define  get_KME_DM_TOP2_KME_ME_SHR_ST_reg                                       (*((volatile unsigned int*)KME_DM_TOP2_KME_ME_SHR_ST_reg))
#define  KME_DM_TOP2_KME_ME_SHR_ST_regr_kme_me_pqc_arbit_fifo_empty_shift        (19)
#define  KME_DM_TOP2_KME_ME_SHR_ST_regr_kme_me_pqc_arbit_fifo_full_shift         (18)
#define  KME_DM_TOP2_KME_ME_SHR_ST_regr_kme_me_pqc_overlap_iplogo_prior_shift    (17)
#define  KME_DM_TOP2_KME_ME_SHR_ST_regr_kme_me_pqc_overlap_ipme_prior_shift      (16)
#define  KME_DM_TOP2_KME_ME_SHR_ST_regr_kme_me_pqc_overlap_err_ro_shift          (2)
#define  KME_DM_TOP2_KME_ME_SHR_ST_regr_kme_me_pqdc_iplogo_fifo_udflw_ro_shift   (1)
#define  KME_DM_TOP2_KME_ME_SHR_ST_regr_kme_me_pqdc_ipme_fifo_udflw_ro_shift     (0)
#define  KME_DM_TOP2_KME_ME_SHR_ST_regr_kme_me_pqc_arbit_fifo_empty_mask         (0x00080000)
#define  KME_DM_TOP2_KME_ME_SHR_ST_regr_kme_me_pqc_arbit_fifo_full_mask          (0x00040000)
#define  KME_DM_TOP2_KME_ME_SHR_ST_regr_kme_me_pqc_overlap_iplogo_prior_mask     (0x00020000)
#define  KME_DM_TOP2_KME_ME_SHR_ST_regr_kme_me_pqc_overlap_ipme_prior_mask       (0x00010000)
#define  KME_DM_TOP2_KME_ME_SHR_ST_regr_kme_me_pqc_overlap_err_ro_mask           (0x00000004)
#define  KME_DM_TOP2_KME_ME_SHR_ST_regr_kme_me_pqdc_iplogo_fifo_udflw_ro_mask    (0x00000002)
#define  KME_DM_TOP2_KME_ME_SHR_ST_regr_kme_me_pqdc_ipme_fifo_udflw_ro_mask      (0x00000001)
#define  KME_DM_TOP2_KME_ME_SHR_ST_regr_kme_me_pqc_arbit_fifo_empty(data)        (0x00080000&((data)<<19))
#define  KME_DM_TOP2_KME_ME_SHR_ST_regr_kme_me_pqc_arbit_fifo_full(data)         (0x00040000&((data)<<18))
#define  KME_DM_TOP2_KME_ME_SHR_ST_regr_kme_me_pqc_overlap_iplogo_prior(data)    (0x00020000&((data)<<17))
#define  KME_DM_TOP2_KME_ME_SHR_ST_regr_kme_me_pqc_overlap_ipme_prior(data)      (0x00010000&((data)<<16))
#define  KME_DM_TOP2_KME_ME_SHR_ST_regr_kme_me_pqc_overlap_err_ro(data)          (0x00000004&((data)<<2))
#define  KME_DM_TOP2_KME_ME_SHR_ST_regr_kme_me_pqdc_iplogo_fifo_udflw_ro(data)   (0x00000002&((data)<<1))
#define  KME_DM_TOP2_KME_ME_SHR_ST_regr_kme_me_pqdc_ipme_fifo_udflw_ro(data)     (0x00000001&(data))
#define  KME_DM_TOP2_KME_ME_SHR_ST_get_regr_kme_me_pqc_arbit_fifo_empty(data)    ((0x00080000&(data))>>19)
#define  KME_DM_TOP2_KME_ME_SHR_ST_get_regr_kme_me_pqc_arbit_fifo_full(data)     ((0x00040000&(data))>>18)
#define  KME_DM_TOP2_KME_ME_SHR_ST_get_regr_kme_me_pqc_overlap_iplogo_prior(data) ((0x00020000&(data))>>17)
#define  KME_DM_TOP2_KME_ME_SHR_ST_get_regr_kme_me_pqc_overlap_ipme_prior(data)  ((0x00010000&(data))>>16)
#define  KME_DM_TOP2_KME_ME_SHR_ST_get_regr_kme_me_pqc_overlap_err_ro(data)      ((0x00000004&(data))>>2)
#define  KME_DM_TOP2_KME_ME_SHR_ST_get_regr_kme_me_pqdc_iplogo_fifo_udflw_ro(data) ((0x00000002&(data))>>1)
#define  KME_DM_TOP2_KME_ME_SHR_ST_get_regr_kme_me_pqdc_ipme_fifo_udflw_ro(data) (0x00000001&(data))

#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME                                     0x1809C294
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_reg_addr                             "0xB809C294"
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_reg                                  0xB809C294
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_inst_addr                            "0x0025"
#define  set_KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_reg(data)                        (*((volatile unsigned int*)KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_reg)=data)
#define  get_KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_reg                              (*((volatile unsigned int*)KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_reg))
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_iplogo_wait_frame_shift              (20)
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_me2_p_wait_frame_shift               (16)
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_me2_i_wait_frame_shift               (12)
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_me1_p_wait_frame_shift               (8)
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_me1_i_wait_frame_shift               (4)
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_ipme_wait_frame_shift                (0)
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_iplogo_wait_frame_mask               (0x00F00000)
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_me2_p_wait_frame_mask                (0x000F0000)
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_me2_i_wait_frame_mask                (0x0000F000)
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_me1_p_wait_frame_mask                (0x00000F00)
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_me1_i_wait_frame_mask                (0x000000F0)
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_ipme_wait_frame_mask                 (0x0000000F)
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_iplogo_wait_frame(data)              (0x00F00000&((data)<<20))
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_me2_p_wait_frame(data)               (0x000F0000&((data)<<16))
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_me2_i_wait_frame(data)               (0x0000F000&((data)<<12))
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_me1_p_wait_frame(data)               (0x00000F00&((data)<<8))
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_me1_i_wait_frame(data)               (0x000000F0&((data)<<4))
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_ipme_wait_frame(data)                (0x0000000F&(data))
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_get_iplogo_wait_frame(data)          ((0x00F00000&(data))>>20)
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_get_me2_p_wait_frame(data)           ((0x000F0000&(data))>>16)
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_get_me2_i_wait_frame(data)           ((0x0000F000&(data))>>12)
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_get_me1_p_wait_frame(data)           ((0x00000F00&(data))>>8)
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_get_me1_i_wait_frame(data)           ((0x000000F0&(data))>>4)
#define  KME_DM_TOP2_KME_ME_PQDC_WAIT_FRAME_get_ipme_wait_frame(data)            (0x0000000F&(data))

#define  KME_DM_TOP2_MV_SOURCE_MODE                                             0x1809C2B8
#define  KME_DM_TOP2_MV_SOURCE_MODE_reg_addr                                     "0xB809C2B8"
#define  KME_DM_TOP2_MV_SOURCE_MODE_reg                                          0xB809C2B8
#define  KME_DM_TOP2_MV_SOURCE_MODE_inst_addr                                    "0x0026"
#define  set_KME_DM_TOP2_MV_SOURCE_MODE_reg(data)                                (*((volatile unsigned int*)KME_DM_TOP2_MV_SOURCE_MODE_reg)=data)
#define  get_KME_DM_TOP2_MV_SOURCE_MODE_reg                                      (*((volatile unsigned int*)KME_DM_TOP2_MV_SOURCE_MODE_reg))
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv12_output_3d_mode_shift                    (16)
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv11_output_3d_mode_shift                    (14)
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv10_output_3d_mode_shift                    (12)
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv09_output_3d_mode_shift                    (10)
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv08_output_3d_mode_shift                    (8)
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv07_output_3d_mode_shift                    (6)
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv06_output_3d_mode_shift                    (4)
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv03_output_3d_mode_shift                    (2)
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv_output_3d_enable_shift                    (1)
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv_input_3d_enable_shift                     (0)
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv12_output_3d_mode_mask                     (0x00030000)
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv11_output_3d_mode_mask                     (0x0000C000)
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv10_output_3d_mode_mask                     (0x00003000)
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv09_output_3d_mode_mask                     (0x00000C00)
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv08_output_3d_mode_mask                     (0x00000300)
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv07_output_3d_mode_mask                     (0x000000C0)
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv06_output_3d_mode_mask                     (0x00000030)
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv03_output_3d_mode_mask                     (0x0000000C)
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv_output_3d_enable_mask                     (0x00000002)
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv_input_3d_enable_mask                      (0x00000001)
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv12_output_3d_mode(data)                    (0x00030000&((data)<<16))
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv11_output_3d_mode(data)                    (0x0000C000&((data)<<14))
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv10_output_3d_mode(data)                    (0x00003000&((data)<<12))
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv09_output_3d_mode(data)                    (0x00000C00&((data)<<10))
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv08_output_3d_mode(data)                    (0x00000300&((data)<<8))
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv07_output_3d_mode(data)                    (0x000000C0&((data)<<6))
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv06_output_3d_mode(data)                    (0x00000030&((data)<<4))
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv03_output_3d_mode(data)                    (0x0000000C&((data)<<2))
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv_output_3d_enable(data)                    (0x00000002&((data)<<1))
#define  KME_DM_TOP2_MV_SOURCE_MODE_mv_input_3d_enable(data)                     (0x00000001&(data))
#define  KME_DM_TOP2_MV_SOURCE_MODE_get_mv12_output_3d_mode(data)                ((0x00030000&(data))>>16)
#define  KME_DM_TOP2_MV_SOURCE_MODE_get_mv11_output_3d_mode(data)                ((0x0000C000&(data))>>14)
#define  KME_DM_TOP2_MV_SOURCE_MODE_get_mv10_output_3d_mode(data)                ((0x00003000&(data))>>12)
#define  KME_DM_TOP2_MV_SOURCE_MODE_get_mv09_output_3d_mode(data)                ((0x00000C00&(data))>>10)
#define  KME_DM_TOP2_MV_SOURCE_MODE_get_mv08_output_3d_mode(data)                ((0x00000300&(data))>>8)
#define  KME_DM_TOP2_MV_SOURCE_MODE_get_mv07_output_3d_mode(data)                ((0x000000C0&(data))>>6)
#define  KME_DM_TOP2_MV_SOURCE_MODE_get_mv06_output_3d_mode(data)                ((0x00000030&(data))>>4)
#define  KME_DM_TOP2_MV_SOURCE_MODE_get_mv03_output_3d_mode(data)                ((0x0000000C&(data))>>2)
#define  KME_DM_TOP2_MV_SOURCE_MODE_get_mv_output_3d_enable(data)                ((0x00000002&(data))>>1)
#define  KME_DM_TOP2_MV_SOURCE_MODE_get_mv_input_3d_enable(data)                 (0x00000001&(data))

#define  KME_DM_TOP2_MV01_RESOLUTION                                            0x1809C2BC
#define  KME_DM_TOP2_MV01_RESOLUTION_reg_addr                                    "0xB809C2BC"
#define  KME_DM_TOP2_MV01_RESOLUTION_reg                                         0xB809C2BC
#define  KME_DM_TOP2_MV01_RESOLUTION_inst_addr                                   "0x0027"
#define  set_KME_DM_TOP2_MV01_RESOLUTION_reg(data)                               (*((volatile unsigned int*)KME_DM_TOP2_MV01_RESOLUTION_reg)=data)
#define  get_KME_DM_TOP2_MV01_RESOLUTION_reg                                     (*((volatile unsigned int*)KME_DM_TOP2_MV01_RESOLUTION_reg))
#define  KME_DM_TOP2_MV01_RESOLUTION_mv01_vactive_shift                          (12)
#define  KME_DM_TOP2_MV01_RESOLUTION_mv01_hactive_shift                          (0)
#define  KME_DM_TOP2_MV01_RESOLUTION_mv01_vactive_mask                           (0x00FFF000)
#define  KME_DM_TOP2_MV01_RESOLUTION_mv01_hactive_mask                           (0x00000FFF)
#define  KME_DM_TOP2_MV01_RESOLUTION_mv01_vactive(data)                          (0x00FFF000&((data)<<12))
#define  KME_DM_TOP2_MV01_RESOLUTION_mv01_hactive(data)                          (0x00000FFF&(data))
#define  KME_DM_TOP2_MV01_RESOLUTION_get_mv01_vactive(data)                      ((0x00FFF000&(data))>>12)
#define  KME_DM_TOP2_MV01_RESOLUTION_get_mv01_hactive(data)                      (0x00000FFF&(data))

#define  KME_DM_TOP2_MV02_RESOLUTION                                            0x1809C2C0
#define  KME_DM_TOP2_MV02_RESOLUTION_reg_addr                                    "0xB809C2C0"
#define  KME_DM_TOP2_MV02_RESOLUTION_reg                                         0xB809C2C0
#define  KME_DM_TOP2_MV02_RESOLUTION_inst_addr                                   "0x0028"
#define  set_KME_DM_TOP2_MV02_RESOLUTION_reg(data)                               (*((volatile unsigned int*)KME_DM_TOP2_MV02_RESOLUTION_reg)=data)
#define  get_KME_DM_TOP2_MV02_RESOLUTION_reg                                     (*((volatile unsigned int*)KME_DM_TOP2_MV02_RESOLUTION_reg))
#define  KME_DM_TOP2_MV02_RESOLUTION_mv02_vactive_shift                          (12)
#define  KME_DM_TOP2_MV02_RESOLUTION_mv02_hactive_shift                          (0)
#define  KME_DM_TOP2_MV02_RESOLUTION_mv02_vactive_mask                           (0x00FFF000)
#define  KME_DM_TOP2_MV02_RESOLUTION_mv02_hactive_mask                           (0x00000FFF)
#define  KME_DM_TOP2_MV02_RESOLUTION_mv02_vactive(data)                          (0x00FFF000&((data)<<12))
#define  KME_DM_TOP2_MV02_RESOLUTION_mv02_hactive(data)                          (0x00000FFF&(data))
#define  KME_DM_TOP2_MV02_RESOLUTION_get_mv02_vactive(data)                      ((0x00FFF000&(data))>>12)
#define  KME_DM_TOP2_MV02_RESOLUTION_get_mv02_hactive(data)                      (0x00000FFF&(data))

#define  KME_DM_TOP2_MV04_RESOLUTION                                            0x1809C2C4
#define  KME_DM_TOP2_MV04_RESOLUTION_reg_addr                                    "0xB809C2C4"
#define  KME_DM_TOP2_MV04_RESOLUTION_reg                                         0xB809C2C4
#define  KME_DM_TOP2_MV04_RESOLUTION_inst_addr                                   "0x0029"
#define  set_KME_DM_TOP2_MV04_RESOLUTION_reg(data)                               (*((volatile unsigned int*)KME_DM_TOP2_MV04_RESOLUTION_reg)=data)
#define  get_KME_DM_TOP2_MV04_RESOLUTION_reg                                     (*((volatile unsigned int*)KME_DM_TOP2_MV04_RESOLUTION_reg))
#define  KME_DM_TOP2_MV04_RESOLUTION_mv04_vactive_shift                          (12)
#define  KME_DM_TOP2_MV04_RESOLUTION_mv04_hactive_shift                          (0)
#define  KME_DM_TOP2_MV04_RESOLUTION_mv04_vactive_mask                           (0x00FFF000)
#define  KME_DM_TOP2_MV04_RESOLUTION_mv04_hactive_mask                           (0x00000FFF)
#define  KME_DM_TOP2_MV04_RESOLUTION_mv04_vactive(data)                          (0x00FFF000&((data)<<12))
#define  KME_DM_TOP2_MV04_RESOLUTION_mv04_hactive(data)                          (0x00000FFF&(data))
#define  KME_DM_TOP2_MV04_RESOLUTION_get_mv04_vactive(data)                      ((0x00FFF000&(data))>>12)
#define  KME_DM_TOP2_MV04_RESOLUTION_get_mv04_hactive(data)                      (0x00000FFF&(data))

#define  KME_DM_TOP2_MV05_RESOLUTION                                            0x1809C2C8
#define  KME_DM_TOP2_MV05_RESOLUTION_reg_addr                                    "0xB809C2C8"
#define  KME_DM_TOP2_MV05_RESOLUTION_reg                                         0xB809C2C8
#define  KME_DM_TOP2_MV05_RESOLUTION_inst_addr                                   "0x002A"
#define  set_KME_DM_TOP2_MV05_RESOLUTION_reg(data)                               (*((volatile unsigned int*)KME_DM_TOP2_MV05_RESOLUTION_reg)=data)
#define  get_KME_DM_TOP2_MV05_RESOLUTION_reg                                     (*((volatile unsigned int*)KME_DM_TOP2_MV05_RESOLUTION_reg))
#define  KME_DM_TOP2_MV05_RESOLUTION_mv05_vactive_shift                          (12)
#define  KME_DM_TOP2_MV05_RESOLUTION_mv05_hactive_shift                          (0)
#define  KME_DM_TOP2_MV05_RESOLUTION_mv05_vactive_mask                           (0x00FFF000)
#define  KME_DM_TOP2_MV05_RESOLUTION_mv05_hactive_mask                           (0x00000FFF)
#define  KME_DM_TOP2_MV05_RESOLUTION_mv05_vactive(data)                          (0x00FFF000&((data)<<12))
#define  KME_DM_TOP2_MV05_RESOLUTION_mv05_hactive(data)                          (0x00000FFF&(data))
#define  KME_DM_TOP2_MV05_RESOLUTION_get_mv05_vactive(data)                      ((0x00FFF000&(data))>>12)
#define  KME_DM_TOP2_MV05_RESOLUTION_get_mv05_hactive(data)                      (0x00000FFF&(data))

#define  KME_DM_TOP2_MV_TIME_ENABLE                                             0x1809C2D0
#define  KME_DM_TOP2_MV_TIME_ENABLE_reg_addr                                     "0xB809C2D0"
#define  KME_DM_TOP2_MV_TIME_ENABLE_reg                                          0xB809C2D0
#define  KME_DM_TOP2_MV_TIME_ENABLE_inst_addr                                    "0x002B"
#define  set_KME_DM_TOP2_MV_TIME_ENABLE_reg(data)                                (*((volatile unsigned int*)KME_DM_TOP2_MV_TIME_ENABLE_reg)=data)
#define  get_KME_DM_TOP2_MV_TIME_ENABLE_reg                                      (*((volatile unsigned int*)KME_DM_TOP2_MV_TIME_ENABLE_reg))
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv12_r_time_enable_shift                     (11)
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv11_r_time_enable_shift                     (10)
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv10_r_time_enable_shift                     (9)
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv09_r_time_enable_shift                     (8)
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv08_r_time_enable_shift                     (7)
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv07_r_time_enable_shift                     (6)
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv06_r_time_enable_shift                     (5)
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv05_w_time_enable_shift                     (4)
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv04_w_time_enable_shift                     (3)
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv03_r_time_enable_shift                     (2)
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv02_w_time_enable_shift                     (1)
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv01_w_time_enable_shift                     (0)
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv12_r_time_enable_mask                      (0x00000800)
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv11_r_time_enable_mask                      (0x00000400)
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv10_r_time_enable_mask                      (0x00000200)
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv09_r_time_enable_mask                      (0x00000100)
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv08_r_time_enable_mask                      (0x00000080)
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv07_r_time_enable_mask                      (0x00000040)
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv06_r_time_enable_mask                      (0x00000020)
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv05_w_time_enable_mask                      (0x00000010)
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv04_w_time_enable_mask                      (0x00000008)
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv03_r_time_enable_mask                      (0x00000004)
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv02_w_time_enable_mask                      (0x00000002)
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv01_w_time_enable_mask                      (0x00000001)
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv12_r_time_enable(data)                     (0x00000800&((data)<<11))
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv11_r_time_enable(data)                     (0x00000400&((data)<<10))
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv10_r_time_enable(data)                     (0x00000200&((data)<<9))
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv09_r_time_enable(data)                     (0x00000100&((data)<<8))
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv08_r_time_enable(data)                     (0x00000080&((data)<<7))
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv07_r_time_enable(data)                     (0x00000040&((data)<<6))
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv06_r_time_enable(data)                     (0x00000020&((data)<<5))
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv05_w_time_enable(data)                     (0x00000010&((data)<<4))
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv04_w_time_enable(data)                     (0x00000008&((data)<<3))
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv03_r_time_enable(data)                     (0x00000004&((data)<<2))
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv02_w_time_enable(data)                     (0x00000002&((data)<<1))
#define  KME_DM_TOP2_MV_TIME_ENABLE_mv01_w_time_enable(data)                     (0x00000001&(data))
#define  KME_DM_TOP2_MV_TIME_ENABLE_get_mv12_r_time_enable(data)                 ((0x00000800&(data))>>11)
#define  KME_DM_TOP2_MV_TIME_ENABLE_get_mv11_r_time_enable(data)                 ((0x00000400&(data))>>10)
#define  KME_DM_TOP2_MV_TIME_ENABLE_get_mv10_r_time_enable(data)                 ((0x00000200&(data))>>9)
#define  KME_DM_TOP2_MV_TIME_ENABLE_get_mv09_r_time_enable(data)                 ((0x00000100&(data))>>8)
#define  KME_DM_TOP2_MV_TIME_ENABLE_get_mv08_r_time_enable(data)                 ((0x00000080&(data))>>7)
#define  KME_DM_TOP2_MV_TIME_ENABLE_get_mv07_r_time_enable(data)                 ((0x00000040&(data))>>6)
#define  KME_DM_TOP2_MV_TIME_ENABLE_get_mv06_r_time_enable(data)                 ((0x00000020&(data))>>5)
#define  KME_DM_TOP2_MV_TIME_ENABLE_get_mv05_w_time_enable(data)                 ((0x00000010&(data))>>4)
#define  KME_DM_TOP2_MV_TIME_ENABLE_get_mv04_w_time_enable(data)                 ((0x00000008&(data))>>3)
#define  KME_DM_TOP2_MV_TIME_ENABLE_get_mv03_r_time_enable(data)                 ((0x00000004&(data))>>2)
#define  KME_DM_TOP2_MV_TIME_ENABLE_get_mv02_w_time_enable(data)                 ((0x00000002&(data))>>1)
#define  KME_DM_TOP2_MV_TIME_ENABLE_get_mv01_w_time_enable(data)                 (0x00000001&(data))

#define  KME_DM_TOP2_MV_HOLD_TIME0                                              0x1809C2D4
#define  KME_DM_TOP2_MV_HOLD_TIME0_reg_addr                                      "0xB809C2D4"
#define  KME_DM_TOP2_MV_HOLD_TIME0_reg                                           0xB809C2D4
#define  KME_DM_TOP2_MV_HOLD_TIME0_inst_addr                                     "0x002C"
#define  set_KME_DM_TOP2_MV_HOLD_TIME0_reg(data)                                 (*((volatile unsigned int*)KME_DM_TOP2_MV_HOLD_TIME0_reg)=data)
#define  get_KME_DM_TOP2_MV_HOLD_TIME0_reg                                       (*((volatile unsigned int*)KME_DM_TOP2_MV_HOLD_TIME0_reg))
#define  KME_DM_TOP2_MV_HOLD_TIME0_mv04_hold_time_shift                          (24)
#define  KME_DM_TOP2_MV_HOLD_TIME0_mv03_hold_time_shift                          (16)
#define  KME_DM_TOP2_MV_HOLD_TIME0_mv02_hold_time_shift                          (8)
#define  KME_DM_TOP2_MV_HOLD_TIME0_mv01_hold_time_shift                          (0)
#define  KME_DM_TOP2_MV_HOLD_TIME0_mv04_hold_time_mask                           (0xFF000000)
#define  KME_DM_TOP2_MV_HOLD_TIME0_mv03_hold_time_mask                           (0x00FF0000)
#define  KME_DM_TOP2_MV_HOLD_TIME0_mv02_hold_time_mask                           (0x0000FF00)
#define  KME_DM_TOP2_MV_HOLD_TIME0_mv01_hold_time_mask                           (0x000000FF)
#define  KME_DM_TOP2_MV_HOLD_TIME0_mv04_hold_time(data)                          (0xFF000000&((data)<<24))
#define  KME_DM_TOP2_MV_HOLD_TIME0_mv03_hold_time(data)                          (0x00FF0000&((data)<<16))
#define  KME_DM_TOP2_MV_HOLD_TIME0_mv02_hold_time(data)                          (0x0000FF00&((data)<<8))
#define  KME_DM_TOP2_MV_HOLD_TIME0_mv01_hold_time(data)                          (0x000000FF&(data))
#define  KME_DM_TOP2_MV_HOLD_TIME0_get_mv04_hold_time(data)                      ((0xFF000000&(data))>>24)
#define  KME_DM_TOP2_MV_HOLD_TIME0_get_mv03_hold_time(data)                      ((0x00FF0000&(data))>>16)
#define  KME_DM_TOP2_MV_HOLD_TIME0_get_mv02_hold_time(data)                      ((0x0000FF00&(data))>>8)
#define  KME_DM_TOP2_MV_HOLD_TIME0_get_mv01_hold_time(data)                      (0x000000FF&(data))

#define  KME_DM_TOP2_MV_HOLD_TIME1                                              0x1809C2D8
#define  KME_DM_TOP2_MV_HOLD_TIME1_reg_addr                                      "0xB809C2D8"
#define  KME_DM_TOP2_MV_HOLD_TIME1_reg                                           0xB809C2D8
#define  KME_DM_TOP2_MV_HOLD_TIME1_inst_addr                                     "0x002D"
#define  set_KME_DM_TOP2_MV_HOLD_TIME1_reg(data)                                 (*((volatile unsigned int*)KME_DM_TOP2_MV_HOLD_TIME1_reg)=data)
#define  get_KME_DM_TOP2_MV_HOLD_TIME1_reg                                       (*((volatile unsigned int*)KME_DM_TOP2_MV_HOLD_TIME1_reg))
#define  KME_DM_TOP2_MV_HOLD_TIME1_mv08_hold_time_shift                          (24)
#define  KME_DM_TOP2_MV_HOLD_TIME1_mv07_hold_time_shift                          (16)
#define  KME_DM_TOP2_MV_HOLD_TIME1_mv06_hold_time_shift                          (8)
#define  KME_DM_TOP2_MV_HOLD_TIME1_mv05_hold_time_shift                          (0)
#define  KME_DM_TOP2_MV_HOLD_TIME1_mv08_hold_time_mask                           (0xFF000000)
#define  KME_DM_TOP2_MV_HOLD_TIME1_mv07_hold_time_mask                           (0x00FF0000)
#define  KME_DM_TOP2_MV_HOLD_TIME1_mv06_hold_time_mask                           (0x0000FF00)
#define  KME_DM_TOP2_MV_HOLD_TIME1_mv05_hold_time_mask                           (0x000000FF)
#define  KME_DM_TOP2_MV_HOLD_TIME1_mv08_hold_time(data)                          (0xFF000000&((data)<<24))
#define  KME_DM_TOP2_MV_HOLD_TIME1_mv07_hold_time(data)                          (0x00FF0000&((data)<<16))
#define  KME_DM_TOP2_MV_HOLD_TIME1_mv06_hold_time(data)                          (0x0000FF00&((data)<<8))
#define  KME_DM_TOP2_MV_HOLD_TIME1_mv05_hold_time(data)                          (0x000000FF&(data))
#define  KME_DM_TOP2_MV_HOLD_TIME1_get_mv08_hold_time(data)                      ((0xFF000000&(data))>>24)
#define  KME_DM_TOP2_MV_HOLD_TIME1_get_mv07_hold_time(data)                      ((0x00FF0000&(data))>>16)
#define  KME_DM_TOP2_MV_HOLD_TIME1_get_mv06_hold_time(data)                      ((0x0000FF00&(data))>>8)
#define  KME_DM_TOP2_MV_HOLD_TIME1_get_mv05_hold_time(data)                      (0x000000FF&(data))

#define  KME_DM_TOP2_MV_HOLD_TIME2                                              0x1809C2DC
#define  KME_DM_TOP2_MV_HOLD_TIME2_reg_addr                                      "0xB809C2DC"
#define  KME_DM_TOP2_MV_HOLD_TIME2_reg                                           0xB809C2DC
#define  KME_DM_TOP2_MV_HOLD_TIME2_inst_addr                                     "0x002E"
#define  set_KME_DM_TOP2_MV_HOLD_TIME2_reg(data)                                 (*((volatile unsigned int*)KME_DM_TOP2_MV_HOLD_TIME2_reg)=data)
#define  get_KME_DM_TOP2_MV_HOLD_TIME2_reg                                       (*((volatile unsigned int*)KME_DM_TOP2_MV_HOLD_TIME2_reg))
#define  KME_DM_TOP2_MV_HOLD_TIME2_mv12_hold_time_shift                          (24)
#define  KME_DM_TOP2_MV_HOLD_TIME2_mv11_hold_time_shift                          (16)
#define  KME_DM_TOP2_MV_HOLD_TIME2_mv10_hold_time_shift                          (8)
#define  KME_DM_TOP2_MV_HOLD_TIME2_mv09_hold_time_shift                          (0)
#define  KME_DM_TOP2_MV_HOLD_TIME2_mv12_hold_time_mask                           (0xFF000000)
#define  KME_DM_TOP2_MV_HOLD_TIME2_mv11_hold_time_mask                           (0x00FF0000)
#define  KME_DM_TOP2_MV_HOLD_TIME2_mv10_hold_time_mask                           (0x0000FF00)
#define  KME_DM_TOP2_MV_HOLD_TIME2_mv09_hold_time_mask                           (0x000000FF)
#define  KME_DM_TOP2_MV_HOLD_TIME2_mv12_hold_time(data)                          (0xFF000000&((data)<<24))
#define  KME_DM_TOP2_MV_HOLD_TIME2_mv11_hold_time(data)                          (0x00FF0000&((data)<<16))
#define  KME_DM_TOP2_MV_HOLD_TIME2_mv10_hold_time(data)                          (0x0000FF00&((data)<<8))
#define  KME_DM_TOP2_MV_HOLD_TIME2_mv09_hold_time(data)                          (0x000000FF&(data))
#define  KME_DM_TOP2_MV_HOLD_TIME2_get_mv12_hold_time(data)                      ((0xFF000000&(data))>>24)
#define  KME_DM_TOP2_MV_HOLD_TIME2_get_mv11_hold_time(data)                      ((0x00FF0000&(data))>>16)
#define  KME_DM_TOP2_MV_HOLD_TIME2_get_mv10_hold_time(data)                      ((0x0000FF00&(data))>>8)
#define  KME_DM_TOP2_MV_HOLD_TIME2_get_mv09_hold_time(data)                      (0x000000FF&(data))

#define  KME_DM_TOP2_MV_WAIT_TIME0                                              0x1809C2E0
#define  KME_DM_TOP2_MV_WAIT_TIME0_reg_addr                                      "0xB809C2E0"
#define  KME_DM_TOP2_MV_WAIT_TIME0_reg                                           0xB809C2E0
#define  KME_DM_TOP2_MV_WAIT_TIME0_inst_addr                                     "0x002F"
#define  set_KME_DM_TOP2_MV_WAIT_TIME0_reg(data)                                 (*((volatile unsigned int*)KME_DM_TOP2_MV_WAIT_TIME0_reg)=data)
#define  get_KME_DM_TOP2_MV_WAIT_TIME0_reg                                       (*((volatile unsigned int*)KME_DM_TOP2_MV_WAIT_TIME0_reg))
#define  KME_DM_TOP2_MV_WAIT_TIME0_mv08_wait_time_shift                          (24)
#define  KME_DM_TOP2_MV_WAIT_TIME0_mv07_wait_time_shift                          (16)
#define  KME_DM_TOP2_MV_WAIT_TIME0_mv06_wait_time_shift                          (8)
#define  KME_DM_TOP2_MV_WAIT_TIME0_mv03_wait_time_shift                          (0)
#define  KME_DM_TOP2_MV_WAIT_TIME0_mv08_wait_time_mask                           (0xFF000000)
#define  KME_DM_TOP2_MV_WAIT_TIME0_mv07_wait_time_mask                           (0x00FF0000)
#define  KME_DM_TOP2_MV_WAIT_TIME0_mv06_wait_time_mask                           (0x0000FF00)
#define  KME_DM_TOP2_MV_WAIT_TIME0_mv03_wait_time_mask                           (0x000000FF)
#define  KME_DM_TOP2_MV_WAIT_TIME0_mv08_wait_time(data)                          (0xFF000000&((data)<<24))
#define  KME_DM_TOP2_MV_WAIT_TIME0_mv07_wait_time(data)                          (0x00FF0000&((data)<<16))
#define  KME_DM_TOP2_MV_WAIT_TIME0_mv06_wait_time(data)                          (0x0000FF00&((data)<<8))
#define  KME_DM_TOP2_MV_WAIT_TIME0_mv03_wait_time(data)                          (0x000000FF&(data))
#define  KME_DM_TOP2_MV_WAIT_TIME0_get_mv08_wait_time(data)                      ((0xFF000000&(data))>>24)
#define  KME_DM_TOP2_MV_WAIT_TIME0_get_mv07_wait_time(data)                      ((0x00FF0000&(data))>>16)
#define  KME_DM_TOP2_MV_WAIT_TIME0_get_mv06_wait_time(data)                      ((0x0000FF00&(data))>>8)
#define  KME_DM_TOP2_MV_WAIT_TIME0_get_mv03_wait_time(data)                      (0x000000FF&(data))

#define  KME_DM_TOP2_MV_WAIT_TIME1                                              0x1809C2E4
#define  KME_DM_TOP2_MV_WAIT_TIME1_reg_addr                                      "0xB809C2E4"
#define  KME_DM_TOP2_MV_WAIT_TIME1_reg                                           0xB809C2E4
#define  KME_DM_TOP2_MV_WAIT_TIME1_inst_addr                                     "0x0030"
#define  set_KME_DM_TOP2_MV_WAIT_TIME1_reg(data)                                 (*((volatile unsigned int*)KME_DM_TOP2_MV_WAIT_TIME1_reg)=data)
#define  get_KME_DM_TOP2_MV_WAIT_TIME1_reg                                       (*((volatile unsigned int*)KME_DM_TOP2_MV_WAIT_TIME1_reg))
#define  KME_DM_TOP2_MV_WAIT_TIME1_mv12_wait_time_shift                          (24)
#define  KME_DM_TOP2_MV_WAIT_TIME1_mv11_wait_time_shift                          (16)
#define  KME_DM_TOP2_MV_WAIT_TIME1_mv10_wait_time_shift                          (8)
#define  KME_DM_TOP2_MV_WAIT_TIME1_mv09_wait_time_shift                          (0)
#define  KME_DM_TOP2_MV_WAIT_TIME1_mv12_wait_time_mask                           (0xFF000000)
#define  KME_DM_TOP2_MV_WAIT_TIME1_mv11_wait_time_mask                           (0x00FF0000)
#define  KME_DM_TOP2_MV_WAIT_TIME1_mv10_wait_time_mask                           (0x0000FF00)
#define  KME_DM_TOP2_MV_WAIT_TIME1_mv09_wait_time_mask                           (0x000000FF)
#define  KME_DM_TOP2_MV_WAIT_TIME1_mv12_wait_time(data)                          (0xFF000000&((data)<<24))
#define  KME_DM_TOP2_MV_WAIT_TIME1_mv11_wait_time(data)                          (0x00FF0000&((data)<<16))
#define  KME_DM_TOP2_MV_WAIT_TIME1_mv10_wait_time(data)                          (0x0000FF00&((data)<<8))
#define  KME_DM_TOP2_MV_WAIT_TIME1_mv09_wait_time(data)                          (0x000000FF&(data))
#define  KME_DM_TOP2_MV_WAIT_TIME1_get_mv12_wait_time(data)                      ((0xFF000000&(data))>>24)
#define  KME_DM_TOP2_MV_WAIT_TIME1_get_mv11_wait_time(data)                      ((0x00FF0000&(data))>>16)
#define  KME_DM_TOP2_MV_WAIT_TIME1_get_mv10_wait_time(data)                      ((0x0000FF00&(data))>>8)
#define  KME_DM_TOP2_MV_WAIT_TIME1_get_mv09_wait_time(data)                      (0x000000FF&(data))

#define  KME_DM_TOP2_KME_BUF_INDEX_0                                            0x1809C2E8
#define  KME_DM_TOP2_KME_BUF_INDEX_0_reg_addr                                    "0xB809C2E8"
#define  KME_DM_TOP2_KME_BUF_INDEX_0_reg                                         0xB809C2E8
#define  KME_DM_TOP2_KME_BUF_INDEX_0_inst_addr                                   "0x0031"
#define  set_KME_DM_TOP2_KME_BUF_INDEX_0_reg(data)                               (*((volatile unsigned int*)KME_DM_TOP2_KME_BUF_INDEX_0_reg)=data)
#define  get_KME_DM_TOP2_KME_BUF_INDEX_0_reg                                     (*((volatile unsigned int*)KME_DM_TOP2_KME_BUF_INDEX_0_reg))
#define  KME_DM_TOP2_KME_BUF_INDEX_0_regr_kme_00_index_shift                     (28)
#define  KME_DM_TOP2_KME_BUF_INDEX_0_regr_kme_01_index_shift                     (24)
#define  KME_DM_TOP2_KME_BUF_INDEX_0_regr_kme_02_index_shift                     (20)
#define  KME_DM_TOP2_KME_BUF_INDEX_0_regr_kme_03_index_shift                     (16)
#define  KME_DM_TOP2_KME_BUF_INDEX_0_regr_kme_08_index_shift                     (12)
#define  KME_DM_TOP2_KME_BUF_INDEX_0_regr_kme_09_index_shift                     (8)
#define  KME_DM_TOP2_KME_BUF_INDEX_0_regr_kme_10_index_shift                     (4)
#define  KME_DM_TOP2_KME_BUF_INDEX_0_regr_kme_11_index_shift                     (0)
#define  KME_DM_TOP2_KME_BUF_INDEX_0_regr_kme_00_index_mask                      (0xF0000000)
#define  KME_DM_TOP2_KME_BUF_INDEX_0_regr_kme_01_index_mask                      (0x0F000000)
#define  KME_DM_TOP2_KME_BUF_INDEX_0_regr_kme_02_index_mask                      (0x00F00000)
#define  KME_DM_TOP2_KME_BUF_INDEX_0_regr_kme_03_index_mask                      (0x000F0000)
#define  KME_DM_TOP2_KME_BUF_INDEX_0_regr_kme_08_index_mask                      (0x0000F000)
#define  KME_DM_TOP2_KME_BUF_INDEX_0_regr_kme_09_index_mask                      (0x00000F00)
#define  KME_DM_TOP2_KME_BUF_INDEX_0_regr_kme_10_index_mask                      (0x000000F0)
#define  KME_DM_TOP2_KME_BUF_INDEX_0_regr_kme_11_index_mask                      (0x0000000F)
#define  KME_DM_TOP2_KME_BUF_INDEX_0_regr_kme_00_index(data)                     (0xF0000000&((data)<<28))
#define  KME_DM_TOP2_KME_BUF_INDEX_0_regr_kme_01_index(data)                     (0x0F000000&((data)<<24))
#define  KME_DM_TOP2_KME_BUF_INDEX_0_regr_kme_02_index(data)                     (0x00F00000&((data)<<20))
#define  KME_DM_TOP2_KME_BUF_INDEX_0_regr_kme_03_index(data)                     (0x000F0000&((data)<<16))
#define  KME_DM_TOP2_KME_BUF_INDEX_0_regr_kme_08_index(data)                     (0x0000F000&((data)<<12))
#define  KME_DM_TOP2_KME_BUF_INDEX_0_regr_kme_09_index(data)                     (0x00000F00&((data)<<8))
#define  KME_DM_TOP2_KME_BUF_INDEX_0_regr_kme_10_index(data)                     (0x000000F0&((data)<<4))
#define  KME_DM_TOP2_KME_BUF_INDEX_0_regr_kme_11_index(data)                     (0x0000000F&(data))
#define  KME_DM_TOP2_KME_BUF_INDEX_0_get_regr_kme_00_index(data)                 ((0xF0000000&(data))>>28)
#define  KME_DM_TOP2_KME_BUF_INDEX_0_get_regr_kme_01_index(data)                 ((0x0F000000&(data))>>24)
#define  KME_DM_TOP2_KME_BUF_INDEX_0_get_regr_kme_02_index(data)                 ((0x00F00000&(data))>>20)
#define  KME_DM_TOP2_KME_BUF_INDEX_0_get_regr_kme_03_index(data)                 ((0x000F0000&(data))>>16)
#define  KME_DM_TOP2_KME_BUF_INDEX_0_get_regr_kme_08_index(data)                 ((0x0000F000&(data))>>12)
#define  KME_DM_TOP2_KME_BUF_INDEX_0_get_regr_kme_09_index(data)                 ((0x00000F00&(data))>>8)
#define  KME_DM_TOP2_KME_BUF_INDEX_0_get_regr_kme_10_index(data)                 ((0x000000F0&(data))>>4)
#define  KME_DM_TOP2_KME_BUF_INDEX_0_get_regr_kme_11_index(data)                 (0x0000000F&(data))

#define  KME_DM_TOP2_KME_BUF_INDEX_1                                            0x1809C2EC
#define  KME_DM_TOP2_KME_BUF_INDEX_1_reg_addr                                    "0xB809C2EC"
#define  KME_DM_TOP2_KME_BUF_INDEX_1_reg                                         0xB809C2EC
#define  KME_DM_TOP2_KME_BUF_INDEX_1_inst_addr                                   "0x0032"
#define  set_KME_DM_TOP2_KME_BUF_INDEX_1_reg(data)                               (*((volatile unsigned int*)KME_DM_TOP2_KME_BUF_INDEX_1_reg)=data)
#define  get_KME_DM_TOP2_KME_BUF_INDEX_1_reg                                     (*((volatile unsigned int*)KME_DM_TOP2_KME_BUF_INDEX_1_reg))
#define  KME_DM_TOP2_KME_BUF_INDEX_1_regr_kme_12_index_shift                     (28)
#define  KME_DM_TOP2_KME_BUF_INDEX_1_regr_kme_13_index_shift                     (24)
#define  KME_DM_TOP2_KME_BUF_INDEX_1_regr_kme_14_index_shift                     (20)
#define  KME_DM_TOP2_KME_BUF_INDEX_1_regr_kme_15_index_shift                     (16)
#define  KME_DM_TOP2_KME_BUF_INDEX_1_regr_mv_01_index_shift                      (12)
#define  KME_DM_TOP2_KME_BUF_INDEX_1_regr_mv_02_index_shift                      (8)
#define  KME_DM_TOP2_KME_BUF_INDEX_1_regr_mv_03_index_shift                      (4)
#define  KME_DM_TOP2_KME_BUF_INDEX_1_regr_mv_04_index_shift                      (0)
#define  KME_DM_TOP2_KME_BUF_INDEX_1_regr_kme_12_index_mask                      (0xF0000000)
#define  KME_DM_TOP2_KME_BUF_INDEX_1_regr_kme_13_index_mask                      (0x0F000000)
#define  KME_DM_TOP2_KME_BUF_INDEX_1_regr_kme_14_index_mask                      (0x00F00000)
#define  KME_DM_TOP2_KME_BUF_INDEX_1_regr_kme_15_index_mask                      (0x000F0000)
#define  KME_DM_TOP2_KME_BUF_INDEX_1_regr_mv_01_index_mask                       (0x0000F000)
#define  KME_DM_TOP2_KME_BUF_INDEX_1_regr_mv_02_index_mask                       (0x00000F00)
#define  KME_DM_TOP2_KME_BUF_INDEX_1_regr_mv_03_index_mask                       (0x000000F0)
#define  KME_DM_TOP2_KME_BUF_INDEX_1_regr_mv_04_index_mask                       (0x0000000F)
#define  KME_DM_TOP2_KME_BUF_INDEX_1_regr_kme_12_index(data)                     (0xF0000000&((data)<<28))
#define  KME_DM_TOP2_KME_BUF_INDEX_1_regr_kme_13_index(data)                     (0x0F000000&((data)<<24))
#define  KME_DM_TOP2_KME_BUF_INDEX_1_regr_kme_14_index(data)                     (0x00F00000&((data)<<20))
#define  KME_DM_TOP2_KME_BUF_INDEX_1_regr_kme_15_index(data)                     (0x000F0000&((data)<<16))
#define  KME_DM_TOP2_KME_BUF_INDEX_1_regr_mv_01_index(data)                      (0x0000F000&((data)<<12))
#define  KME_DM_TOP2_KME_BUF_INDEX_1_regr_mv_02_index(data)                      (0x00000F00&((data)<<8))
#define  KME_DM_TOP2_KME_BUF_INDEX_1_regr_mv_03_index(data)                      (0x000000F0&((data)<<4))
#define  KME_DM_TOP2_KME_BUF_INDEX_1_regr_mv_04_index(data)                      (0x0000000F&(data))
#define  KME_DM_TOP2_KME_BUF_INDEX_1_get_regr_kme_12_index(data)                 ((0xF0000000&(data))>>28)
#define  KME_DM_TOP2_KME_BUF_INDEX_1_get_regr_kme_13_index(data)                 ((0x0F000000&(data))>>24)
#define  KME_DM_TOP2_KME_BUF_INDEX_1_get_regr_kme_14_index(data)                 ((0x00F00000&(data))>>20)
#define  KME_DM_TOP2_KME_BUF_INDEX_1_get_regr_kme_15_index(data)                 ((0x000F0000&(data))>>16)
#define  KME_DM_TOP2_KME_BUF_INDEX_1_get_regr_mv_01_index(data)                  ((0x0000F000&(data))>>12)
#define  KME_DM_TOP2_KME_BUF_INDEX_1_get_regr_mv_02_index(data)                  ((0x00000F00&(data))>>8)
#define  KME_DM_TOP2_KME_BUF_INDEX_1_get_regr_mv_03_index(data)                  ((0x000000F0&(data))>>4)
#define  KME_DM_TOP2_KME_BUF_INDEX_1_get_regr_mv_04_index(data)                  (0x0000000F&(data))

#define  KME_DM_TOP2_KME_BUF_INDEX_2                                            0x1809C2F0
#define  KME_DM_TOP2_KME_BUF_INDEX_2_reg_addr                                    "0xB809C2F0"
#define  KME_DM_TOP2_KME_BUF_INDEX_2_reg                                         0xB809C2F0
#define  KME_DM_TOP2_KME_BUF_INDEX_2_inst_addr                                   "0x0033"
#define  set_KME_DM_TOP2_KME_BUF_INDEX_2_reg(data)                               (*((volatile unsigned int*)KME_DM_TOP2_KME_BUF_INDEX_2_reg)=data)
#define  get_KME_DM_TOP2_KME_BUF_INDEX_2_reg                                     (*((volatile unsigned int*)KME_DM_TOP2_KME_BUF_INDEX_2_reg))
#define  KME_DM_TOP2_KME_BUF_INDEX_2_regr_mv_05_index_shift                      (28)
#define  KME_DM_TOP2_KME_BUF_INDEX_2_regr_mv_06_index_shift                      (24)
#define  KME_DM_TOP2_KME_BUF_INDEX_2_regr_mv_07_index_shift                      (20)
#define  KME_DM_TOP2_KME_BUF_INDEX_2_regr_mv_08_index_shift                      (16)
#define  KME_DM_TOP2_KME_BUF_INDEX_2_regr_mv_09_index_shift                      (12)
#define  KME_DM_TOP2_KME_BUF_INDEX_2_regr_mv_10_index_shift                      (8)
#define  KME_DM_TOP2_KME_BUF_INDEX_2_regr_mv_11_index_shift                      (4)
#define  KME_DM_TOP2_KME_BUF_INDEX_2_regr_mv_12_index_shift                      (0)
#define  KME_DM_TOP2_KME_BUF_INDEX_2_regr_mv_05_index_mask                       (0xF0000000)
#define  KME_DM_TOP2_KME_BUF_INDEX_2_regr_mv_06_index_mask                       (0x0F000000)
#define  KME_DM_TOP2_KME_BUF_INDEX_2_regr_mv_07_index_mask                       (0x00F00000)
#define  KME_DM_TOP2_KME_BUF_INDEX_2_regr_mv_08_index_mask                       (0x000F0000)
#define  KME_DM_TOP2_KME_BUF_INDEX_2_regr_mv_09_index_mask                       (0x0000F000)
#define  KME_DM_TOP2_KME_BUF_INDEX_2_regr_mv_10_index_mask                       (0x00000F00)
#define  KME_DM_TOP2_KME_BUF_INDEX_2_regr_mv_11_index_mask                       (0x000000F0)
#define  KME_DM_TOP2_KME_BUF_INDEX_2_regr_mv_12_index_mask                       (0x0000000F)
#define  KME_DM_TOP2_KME_BUF_INDEX_2_regr_mv_05_index(data)                      (0xF0000000&((data)<<28))
#define  KME_DM_TOP2_KME_BUF_INDEX_2_regr_mv_06_index(data)                      (0x0F000000&((data)<<24))
#define  KME_DM_TOP2_KME_BUF_INDEX_2_regr_mv_07_index(data)                      (0x00F00000&((data)<<20))
#define  KME_DM_TOP2_KME_BUF_INDEX_2_regr_mv_08_index(data)                      (0x000F0000&((data)<<16))
#define  KME_DM_TOP2_KME_BUF_INDEX_2_regr_mv_09_index(data)                      (0x0000F000&((data)<<12))
#define  KME_DM_TOP2_KME_BUF_INDEX_2_regr_mv_10_index(data)                      (0x00000F00&((data)<<8))
#define  KME_DM_TOP2_KME_BUF_INDEX_2_regr_mv_11_index(data)                      (0x000000F0&((data)<<4))
#define  KME_DM_TOP2_KME_BUF_INDEX_2_regr_mv_12_index(data)                      (0x0000000F&(data))
#define  KME_DM_TOP2_KME_BUF_INDEX_2_get_regr_mv_05_index(data)                  ((0xF0000000&(data))>>28)
#define  KME_DM_TOP2_KME_BUF_INDEX_2_get_regr_mv_06_index(data)                  ((0x0F000000&(data))>>24)
#define  KME_DM_TOP2_KME_BUF_INDEX_2_get_regr_mv_07_index(data)                  ((0x00F00000&(data))>>20)
#define  KME_DM_TOP2_KME_BUF_INDEX_2_get_regr_mv_08_index(data)                  ((0x000F0000&(data))>>16)
#define  KME_DM_TOP2_KME_BUF_INDEX_2_get_regr_mv_09_index(data)                  ((0x0000F000&(data))>>12)
#define  KME_DM_TOP2_KME_BUF_INDEX_2_get_regr_mv_10_index(data)                  ((0x00000F00&(data))>>8)
#define  KME_DM_TOP2_KME_BUF_INDEX_2_get_regr_mv_11_index(data)                  ((0x000000F0&(data))>>4)
#define  KME_DM_TOP2_KME_BUF_INDEX_2_get_regr_mv_12_index(data)                  (0x0000000F&(data))

#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7                                    0x1809C2F4
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_reg_addr                            "0xB809C2F4"
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_reg                                 0xB809C2F4
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_inst_addr                           "0x0034"
#define  set_KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_reg(data)                       (*((volatile unsigned int*)KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_reg)=data)
#define  get_KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_reg                             (*((volatile unsigned int*)KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_reg))
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv09_last_error_shift          (15)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv08_last_error_shift          (14)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv07_last_error_shift          (13)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv06_last_error_shift          (12)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv05_last_error_shift          (11)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv04_last_error_shift          (10)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv03_last_error_shift          (9)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv02_last_error_shift          (8)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv01_last_error_shift          (7)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv11_wait_error_shift          (6)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv10_wait_error_shift          (5)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv09_wait_error_shift          (4)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv08_wait_error_shift          (3)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv07_wait_error_shift          (2)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv06_wait_error_shift          (1)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv03_wait_error_shift          (0)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv09_last_error_mask           (0x00008000)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv08_last_error_mask           (0x00004000)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv07_last_error_mask           (0x00002000)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv06_last_error_mask           (0x00001000)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv05_last_error_mask           (0x00000800)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv04_last_error_mask           (0x00000400)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv03_last_error_mask           (0x00000200)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv02_last_error_mask           (0x00000100)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv01_last_error_mask           (0x00000080)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv11_wait_error_mask           (0x00000040)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv10_wait_error_mask           (0x00000020)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv09_wait_error_mask           (0x00000010)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv08_wait_error_mask           (0x00000008)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv07_wait_error_mask           (0x00000004)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv06_wait_error_mask           (0x00000002)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv03_wait_error_mask           (0x00000001)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv09_last_error(data)          (0x00008000&((data)<<15))
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv08_last_error(data)          (0x00004000&((data)<<14))
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv07_last_error(data)          (0x00002000&((data)<<13))
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv06_last_error(data)          (0x00001000&((data)<<12))
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv05_last_error(data)          (0x00000800&((data)<<11))
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv04_last_error(data)          (0x00000400&((data)<<10))
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv03_last_error(data)          (0x00000200&((data)<<9))
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv02_last_error(data)          (0x00000100&((data)<<8))
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv01_last_error(data)          (0x00000080&((data)<<7))
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv11_wait_error(data)          (0x00000040&((data)<<6))
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv10_wait_error(data)          (0x00000020&((data)<<5))
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv09_wait_error(data)          (0x00000010&((data)<<4))
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv08_wait_error(data)          (0x00000008&((data)<<3))
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv07_wait_error(data)          (0x00000004&((data)<<2))
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv06_wait_error(data)          (0x00000002&((data)<<1))
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_regr_mv03_wait_error(data)          (0x00000001&(data))
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_get_regr_mv09_last_error(data)      ((0x00008000&(data))>>15)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_get_regr_mv08_last_error(data)      ((0x00004000&(data))>>14)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_get_regr_mv07_last_error(data)      ((0x00002000&(data))>>13)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_get_regr_mv06_last_error(data)      ((0x00001000&(data))>>12)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_get_regr_mv05_last_error(data)      ((0x00000800&(data))>>11)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_get_regr_mv04_last_error(data)      ((0x00000400&(data))>>10)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_get_regr_mv03_last_error(data)      ((0x00000200&(data))>>9)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_get_regr_mv02_last_error(data)      ((0x00000100&(data))>>8)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_get_regr_mv01_last_error(data)      ((0x00000080&(data))>>7)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_get_regr_mv11_wait_error(data)      ((0x00000040&(data))>>6)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_get_regr_mv10_wait_error(data)      ((0x00000020&(data))>>5)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_get_regr_mv09_wait_error(data)      ((0x00000010&(data))>>4)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_get_regr_mv08_wait_error(data)      ((0x00000008&(data))>>3)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_get_regr_mv07_wait_error(data)      ((0x00000004&(data))>>2)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_get_regr_mv06_wait_error(data)      ((0x00000002&(data))>>1)
#define  KME_DM_TOP2_NOUSEMV_12_END_ADDRESS7_get_regr_mv03_wait_error(data)      (0x00000001&(data))

#define  KME_DM_TOP2_MV_DM_ERROR_FLAG                                           0x1809C2F8
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_reg_addr                                   "0xB809C2F8"
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_reg                                        0xB809C2F8
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_inst_addr                                  "0x0035"
#define  set_KME_DM_TOP2_MV_DM_ERROR_FLAG_reg(data)                              (*((volatile unsigned int*)KME_DM_TOP2_MV_DM_ERROR_FLAG_reg)=data)
#define  get_KME_DM_TOP2_MV_DM_ERROR_FLAG_reg                                    (*((volatile unsigned int*)KME_DM_TOP2_MV_DM_ERROR_FLAG_reg))
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_regr_mv12_wait_error_shift                 (23)
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_regr_mv05_overflow_error_shift             (22)
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_regr_mv04_overflow_error_shift             (21)
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_regr_mv02_overflow_error_shift             (20)
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_regr_mv01_overflow_error_shift             (19)
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_regr_mv12_last_error_shift                 (18)
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_regr_mv11_last_error_shift                 (17)
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_regr_mv10_last_error_shift                 (16)
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_regr_mv12_wait_error_mask                  (0x00800000)
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_regr_mv05_overflow_error_mask              (0x00400000)
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_regr_mv04_overflow_error_mask              (0x00200000)
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_regr_mv02_overflow_error_mask              (0x00100000)
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_regr_mv01_overflow_error_mask              (0x00080000)
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_regr_mv12_last_error_mask                  (0x00040000)
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_regr_mv11_last_error_mask                  (0x00020000)
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_regr_mv10_last_error_mask                  (0x00010000)
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_regr_mv12_wait_error(data)                 (0x00800000&((data)<<23))
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_regr_mv05_overflow_error(data)             (0x00400000&((data)<<22))
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_regr_mv04_overflow_error(data)             (0x00200000&((data)<<21))
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_regr_mv02_overflow_error(data)             (0x00100000&((data)<<20))
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_regr_mv01_overflow_error(data)             (0x00080000&((data)<<19))
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_regr_mv12_last_error(data)                 (0x00040000&((data)<<18))
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_regr_mv11_last_error(data)                 (0x00020000&((data)<<17))
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_regr_mv10_last_error(data)                 (0x00010000&((data)<<16))
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_get_regr_mv12_wait_error(data)             ((0x00800000&(data))>>23)
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_get_regr_mv05_overflow_error(data)         ((0x00400000&(data))>>22)
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_get_regr_mv04_overflow_error(data)         ((0x00200000&(data))>>21)
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_get_regr_mv02_overflow_error(data)         ((0x00100000&(data))>>20)
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_get_regr_mv01_overflow_error(data)         ((0x00080000&(data))>>19)
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_get_regr_mv12_last_error(data)             ((0x00040000&(data))>>18)
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_get_regr_mv11_last_error(data)             ((0x00020000&(data))>>17)
#define  KME_DM_TOP2_MV_DM_ERROR_FLAG_get_regr_mv10_last_error(data)             ((0x00010000&(data))>>16)

#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======KME_DM_TOP2 register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv01_start_address0:32;
    };
}kme_dm_top2_mv01_start_address0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv01_end_address0:32;
    };
}kme_dm_top2_mv01_end_address0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv01_line_offset_addr:32;
    };
}kme_dm_top2_mv_01_line_offset_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv01_lr_offset_addr:32;
    };
}kme_dm_top2_mv01_lr_offset_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  mv01_hnum:8;
        RBus_UInt32  mv01_mode:1;
        RBus_UInt32  mv01_write_enable:1;
        RBus_UInt32  mv01_cmdlen:4;
        RBus_UInt32  mv01_qos:8;
        RBus_UInt32  mv01_alen:8;
    };
}kme_dm_top2_mv01_agent_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv02_start_address0:32;
    };
}kme_dm_top2_mv02_start_address11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv02_end_address0:32;
    };
}kme_dm_top2_mv02_end_address0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv02_line_offset_addr:32;
    };
}kme_dm_top2_mv_02_line_offset_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv02_lr_offset_addr:32;
    };
}kme_dm_top2_mv02_lr_offset_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  mv02_hnum:8;
        RBus_UInt32  mv02_mode:1;
        RBus_UInt32  mv02_write_enable:1;
        RBus_UInt32  mv02_cmdlen:4;
        RBus_UInt32  mv02_qos:8;
        RBus_UInt32  mv02_alen:8;
    };
}kme_dm_top2_mv02_agent_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:11;
        RBus_UInt32  mv03_read_enable:1;
        RBus_UInt32  mv03_cmdlen:4;
        RBus_UInt32  mv03_qos:8;
        RBus_UInt32  mv03_alen:8;
    };
}kme_dm_top2_mv03_agent_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv04_start_address0:32;
    };
}kme_dm_top2_mv04_start_address0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv04_start_address1:32;
    };
}kme_dm_top2_mv04_start_address1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv04_end_address0:32;
    };
}kme_dm_top2_mv04_end_address0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv04_end_address1:32;
    };
}kme_dm_top2_mv04_end_address1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv04_line_offset_addr:32;
    };
}kme_dm_top2_mv_04_line_offset_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv04_lr_offset_addr:32;
    };
}kme_dm_top2_mv04_lr_offset_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  mv04_hnum:8;
        RBus_UInt32  mv04_mode:1;
        RBus_UInt32  mv04_write_enable:1;
        RBus_UInt32  mv04_cmdlen:4;
        RBus_UInt32  mv04_qos:8;
        RBus_UInt32  mv04_alen:8;
    };
}kme_dm_top2_mv04_agent_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv05_start_address0:32;
    };
}kme_dm_top2_mv05_start_address0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv05_start_address1:32;
    };
}kme_dm_top2_mv05_start_address1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv05_end_address0:32;
    };
}kme_dm_top2_mv05_end_address0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv05_end_address1:32;
    };
}kme_dm_top2_mv05_end_address1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv05_line_offset_addr:32;
    };
}kme_dm_top2_mv_05_line_offset_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv05_lr_offset_addr:32;
    };
}kme_dm_top2_mv05_lr_offset_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  mv05_hnum:8;
        RBus_UInt32  mv05_mode:1;
        RBus_UInt32  mv05_write_enable:1;
        RBus_UInt32  mv05_cmdlen:4;
        RBus_UInt32  mv05_qos:8;
        RBus_UInt32  mv05_alen:8;
    };
}kme_dm_top2_mv05_agent_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:11;
        RBus_UInt32  mv06_read_enable:1;
        RBus_UInt32  mv06_cmdlen:4;
        RBus_UInt32  mv06_qos:8;
        RBus_UInt32  mv06_alen:8;
    };
}kme_dm_top2_mv06_agent_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:11;
        RBus_UInt32  mv07_read_enable:1;
        RBus_UInt32  mv07_cmdlen:4;
        RBus_UInt32  mv07_qos:8;
        RBus_UInt32  mv07_alen:8;
    };
}kme_dm_top2_mv07_agent_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:11;
        RBus_UInt32  mv08_read_enable:1;
        RBus_UInt32  mv08_cmdlen:4;
        RBus_UInt32  mv08_qos:8;
        RBus_UInt32  mv08_alen:8;
    };
}kme_dm_top2_mv08_agent_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:11;
        RBus_UInt32  mv09_read_enable:1;
        RBus_UInt32  mv09_cmdlen:4;
        RBus_UInt32  mv09_qos:8;
        RBus_UInt32  mv09_alen:8;
    };
}kme_dm_top2_mv09_agent_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:11;
        RBus_UInt32  mv10_read_enable:1;
        RBus_UInt32  mv10_cmdlen:4;
        RBus_UInt32  mv10_qos:8;
        RBus_UInt32  mv10_alen:8;
    };
}kme_dm_top2_mv10_agent_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:11;
        RBus_UInt32  mv11_read_enable:1;
        RBus_UInt32  mv11_cmdlen:4;
        RBus_UInt32  mv11_qos:8;
        RBus_UInt32  mv11_alen:8;
    };
}kme_dm_top2_mv11_agent_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:11;
        RBus_UInt32  mv12_read_enable:1;
        RBus_UInt32  mv12_cmdlen:4;
        RBus_UInt32  mv12_qos:8;
        RBus_UInt32  mv12_alen:8;
    };
}kme_dm_top2_mv12_agent_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  kme_00_start_address6:32;
    };
}kme_dm_top2_kme_00_start_address6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  kme_00_start_address7:32;
    };
}kme_dm_top2_kme_00_start_address7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  kme_00_end_address6:32;
    };
}kme_dm_top2_kme_00_end_address6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  kme_00_end_address7:32;
    };
}kme_dm_top2_kme_00_end_address7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_kme_me_pqc_arbit_fifo_empty:1;
        RBus_UInt32  regr_kme_me_pqc_arbit_fifo_full:1;
        RBus_UInt32  regr_kme_me_pqc_overlap_iplogo_prior:1;
        RBus_UInt32  regr_kme_me_pqc_overlap_ipme_prior:1;
        RBus_UInt32  res2:13;
        RBus_UInt32  regr_kme_me_pqc_overlap_err_ro:1;
        RBus_UInt32  regr_kme_me_pqdc_iplogo_fifo_udflw_ro:1;
        RBus_UInt32  regr_kme_me_pqdc_ipme_fifo_udflw_ro:1;
    };
}kme_dm_top2_kme_me_shr_st_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  iplogo_wait_frame:4;
        RBus_UInt32  me2_p_wait_frame:4;
        RBus_UInt32  me2_i_wait_frame:4;
        RBus_UInt32  me1_p_wait_frame:4;
        RBus_UInt32  me1_i_wait_frame:4;
        RBus_UInt32  ipme_wait_frame:4;
    };
}kme_dm_top2_kme_me_pqdc_wait_frame_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}kme_dm_top2_unused7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}kme_dm_top2_unused8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}kme_dm_top2_unused9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}kme_dm_top2_unused10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}kme_dm_top2_unused11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}kme_dm_top2_unused12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}kme_dm_top2_unused13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}kme_dm_top2_unused14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  mv12_output_3d_mode:2;
        RBus_UInt32  mv11_output_3d_mode:2;
        RBus_UInt32  mv10_output_3d_mode:2;
        RBus_UInt32  mv09_output_3d_mode:2;
        RBus_UInt32  mv08_output_3d_mode:2;
        RBus_UInt32  mv07_output_3d_mode:2;
        RBus_UInt32  mv06_output_3d_mode:2;
        RBus_UInt32  mv03_output_3d_mode:2;
        RBus_UInt32  mv_output_3d_enable:1;
        RBus_UInt32  mv_input_3d_enable:1;
    };
}kme_dm_top2_mv_source_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  mv01_vactive:12;
        RBus_UInt32  mv01_hactive:12;
    };
}kme_dm_top2_mv01_resolution_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  mv02_vactive:12;
        RBus_UInt32  mv02_hactive:12;
    };
}kme_dm_top2_mv02_resolution_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  mv04_vactive:12;
        RBus_UInt32  mv04_hactive:12;
    };
}kme_dm_top2_mv04_resolution_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  mv05_vactive:12;
        RBus_UInt32  mv05_hactive:12;
    };
}kme_dm_top2_mv05_resolution_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}kme_dm_top2_mv06_resolution_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  mv12_r_time_enable:1;
        RBus_UInt32  mv11_r_time_enable:1;
        RBus_UInt32  mv10_r_time_enable:1;
        RBus_UInt32  mv09_r_time_enable:1;
        RBus_UInt32  mv08_r_time_enable:1;
        RBus_UInt32  mv07_r_time_enable:1;
        RBus_UInt32  mv06_r_time_enable:1;
        RBus_UInt32  mv05_w_time_enable:1;
        RBus_UInt32  mv04_w_time_enable:1;
        RBus_UInt32  mv03_r_time_enable:1;
        RBus_UInt32  mv02_w_time_enable:1;
        RBus_UInt32  mv01_w_time_enable:1;
    };
}kme_dm_top2_mv_time_enable_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv04_hold_time:8;
        RBus_UInt32  mv03_hold_time:8;
        RBus_UInt32  mv02_hold_time:8;
        RBus_UInt32  mv01_hold_time:8;
    };
}kme_dm_top2_mv_hold_time0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv08_hold_time:8;
        RBus_UInt32  mv07_hold_time:8;
        RBus_UInt32  mv06_hold_time:8;
        RBus_UInt32  mv05_hold_time:8;
    };
}kme_dm_top2_mv_hold_time1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv12_hold_time:8;
        RBus_UInt32  mv11_hold_time:8;
        RBus_UInt32  mv10_hold_time:8;
        RBus_UInt32  mv09_hold_time:8;
    };
}kme_dm_top2_mv_hold_time2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv08_wait_time:8;
        RBus_UInt32  mv07_wait_time:8;
        RBus_UInt32  mv06_wait_time:8;
        RBus_UInt32  mv03_wait_time:8;
    };
}kme_dm_top2_mv_wait_time0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv12_wait_time:8;
        RBus_UInt32  mv11_wait_time:8;
        RBus_UInt32  mv10_wait_time:8;
        RBus_UInt32  mv09_wait_time:8;
    };
}kme_dm_top2_mv_wait_time1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_kme_00_index:4;
        RBus_UInt32  regr_kme_01_index:4;
        RBus_UInt32  regr_kme_02_index:4;
        RBus_UInt32  regr_kme_03_index:4;
        RBus_UInt32  regr_kme_08_index:4;
        RBus_UInt32  regr_kme_09_index:4;
        RBus_UInt32  regr_kme_10_index:4;
        RBus_UInt32  regr_kme_11_index:4;
    };
}kme_dm_top2_kme_buf_index_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_kme_12_index:4;
        RBus_UInt32  regr_kme_13_index:4;
        RBus_UInt32  regr_kme_14_index:4;
        RBus_UInt32  regr_kme_15_index:4;
        RBus_UInt32  regr_mv_01_index:4;
        RBus_UInt32  regr_mv_02_index:4;
        RBus_UInt32  regr_mv_03_index:4;
        RBus_UInt32  regr_mv_04_index:4;
    };
}kme_dm_top2_kme_buf_index_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_mv_05_index:4;
        RBus_UInt32  regr_mv_06_index:4;
        RBus_UInt32  regr_mv_07_index:4;
        RBus_UInt32  regr_mv_08_index:4;
        RBus_UInt32  regr_mv_09_index:4;
        RBus_UInt32  regr_mv_10_index:4;
        RBus_UInt32  regr_mv_11_index:4;
        RBus_UInt32  regr_mv_12_index:4;
    };
}kme_dm_top2_kme_buf_index_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  regr_mv09_last_error:1;
        RBus_UInt32  regr_mv08_last_error:1;
        RBus_UInt32  regr_mv07_last_error:1;
        RBus_UInt32  regr_mv06_last_error:1;
        RBus_UInt32  regr_mv05_last_error:1;
        RBus_UInt32  regr_mv04_last_error:1;
        RBus_UInt32  regr_mv03_last_error:1;
        RBus_UInt32  regr_mv02_last_error:1;
        RBus_UInt32  regr_mv01_last_error:1;
        RBus_UInt32  regr_mv11_wait_error:1;
        RBus_UInt32  regr_mv10_wait_error:1;
        RBus_UInt32  regr_mv09_wait_error:1;
        RBus_UInt32  regr_mv08_wait_error:1;
        RBus_UInt32  regr_mv07_wait_error:1;
        RBus_UInt32  regr_mv06_wait_error:1;
        RBus_UInt32  regr_mv03_wait_error:1;
    };
}kme_dm_top2_nousemv_12_end_address7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  regr_mv12_wait_error:1;
        RBus_UInt32  regr_mv05_overflow_error:1;
        RBus_UInt32  regr_mv04_overflow_error:1;
        RBus_UInt32  regr_mv02_overflow_error:1;
        RBus_UInt32  regr_mv01_overflow_error:1;
        RBus_UInt32  regr_mv12_last_error:1;
        RBus_UInt32  regr_mv11_last_error:1;
        RBus_UInt32  regr_mv10_last_error:1;
        RBus_UInt32  res2:16;
    };
}kme_dm_top2_mv_dm_error_flag_RBUS;

#else //apply LITTLE_ENDIAN

//======KME_DM_TOP2 register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv01_start_address0:32;
    };
}kme_dm_top2_mv01_start_address0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv01_end_address0:32;
    };
}kme_dm_top2_mv01_end_address0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv01_line_offset_addr:32;
    };
}kme_dm_top2_mv_01_line_offset_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv01_lr_offset_addr:32;
    };
}kme_dm_top2_mv01_lr_offset_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv01_alen:8;
        RBus_UInt32  mv01_qos:8;
        RBus_UInt32  mv01_cmdlen:4;
        RBus_UInt32  mv01_write_enable:1;
        RBus_UInt32  mv01_mode:1;
        RBus_UInt32  mv01_hnum:8;
        RBus_UInt32  res1:2;
    };
}kme_dm_top2_mv01_agent_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv02_start_address0:32;
    };
}kme_dm_top2_mv02_start_address11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv02_end_address0:32;
    };
}kme_dm_top2_mv02_end_address0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv02_line_offset_addr:32;
    };
}kme_dm_top2_mv_02_line_offset_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv02_lr_offset_addr:32;
    };
}kme_dm_top2_mv02_lr_offset_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv02_alen:8;
        RBus_UInt32  mv02_qos:8;
        RBus_UInt32  mv02_cmdlen:4;
        RBus_UInt32  mv02_write_enable:1;
        RBus_UInt32  mv02_mode:1;
        RBus_UInt32  mv02_hnum:8;
        RBus_UInt32  res1:2;
    };
}kme_dm_top2_mv02_agent_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv03_alen:8;
        RBus_UInt32  mv03_qos:8;
        RBus_UInt32  mv03_cmdlen:4;
        RBus_UInt32  mv03_read_enable:1;
        RBus_UInt32  res1:11;
    };
}kme_dm_top2_mv03_agent_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv04_start_address0:32;
    };
}kme_dm_top2_mv04_start_address0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv04_start_address1:32;
    };
}kme_dm_top2_mv04_start_address1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv04_end_address0:32;
    };
}kme_dm_top2_mv04_end_address0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv04_end_address1:32;
    };
}kme_dm_top2_mv04_end_address1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv04_line_offset_addr:32;
    };
}kme_dm_top2_mv_04_line_offset_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv04_lr_offset_addr:32;
    };
}kme_dm_top2_mv04_lr_offset_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv04_alen:8;
        RBus_UInt32  mv04_qos:8;
        RBus_UInt32  mv04_cmdlen:4;
        RBus_UInt32  mv04_write_enable:1;
        RBus_UInt32  mv04_mode:1;
        RBus_UInt32  mv04_hnum:8;
        RBus_UInt32  res1:2;
    };
}kme_dm_top2_mv04_agent_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv05_start_address0:32;
    };
}kme_dm_top2_mv05_start_address0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv05_start_address1:32;
    };
}kme_dm_top2_mv05_start_address1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv05_end_address0:32;
    };
}kme_dm_top2_mv05_end_address0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv05_end_address1:32;
    };
}kme_dm_top2_mv05_end_address1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv05_line_offset_addr:32;
    };
}kme_dm_top2_mv_05_line_offset_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv05_lr_offset_addr:32;
    };
}kme_dm_top2_mv05_lr_offset_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv05_alen:8;
        RBus_UInt32  mv05_qos:8;
        RBus_UInt32  mv05_cmdlen:4;
        RBus_UInt32  mv05_write_enable:1;
        RBus_UInt32  mv05_mode:1;
        RBus_UInt32  mv05_hnum:8;
        RBus_UInt32  res1:2;
    };
}kme_dm_top2_mv05_agent_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv06_alen:8;
        RBus_UInt32  mv06_qos:8;
        RBus_UInt32  mv06_cmdlen:4;
        RBus_UInt32  mv06_read_enable:1;
        RBus_UInt32  res1:11;
    };
}kme_dm_top2_mv06_agent_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv07_alen:8;
        RBus_UInt32  mv07_qos:8;
        RBus_UInt32  mv07_cmdlen:4;
        RBus_UInt32  mv07_read_enable:1;
        RBus_UInt32  res1:11;
    };
}kme_dm_top2_mv07_agent_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv08_alen:8;
        RBus_UInt32  mv08_qos:8;
        RBus_UInt32  mv08_cmdlen:4;
        RBus_UInt32  mv08_read_enable:1;
        RBus_UInt32  res1:11;
    };
}kme_dm_top2_mv08_agent_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv09_alen:8;
        RBus_UInt32  mv09_qos:8;
        RBus_UInt32  mv09_cmdlen:4;
        RBus_UInt32  mv09_read_enable:1;
        RBus_UInt32  res1:11;
    };
}kme_dm_top2_mv09_agent_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv10_alen:8;
        RBus_UInt32  mv10_qos:8;
        RBus_UInt32  mv10_cmdlen:4;
        RBus_UInt32  mv10_read_enable:1;
        RBus_UInt32  res1:11;
    };
}kme_dm_top2_mv10_agent_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv11_alen:8;
        RBus_UInt32  mv11_qos:8;
        RBus_UInt32  mv11_cmdlen:4;
        RBus_UInt32  mv11_read_enable:1;
        RBus_UInt32  res1:11;
    };
}kme_dm_top2_mv11_agent_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv12_alen:8;
        RBus_UInt32  mv12_qos:8;
        RBus_UInt32  mv12_cmdlen:4;
        RBus_UInt32  mv12_read_enable:1;
        RBus_UInt32  res1:11;
    };
}kme_dm_top2_mv12_agent_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  kme_00_start_address6:32;
    };
}kme_dm_top2_kme_00_start_address6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  kme_00_start_address7:32;
    };
}kme_dm_top2_kme_00_start_address7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  kme_00_end_address6:32;
    };
}kme_dm_top2_kme_00_end_address6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  kme_00_end_address7:32;
    };
}kme_dm_top2_kme_00_end_address7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_kme_me_pqdc_ipme_fifo_udflw_ro:1;
        RBus_UInt32  regr_kme_me_pqdc_iplogo_fifo_udflw_ro:1;
        RBus_UInt32  regr_kme_me_pqc_overlap_err_ro:1;
        RBus_UInt32  res1:13;
        RBus_UInt32  regr_kme_me_pqc_overlap_ipme_prior:1;
        RBus_UInt32  regr_kme_me_pqc_overlap_iplogo_prior:1;
        RBus_UInt32  regr_kme_me_pqc_arbit_fifo_full:1;
        RBus_UInt32  regr_kme_me_pqc_arbit_fifo_empty:1;
        RBus_UInt32  res2:12;
    };
}kme_dm_top2_kme_me_shr_st_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ipme_wait_frame:4;
        RBus_UInt32  me1_i_wait_frame:4;
        RBus_UInt32  me1_p_wait_frame:4;
        RBus_UInt32  me2_i_wait_frame:4;
        RBus_UInt32  me2_p_wait_frame:4;
        RBus_UInt32  iplogo_wait_frame:4;
        RBus_UInt32  res1:8;
    };
}kme_dm_top2_kme_me_pqdc_wait_frame_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}kme_dm_top2_unused7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}kme_dm_top2_unused8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}kme_dm_top2_unused9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}kme_dm_top2_unused10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}kme_dm_top2_unused11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}kme_dm_top2_unused12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}kme_dm_top2_unused13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}kme_dm_top2_unused14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv_input_3d_enable:1;
        RBus_UInt32  mv_output_3d_enable:1;
        RBus_UInt32  mv03_output_3d_mode:2;
        RBus_UInt32  mv06_output_3d_mode:2;
        RBus_UInt32  mv07_output_3d_mode:2;
        RBus_UInt32  mv08_output_3d_mode:2;
        RBus_UInt32  mv09_output_3d_mode:2;
        RBus_UInt32  mv10_output_3d_mode:2;
        RBus_UInt32  mv11_output_3d_mode:2;
        RBus_UInt32  mv12_output_3d_mode:2;
        RBus_UInt32  res1:14;
    };
}kme_dm_top2_mv_source_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv01_hactive:12;
        RBus_UInt32  mv01_vactive:12;
        RBus_UInt32  res1:8;
    };
}kme_dm_top2_mv01_resolution_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv02_hactive:12;
        RBus_UInt32  mv02_vactive:12;
        RBus_UInt32  res1:8;
    };
}kme_dm_top2_mv02_resolution_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv04_hactive:12;
        RBus_UInt32  mv04_vactive:12;
        RBus_UInt32  res1:8;
    };
}kme_dm_top2_mv04_resolution_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv05_hactive:12;
        RBus_UInt32  mv05_vactive:12;
        RBus_UInt32  res1:8;
    };
}kme_dm_top2_mv05_resolution_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}kme_dm_top2_mv06_resolution_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv01_w_time_enable:1;
        RBus_UInt32  mv02_w_time_enable:1;
        RBus_UInt32  mv03_r_time_enable:1;
        RBus_UInt32  mv04_w_time_enable:1;
        RBus_UInt32  mv05_w_time_enable:1;
        RBus_UInt32  mv06_r_time_enable:1;
        RBus_UInt32  mv07_r_time_enable:1;
        RBus_UInt32  mv08_r_time_enable:1;
        RBus_UInt32  mv09_r_time_enable:1;
        RBus_UInt32  mv10_r_time_enable:1;
        RBus_UInt32  mv11_r_time_enable:1;
        RBus_UInt32  mv12_r_time_enable:1;
        RBus_UInt32  res1:20;
    };
}kme_dm_top2_mv_time_enable_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv01_hold_time:8;
        RBus_UInt32  mv02_hold_time:8;
        RBus_UInt32  mv03_hold_time:8;
        RBus_UInt32  mv04_hold_time:8;
    };
}kme_dm_top2_mv_hold_time0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv05_hold_time:8;
        RBus_UInt32  mv06_hold_time:8;
        RBus_UInt32  mv07_hold_time:8;
        RBus_UInt32  mv08_hold_time:8;
    };
}kme_dm_top2_mv_hold_time1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv09_hold_time:8;
        RBus_UInt32  mv10_hold_time:8;
        RBus_UInt32  mv11_hold_time:8;
        RBus_UInt32  mv12_hold_time:8;
    };
}kme_dm_top2_mv_hold_time2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv03_wait_time:8;
        RBus_UInt32  mv06_wait_time:8;
        RBus_UInt32  mv07_wait_time:8;
        RBus_UInt32  mv08_wait_time:8;
    };
}kme_dm_top2_mv_wait_time0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv09_wait_time:8;
        RBus_UInt32  mv10_wait_time:8;
        RBus_UInt32  mv11_wait_time:8;
        RBus_UInt32  mv12_wait_time:8;
    };
}kme_dm_top2_mv_wait_time1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_kme_11_index:4;
        RBus_UInt32  regr_kme_10_index:4;
        RBus_UInt32  regr_kme_09_index:4;
        RBus_UInt32  regr_kme_08_index:4;
        RBus_UInt32  regr_kme_03_index:4;
        RBus_UInt32  regr_kme_02_index:4;
        RBus_UInt32  regr_kme_01_index:4;
        RBus_UInt32  regr_kme_00_index:4;
    };
}kme_dm_top2_kme_buf_index_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_mv_04_index:4;
        RBus_UInt32  regr_mv_03_index:4;
        RBus_UInt32  regr_mv_02_index:4;
        RBus_UInt32  regr_mv_01_index:4;
        RBus_UInt32  regr_kme_15_index:4;
        RBus_UInt32  regr_kme_14_index:4;
        RBus_UInt32  regr_kme_13_index:4;
        RBus_UInt32  regr_kme_12_index:4;
    };
}kme_dm_top2_kme_buf_index_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_mv_12_index:4;
        RBus_UInt32  regr_mv_11_index:4;
        RBus_UInt32  regr_mv_10_index:4;
        RBus_UInt32  regr_mv_09_index:4;
        RBus_UInt32  regr_mv_08_index:4;
        RBus_UInt32  regr_mv_07_index:4;
        RBus_UInt32  regr_mv_06_index:4;
        RBus_UInt32  regr_mv_05_index:4;
    };
}kme_dm_top2_kme_buf_index_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_mv03_wait_error:1;
        RBus_UInt32  regr_mv06_wait_error:1;
        RBus_UInt32  regr_mv07_wait_error:1;
        RBus_UInt32  regr_mv08_wait_error:1;
        RBus_UInt32  regr_mv09_wait_error:1;
        RBus_UInt32  regr_mv10_wait_error:1;
        RBus_UInt32  regr_mv11_wait_error:1;
        RBus_UInt32  regr_mv01_last_error:1;
        RBus_UInt32  regr_mv02_last_error:1;
        RBus_UInt32  regr_mv03_last_error:1;
        RBus_UInt32  regr_mv04_last_error:1;
        RBus_UInt32  regr_mv05_last_error:1;
        RBus_UInt32  regr_mv06_last_error:1;
        RBus_UInt32  regr_mv07_last_error:1;
        RBus_UInt32  regr_mv08_last_error:1;
        RBus_UInt32  regr_mv09_last_error:1;
        RBus_UInt32  res1:16;
    };
}kme_dm_top2_nousemv_12_end_address7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  regr_mv10_last_error:1;
        RBus_UInt32  regr_mv11_last_error:1;
        RBus_UInt32  regr_mv12_last_error:1;
        RBus_UInt32  regr_mv01_overflow_error:1;
        RBus_UInt32  regr_mv02_overflow_error:1;
        RBus_UInt32  regr_mv04_overflow_error:1;
        RBus_UInt32  regr_mv05_overflow_error:1;
        RBus_UInt32  regr_mv12_wait_error:1;
        RBus_UInt32  res2:8;
    };
}kme_dm_top2_mv_dm_error_flag_RBUS;




#endif 


#endif 
