/**
* @file Merlin6_MEMC_KME_ME1_TOP8
* RBus systemc program.
*
* @author RS_MM2_SD
* @email mm_mm2_rd_sw_kernel@realtek.com
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_KME_ME1_TOP8_REG_H_
#define _RBUS_KME_ME1_TOP8_REG_H_

#include "rbus_types.h"



//  KME_ME1_TOP8 Register Address
#define  KME_ME1_TOP8_KME_ME1_TOP8_00                                           0x1809CB00
#define  KME_ME1_TOP8_KME_ME1_TOP8_00_reg_addr                                   "0xB809CB00"
#define  KME_ME1_TOP8_KME_ME1_TOP8_00_reg                                        0xB809CB00
#define  KME_ME1_TOP8_KME_ME1_TOP8_00_inst_addr                                  "0x0000"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_00_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_00_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_00_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_00_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_00_regr_me1_statis_rgn00_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_00_regr_me1_statis_rgn00_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_00_regr_me1_statis_rgn00_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_00_get_regr_me1_statis_rgn00_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_04                                           0x1809CB04
#define  KME_ME1_TOP8_KME_ME1_TOP8_04_reg_addr                                   "0xB809CB04"
#define  KME_ME1_TOP8_KME_ME1_TOP8_04_reg                                        0xB809CB04
#define  KME_ME1_TOP8_KME_ME1_TOP8_04_inst_addr                                  "0x0001"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_04_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_04_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_04_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_04_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_04_regr_me1_statis_rgn01_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_04_regr_me1_statis_rgn01_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_04_regr_me1_statis_rgn01_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_04_get_regr_me1_statis_rgn01_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_08                                           0x1809CB08
#define  KME_ME1_TOP8_KME_ME1_TOP8_08_reg_addr                                   "0xB809CB08"
#define  KME_ME1_TOP8_KME_ME1_TOP8_08_reg                                        0xB809CB08
#define  KME_ME1_TOP8_KME_ME1_TOP8_08_inst_addr                                  "0x0002"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_08_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_08_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_08_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_08_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_08_regr_me1_statis_rgn02_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_08_regr_me1_statis_rgn02_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_08_regr_me1_statis_rgn02_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_08_get_regr_me1_statis_rgn02_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_0C                                           0x1809CB0C
#define  KME_ME1_TOP8_KME_ME1_TOP8_0C_reg_addr                                   "0xB809CB0C"
#define  KME_ME1_TOP8_KME_ME1_TOP8_0C_reg                                        0xB809CB0C
#define  KME_ME1_TOP8_KME_ME1_TOP8_0C_inst_addr                                  "0x0003"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_0C_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_0C_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_0C_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_0C_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_0C_regr_me1_statis_rgn03_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_0C_regr_me1_statis_rgn03_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_0C_regr_me1_statis_rgn03_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_0C_get_regr_me1_statis_rgn03_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_10                                           0x1809CB10
#define  KME_ME1_TOP8_KME_ME1_TOP8_10_reg_addr                                   "0xB809CB10"
#define  KME_ME1_TOP8_KME_ME1_TOP8_10_reg                                        0xB809CB10
#define  KME_ME1_TOP8_KME_ME1_TOP8_10_inst_addr                                  "0x0004"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_10_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_10_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_10_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_10_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_10_regr_me1_statis_rgn04_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_10_regr_me1_statis_rgn04_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_10_regr_me1_statis_rgn04_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_10_get_regr_me1_statis_rgn04_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_14                                           0x1809CB14
#define  KME_ME1_TOP8_KME_ME1_TOP8_14_reg_addr                                   "0xB809CB14"
#define  KME_ME1_TOP8_KME_ME1_TOP8_14_reg                                        0xB809CB14
#define  KME_ME1_TOP8_KME_ME1_TOP8_14_inst_addr                                  "0x0005"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_14_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_14_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_14_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_14_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_14_regr_me1_statis_rgn05_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_14_regr_me1_statis_rgn05_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_14_regr_me1_statis_rgn05_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_14_get_regr_me1_statis_rgn05_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_18                                           0x1809CB18
#define  KME_ME1_TOP8_KME_ME1_TOP8_18_reg_addr                                   "0xB809CB18"
#define  KME_ME1_TOP8_KME_ME1_TOP8_18_reg                                        0xB809CB18
#define  KME_ME1_TOP8_KME_ME1_TOP8_18_inst_addr                                  "0x0006"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_18_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_18_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_18_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_18_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_18_regr_me1_statis_rgn06_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_18_regr_me1_statis_rgn06_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_18_regr_me1_statis_rgn06_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_18_get_regr_me1_statis_rgn06_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_1C                                           0x1809CB1C
#define  KME_ME1_TOP8_KME_ME1_TOP8_1C_reg_addr                                   "0xB809CB1C"
#define  KME_ME1_TOP8_KME_ME1_TOP8_1C_reg                                        0xB809CB1C
#define  KME_ME1_TOP8_KME_ME1_TOP8_1C_inst_addr                                  "0x0007"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_1C_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_1C_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_1C_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_1C_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_1C_regr_me1_statis_rgn07_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_1C_regr_me1_statis_rgn07_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_1C_regr_me1_statis_rgn07_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_1C_get_regr_me1_statis_rgn07_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_20                                           0x1809CB20
#define  KME_ME1_TOP8_KME_ME1_TOP8_20_reg_addr                                   "0xB809CB20"
#define  KME_ME1_TOP8_KME_ME1_TOP8_20_reg                                        0xB809CB20
#define  KME_ME1_TOP8_KME_ME1_TOP8_20_inst_addr                                  "0x0008"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_20_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_20_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_20_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_20_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_20_regr_me1_statis_rgn08_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_20_regr_me1_statis_rgn08_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_20_regr_me1_statis_rgn08_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_20_get_regr_me1_statis_rgn08_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_24                                           0x1809CB24
#define  KME_ME1_TOP8_KME_ME1_TOP8_24_reg_addr                                   "0xB809CB24"
#define  KME_ME1_TOP8_KME_ME1_TOP8_24_reg                                        0xB809CB24
#define  KME_ME1_TOP8_KME_ME1_TOP8_24_inst_addr                                  "0x0009"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_24_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_24_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_24_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_24_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_24_regr_me1_statis_rgn09_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_24_regr_me1_statis_rgn09_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_24_regr_me1_statis_rgn09_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_24_get_regr_me1_statis_rgn09_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_28                                           0x1809CB28
#define  KME_ME1_TOP8_KME_ME1_TOP8_28_reg_addr                                   "0xB809CB28"
#define  KME_ME1_TOP8_KME_ME1_TOP8_28_reg                                        0xB809CB28
#define  KME_ME1_TOP8_KME_ME1_TOP8_28_inst_addr                                  "0x000A"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_28_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_28_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_28_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_28_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_28_regr_me1_statis_rgn10_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_28_regr_me1_statis_rgn10_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_28_regr_me1_statis_rgn10_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_28_get_regr_me1_statis_rgn10_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_2C                                           0x1809CB2C
#define  KME_ME1_TOP8_KME_ME1_TOP8_2C_reg_addr                                   "0xB809CB2C"
#define  KME_ME1_TOP8_KME_ME1_TOP8_2C_reg                                        0xB809CB2C
#define  KME_ME1_TOP8_KME_ME1_TOP8_2C_inst_addr                                  "0x000B"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_2C_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_2C_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_2C_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_2C_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_2C_regr_me1_statis_rgn11_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_2C_regr_me1_statis_rgn11_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_2C_regr_me1_statis_rgn11_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_2C_get_regr_me1_statis_rgn11_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_30                                           0x1809CB30
#define  KME_ME1_TOP8_KME_ME1_TOP8_30_reg_addr                                   "0xB809CB30"
#define  KME_ME1_TOP8_KME_ME1_TOP8_30_reg                                        0xB809CB30
#define  KME_ME1_TOP8_KME_ME1_TOP8_30_inst_addr                                  "0x000C"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_30_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_30_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_30_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_30_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_30_regr_me1_statis_rgn12_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_30_regr_me1_statis_rgn12_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_30_regr_me1_statis_rgn12_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_30_get_regr_me1_statis_rgn12_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_34                                           0x1809CB34
#define  KME_ME1_TOP8_KME_ME1_TOP8_34_reg_addr                                   "0xB809CB34"
#define  KME_ME1_TOP8_KME_ME1_TOP8_34_reg                                        0xB809CB34
#define  KME_ME1_TOP8_KME_ME1_TOP8_34_inst_addr                                  "0x000D"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_34_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_34_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_34_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_34_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_34_regr_me1_statis_rgn13_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_34_regr_me1_statis_rgn13_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_34_regr_me1_statis_rgn13_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_34_get_regr_me1_statis_rgn13_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_38                                           0x1809CB38
#define  KME_ME1_TOP8_KME_ME1_TOP8_38_reg_addr                                   "0xB809CB38"
#define  KME_ME1_TOP8_KME_ME1_TOP8_38_reg                                        0xB809CB38
#define  KME_ME1_TOP8_KME_ME1_TOP8_38_inst_addr                                  "0x000E"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_38_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_38_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_38_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_38_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_38_regr_me1_statis_rgn14_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_38_regr_me1_statis_rgn14_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_38_regr_me1_statis_rgn14_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_38_get_regr_me1_statis_rgn14_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_3C                                           0x1809CB3C
#define  KME_ME1_TOP8_KME_ME1_TOP8_3C_reg_addr                                   "0xB809CB3C"
#define  KME_ME1_TOP8_KME_ME1_TOP8_3C_reg                                        0xB809CB3C
#define  KME_ME1_TOP8_KME_ME1_TOP8_3C_inst_addr                                  "0x000F"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_3C_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_3C_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_3C_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_3C_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_3C_regr_me1_statis_rgn15_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_3C_regr_me1_statis_rgn15_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_3C_regr_me1_statis_rgn15_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_3C_get_regr_me1_statis_rgn15_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_40                                           0x1809CB40
#define  KME_ME1_TOP8_KME_ME1_TOP8_40_reg_addr                                   "0xB809CB40"
#define  KME_ME1_TOP8_KME_ME1_TOP8_40_reg                                        0xB809CB40
#define  KME_ME1_TOP8_KME_ME1_TOP8_40_inst_addr                                  "0x0010"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_40_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_40_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_40_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_40_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_40_regr_me1_statis_rgn16_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_40_regr_me1_statis_rgn16_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_40_regr_me1_statis_rgn16_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_40_get_regr_me1_statis_rgn16_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_44                                           0x1809CB44
#define  KME_ME1_TOP8_KME_ME1_TOP8_44_reg_addr                                   "0xB809CB44"
#define  KME_ME1_TOP8_KME_ME1_TOP8_44_reg                                        0xB809CB44
#define  KME_ME1_TOP8_KME_ME1_TOP8_44_inst_addr                                  "0x0011"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_44_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_44_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_44_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_44_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_44_regr_me1_statis_rgn17_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_44_regr_me1_statis_rgn17_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_44_regr_me1_statis_rgn17_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_44_get_regr_me1_statis_rgn17_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_48                                           0x1809CB48
#define  KME_ME1_TOP8_KME_ME1_TOP8_48_reg_addr                                   "0xB809CB48"
#define  KME_ME1_TOP8_KME_ME1_TOP8_48_reg                                        0xB809CB48
#define  KME_ME1_TOP8_KME_ME1_TOP8_48_inst_addr                                  "0x0012"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_48_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_48_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_48_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_48_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_48_regr_me1_statis_rgn18_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_48_regr_me1_statis_rgn18_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_48_regr_me1_statis_rgn18_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_48_get_regr_me1_statis_rgn18_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_4C                                           0x1809CB4C
#define  KME_ME1_TOP8_KME_ME1_TOP8_4C_reg_addr                                   "0xB809CB4C"
#define  KME_ME1_TOP8_KME_ME1_TOP8_4C_reg                                        0xB809CB4C
#define  KME_ME1_TOP8_KME_ME1_TOP8_4C_inst_addr                                  "0x0013"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_4C_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_4C_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_4C_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_4C_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_4C_regr_me1_statis_rgn19_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_4C_regr_me1_statis_rgn19_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_4C_regr_me1_statis_rgn19_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_4C_get_regr_me1_statis_rgn19_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_50                                           0x1809CB50
#define  KME_ME1_TOP8_KME_ME1_TOP8_50_reg_addr                                   "0xB809CB50"
#define  KME_ME1_TOP8_KME_ME1_TOP8_50_reg                                        0xB809CB50
#define  KME_ME1_TOP8_KME_ME1_TOP8_50_inst_addr                                  "0x0014"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_50_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_50_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_50_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_50_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_50_regr_me1_statis_rgn20_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_50_regr_me1_statis_rgn20_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_50_regr_me1_statis_rgn20_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_50_get_regr_me1_statis_rgn20_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_54                                           0x1809CB54
#define  KME_ME1_TOP8_KME_ME1_TOP8_54_reg_addr                                   "0xB809CB54"
#define  KME_ME1_TOP8_KME_ME1_TOP8_54_reg                                        0xB809CB54
#define  KME_ME1_TOP8_KME_ME1_TOP8_54_inst_addr                                  "0x0015"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_54_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_54_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_54_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_54_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_54_regr_me1_statis_rgn21_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_54_regr_me1_statis_rgn21_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_54_regr_me1_statis_rgn21_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_54_get_regr_me1_statis_rgn21_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_58                                           0x1809CB58
#define  KME_ME1_TOP8_KME_ME1_TOP8_58_reg_addr                                   "0xB809CB58"
#define  KME_ME1_TOP8_KME_ME1_TOP8_58_reg                                        0xB809CB58
#define  KME_ME1_TOP8_KME_ME1_TOP8_58_inst_addr                                  "0x0016"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_58_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_58_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_58_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_58_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_58_regr_me1_statis_rgn22_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_58_regr_me1_statis_rgn22_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_58_regr_me1_statis_rgn22_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_58_get_regr_me1_statis_rgn22_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_5C                                           0x1809CB5C
#define  KME_ME1_TOP8_KME_ME1_TOP8_5C_reg_addr                                   "0xB809CB5C"
#define  KME_ME1_TOP8_KME_ME1_TOP8_5C_reg                                        0xB809CB5C
#define  KME_ME1_TOP8_KME_ME1_TOP8_5C_inst_addr                                  "0x0017"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_5C_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_5C_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_5C_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_5C_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_5C_regr_me1_statis_rgn23_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_5C_regr_me1_statis_rgn23_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_5C_regr_me1_statis_rgn23_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_5C_get_regr_me1_statis_rgn23_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_60                                           0x1809CB60
#define  KME_ME1_TOP8_KME_ME1_TOP8_60_reg_addr                                   "0xB809CB60"
#define  KME_ME1_TOP8_KME_ME1_TOP8_60_reg                                        0xB809CB60
#define  KME_ME1_TOP8_KME_ME1_TOP8_60_inst_addr                                  "0x0018"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_60_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_60_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_60_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_60_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_60_regr_me1_statis_rgn24_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_60_regr_me1_statis_rgn24_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_60_regr_me1_statis_rgn24_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_60_get_regr_me1_statis_rgn24_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_64                                           0x1809CB64
#define  KME_ME1_TOP8_KME_ME1_TOP8_64_reg_addr                                   "0xB809CB64"
#define  KME_ME1_TOP8_KME_ME1_TOP8_64_reg                                        0xB809CB64
#define  KME_ME1_TOP8_KME_ME1_TOP8_64_inst_addr                                  "0x0019"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_64_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_64_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_64_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_64_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_64_regr_me1_statis_rgn25_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_64_regr_me1_statis_rgn25_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_64_regr_me1_statis_rgn25_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_64_get_regr_me1_statis_rgn25_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_68                                           0x1809CB68
#define  KME_ME1_TOP8_KME_ME1_TOP8_68_reg_addr                                   "0xB809CB68"
#define  KME_ME1_TOP8_KME_ME1_TOP8_68_reg                                        0xB809CB68
#define  KME_ME1_TOP8_KME_ME1_TOP8_68_inst_addr                                  "0x001A"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_68_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_68_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_68_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_68_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_68_regr_me1_statis_rgn26_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_68_regr_me1_statis_rgn26_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_68_regr_me1_statis_rgn26_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_68_get_regr_me1_statis_rgn26_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_6C                                           0x1809CB6C
#define  KME_ME1_TOP8_KME_ME1_TOP8_6C_reg_addr                                   "0xB809CB6C"
#define  KME_ME1_TOP8_KME_ME1_TOP8_6C_reg                                        0xB809CB6C
#define  KME_ME1_TOP8_KME_ME1_TOP8_6C_inst_addr                                  "0x001B"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_6C_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_6C_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_6C_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_6C_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_6C_regr_me1_statis_rgn27_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_6C_regr_me1_statis_rgn27_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_6C_regr_me1_statis_rgn27_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_6C_get_regr_me1_statis_rgn27_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_70                                           0x1809CB70
#define  KME_ME1_TOP8_KME_ME1_TOP8_70_reg_addr                                   "0xB809CB70"
#define  KME_ME1_TOP8_KME_ME1_TOP8_70_reg                                        0xB809CB70
#define  KME_ME1_TOP8_KME_ME1_TOP8_70_inst_addr                                  "0x001C"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_70_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_70_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_70_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_70_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_70_regr_me1_statis_rgn28_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_70_regr_me1_statis_rgn28_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_70_regr_me1_statis_rgn28_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_70_get_regr_me1_statis_rgn28_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_74                                           0x1809CB74
#define  KME_ME1_TOP8_KME_ME1_TOP8_74_reg_addr                                   "0xB809CB74"
#define  KME_ME1_TOP8_KME_ME1_TOP8_74_reg                                        0xB809CB74
#define  KME_ME1_TOP8_KME_ME1_TOP8_74_inst_addr                                  "0x001D"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_74_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_74_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_74_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_74_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_74_regr_me1_statis_rgn29_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_74_regr_me1_statis_rgn29_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_74_regr_me1_statis_rgn29_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_74_get_regr_me1_statis_rgn29_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_78                                           0x1809CB78
#define  KME_ME1_TOP8_KME_ME1_TOP8_78_reg_addr                                   "0xB809CB78"
#define  KME_ME1_TOP8_KME_ME1_TOP8_78_reg                                        0xB809CB78
#define  KME_ME1_TOP8_KME_ME1_TOP8_78_inst_addr                                  "0x001E"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_78_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_78_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_78_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_78_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_78_regr_me1_statis_rgn30_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_78_regr_me1_statis_rgn30_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_78_regr_me1_statis_rgn30_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_78_get_regr_me1_statis_rgn30_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_7C                                           0x1809CB7C
#define  KME_ME1_TOP8_KME_ME1_TOP8_7C_reg_addr                                   "0xB809CB7C"
#define  KME_ME1_TOP8_KME_ME1_TOP8_7C_reg                                        0xB809CB7C
#define  KME_ME1_TOP8_KME_ME1_TOP8_7C_inst_addr                                  "0x001F"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_7C_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_7C_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_7C_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_7C_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_7C_regr_me1_statis_rgn31_scss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_7C_regr_me1_statis_rgn31_scss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_7C_regr_me1_statis_rgn31_scss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_7C_get_regr_me1_statis_rgn31_scss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_80                                           0x1809CB80
#define  KME_ME1_TOP8_KME_ME1_TOP8_80_reg_addr                                   "0xB809CB80"
#define  KME_ME1_TOP8_KME_ME1_TOP8_80_reg                                        0xB809CB80
#define  KME_ME1_TOP8_KME_ME1_TOP8_80_inst_addr                                  "0x0020"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_80_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_80_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_80_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_80_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_80_regr_me1_statis_rgn00_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_80_regr_me1_statis_rgn00_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_80_regr_me1_statis_rgn00_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_80_get_regr_me1_statis_rgn00_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_84                                           0x1809CB84
#define  KME_ME1_TOP8_KME_ME1_TOP8_84_reg_addr                                   "0xB809CB84"
#define  KME_ME1_TOP8_KME_ME1_TOP8_84_reg                                        0xB809CB84
#define  KME_ME1_TOP8_KME_ME1_TOP8_84_inst_addr                                  "0x0021"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_84_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_84_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_84_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_84_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_84_regr_me1_statis_rgn01_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_84_regr_me1_statis_rgn01_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_84_regr_me1_statis_rgn01_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_84_get_regr_me1_statis_rgn01_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_88                                           0x1809CB88
#define  KME_ME1_TOP8_KME_ME1_TOP8_88_reg_addr                                   "0xB809CB88"
#define  KME_ME1_TOP8_KME_ME1_TOP8_88_reg                                        0xB809CB88
#define  KME_ME1_TOP8_KME_ME1_TOP8_88_inst_addr                                  "0x0022"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_88_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_88_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_88_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_88_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_88_regr_me1_statis_rgn02_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_88_regr_me1_statis_rgn02_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_88_regr_me1_statis_rgn02_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_88_get_regr_me1_statis_rgn02_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_8C                                           0x1809CB8C
#define  KME_ME1_TOP8_KME_ME1_TOP8_8C_reg_addr                                   "0xB809CB8C"
#define  KME_ME1_TOP8_KME_ME1_TOP8_8C_reg                                        0xB809CB8C
#define  KME_ME1_TOP8_KME_ME1_TOP8_8C_inst_addr                                  "0x0023"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_8C_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_8C_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_8C_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_8C_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_8C_regr_me1_statis_rgn03_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_8C_regr_me1_statis_rgn03_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_8C_regr_me1_statis_rgn03_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_8C_get_regr_me1_statis_rgn03_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_90                                           0x1809CB90
#define  KME_ME1_TOP8_KME_ME1_TOP8_90_reg_addr                                   "0xB809CB90"
#define  KME_ME1_TOP8_KME_ME1_TOP8_90_reg                                        0xB809CB90
#define  KME_ME1_TOP8_KME_ME1_TOP8_90_inst_addr                                  "0x0024"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_90_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_90_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_90_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_90_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_90_regr_me1_statis_rgn04_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_90_regr_me1_statis_rgn04_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_90_regr_me1_statis_rgn04_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_90_get_regr_me1_statis_rgn04_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_94                                           0x1809CB94
#define  KME_ME1_TOP8_KME_ME1_TOP8_94_reg_addr                                   "0xB809CB94"
#define  KME_ME1_TOP8_KME_ME1_TOP8_94_reg                                        0xB809CB94
#define  KME_ME1_TOP8_KME_ME1_TOP8_94_inst_addr                                  "0x0025"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_94_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_94_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_94_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_94_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_94_regr_me1_statis_rgn05_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_94_regr_me1_statis_rgn05_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_94_regr_me1_statis_rgn05_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_94_get_regr_me1_statis_rgn05_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_98                                           0x1809CB98
#define  KME_ME1_TOP8_KME_ME1_TOP8_98_reg_addr                                   "0xB809CB98"
#define  KME_ME1_TOP8_KME_ME1_TOP8_98_reg                                        0xB809CB98
#define  KME_ME1_TOP8_KME_ME1_TOP8_98_inst_addr                                  "0x0026"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_98_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_98_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_98_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_98_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_98_regr_me1_statis_rgn06_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_98_regr_me1_statis_rgn06_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_98_regr_me1_statis_rgn06_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_98_get_regr_me1_statis_rgn06_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_9C                                           0x1809CB9C
#define  KME_ME1_TOP8_KME_ME1_TOP8_9C_reg_addr                                   "0xB809CB9C"
#define  KME_ME1_TOP8_KME_ME1_TOP8_9C_reg                                        0xB809CB9C
#define  KME_ME1_TOP8_KME_ME1_TOP8_9C_inst_addr                                  "0x0027"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_9C_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_9C_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_9C_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_9C_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_9C_regr_me1_statis_rgn07_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_9C_regr_me1_statis_rgn07_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_9C_regr_me1_statis_rgn07_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_9C_get_regr_me1_statis_rgn07_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_A0                                           0x1809CBA0
#define  KME_ME1_TOP8_KME_ME1_TOP8_A0_reg_addr                                   "0xB809CBA0"
#define  KME_ME1_TOP8_KME_ME1_TOP8_A0_reg                                        0xB809CBA0
#define  KME_ME1_TOP8_KME_ME1_TOP8_A0_inst_addr                                  "0x0028"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_A0_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_A0_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_A0_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_A0_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_A0_regr_me1_statis_rgn08_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_A0_regr_me1_statis_rgn08_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_A0_regr_me1_statis_rgn08_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_A0_get_regr_me1_statis_rgn08_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_A4                                           0x1809CBA4
#define  KME_ME1_TOP8_KME_ME1_TOP8_A4_reg_addr                                   "0xB809CBA4"
#define  KME_ME1_TOP8_KME_ME1_TOP8_A4_reg                                        0xB809CBA4
#define  KME_ME1_TOP8_KME_ME1_TOP8_A4_inst_addr                                  "0x0029"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_A4_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_A4_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_A4_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_A4_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_A4_regr_me1_statis_rgn09_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_A4_regr_me1_statis_rgn09_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_A4_regr_me1_statis_rgn09_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_A4_get_regr_me1_statis_rgn09_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_A8                                           0x1809CBA8
#define  KME_ME1_TOP8_KME_ME1_TOP8_A8_reg_addr                                   "0xB809CBA8"
#define  KME_ME1_TOP8_KME_ME1_TOP8_A8_reg                                        0xB809CBA8
#define  KME_ME1_TOP8_KME_ME1_TOP8_A8_inst_addr                                  "0x002A"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_A8_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_A8_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_A8_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_A8_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_A8_regr_me1_statis_rgn10_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_A8_regr_me1_statis_rgn10_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_A8_regr_me1_statis_rgn10_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_A8_get_regr_me1_statis_rgn10_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_AC                                           0x1809CBAC
#define  KME_ME1_TOP8_KME_ME1_TOP8_AC_reg_addr                                   "0xB809CBAC"
#define  KME_ME1_TOP8_KME_ME1_TOP8_AC_reg                                        0xB809CBAC
#define  KME_ME1_TOP8_KME_ME1_TOP8_AC_inst_addr                                  "0x002B"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_AC_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_AC_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_AC_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_AC_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_AC_regr_me1_statis_rgn11_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_AC_regr_me1_statis_rgn11_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_AC_regr_me1_statis_rgn11_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_AC_get_regr_me1_statis_rgn11_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_B0                                           0x1809CBB0
#define  KME_ME1_TOP8_KME_ME1_TOP8_B0_reg_addr                                   "0xB809CBB0"
#define  KME_ME1_TOP8_KME_ME1_TOP8_B0_reg                                        0xB809CBB0
#define  KME_ME1_TOP8_KME_ME1_TOP8_B0_inst_addr                                  "0x002C"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_B0_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_B0_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_B0_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_B0_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_B0_regr_me1_statis_rgn12_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_B0_regr_me1_statis_rgn12_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_B0_regr_me1_statis_rgn12_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_B0_get_regr_me1_statis_rgn12_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_B4                                           0x1809CBB4
#define  KME_ME1_TOP8_KME_ME1_TOP8_B4_reg_addr                                   "0xB809CBB4"
#define  KME_ME1_TOP8_KME_ME1_TOP8_B4_reg                                        0xB809CBB4
#define  KME_ME1_TOP8_KME_ME1_TOP8_B4_inst_addr                                  "0x002D"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_B4_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_B4_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_B4_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_B4_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_B4_regr_me1_statis_rgn13_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_B4_regr_me1_statis_rgn13_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_B4_regr_me1_statis_rgn13_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_B4_get_regr_me1_statis_rgn13_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_B8                                           0x1809CBB8
#define  KME_ME1_TOP8_KME_ME1_TOP8_B8_reg_addr                                   "0xB809CBB8"
#define  KME_ME1_TOP8_KME_ME1_TOP8_B8_reg                                        0xB809CBB8
#define  KME_ME1_TOP8_KME_ME1_TOP8_B8_inst_addr                                  "0x002E"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_B8_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_B8_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_B8_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_B8_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_B8_regr_me1_statis_rgn14_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_B8_regr_me1_statis_rgn14_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_B8_regr_me1_statis_rgn14_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_B8_get_regr_me1_statis_rgn14_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_BC                                           0x1809CBBC
#define  KME_ME1_TOP8_KME_ME1_TOP8_BC_reg_addr                                   "0xB809CBBC"
#define  KME_ME1_TOP8_KME_ME1_TOP8_BC_reg                                        0xB809CBBC
#define  KME_ME1_TOP8_KME_ME1_TOP8_BC_inst_addr                                  "0x002F"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_BC_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_BC_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_BC_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_BC_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_BC_regr_me1_statis_rgn15_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_BC_regr_me1_statis_rgn15_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_BC_regr_me1_statis_rgn15_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_BC_get_regr_me1_statis_rgn15_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_C0                                           0x1809CBC0
#define  KME_ME1_TOP8_KME_ME1_TOP8_C0_reg_addr                                   "0xB809CBC0"
#define  KME_ME1_TOP8_KME_ME1_TOP8_C0_reg                                        0xB809CBC0
#define  KME_ME1_TOP8_KME_ME1_TOP8_C0_inst_addr                                  "0x0030"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_C0_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_C0_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_C0_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_C0_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_C0_regr_me1_statis_rgn16_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_C0_regr_me1_statis_rgn16_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_C0_regr_me1_statis_rgn16_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_C0_get_regr_me1_statis_rgn16_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_C4                                           0x1809CBC4
#define  KME_ME1_TOP8_KME_ME1_TOP8_C4_reg_addr                                   "0xB809CBC4"
#define  KME_ME1_TOP8_KME_ME1_TOP8_C4_reg                                        0xB809CBC4
#define  KME_ME1_TOP8_KME_ME1_TOP8_C4_inst_addr                                  "0x0031"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_C4_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_C4_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_C4_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_C4_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_C4_regr_me1_statis_rgn17_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_C4_regr_me1_statis_rgn17_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_C4_regr_me1_statis_rgn17_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_C4_get_regr_me1_statis_rgn17_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_C8                                           0x1809CBC8
#define  KME_ME1_TOP8_KME_ME1_TOP8_C8_reg_addr                                   "0xB809CBC8"
#define  KME_ME1_TOP8_KME_ME1_TOP8_C8_reg                                        0xB809CBC8
#define  KME_ME1_TOP8_KME_ME1_TOP8_C8_inst_addr                                  "0x0032"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_C8_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_C8_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_C8_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_C8_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_C8_regr_me1_statis_rgn18_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_C8_regr_me1_statis_rgn18_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_C8_regr_me1_statis_rgn18_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_C8_get_regr_me1_statis_rgn18_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_CC                                           0x1809CBCC
#define  KME_ME1_TOP8_KME_ME1_TOP8_CC_reg_addr                                   "0xB809CBCC"
#define  KME_ME1_TOP8_KME_ME1_TOP8_CC_reg                                        0xB809CBCC
#define  KME_ME1_TOP8_KME_ME1_TOP8_CC_inst_addr                                  "0x0033"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_CC_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_CC_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_CC_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_CC_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_CC_regr_me1_statis_rgn19_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_CC_regr_me1_statis_rgn19_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_CC_regr_me1_statis_rgn19_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_CC_get_regr_me1_statis_rgn19_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_D0                                           0x1809CBD0
#define  KME_ME1_TOP8_KME_ME1_TOP8_D0_reg_addr                                   "0xB809CBD0"
#define  KME_ME1_TOP8_KME_ME1_TOP8_D0_reg                                        0xB809CBD0
#define  KME_ME1_TOP8_KME_ME1_TOP8_D0_inst_addr                                  "0x0034"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_D0_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_D0_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_D0_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_D0_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_D0_regr_me1_statis_rgn20_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_D0_regr_me1_statis_rgn20_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_D0_regr_me1_statis_rgn20_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_D0_get_regr_me1_statis_rgn20_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_D4                                           0x1809CBD4
#define  KME_ME1_TOP8_KME_ME1_TOP8_D4_reg_addr                                   "0xB809CBD4"
#define  KME_ME1_TOP8_KME_ME1_TOP8_D4_reg                                        0xB809CBD4
#define  KME_ME1_TOP8_KME_ME1_TOP8_D4_inst_addr                                  "0x0035"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_D4_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_D4_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_D4_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_D4_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_D4_regr_me1_statis_rgn21_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_D4_regr_me1_statis_rgn21_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_D4_regr_me1_statis_rgn21_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_D4_get_regr_me1_statis_rgn21_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_D8                                           0x1809CBD8
#define  KME_ME1_TOP8_KME_ME1_TOP8_D8_reg_addr                                   "0xB809CBD8"
#define  KME_ME1_TOP8_KME_ME1_TOP8_D8_reg                                        0xB809CBD8
#define  KME_ME1_TOP8_KME_ME1_TOP8_D8_inst_addr                                  "0x0036"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_D8_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_D8_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_D8_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_D8_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_D8_regr_me1_statis_rgn22_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_D8_regr_me1_statis_rgn22_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_D8_regr_me1_statis_rgn22_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_D8_get_regr_me1_statis_rgn22_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_DC                                           0x1809CBDC
#define  KME_ME1_TOP8_KME_ME1_TOP8_DC_reg_addr                                   "0xB809CBDC"
#define  KME_ME1_TOP8_KME_ME1_TOP8_DC_reg                                        0xB809CBDC
#define  KME_ME1_TOP8_KME_ME1_TOP8_DC_inst_addr                                  "0x0037"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_DC_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_DC_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_DC_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_DC_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_DC_regr_me1_statis_rgn23_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_DC_regr_me1_statis_rgn23_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_DC_regr_me1_statis_rgn23_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_DC_get_regr_me1_statis_rgn23_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_E0                                           0x1809CBE0
#define  KME_ME1_TOP8_KME_ME1_TOP8_E0_reg_addr                                   "0xB809CBE0"
#define  KME_ME1_TOP8_KME_ME1_TOP8_E0_reg                                        0xB809CBE0
#define  KME_ME1_TOP8_KME_ME1_TOP8_E0_inst_addr                                  "0x0038"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_E0_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_E0_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_E0_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_E0_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_E0_regr_me1_statis_rgn24_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_E0_regr_me1_statis_rgn24_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_E0_regr_me1_statis_rgn24_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_E0_get_regr_me1_statis_rgn24_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_E4                                           0x1809CBE4
#define  KME_ME1_TOP8_KME_ME1_TOP8_E4_reg_addr                                   "0xB809CBE4"
#define  KME_ME1_TOP8_KME_ME1_TOP8_E4_reg                                        0xB809CBE4
#define  KME_ME1_TOP8_KME_ME1_TOP8_E4_inst_addr                                  "0x0039"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_E4_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_E4_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_E4_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_E4_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_E4_regr_me1_statis_rgn25_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_E4_regr_me1_statis_rgn25_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_E4_regr_me1_statis_rgn25_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_E4_get_regr_me1_statis_rgn25_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_E8                                           0x1809CBE8
#define  KME_ME1_TOP8_KME_ME1_TOP8_E8_reg_addr                                   "0xB809CBE8"
#define  KME_ME1_TOP8_KME_ME1_TOP8_E8_reg                                        0xB809CBE8
#define  KME_ME1_TOP8_KME_ME1_TOP8_E8_inst_addr                                  "0x003A"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_E8_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_E8_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_E8_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_E8_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_E8_regr_me1_statis_rgn26_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_E8_regr_me1_statis_rgn26_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_E8_regr_me1_statis_rgn26_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_E8_get_regr_me1_statis_rgn26_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_EC                                           0x1809CBEC
#define  KME_ME1_TOP8_KME_ME1_TOP8_EC_reg_addr                                   "0xB809CBEC"
#define  KME_ME1_TOP8_KME_ME1_TOP8_EC_reg                                        0xB809CBEC
#define  KME_ME1_TOP8_KME_ME1_TOP8_EC_inst_addr                                  "0x003B"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_EC_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_EC_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_EC_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_EC_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_EC_regr_me1_statis_rgn27_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_EC_regr_me1_statis_rgn27_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_EC_regr_me1_statis_rgn27_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_EC_get_regr_me1_statis_rgn27_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_F0                                           0x1809CBF0
#define  KME_ME1_TOP8_KME_ME1_TOP8_F0_reg_addr                                   "0xB809CBF0"
#define  KME_ME1_TOP8_KME_ME1_TOP8_F0_reg                                        0xB809CBF0
#define  KME_ME1_TOP8_KME_ME1_TOP8_F0_inst_addr                                  "0x003C"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_F0_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_F0_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_F0_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_F0_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_F0_regr_me1_statis_rgn28_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_F0_regr_me1_statis_rgn28_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_F0_regr_me1_statis_rgn28_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_F0_get_regr_me1_statis_rgn28_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_F4                                           0x1809CBF4
#define  KME_ME1_TOP8_KME_ME1_TOP8_F4_reg_addr                                   "0xB809CBF4"
#define  KME_ME1_TOP8_KME_ME1_TOP8_F4_reg                                        0xB809CBF4
#define  KME_ME1_TOP8_KME_ME1_TOP8_F4_inst_addr                                  "0x003D"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_F4_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_F4_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_F4_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_F4_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_F4_regr_me1_statis_rgn29_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_F4_regr_me1_statis_rgn29_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_F4_regr_me1_statis_rgn29_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_F4_get_regr_me1_statis_rgn29_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_F8                                           0x1809CBF8
#define  KME_ME1_TOP8_KME_ME1_TOP8_F8_reg_addr                                   "0xB809CBF8"
#define  KME_ME1_TOP8_KME_ME1_TOP8_F8_reg                                        0xB809CBF8
#define  KME_ME1_TOP8_KME_ME1_TOP8_F8_inst_addr                                  "0x003E"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_F8_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_F8_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_F8_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_F8_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_F8_regr_me1_statis_rgn30_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_F8_regr_me1_statis_rgn30_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_F8_regr_me1_statis_rgn30_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_F8_get_regr_me1_statis_rgn30_tcss(data)       (0x003FFFFF&(data))

#define  KME_ME1_TOP8_KME_ME1_TOP8_FC                                           0x1809CBFC
#define  KME_ME1_TOP8_KME_ME1_TOP8_FC_reg_addr                                   "0xB809CBFC"
#define  KME_ME1_TOP8_KME_ME1_TOP8_FC_reg                                        0xB809CBFC
#define  KME_ME1_TOP8_KME_ME1_TOP8_FC_inst_addr                                  "0x003F"
#define  set_KME_ME1_TOP8_KME_ME1_TOP8_FC_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_FC_reg)=data)
#define  get_KME_ME1_TOP8_KME_ME1_TOP8_FC_reg                                    (*((volatile unsigned int*)KME_ME1_TOP8_KME_ME1_TOP8_FC_reg))
#define  KME_ME1_TOP8_KME_ME1_TOP8_FC_regr_me1_statis_rgn31_tcss_shift           (0)
#define  KME_ME1_TOP8_KME_ME1_TOP8_FC_regr_me1_statis_rgn31_tcss_mask            (0x003FFFFF)
#define  KME_ME1_TOP8_KME_ME1_TOP8_FC_regr_me1_statis_rgn31_tcss(data)           (0x003FFFFF&(data))
#define  KME_ME1_TOP8_KME_ME1_TOP8_FC_get_regr_me1_statis_rgn31_tcss(data)       (0x003FFFFF&(data))

#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======KME_ME1_TOP8 register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn00_scss:22;
    };
}kme_me1_top8_kme_me1_top8_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn01_scss:22;
    };
}kme_me1_top8_kme_me1_top8_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn02_scss:22;
    };
}kme_me1_top8_kme_me1_top8_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn03_scss:22;
    };
}kme_me1_top8_kme_me1_top8_0c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn04_scss:22;
    };
}kme_me1_top8_kme_me1_top8_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn05_scss:22;
    };
}kme_me1_top8_kme_me1_top8_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn06_scss:22;
    };
}kme_me1_top8_kme_me1_top8_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn07_scss:22;
    };
}kme_me1_top8_kme_me1_top8_1c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn08_scss:22;
    };
}kme_me1_top8_kme_me1_top8_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn09_scss:22;
    };
}kme_me1_top8_kme_me1_top8_24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn10_scss:22;
    };
}kme_me1_top8_kme_me1_top8_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn11_scss:22;
    };
}kme_me1_top8_kme_me1_top8_2c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn12_scss:22;
    };
}kme_me1_top8_kme_me1_top8_30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn13_scss:22;
    };
}kme_me1_top8_kme_me1_top8_34_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn14_scss:22;
    };
}kme_me1_top8_kme_me1_top8_38_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn15_scss:22;
    };
}kme_me1_top8_kme_me1_top8_3c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn16_scss:22;
    };
}kme_me1_top8_kme_me1_top8_40_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn17_scss:22;
    };
}kme_me1_top8_kme_me1_top8_44_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn18_scss:22;
    };
}kme_me1_top8_kme_me1_top8_48_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn19_scss:22;
    };
}kme_me1_top8_kme_me1_top8_4c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn20_scss:22;
    };
}kme_me1_top8_kme_me1_top8_50_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn21_scss:22;
    };
}kme_me1_top8_kme_me1_top8_54_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn22_scss:22;
    };
}kme_me1_top8_kme_me1_top8_58_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn23_scss:22;
    };
}kme_me1_top8_kme_me1_top8_5c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn24_scss:22;
    };
}kme_me1_top8_kme_me1_top8_60_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn25_scss:22;
    };
}kme_me1_top8_kme_me1_top8_64_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn26_scss:22;
    };
}kme_me1_top8_kme_me1_top8_68_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn27_scss:22;
    };
}kme_me1_top8_kme_me1_top8_6c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn28_scss:22;
    };
}kme_me1_top8_kme_me1_top8_70_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn29_scss:22;
    };
}kme_me1_top8_kme_me1_top8_74_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn30_scss:22;
    };
}kme_me1_top8_kme_me1_top8_78_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn31_scss:22;
    };
}kme_me1_top8_kme_me1_top8_7c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn00_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_80_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn01_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_84_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn02_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_88_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn03_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_8c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn04_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_90_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn05_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_94_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn06_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_98_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn07_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_9c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn08_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_a0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn09_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_a4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn10_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_a8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn11_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_ac_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn12_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_b0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn13_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_b4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn14_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_b8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn15_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_bc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn16_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_c0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn17_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_c4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn18_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_c8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn19_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_cc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn20_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_d0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn21_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_d4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn22_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_d8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn23_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_dc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn24_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_e0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn25_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_e4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn26_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_e8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn27_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_ec_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn28_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_f0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn29_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_f4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn30_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_f8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  regr_me1_statis_rgn31_tcss:22;
    };
}kme_me1_top8_kme_me1_top8_fc_RBUS;

#else //apply LITTLE_ENDIAN

//======KME_ME1_TOP8 register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn00_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn01_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn02_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn03_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_0c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn04_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn05_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn06_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn07_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_1c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn08_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn09_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn10_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn11_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_2c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn12_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn13_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_34_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn14_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_38_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn15_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_3c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn16_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_40_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn17_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_44_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn18_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_48_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn19_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_4c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn20_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_50_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn21_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_54_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn22_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_58_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn23_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_5c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn24_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_60_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn25_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_64_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn26_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_68_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn27_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_6c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn28_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_70_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn29_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_74_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn30_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_78_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn31_scss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_7c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn00_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_80_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn01_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_84_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn02_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_88_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn03_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_8c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn04_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_90_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn05_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_94_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn06_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_98_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn07_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_9c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn08_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_a0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn09_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_a4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn10_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_a8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn11_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_ac_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn12_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_b0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn13_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_b4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn14_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_b8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn15_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_bc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn16_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_c0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn17_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_c4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn18_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_c8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn19_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_cc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn20_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_d0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn21_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_d4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn22_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_d8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn23_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_dc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn24_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_e0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn25_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_e4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn26_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_e8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn27_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_ec_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn28_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_f0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn29_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_f4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn30_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_f8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn31_tcss:22;
        RBus_UInt32  res1:10;
    };
}kme_me1_top8_kme_me1_top8_fc_RBUS;




#endif 


#endif 
