CONFIG_SYS_HW_SEM=y
CONFIG_REALTEK_PWM_ROKU=y
CONFIG_CMD_FAT=y
CONFIG_CUSTOM_SN_PANEL=y
CONFIG_KCPU_LOAD_K_FW=y
CONFIG_SYS_USB_XHCI_MAX_ROOT_PORTS=3
CONFIG_USB_UPDATE_WHEN_AC_ON=y
CONFIG_ARMV7=y
CONFIG_SYS_PANEL_SUPPORT_INI_FILE=y
CONFIG_RTK_HWRSA=y
CONFIG_RTK_GDMA_SUPPORT=y
CONFIG_OD_RESERVED_ADDR=0x30000000
CONFIG_CMD_WATCHDOG=y
CONFIG_REALTEK_MENU=y
CONFIG_SYS_TEXT_BASE=0x00020000
CONFIG_SYS_LONGHELP=y
CONFIG_SYS_LOAD_ADDR=0x03000000
CONFIG_CUSTOM_PQ_SELECT=y
CONFIG_DISPLAY_BOARDINFO=y
CONFIG_CMD_CACHE=y
CONFIG_BOOTDELAY=0
CONFIG_VERSION=0000
CONFIG_SYS_HELP_CMD_WIDTH=8
CONFIG_NR_DRAM_BANKS=2
CONFIG_EFI_PARTITION=y
CONFIG_SYS_CBSIZE=4096
CONFIG_SKIP_LOWLEVEL_INIT=y
CONFIG_ETHADDR="00:10:20:30:40:50"
CONFIG_RESCUE_FROM_USB_FILENAME="vmlinux.rescue.rtd285x.bin"
CONFIG_USB_EHCI_CONTROLLER_COUNT=y
CONFIG_RESCUE_FROM_USB=y
CONFIG_CMD_PANEL=y
CONFIG_SYS_CPU="armv7"
CONFIG_RTK_USB20=y
CONFIG_GATEWAYIP="192.168.0.1"
CONFIG_SYS_GDMA_SUPPORT=y
CONFIG_RAM_SIZE_FROM_OTP_SETTING=y
CONFIG_CMD_IRDA=y
CONFIG_SYS_CACHELINE_SIZE=64
CONFIG_MMC=y
CONFIG_SYS_NON_CACHE_LEN="(1 << 20)"
CONFIG_CMD_MISC=y
CONFIG_OD_SUPPORT=y
CONFIG_MISC_INIT_R=y
CONFIG_MAC_ADDRESS_FROM_FACTORY=y
CONFIG_USB_MAX_CONTROLLER_COUNT="( CONFIG_USB_XHCI_CONTROLLER_COUNT + CONFIG_USB_EHCI_CONTROLLER_COUNT + CONFIG_USB_OHCI_CONTROLLER_COUNT )"
CONFIG_SYS_NR_CPUS=y
CONFIG_ENV_OVERWRITE=y
CONFIG_CMD_NET=y
CONFIG_ENV_SIZE="(128 << 10)"
CONFIG_USB_XHCI=y
CONFIG_CMD_PING=y
CONFIG_SYS_MALLOC_LEN="(7 << 20)"
CONFIG_CMD_RTK_GPIO=y
CONFIG_SYS_I2C_SPEED=100000
CONFIG_FSW=y
CONFIG_NO_RELOCATION=y
CONFIG_CMD_LSADC=y
CONFIG_CMD_SAVEENV=y
CONFIG_SYS_PANEL_DISABLE_PATTERN_GEN=y
CONFIG_SYS_BARGSIZE="(CONFIG_SYS_CBSIZE)"
CONFIG_SYS_NS16550_SERIAL=y
CONFIG_BOOT_PARAM_BASE="(0x00100000 + 0x100)"
CONFIG_I2C_MULTI_BUS=y
CONFIG_AMP_RT9119=y
CONFIG_SYS_MCP_UTILITY=y
CONFIG_LZMA=y
CONFIG_REALTEK_AMP=y
CONFIG_CUSTOM_Warrior_PowerSequence=y
CONFIG_LESS_CONSOLE=y
CONFIG_BOOTARGS="androidboot.console=ttyS1 console=ttyS1,115200 androidboot.dtbo_idx=0"
CONFIG_CMD_MEMORY=y
CONFIG_SYS_MAXARGS=16
CONFIG_IPADDR="192.168.0.200"
CONFIG_SYS_PBSIZE="(CONFIG_SYS_CBSIZE + sizeof(CONFIG_SYS_PROMPT) + 16)"
CONFIG_BOARDDIR="board/realtek/tv002"
CONFIG_VIP_RESERVED_SIZE=0x200000
CONFIG_CMD_TFTPPUT=y
CONFIG_CMD_LOAD=y
CONFIG_SYS_FACTORY_READ_ONLY=y
CONFIG_OF_LIBFDT=y
CONFIG_OTP_UTIL=y
CONFIG_SYS_PANEL_PARAMETER=y
CONFIG_VBY1LANE_FROM_0_TO_7=y
CONFIG_SYS_PCB_MANAGER=y
CONFIG_REALTEK_I2C=y
CONFIG_CMD_USB=y
CONFIG_NO_TIMER_LOG=y
CONFIG_REALTEK_AMP_AD82010=y
CONFIG_BOOTCODE_VERSION="bootcode_git_version=0ad4eaa"
CONFIG_SYS_CONSOLE_IS_IN_ENV=y
CONFIG_CMD_EXT4=y
CONFIG_USB_EHCI=y
CONFIG_BOOTCOMMAND="bootr"
CONFIG_RTK_MCP=y
CONFIG_RTK_BGA=y
CONFIG_REALTEK_AMP_TAS5707=y
CONFIG_BOOT_ATF=y
CONFIG_REALTEK_AMP_AD82088=y
CONFIG_REALTEK_AMP_TAS5711=y
CONFIG_SYS_L2CACHE_OFF=y
CONFIG_MMC_BOUNCE_BUFFER=y
CONFIG_SYS_BOOT_RAMDISK_HIGH=y
CONFIG_REALTEK_AMP_TAS5751=y
CONFIG_SYS_FACTORY=y
CONFIG_RTK_MMC=y
CONFIG_SYS_TIMER=2
CONFIG_STR_ENABLE=y
CONFIG_REALTEK_PWM=y
CONFIG_CMD_GO=y
CONFIG_AUTO_PROGRAM_OTP=y
CONFIG_RTK_SWSHA256=y
CONFIG_VIP_RESERVED_ADDR=0x2fe00000
CONFIG_SYS_NS16550=y
CONFIG_HEAP_RELOCATION=y
CONFIG_BOOTARGS_EX="no_console_suspend"
CONFIG_RTK_SPI_NOR=y
CONFIG_SYS_SOC="rtk"
CONFIG_SYS_HZ=1000
CONFIG_VERIFY_BOOT=y
CONFIG_SYS_NS16550_CLK="V_NS16550_CLK"
CONFIG_CMD_KEY_BURNING=y
CONFIG_USB_OHCI_CONTROLLER_COUNT=0
CONFIG_DOS_PARTITION=y
CONFIG_RNG=y
CONFIG_SYS_VENDOR="realtek"
CONFIG_BOOTSTAGE_USER_COUNT=20
CONFIG_USB_RTK_XHCI=y
CONFIG_VIP_SUPPORT=y
CONFIG_FORCE_IN_DEBUG=y
CONFIG_PANEL_NAME="asm/arch/panel/default_panel.h"
CONFIG_SUPPORT_EMMC_RPMB=y
CONFIG_SYS_BAUDRATE_TABLE="{4800, 9600, 19200, 38400, 57600, 115200}"
CONFIG_SYS_NS16550_COM1="UART1_BASE"
CONFIG_CORE_IDDQ_THRESHOLD=68
CONFIG_SYS_MD_SUPPORT=y
CONFIG_SYS_HUSH_PARSER=y
CONFIG_USB_UPDATE_READ_RESCUE_FROM_FLASH=y
CONFIG_SYS_SDRAM_BASE=0x00000000
CONFIG_KBOOT_LOAD_AV_FW=y
CONFIG_SYS_USB_EHCI_MAX_ROOT_PORTS=2
CONFIG_SYS_SDRAM_DCU2_BASE=0x20000000
CONFIG_ANDROID_RECOVERY=y
CONFIG_ARCH_CPU_ARMA53=y
CONFIG_SYS_IRQ_STACK_START_IN_ADDR=0x0001ff00
CONFIG_SYS_BOOT_PARM=y
CONFIG_GENERIC_MMC=y
CONFIG_SYS_PANEL_SUPPORT=y
CONFIG_SYS_RTK_EMMC_FLASH=y
CONFIG_COMPANY_ID=0001
CONFIG_REALTEK_GPIO_ROKU=y
CONFIG_EXTRA_ENV_SETTINGS="loadaddr=0x03000000\0console=ttyS1,115200\0"
CONFIG_BSP_REALTEK=y
CONFIG_SYS_INIT_SP_ADDR=0x00100000
CONFIG_SYS_ARCH="arm"
CONFIG_CANONICAL_BOOT=y
CONFIG_BAUDRATE=115200
CONFIG_SYS_BOARD="tv002"
CONFIG_RTL8168=y
CONFIG_NETMASK="255.255.255.0"
CONFIG_SHOW_BOARDNAME=y
CONFIG_AVBLIB=y
CONFIG_SYS_PIN_MUX=y
CONFIG_PARTITIONS=y
CONFIG_SYS_NS16550_REG_SIZE="(-4)"
CONFIG_SYS_RAM_DCU1_SIZE=0x20000000
CONFIG_SYS_MEMTEST_END="(CONFIG_SYS_MEMTEST_START + (32 << 20))"
CONFIG_USB_RTK_EHCI=y
CONFIG_LG_CHG=y
CONFIG_SYS_VIDDQ=y
CONFIG_BOARD_ID=0000
CONFIG_SYS_NO_FLASH=y
CONFIG_MISC_MGR_WAKEUP=y
CONFIG_SYS_DEF_EEPROM_ADDR=0
CONFIG_FS_EXT4=y
CONFIG_NONCACHE_ALLOCATION=y
CONFIG_SYS_PROMPT="Realtek> "
CONFIG_USB_STORAGE=y
CONFIG_LOGBUFFER_DEFAULT_VALUE=y
CONFIG_REALTEK_LSADC=y
CONFIG_DISPLAY_CPUINFO=y
CONFIG_SYS_RAM_DCU2_SIZE=0x40000000
CONFIG_EXT4_WRITE=y
CONFIG_REALTEK_CW=y
CONFIG_SYS_MEMTEST_START=0x00000000
CONFIG_CMD_LOADB=y
CONFIG_REALTEK_AMP_ALC1310=y
CONFIG_REALTEK_AMP_ALC1311=y
CONFIG_REALTEK_AMP_ALC1312=y
CONFIG_ENV_IS_IN_FACTORY=y
CONFIG_CMD_EXT4_WRITE=y
CONFIG_CONS_INDEX=y
CONFIG_LMB=y
CONFIG_USB_XHCI_CONTROLLER_COUNT=y
CONFIG_ARM=y
CONFIG_VERIFY_BOOT_Q=y
CONFIG_SYS_DEMODULE=y
CONFIG_REALTEK_GPIO=y
CONFIG_CMD_BDI=y
CONFIG_SERVERIP="192.168.0.3"
CONFIG_NX_ATTR_FOR_OPTEE_REGION=y
CONFIG_SYS_VSNPRINTF=y
CONFIG_OD_RESERVED_SIZE=0x800000
CONFIG_CUSTOMER_TV002=y
CONFIG_LZO=y
CONFIG_NO_CONSOLE_SUSPEND_STR_ENABLE=y
CONFIG_CUSTOM_SET_SERIAL_NUMBER=y
CONFIG_CMD_MMC=y
CONFIG_REALTEK_TIMER=y
CONFIG_CMD_TUNER=y
