/**
* @file rbusIedge_smoothReg.h
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2016/6/3
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_IEDGE_SMOOTH_REG_H_
#define _RBUS_IEDGE_SMOOTH_REG_H_

#include "rbusTypes.h"



//  IEDGE_SMOOTH Register Address



#define  IEDGE_SMOOTH_EDGESMOOTH_EX_CTRL_VADDR              	(0xb8025100)
#define  IEDGE_SMOOTH_EDGESMOOTH_EX_CTRL2_VADDR             	(0xb8025104)
#define  IEDGE_SMOOTH_EDGESMOOTH_EX_CTRL3_VADDR             	(0xb8025108)
#define  IEDGE_SMOOTH_MIXER_CTRL_VADDR                      	(0xb802510c)
#define  IEDGE_SMOOTH_EDGESMOOTH_EXTENSION_VADDR            	(0xb8025110)
#define  IEDGE_SMOOTH_EDGESMOOTH_EXT_ANGLE_VADDR            	(0xb802511c)
#define  IEDGE_SMOOTH_DEMO_WINDOW_CTRL0_VADDR               	(0xb8025120)
#define  IEDGE_SMOOTH_DEMO_WINDOW_CTRL1_VADDR               	(0xb8025124)
#define  IEDGE_SMOOTH_PRELPF_CTRL_VADDR                     	(0xb8025128)
#define  IEDGE_SMOOTH_DLTI2D_CTRL_VADDR                     	(0xb802512c)
#define  IEDGE_SMOOTH_EDGESMOOTH_MESS_DIRECTION1_VADDR      	(0xb8025130)
#define  IEDGE_SMOOTH_EDGESMOOTH_MESS_DIRECTION2_VADDR      	(0xb8025134)
#define  IEDGE_SMOOTH_EDGESMOOTH_BLEND_WEIGHT_LPF_VADDR     	(0xb8025138)
#define  IEDGE_SMOOTH_EDGESMOOTH_UNSTABLE_AREA_VADDR        	(0xb802513c)
#define  IEDGE_SMOOTH_SPNR_PORCH_MEAS_VADDR                 	(0xb8025144)
#define  IEDGE_SMOOTH_SPNR_BISR_STATUS_VADDR                	(0xb8025148)
#define  IEDGE_SMOOTH_SPNR_DRF_FAIL_VADDR                   	(0xb802514c)
#define  IEDGE_SMOOTH_SPNR_DVS0_VADDR                       	(0xb8025150)
#define  IEDGE_SMOOTH_VFILTER_0_VADDR                       	(0xb8025154)
#define  IEDGE_SMOOTH_VFILTER_1_VADDR                       	(0xb8025158)
#define  IEDGE_SMOOTH_VFILTER_2_VADDR                       	(0xb802515c)
#define  IEDGE_SMOOTH_VFILTER_3_VADDR                       	(0xb8025160)
#define  IEDGE_SMOOTH_VFILTER_4_VADDR                       	(0xb8025164)
#define  IEDGE_SMOOTH_VFILTER_5_VADDR                       	(0xb8025168)
#define  IEDGE_SMOOTH_VFILTER_6_VADDR                       	(0xb802516c)
#define  IEDGE_SMOOTH_EDSM_DB_CTRL_VADDR                    	(0xb8025170)
#define  IEDGE_SMOOTH_VFILTER_7_VADDR                       	(0xb8025174)
#define  IEDGE_SMOOTH_VFILTER_8_VADDR                       	(0xb8025178)
#define  IEDGE_SMOOTH_VFILTER_9_VADDR                       	(0xb802517c)
#define  IEDGE_SMOOTH_FORMAT_CONVERT_VADDR                  	(0xb8025180)
#define  IEDGE_SMOOTH_MOTION_WEIGHT_1_VADDR                 	(0xb8025188)
#define  IEDGE_SMOOTH_MOTION_WEIGHT_2_VADDR                 	(0xb802518c)
#define  IEDGE_SMOOTH_MOTION_WEIGHT_3_VADDR                 	(0xb8025190)
#define  IEDGE_SMOOTH_MOTION_WEIGHT_4_VADDR                 	(0xb8025194)
#define  IEDGE_SMOOTH_WEIGHT_MODE_VADDR                     	(0xb8025198)
#define  IEDGE_SMOOTH_ENG_CLAMP_VADDR                       	(0xb802519c)
#define  IEDGE_SMOOTH_MOTION_TEETH_GAIN_VADDR               	(0xb80251a0)
#define  IEDGE_SMOOTH_MVF_DMA_DAT_FORMAT_VADDR              	(0xb80251a4)
#define  IEDGE_SMOOTH_MVF_DATMEMORYSTART_S0_ADD0_VADDR      	(0xb80251a8)
#define  IEDGE_SMOOTH_MVF_DATMEMORYSTART_S0_ADD1_VADDR      	(0xb80251ac)
#define  IEDGE_SMOOTH_MVF_DATMEMORYSTART_S0_ADD2_VADDR      	(0xb80251b0)
#define  IEDGE_SMOOTH_MVF_DATMEMORYSTART_S1ADD0_VADDR       	(0xb80251b4)
#define  IEDGE_SMOOTH_MVF_DATMEMORYSTART_S1_ADD1_VADDR      	(0xb80251b8)
#define  IEDGE_SMOOTH_MVF_DATMEMORYSTART_S1_ADD2_VADDR      	(0xb80251bc)
#define  IEDGE_SMOOTH_MVF_DDR_DMA_WTLENNUM_VADDR            	(0xb80251c0)
#define  IEDGE_SMOOTH_MVF_DDR_DATDMA_RM_VADDR               	(0xb80251c4)
#define  IEDGE_SMOOTH_MVF_WRRD_BOUNDARYADDR1_VADDR          	(0xb80251c8)
#define  IEDGE_SMOOTH_MVF_WRRD_BOUNDARYADDR2_VADDR          	(0xb80251cc)
#define  IEDGE_SMOOTH_MVF_DMA_ERR_STATUS_VADDR              	(0xb80251d0)
#define  IEDGE_SMOOTH_MVF_DMA_WORK_STATUS_VADDR             	(0xb80251d4)
#define  IEDGE_SMOOTH_MVF_BIST_FAIL_VADDR                   	(0xb80251d8)
#define  IEDGE_SMOOTH_MVF_DRF_FAIL_VADDR                    	(0xb80251dc)
#define  IEDGE_SMOOTH_MVF_BIST_RME_VADDR                    	(0xb80251e0)
#define  IEDGE_SMOOTH_MVF_BIST_RM_VADDR                     	(0xb80251e4)
#define  IEDGE_SMOOTH_MVF_RDMA_NUM_VADDR                    	(0xb80251e8)
#define  IEDGE_SMOOTH_MVF_RDMA_NUM_ERR_VADDR                	(0xb80251ec)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======IEDGE_SMOOTH register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  dummy18025100_25_18:8;
        RBus_UInt32  tst_en:1;
        RBus_UInt32  lbuf_disable:1;
        RBus_UInt32  debug_mode:4;
        RBus_UInt32  edgemode:1;
        RBus_UInt32  lbuf_linemode:2;
        RBus_UInt32  debug_en:1;
        RBus_UInt32  crct_5linemode:1;
        RBus_UInt32  chaos_5linemode:1;
        RBus_UInt32  lpf_5tapmode:1;
        RBus_UInt32  edge_en:1;
        RBus_UInt32  chaos_en:1;
        RBus_UInt32  crct_en:1;
        RBus_UInt32  t2df_en:1;
        RBus_UInt32  edgesmoothex_en:1;
    };
}iedge_smooth_edgesmooth_ex_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chaos_diffth:8;
        RBus_UInt32  res1:6;
        RBus_UInt32  chaos_mode:2;
        RBus_UInt32  t2df_stepbit:4;
        RBus_UInt32  res2:2;
        RBus_UInt32  t2df_upbnd:10;
    };
}iedge_smooth_edgesmooth_ex_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:11;
        RBus_UInt32  chaos_lwbnd:5;
        RBus_UInt32  edge_stepbit:4;
        RBus_UInt32  res2:2;
        RBus_UInt32  edge_upbnd:10;
    };
}iedge_smooth_edgesmooth_ex_ctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:23;
        RBus_UInt32  iedge_nr_sel:1;
        RBus_UInt32  iedge_mixer_weight:4;
        RBus_UInt32  res2:4;
    };
}iedge_smooth_mixer_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ext_range_en:1;
        RBus_UInt32  res1:11;
        RBus_UInt32  ext_uvrange:2;
        RBus_UInt32  ext_range:2;
        RBus_UInt32  ext_uvdiff_stepbit:4;
        RBus_UInt32  res2:2;
        RBus_UInt32  ext_uvdiff_upbnd:10;
    };
}iedge_smooth_edgesmooth_extension_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ext_angle_crc_en:1;
        RBus_UInt32  ext_angle_en:1;
        RBus_UInt32  res1:12;
        RBus_UInt32  ext_angle_rl_thd:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  ext_angle_maxdiff_thd:10;
    };
}iedge_smooth_edgesmooth_ext_angle_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg_demo_en:1;
        RBus_UInt32  reg_demo_inv:1;
        RBus_UInt32  res1:6;
        RBus_UInt32  reg_h_end:12;
        RBus_UInt32  reg_h_start:12;
    };
}iedge_smooth_demo_window_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  reg_v_end:12;
        RBus_UInt32  reg_v_start:12;
    };
}iedge_smooth_demo_window_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  prelpf_iedge2_sel:1;
        RBus_UInt32  dummy18025128_30_28:3;
        RBus_UInt32  res1:8;
        RBus_UInt32  prelpf_iedge1_sel:4;
        RBus_UInt32  res2:12;
        RBus_UInt32  prelpf_snr_sel:4;
    };
}iedge_smooth_prelpf_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  dlti2d_hlpf_type:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  dlti2d_vlpf_type:2;
        RBus_UInt32  res3:1;
        RBus_UInt32  dlti2d_chaos_gain:3;
        RBus_UInt32  res4:3;
        RBus_UInt32  dlti2d_maxmin_en:1;
        RBus_UInt32  res5:2;
        RBus_UInt32  dlti2d_gain:6;
    };
}iedge_smooth_dlti2d_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mess_direction_en:1;
        RBus_UInt32  res1:11;
        RBus_UInt32  mess_4direction_thd:4;
        RBus_UInt32  mess_4direction_step:4;
        RBus_UInt32  mess_4direction_w0:4;
        RBus_UInt32  mess_4direction_w1:4;
        RBus_UInt32  mess_4direction_w2:4;
    };
}iedge_smooth_edgesmooth_mess_direction1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  mess_8direction_thd:4;
        RBus_UInt32  mess_8direction_step:4;
        RBus_UInt32  mess_8direction_w0:4;
        RBus_UInt32  mess_8direction_w1:4;
        RBus_UInt32  mess_8direction_w2:4;
    };
}iedge_smooth_edgesmooth_mess_direction2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  blend_weight_lpf_en:1;
        RBus_UInt32  res1:31;
    };
}iedge_smooth_edgesmooth_blend_weight_lpf_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  unstable_area_en:1;
        RBus_UInt32  res1:26;
        RBus_UInt32  unstable_area_thd:5;
    };
}iedge_smooth_edgesmooth_unstable_area_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  vsync_line_delay:6;
        RBus_UInt32  res2:8;
        RBus_UInt32  back_porch_meas:8;
        RBus_UInt32  front_porch_meas:8;
    };
}iedge_smooth_spnr_porch_meas_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  bisr_spnr_repaired:1;
        RBus_UInt32  res1:29;
        RBus_UInt32  bisr_spnr_fail_1:1;
        RBus_UInt32  bisr_spnr_fail_0:1;
    };
}iedge_smooth_spnr_bisr_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  spnr_drf_fail_1:1;
        RBus_UInt32  spnr_drf_fail_0:1;
    };
}iedge_smooth_spnr_drf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:26;
        RBus_UInt32  spnr_ls_en:1;
        RBus_UInt32  spnr_dvse0:1;
        RBus_UInt32  spnr_dvs0:4;
    };
}iedge_smooth_spnr_dvs0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  vfir_weight:6;
        RBus_UInt32  avlpf_mindiff_th_start:4;
        RBus_UInt32  res2:1;
        RBus_UInt32  avlpf_mindiff_curve_rate_start:3;
        RBus_UInt32  avlpf_mindiff_th_finish:8;
        RBus_UInt32  res3:1;
        RBus_UInt32  avlpf_mindiff_curve_rate_finish:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  avlpf_en:1;
        RBus_UInt32  avlpf_correct_en:1;
        RBus_UInt32  avlpf_bw_pattern_en:1;
    };
}iedge_smooth_vfilter_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  avlpf_maxmindiff_th:8;
        RBus_UInt32  res1:5;
        RBus_UInt32  avlpf_maxmindiff_curve_rate:3;
        RBus_UInt32  res2:2;
        RBus_UInt32  avlpf_max_weight:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  avlpf_min_weight:6;
    };
}iedge_smooth_vfilter_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  avlpf_bw_th:8;
        RBus_UInt32  res1:1;
        RBus_UInt32  avlpf_bw_margin:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  avlpf_bw_curve_rate:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  avlpf_c_en:1;
        RBus_UInt32  res4:2;
        RBus_UInt32  vfir_c_weight:6;
    };
}iedge_smooth_vfilter_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  egsm_avlpf_motionweight13:4;
        RBus_UInt32  egsm_avlpf_motionweight12:4;
        RBus_UInt32  egsm_avlpf_motionweight11:4;
        RBus_UInt32  egsm_avlpf_motionweight10:4;
        RBus_UInt32  egsm_avlpf_motionweight9:4;
        RBus_UInt32  egsm_avlpf_motionweight8:4;
        RBus_UInt32  egsm_avlpf_motionweight7:4;
        RBus_UInt32  vfir_debug:4;
    };
}iedge_smooth_vfilter_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  esmex_iedge_vfir_enable:1;
        RBus_UInt32  egsm_avlpf_clamp_en:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  egsm_avlpf_vmode:2;
        RBus_UInt32  res3:14;
        RBus_UInt32  egsm_avlpf_clampth:8;
        RBus_UInt32  egsm_avlpf_mindiff_th2_start:4;
    };
}iedge_smooth_vfilter_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  egsm_avlpf2d_tolirantmode:2;
        RBus_UInt32  egsm_avlpf_motionweight6:4;
        RBus_UInt32  egsm_avlpf_motionweight5:4;
        RBus_UInt32  egsm_avlpf_motionweight4:4;
        RBus_UInt32  egsm_avlpf_motionweight3:4;
        RBus_UInt32  egsm_avlpf_motionweight2:4;
        RBus_UInt32  egsm_avlpf_motionweight1:4;
        RBus_UInt32  egsm_avlpf_motionweight0:4;
    };
}iedge_smooth_vfilter_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  egsm_avlpf2d_en:1;
        RBus_UInt32  egsm_avlpf2d_tolirant_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  egsm_avlpf_motion_en:1;
        RBus_UInt32  egsm_avlpf2d_tolirantoffset:4;
        RBus_UInt32  res2:12;
        RBus_UInt32  egsm_motion_i2p_blendmode:2;
        RBus_UInt32  res3:10;
    };
}iedge_smooth_vfilter_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  edsm_db_apply:1;
        RBus_UInt32  edsm_db_rd_sel:1;
        RBus_UInt32  edsm_db_en:1;
    };
}iedge_smooth_edsm_db_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  egsm_avlpf_motionweight31:4;
        RBus_UInt32  egsm_avlpf_motionweight30:4;
    };
}iedge_smooth_vfilter_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  egsm_avlpf_motionweight29:4;
        RBus_UInt32  egsm_avlpf_motionweight28:4;
        RBus_UInt32  egsm_avlpf_motionweight27:4;
        RBus_UInt32  egsm_avlpf_motionweight26:4;
        RBus_UInt32  egsm_avlpf_motionweight25:4;
        RBus_UInt32  egsm_avlpf_motionweight24:4;
        RBus_UInt32  egsm_avlpf_motionweight23:4;
        RBus_UInt32  egsm_avlpf_motionweight22:4;
    };
}iedge_smooth_vfilter_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  egsm_avlpf_motionweight21:4;
        RBus_UInt32  egsm_avlpf_motionweight20:4;
        RBus_UInt32  egsm_avlpf_motionweight19:4;
        RBus_UInt32  egsm_avlpf_motionweight18:4;
        RBus_UInt32  egsm_avlpf_motionweight17:4;
        RBus_UInt32  egsm_avlpf_motionweight16:4;
        RBus_UInt32  egsm_avlpf_motionweight15:4;
        RBus_UInt32  egsm_avlpf_motionweight14:4;
    };
}iedge_smooth_vfilter_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  main_422_to_444_en:1;
        RBus_UInt32  main_422_to_444_type:1;
        RBus_UInt32  main_422_to_444_dup:1;
        RBus_UInt32  res1:13;
        RBus_UInt32  sub_422_to_444_en:1;
        RBus_UInt32  sub_422_to_444_type:1;
        RBus_UInt32  sub_422_to_444_dup:1;
        RBus_UInt32  res2:13;
    };
}iedge_smooth_format_convert_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  edsm_motion_weight_0:4;
        RBus_UInt32  edsm_motion_weight_1:4;
        RBus_UInt32  edsm_motion_weight_2:4;
        RBus_UInt32  edsm_motion_weight_3:4;
        RBus_UInt32  edsm_motion_weight_4:4;
        RBus_UInt32  edsm_motion_weight_5:4;
        RBus_UInt32  edsm_motion_weight_6:4;
        RBus_UInt32  edsm_motion_weight_7:4;
    };
}iedge_smooth_motion_weight_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  edsm_motion_weight_8:4;
        RBus_UInt32  edsm_motion_weight_9:4;
        RBus_UInt32  edsm_motion_weight_10:4;
        RBus_UInt32  edsm_motion_weight_11:4;
        RBus_UInt32  edsm_motion_weight_12:4;
        RBus_UInt32  edsm_motion_weight_13:4;
        RBus_UInt32  edsm_motion_weight_14:4;
        RBus_UInt32  edsm_motion_weight_15:4;
    };
}iedge_smooth_motion_weight_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  edsm_motion_weight_16:4;
        RBus_UInt32  edsm_motion_weight_17:4;
        RBus_UInt32  edsm_motion_weight_18:4;
        RBus_UInt32  edsm_motion_weight_19:4;
        RBus_UInt32  edsm_motion_weight_20:4;
        RBus_UInt32  edsm_motion_weight_21:4;
        RBus_UInt32  edsm_motion_weight_22:4;
        RBus_UInt32  edsm_motion_weight_23:4;
    };
}iedge_smooth_motion_weight_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  edsm_motion_weight_24:4;
        RBus_UInt32  edsm_motion_weight_25:4;
        RBus_UInt32  edsm_motion_weight_26:4;
        RBus_UInt32  edsm_motion_weight_27:4;
        RBus_UInt32  edsm_motion_weight_28:4;
        RBus_UInt32  edsm_motion_weight_29:4;
        RBus_UInt32  edsm_motion_weight_30:4;
        RBus_UInt32  edsm_motion_weight_31:4;
    };
}iedge_smooth_motion_weight_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:23;
        RBus_UInt32  iedsm_outclamp_thd:7;
        RBus_UInt32  iedsm_outclamp_en:1;
        RBus_UInt32  iedsm_weightmode:1;
    };
}iedge_smooth_weight_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  iedsm_motion_en:1;
        RBus_UInt32  res1:23;
        RBus_UInt32  iedsm_engclamp:4;
        RBus_UInt32  iedsm_engclamp_divide:3;
        RBus_UInt32  iedsm_engclamp_en:1;
    };
}iedge_smooth_eng_clamp_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  iedsm_motionteethgainh:5;
        RBus_UInt32  iedsm_motionteethgainv:5;
        RBus_UInt32  iedsm_motionteethgaindia:5;
        RBus_UInt32  iedsm_motionteethgaincdia:5;
        RBus_UInt32  iedsm_motionteethgain:5;
        RBus_UInt32  iedsm_motionteethgain_en:1;
    };
}iedge_smooth_motion_teeth_gain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mvf_progressive:1;
        RBus_UInt32  delay_frame_num:2;
        RBus_UInt32  motion_invalidcnt:3;
        RBus_UInt32  store_mode:1;
        RBus_UInt32  mvf_height:12;
        RBus_UInt32  mvf_width:13;
    };
}iedge_smooth_mvf_dma_dat_format_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s0_mstart_86_58:29;
        RBus_UInt32  res1:3;
    };
}iedge_smooth_mvf_datmemorystart_s0_add0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s0_mstart_57_29:29;
        RBus_UInt32  res1:3;
    };
}iedge_smooth_mvf_datmemorystart_s0_add1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s0_mstart_28_0:29;
        RBus_UInt32  res1:3;
    };
}iedge_smooth_mvf_datmemorystart_s0_add2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_mstart_86_58:29;
        RBus_UInt32  res1:3;
    };
}iedge_smooth_mvf_datmemorystart_s1add0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_mstart_57_29:29;
        RBus_UInt32  res1:3;
    };
}iedge_smooth_mvf_datmemorystart_s1_add1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_mstart_28_0:29;
        RBus_UInt32  res1:3;
    };
}iedge_smooth_mvf_datmemorystart_s1_add2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dat_water:8;
        RBus_UInt32  res1:1;
        RBus_UInt32  dat_len:7;
        RBus_UInt32  dat_num:16;
    };
}iedge_smooth_mvf_ddr_dma_wtlennum_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  dma_remain_en:1;
        RBus_UInt32  dat_remain:7;
    };
}iedge_smooth_mvf_ddr_datdma_rm_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wrrd_downlimit_adr:29;
        RBus_UInt32  res1:3;
    };
}iedge_smooth_mvf_wrrd_boundaryaddr1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wrrd_uplimit_adr:29;
        RBus_UInt32  res1:3;
    };
}iedge_smooth_mvf_wrrd_boundaryaddr2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:13;
        RBus_UInt32  afifo_err_ie:1;
        RBus_UInt32  afifo_err_flag_clr:1;
        RBus_UInt32  afifo_unfl:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  dma_fifo_err_ie:1;
        RBus_UInt32  dma_fifo_err_flag_clr:1;
        RBus_UInt32  dma_fifo_unfl:1;
        RBus_UInt32  res3:2;
        RBus_UInt32  addr_downup_limit_ov_err_en:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  downup_limit_ov_err_clear:2;
        RBus_UInt32  res5:2;
        RBus_UInt32  addr_downlimit_ov:1;
        RBus_UInt32  addr_uplimit_ov:1;
    };
}iedge_smooth_mvf_dma_err_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:27;
        RBus_UInt32  rdma_src_flag:1;
        RBus_UInt32  rdma_s1_frame_cnt:2;
        RBus_UInt32  rdma_s0_frame_cnt:2;
    };
}iedge_smooth_mvf_dma_work_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:27;
        RBus_UInt32  mvf_rinfo_bist_fail:2;
        RBus_UInt32  mvf_rdat_bist_fail:3;
    };
}iedge_smooth_mvf_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:27;
        RBus_UInt32  mvf_rinfo_drf_fail:2;
        RBus_UInt32  mvf_rdat_drf_fail:3;
    };
}iedge_smooth_mvf_drf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:27;
        RBus_UInt32  mvf_dma_rinfo_rme:2;
        RBus_UInt32  mvf_dma_rdat_rme:3;
    };
}iedge_smooth_mvf_bist_rme_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  mvf_dma_rinfo_rm:8;
        RBus_UInt32  mvf_dma_rdat_rm:12;
    };
}iedge_smooth_mvf_bist_rm_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rdma_req_num:16;
        RBus_UInt32  rdma_dat_num:16;
    };
}iedge_smooth_mvf_rdma_num_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  rdma_req_num_err_clr:1;
        RBus_UInt32  rdma_dat_num_err_clr:1;
        RBus_UInt32  rdma_req_num_err_en:1;
        RBus_UInt32  rdma_dat_num_err_en:1;
    };
}iedge_smooth_mvf_rdma_num_err_RBUS;

#else //apply LITTLE_ENDIAN

//======IEDGE_SMOOTH register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  edgesmoothex_en:1;
        RBus_UInt32  t2df_en:1;
        RBus_UInt32  crct_en:1;
        RBus_UInt32  chaos_en:1;
        RBus_UInt32  edge_en:1;
        RBus_UInt32  lpf_5tapmode:1;
        RBus_UInt32  chaos_5linemode:1;
        RBus_UInt32  crct_5linemode:1;
        RBus_UInt32  debug_en:1;
        RBus_UInt32  lbuf_linemode:2;
        RBus_UInt32  edgemode:1;
        RBus_UInt32  debug_mode:4;
        RBus_UInt32  lbuf_disable:1;
        RBus_UInt32  tst_en:1;
        RBus_UInt32  dummy18025100_25:8;
        RBus_UInt32  res1:6;
    };
}iedge_smooth_edgesmooth_ex_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t2df_upbnd:10;
        RBus_UInt32  res1:2;
        RBus_UInt32  t2df_stepbit:4;
        RBus_UInt32  chaos_mode:2;
        RBus_UInt32  res2:6;
        RBus_UInt32  chaos_diffth:8;
    };
}iedge_smooth_edgesmooth_ex_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  edge_upbnd:10;
        RBus_UInt32  res1:2;
        RBus_UInt32  edge_stepbit:4;
        RBus_UInt32  chaos_lwbnd:5;
        RBus_UInt32  res2:11;
    };
}iedge_smooth_edgesmooth_ex_ctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  iedge_mixer_weight:4;
        RBus_UInt32  iedge_nr_sel:1;
        RBus_UInt32  res2:23;
    };
}iedge_smooth_mixer_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ext_uvdiff_upbnd:10;
        RBus_UInt32  res1:2;
        RBus_UInt32  ext_uvdiff_stepbit:4;
        RBus_UInt32  ext_range:2;
        RBus_UInt32  ext_uvrange:2;
        RBus_UInt32  res2:11;
        RBus_UInt32  ext_range_en:1;
    };
}iedge_smooth_edgesmooth_extension_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ext_angle_maxdiff_thd:10;
        RBus_UInt32  res1:2;
        RBus_UInt32  ext_angle_rl_thd:6;
        RBus_UInt32  res2:12;
        RBus_UInt32  ext_angle_en:1;
        RBus_UInt32  ext_angle_crc_en:1;
    };
}iedge_smooth_edgesmooth_ext_angle_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg_h_start:12;
        RBus_UInt32  reg_h_end:12;
        RBus_UInt32  res1:6;
        RBus_UInt32  reg_demo_inv:1;
        RBus_UInt32  reg_demo_en:1;
    };
}iedge_smooth_demo_window_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg_v_start:12;
        RBus_UInt32  reg_v_end:12;
        RBus_UInt32  res1:8;
    };
}iedge_smooth_demo_window_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  prelpf_snr_sel:4;
        RBus_UInt32  res1:12;
        RBus_UInt32  prelpf_iedge1_sel:4;
        RBus_UInt32  res2:8;
        RBus_UInt32  dummy18025128_30_28:3;
        RBus_UInt32  prelpf_iedge2_sel:1;
    };
}iedge_smooth_prelpf_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dlti2d_gain:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  dlti2d_maxmin_en:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  dlti2d_chaos_gain:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  dlti2d_vlpf_type:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  dlti2d_hlpf_type:2;
        RBus_UInt32  res5:10;
    };
}iedge_smooth_dlti2d_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mess_4direction_w2:4;
        RBus_UInt32  mess_4direction_w1:4;
        RBus_UInt32  mess_4direction_w0:4;
        RBus_UInt32  mess_4direction_step:4;
        RBus_UInt32  mess_4direction_thd:4;
        RBus_UInt32  res1:11;
        RBus_UInt32  mess_direction_en:1;
    };
}iedge_smooth_edgesmooth_mess_direction1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mess_8direction_w2:4;
        RBus_UInt32  mess_8direction_w1:4;
        RBus_UInt32  mess_8direction_w0:4;
        RBus_UInt32  mess_8direction_step:4;
        RBus_UInt32  mess_8direction_thd:4;
        RBus_UInt32  res1:12;
    };
}iedge_smooth_edgesmooth_mess_direction2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  blend_weight_lpf_en:1;
    };
}iedge_smooth_edgesmooth_blend_weight_lpf_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  unstable_area_thd:5;
        RBus_UInt32  res1:26;
        RBus_UInt32  unstable_area_en:1;
    };
}iedge_smooth_edgesmooth_unstable_area_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  front_porch_meas:8;
        RBus_UInt32  back_porch_meas:8;
        RBus_UInt32  res1:8;
        RBus_UInt32  vsync_line_delay:6;
        RBus_UInt32  res2:2;
    };
}iedge_smooth_spnr_porch_meas_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  bisr_spnr_fail_0:1;
        RBus_UInt32  bisr_spnr_fail_1:1;
        RBus_UInt32  res1:29;
        RBus_UInt32  bisr_spnr_repaired:1;
    };
}iedge_smooth_spnr_bisr_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  spnr_drf_fail_0:1;
        RBus_UInt32  spnr_drf_fail_1:1;
        RBus_UInt32  res1:30;
    };
}iedge_smooth_spnr_drf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  spnr_dvs0:4;
        RBus_UInt32  spnr_dvse0:1;
        RBus_UInt32  spnr_ls_en:1;
        RBus_UInt32  res1:26;
    };
}iedge_smooth_spnr_dvs0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  avlpf_bw_pattern_en:1;
        RBus_UInt32  avlpf_correct_en:1;
        RBus_UInt32  avlpf_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  avlpf_mindiff_curve_rate_finish:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  avlpf_mindiff_th_finish:8;
        RBus_UInt32  avlpf_mindiff_curve_rate_start:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  avlpf_mindiff_th_start:4;
        RBus_UInt32  vfir_weight:6;
        RBus_UInt32  res4:2;
    };
}iedge_smooth_vfilter_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  avlpf_min_weight:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  avlpf_max_weight:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  avlpf_maxmindiff_curve_rate:3;
        RBus_UInt32  res3:5;
        RBus_UInt32  avlpf_maxmindiff_th:8;
    };
}iedge_smooth_vfilter_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vfir_c_weight:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  avlpf_c_en:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  avlpf_bw_curve_rate:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  avlpf_bw_margin:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  avlpf_bw_th:8;
    };
}iedge_smooth_vfilter_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vfir_debug:4;
        RBus_UInt32  egsm_avlpf_motionweight7:4;
        RBus_UInt32  egsm_avlpf_motionweight8:4;
        RBus_UInt32  egsm_avlpf_motionweight9:4;
        RBus_UInt32  egsm_avlpf_motionweight10:4;
        RBus_UInt32  egsm_avlpf_motionweight11:4;
        RBus_UInt32  egsm_avlpf_motionweight12:4;
        RBus_UInt32  egsm_avlpf_motionweight13:4;
    };
}iedge_smooth_vfilter_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  egsm_avlpf_mindiff_th2_start:4;
        RBus_UInt32  egsm_avlpf_clampth:8;
        RBus_UInt32  res1:14;
        RBus_UInt32  egsm_avlpf_vmode:2;
        RBus_UInt32  res2:1;
        RBus_UInt32  egsm_avlpf_clamp_en:1;
        RBus_UInt32  esmex_iedge_vfir_enable:1;
        RBus_UInt32  res3:1;
    };
}iedge_smooth_vfilter_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  egsm_avlpf_motionweight0:4;
        RBus_UInt32  egsm_avlpf_motionweight1:4;
        RBus_UInt32  egsm_avlpf_motionweight2:4;
        RBus_UInt32  egsm_avlpf_motionweight3:4;
        RBus_UInt32  egsm_avlpf_motionweight4:4;
        RBus_UInt32  egsm_avlpf_motionweight5:4;
        RBus_UInt32  egsm_avlpf_motionweight6:4;
        RBus_UInt32  egsm_avlpf2d_tolirantmode:2;
        RBus_UInt32  res1:2;
    };
}iedge_smooth_vfilter_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  egsm_motion_i2p_blendmode:2;
        RBus_UInt32  res2:12;
        RBus_UInt32  egsm_avlpf2d_tolirantoffset:4;
        RBus_UInt32  egsm_avlpf_motion_en:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  egsm_avlpf2d_tolirant_en:1;
        RBus_UInt32  egsm_avlpf2d_en:1;
    };
}iedge_smooth_vfilter_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  edsm_db_en:1;
        RBus_UInt32  edsm_db_rd_sel:1;
        RBus_UInt32  edsm_db_apply:1;
        RBus_UInt32  res1:29;
    };
}iedge_smooth_edsm_db_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  egsm_avlpf_motionweight30:4;
        RBus_UInt32  egsm_avlpf_motionweight31:4;
        RBus_UInt32  res1:24;
    };
}iedge_smooth_vfilter_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  egsm_avlpf_motionweight22:4;
        RBus_UInt32  egsm_avlpf_motionweight23:4;
        RBus_UInt32  egsm_avlpf_motionweight24:4;
        RBus_UInt32  egsm_avlpf_motionweight25:4;
        RBus_UInt32  egsm_avlpf_motionweight26:4;
        RBus_UInt32  egsm_avlpf_motionweight27:4;
        RBus_UInt32  egsm_avlpf_motionweight28:4;
        RBus_UInt32  egsm_avlpf_motionweight29:4;
    };
}iedge_smooth_vfilter_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  egsm_avlpf_motionweight14:4;
        RBus_UInt32  egsm_avlpf_motionweight15:4;
        RBus_UInt32  egsm_avlpf_motionweight16:4;
        RBus_UInt32  egsm_avlpf_motionweight17:4;
        RBus_UInt32  egsm_avlpf_motionweight18:4;
        RBus_UInt32  egsm_avlpf_motionweight19:4;
        RBus_UInt32  egsm_avlpf_motionweight20:4;
        RBus_UInt32  egsm_avlpf_motionweight21:4;
    };
}iedge_smooth_vfilter_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:13;
        RBus_UInt32  sub_422_to_444_dup:1;
        RBus_UInt32  sub_422_to_444_type:1;
        RBus_UInt32  sub_422_to_444_en:1;
        RBus_UInt32  res2:13;
        RBus_UInt32  main_422_to_444_dup:1;
        RBus_UInt32  main_422_to_444_type:1;
        RBus_UInt32  main_422_to_444_en:1;
    };
}iedge_smooth_format_convert_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  edsm_motion_weight_7:4;
        RBus_UInt32  edsm_motion_weight_6:4;
        RBus_UInt32  edsm_motion_weight_5:4;
        RBus_UInt32  edsm_motion_weight_4:4;
        RBus_UInt32  edsm_motion_weight_3:4;
        RBus_UInt32  edsm_motion_weight_2:4;
        RBus_UInt32  edsm_motion_weight_1:4;
        RBus_UInt32  edsm_motion_weight_0:4;
    };
}iedge_smooth_motion_weight_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  edsm_motion_weight_15:4;
        RBus_UInt32  edsm_motion_weight_14:4;
        RBus_UInt32  edsm_motion_weight_13:4;
        RBus_UInt32  edsm_motion_weight_12:4;
        RBus_UInt32  edsm_motion_weight_11:4;
        RBus_UInt32  edsm_motion_weight_10:4;
        RBus_UInt32  edsm_motion_weight_9:4;
        RBus_UInt32  edsm_motion_weight_8:4;
    };
}iedge_smooth_motion_weight_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  edsm_motion_weight_23:4;
        RBus_UInt32  edsm_motion_weight_22:4;
        RBus_UInt32  edsm_motion_weight_21:4;
        RBus_UInt32  edsm_motion_weight_20:4;
        RBus_UInt32  edsm_motion_weight_19:4;
        RBus_UInt32  edsm_motion_weight_18:4;
        RBus_UInt32  edsm_motion_weight_17:4;
        RBus_UInt32  edsm_motion_weight_16:4;
    };
}iedge_smooth_motion_weight_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  edsm_motion_weight_31:4;
        RBus_UInt32  edsm_motion_weight_30:4;
        RBus_UInt32  edsm_motion_weight_29:4;
        RBus_UInt32  edsm_motion_weight_28:4;
        RBus_UInt32  edsm_motion_weight_27:4;
        RBus_UInt32  edsm_motion_weight_26:4;
        RBus_UInt32  edsm_motion_weight_25:4;
        RBus_UInt32  edsm_motion_weight_24:4;
    };
}iedge_smooth_motion_weight_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  iedsm_weightmode:1;
        RBus_UInt32  iedsm_outclamp_en:1;
        RBus_UInt32  iedsm_outclamp_thd:7;
        RBus_UInt32  res1:23;
    };
}iedge_smooth_weight_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  iedsm_engclamp_en:1;
        RBus_UInt32  iedsm_engclamp_divide:3;
        RBus_UInt32  iedsm_engclamp:4;
        RBus_UInt32  res1:23;
        RBus_UInt32  iedsm_motion_en:1;
    };
}iedge_smooth_eng_clamp_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  iedsm_motionteethgain_en:1;
        RBus_UInt32  iedsm_motionteethgain:5;
        RBus_UInt32  iedsm_motionteethgaincdia:5;
        RBus_UInt32  iedsm_motionteethgaindia:5;
        RBus_UInt32  iedsm_motionteethgainv:5;
        RBus_UInt32  iedsm_motionteethgainh:5;
        RBus_UInt32  res1:6;
    };
}iedge_smooth_motion_teeth_gain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mvf_width:13;
        RBus_UInt32  mvf_height:12;
        RBus_UInt32  store_mode:1;
        RBus_UInt32  motion_invalidcnt:3;
        RBus_UInt32  delay_frame_num:2;
        RBus_UInt32  mvf_progressive:1;
    };
}iedge_smooth_mvf_dma_dat_format_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  s0_mstart_86_58:29;
    };
}iedge_smooth_mvf_datmemorystart_s0_add0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  s0_mstart_57_29:29;
    };
}iedge_smooth_mvf_datmemorystart_s0_add1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  s0_mstart_28_0:29;
    };
}iedge_smooth_mvf_datmemorystart_s0_add2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  s1_mstart_86_58:29;
    };
}iedge_smooth_mvf_datmemorystart_s1add0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  s1_mstart_57_29:29;
    };
}iedge_smooth_mvf_datmemorystart_s1_add1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  s1_mstart_28_0:29;
    };
}iedge_smooth_mvf_datmemorystart_s1_add2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dat_num:16;
        RBus_UInt32  dat_len:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  dat_water:8;
    };
}iedge_smooth_mvf_ddr_dma_wtlennum_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dat_remain:7;
        RBus_UInt32  dma_remain_en:1;
        RBus_UInt32  res1:24;
    };
}iedge_smooth_mvf_ddr_datdma_rm_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  wrrd_downlimit_adr:29;
    };
}iedge_smooth_mvf_wrrd_boundaryaddr1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  wrrd_uplimit_adr:29;
    };
}iedge_smooth_mvf_wrrd_boundaryaddr2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  addr_uplimit_ov:1;
        RBus_UInt32  addr_downlimit_ov:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  downup_limit_ov_err_clear:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  addr_downup_limit_ov_err_en:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  dma_fifo_unfl:1;
        RBus_UInt32  dma_fifo_err_flag_clr:1;
        RBus_UInt32  dma_fifo_err_ie:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  afifo_unfl:1;
        RBus_UInt32  afifo_err_flag_clr:1;
        RBus_UInt32  afifo_err_ie:1;
        RBus_UInt32  res5:13;
    };
}iedge_smooth_mvf_dma_err_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rdma_s0_frame_cnt:2;
        RBus_UInt32  rdma_s1_frame_cnt:2;
        RBus_UInt32  rdma_src_flag:1;
        RBus_UInt32  res1:27;
    };
}iedge_smooth_mvf_dma_work_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mvf_rdat_bist_fail:3;
        RBus_UInt32  mvf_rinfo_bist_fail:2;
        RBus_UInt32  res1:27;
    };
}iedge_smooth_mvf_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mvf_rdat_drf_fail:3;
        RBus_UInt32  mvf_rinfo_drf_fail:2;
        RBus_UInt32  res1:27;
    };
}iedge_smooth_mvf_drf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mvf_dma_rdat_rme:3;
        RBus_UInt32  mvf_dma_rinfo_rme:2;
        RBus_UInt32  res1:27;
    };
}iedge_smooth_mvf_bist_rme_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mvf_dma_rdat_rm:12;
        RBus_UInt32  mvf_dma_rinfo_rm:8;
        RBus_UInt32  res1:12;
    };
}iedge_smooth_mvf_bist_rm_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rdma_dat_num:16;
        RBus_UInt32  rdma_req_num:16;
    };
}iedge_smooth_mvf_rdma_num_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rdma_dat_num_err_en:1;
        RBus_UInt32  rdma_req_num_err_en:1;
        RBus_UInt32  rdma_dat_num_err_clr:1;
        RBus_UInt32  rdma_req_num_err_clr:1;
        RBus_UInt32  res1:28;
    };
}iedge_smooth_mvf_rdma_num_err_RBUS;




#endif 


#endif 
