#ifndef __HDMI_AUDIO_H__
#define __HDMI_AUDIO_H__

extern void lib_hdmi_audio_init(unsigned char port);
extern void lib_hdmi_audio_cts_bound(unsigned char nport, unsigned int clk);
extern void lib_hdmi_audio_n_bound(unsigned char nport, unsigned int freq);

extern unsigned char lib_hdmi_audio_is_fifo_overflow(unsigned char port);
extern void lib_hdmi_audio_wclr_fifo_overflow(unsigned char port);
extern unsigned char lib_hdmi_audio_is_output(unsigned char port);
extern void lib_hdmi_audio_output(unsigned char port, unsigned char on);
extern unsigned char lib_hdmi_audio_get_hbr_mode(unsigned char nport);
extern void lib_hdmi_audio_dbg_reg_dump(unsigned char nport);
extern void lib_hdmi_audio_set_thread_run(unsigned char nport, unsigned char uc_run);

//extern void newbase_hdmi_audio_thread_enable(unsigned char create);
extern void newbase_hdmi_audio_var_init(unsigned char port);
extern unsigned char newbase_hdmi_audio_detect(void);
extern void newbase_hdmi_audio_close(unsigned char port);
extern void newbase_hdmi_audio_reset_status(void);
extern unsigned char newbase_hdmi_audio_get_current_status(void);
extern unsigned char newbase_hdmi_audio_wait_acr(unsigned char port);
extern unsigned char newbase_hdmi_audio_wait_sample(unsigned char port);

#endif //__HDMI_AUDIO_H__
