#ifndef __XHCI_REG_H__
#define __XHCI_REG_H__

#define HMAC_HOST_xhci_ctrl_start_reg     0xb8050000

/*---------------------------------------------------------
 * Registers below are defined in DWC_usb3_host_databook_3.00a.pdf
 * Provider : Snopsys
 * Host global register (0xb8058100 ~ 0xb80586FC)
 *---------------------------------------------------------*/
#define HMAC_HOST_xhci_Regbase  		(0xb8058100 - 0xC100)
#define HMAC_HOST_xhci_GTXTHRCFG		(HMAC_HOST_xhci_Regbase + 0xC108)
#define HMAC_HOST_xhci_GRXTHRCFG		(HMAC_HOST_xhci_Regbase + 0xC10C)
#define HMAC_PHY_setting_start_reg		(HMAC_HOST_xhci_Regbase + 0xC200)
#define HMAC_HOST_xhci_USB2PHYCFG0		(HMAC_HOST_xhci_Regbase + 0xC200)
#define HMAC_HOST_xhci_USB2PHYCFG1		(HMAC_HOST_xhci_Regbase + 0xC204)
#define HMAC_HOST_xhci_USB2PHYCFG2		(HMAC_HOST_xhci_Regbase + 0xC208)
#define HMAC_HOST_xhci_USB2PHYCFG3		(HMAC_HOST_xhci_Regbase + 0xC20C)
#define HMAC_HOST_xhci_GUSB2PHYACC0		(HMAC_HOST_xhci_Regbase + 0xC280)
#define HMAC_HOST_xhci_GUSB2PHYACC1		(HMAC_HOST_xhci_Regbase + 0xC284)
#define HMAC_HOST_xhci_GUSB2PHYACC2		(HMAC_HOST_xhci_Regbase + 0xC288)
#define HMAC_HOST_xhci_GUSB2PHYACC3		(HMAC_HOST_xhci_Regbase + 0xC28C)

#endif /* __XHCI_REG_H__ */

